/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/ui","react","@emotion/css","lodash","@grafana/runtime","react-router-dom","rxjs","react-dom","@emotion/react","redux","react-redux"],((e,t,n,r,a,o,i,s,l,c,u,d)=>(()=>{var p,f,h={7774:(e,t,n)=>{"use strict";var r=n(9997),a=n(2007),o=n(5959),i=n(6089),s=(n(3241),n(8531),n(1693),n(7781),n(1269),n(9089));n(4354);const l={form:{root:r.createSelector((e=>`data-testid form-${e}`)),sectionHeader:r.createSelector((e=>`data-testid form section-${e}`),"headerDataTestId"),sectionContent:r.createSelector((e=>`data-testid form section-content-${e}`),"contentDataTestId"),fieldSelect:r.createSelector((e=>`form field-select-${e}`)),fieldCustom:r.createSelector((e=>`data-testid form field-custom-${e}`)),fieldSlider:r.createSelector((e=>`data-testid form field-slider-${e}`)),fieldRangeSlider:r.createSelector((e=>`form field-range-slider-${e}`),"sliderAriaLabel"),fieldNumberInput:r.createSelector((e=>`data-testid form field-number-input-${e}`)),fieldColor:r.createSelector((e=>`data-testid form field-color-${e}`)),fieldInput:r.createSelector((e=>`data-testid form field-input-${e}`)),fieldDatetime:r.createSelector((()=>"data-testid date-time-input")),fieldRadio:r.createSelector((e=>`data-testid form field-radio-${e}`))},codeEditor:{copyButton:r.createSelector((()=>"data-testid code-editor copy-button")),copyPasteText:r.createSelector((()=>"data-testid code-editor copy-paste-text")),modal:r.createSelector((()=>"data-testid code-editor modal-window")),miniMapButton:r.createSelector((()=>"data-testid code-editor mini-map-button")),modalButton:r.createSelector((e=>`data-testid code-editor modal-button-${e}`)),pasteButton:r.createSelector((()=>"data-testid code-editor paste-button")),wrapButton:r.createSelector((()=>"data-testid code-editor wrap-button"))},datasourceEditor:{fieldSelect:r.createSelector("data-testid datasource-editor field-select")},payloadEditor:{loadingMessage:r.createSelector("data-testid payload-editor loading-message"),errorMessage:r.createSelector("data-testid payload-editor error-message")}},c=e=>({line:i.css`
      margin: 0 0;
      border: 1px solid ${e.colors.border.medium};
      border-bottom: 0;
      background: ${e.colors.background.secondary};
      padding: ${e.spacing(.5)};
    `,modal:i.css`
      width: 80%;
      height: 80%;
    `,content:i.css`
      padding: ${e.spacing(1)};
      height: 100%;
    `,modalBody:i.css`
      height: 100%;
    `,modalIconLine:i.css`
      margin: ${e.spacing(.5)} 0 0 ${e.spacing(.5)};
    `,modalEditor:i.css`
      height: 100%;
      border-radius: 2px;
      border: 1px solid ${e.colors.border.medium};
    `,copyPasteSection:i.css`
      margin: ${e.spacing(.5)} 0 0 ${e.spacing(1)};
    `,copyPasteIcon:i.css`
      margin: ${e.spacing(0)};
    `,copyPasteText:i.css`
      margin: ${e.spacing(0)};
      font-size: 12px;
      color: ${e.colors.text.secondary};
      transition: width 0.5s ease;
    `,text:i.css`
      position: absolute;
      left: -20%;
      opacity: 0;
      top: 8px;
      transition:
        left 0.5s ease,
        opacity 0.5s ease;
    `,left:i.css`
      left: 0;
      opacity: 1;
    `}),u=({monacoEditor:e,setIsOpen:t,editorValue:n,isModal:r=!1,setCurrentMonacoOptions:s,currentMonacoOptions:u,isShowMiniMap:d,setIsShowMiniMap:p})=>{const f=a.useStyles2(c),[h,m]=o.useState("");return o.useEffect((()=>{h&&setTimeout((()=>{m("")}),1e3)}),[h]),o.createElement(a.PageToolbar,{buttonOverflowAlignment:"right",className:f.line,forceShowLeftItems:!0,leftItems:[o.createElement(a.ToolbarButton,{key:"code-editor-button-modal",tooltip:r?"Collapse code editor":"Expand code editor",icon:r?"compress-arrows":"expand-arrows-alt",iconSize:"lg",onClick:()=>t(!r),...l.codeEditor.modalButton.apply(r?"modal-close":"modal-open")})]},o.createElement(a.InlineFieldRow,{className:f.copyPasteSection},o.createElement(a.ToolbarButton,{className:f.copyPasteIcon,tooltip:"Copy code",icon:"file-blank",iconSize:"lg",onClick:()=>{navigator.clipboard.writeText(n).then((()=>{m("Copied!")}))},...l.codeEditor.copyButton.apply()}),o.createElement(a.ToolbarButton,{className:f.copyPasteIcon,tooltip:"Paste code",icon:"file-alt",iconSize:"lg",onClick:async()=>{if(e){const t=e.getSelection(),n=await navigator.clipboard.readText(),r={startLineNumber:t?.startLineNumber||1,startColumn:t?.startColumn||1,endLineNumber:t?.endLineNumber||1,endColumn:t?.endColumn||1};e.executeEdits("clipboard",[{range:r,text:n,forceMoveMarkers:!1}]),e.focus(),m("Pasted!")}},...l.codeEditor.pasteButton.apply()}),o.createElement(a.InlineField,{className:i.cx(f.copyPasteText,h?i.css`
                  width: 45px;
                `:i.css`
                  width: 10px;
                `),...l.codeEditor.copyPasteText.apply()},o.createElement("div",{className:i.cx(f.text,h?f.left:"")},h))),o.createElement(a.ToolbarButton,{tooltip:"Wrap code on new lines",icon:"wrap-text",iconSize:"lg",variant:"on"===u?.wordWrap?"active":"default",onClick:()=>{const e="on"===u?.wordWrap?"off":"on";s({...u,wordWrap:e})},...l.codeEditor.wrapButton.apply()}),n&&n.length>100&&o.createElement(a.ToolbarButton,{tooltip:d?"Hide mini map":"Show mini map",icon:"gf-movepane-right",iconSize:"lg",variant:d?"active":"default",onClick:()=>{p((e=>!e))},...l.codeEditor.miniMapButton.apply()}))},d=(e,t,n)=>{const r=18*e.split("\n").length,a=t||200,o=n||1e3;return r<a?a:r>o?o:r},p=e=>({rootOutline:i.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:i.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:i.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:i.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:i.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:i.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var f=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(f||{});const{default:h}=n(2454),{default:m}=(a.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,a=e.colors.border.strong,o=e.colors.primary.main,l=e.colors.primary.main,c=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:i.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:i.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${l};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${c};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${o};
      }
      .rc-slider-rail {
        background-color: ${a};
        cursor: pointer;
      }
    `,tooltip:s.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:i.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:i.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:i.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:i.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(7767)),{default:g}=n(7767);l.form;t.v4=({value:e,onChange:t,onBlur:n,minHeight:r,maxHeight:i,height:s,onEditorDidMount:p,monacoOptions:f,showMiniMap:h,isEscaping:m=!1,...g})=>{const b=a.useStyles2(c),[v,y]=o.useState(!1),[w,S]=o.useState(h),[x,E]=o.useState(f),[A,C]=o.useState(null),[O,R]=o.useState(null),[D,I]=o.useState(d(e,r,i)),P=o.useCallback(((e,t)=>{if(m){const n=e.getModel();n?.setEOL(t.editor.EndOfLineSequence.LF)}}),[m]),_=o.useCallback(((e,t)=>{P(e,t),C(e),p&&p(e,t)}),[P,p]),T=o.useCallback(((e,t)=>{if(P(e,t),R(e),A){const t=A?.getPosition();t&&(e.setPosition({lineNumber:t.lineNumber,column:t.column}),e.focus(),setTimeout((()=>{e.revealLineInCenter(t.lineNumber)}),0))}p&&p(e,t)}),[P,A,p]),k=o.useCallback((e=>{const n=m?e.replaceAll("\n","\\n"):e;t?.(n),I(d(e,r,i))}),[i,r,t,m]),M=o.useCallback((e=>{const t=m?e.replaceAll("\n","\\n"):e;n?.(t)}),[n,m]);return o.useEffect((()=>{I(d(e,r,i))}),[e,r,i]),o.createElement(o.Fragment,null,o.createElement(u,{editorValue:e,setIsOpen:y,monacoEditor:A,isShowMiniMap:w,setIsShowMiniMap:S,currentMonacoOptions:x,setCurrentMonacoOptions:E}),o.createElement(a.CodeEditor,{value:m?e.replaceAll("\\n","\n"):e,showMiniMap:w,height:s??D,monacoOptions:x,onEditorDidMount:_,onChange:k,onBlur:M,...g}),o.createElement(a.Modal,{title:"Code editor",isOpen:v,onDismiss:()=>y(!1),className:b.modal,contentClassName:b.modalBody,closeOnEscape:!0,trapFocus:!0},o.createElement("div",{className:b.content,...l.codeEditor.modal.apply()},o.createElement(u,{isModal:!0,editorValue:e,setIsOpen:y,isShowMiniMap:w,monacoEditor:O,setIsShowMiniMap:S,currentMonacoOptions:x,setCurrentMonacoOptions:E}),o.createElement(a.CodeEditor,{value:m?e.replaceAll("\\n","\n"):e,showMiniMap:w,containerStyles:b.modalEditor,monacoOptions:x,onEditorDidMount:T,onChange:k,onBlur:M,...g}))))},t.OA=class{constructor(e,t=a.CodeEditorSuggestionItemKind.Property){this.detail=e,this.kind=t,this.value={}}},t.Fn=class{constructor(e,t="context"){this.suggestions=[],this.suggestions.push({label:t,kind:a.CodeEditorSuggestionItemKind.Constant,detail:e.detail}),this.addSuggestions(t,e)}addSuggestions(e,t){Object.entries(t.items).forEach((([t,n])=>{const r=`${e}.${t}`;if("items"in n)return this.suggestions.push({label:r,detail:n.detail,kind:a.CodeEditorSuggestionItemKind.Property}),void this.addSuggestions(r,n);this.suggestions.push({label:r,detail:n.detail,kind:n.kind})}))}create(e){return e}},t.SD=({title:e,actions:t,children:n,isOpen:r=!1,onToggle:s,headerTestId:l,contentTestId:c,fill:u="outline",isInlineContent:d=!1,isExpandDisabled:f=!1})=>{const h=a.useTheme2(),m=a.useStyles2(p),g="solid"===u,b="outline"===u;return o.createElement("div",{className:i.cx({[m.rootOutline]:b})},o.createElement("div",{className:i.cx(m.header,{[m.headerSolid]:g}),"data-testid":l,onClick:()=>{f||s?.(!r)}},o.createElement(a.IconButton,{name:r?"angle-down":"angle-right",tooltip:r?"Collapse":"Expand",className:m.collapseIcon,disabled:f,"aria-expanded":r}),o.createElement("div",{className:m.title},e),t&&o.createElement("div",{className:m.actions,onClick:e=>e.stopPropagation()},t)),r&&o.createElement("div",{style:{padding:d?0:h.spacing(.5)},"data-testid":c},n))}},1693:(e,t,n)=>{"use strict";n.r(t),n.d(t,{AdHocFiltersVariable:()=>_s,ConstantVariable:()=>Ml,ControlsLabel:()=>Wn,CustomVariable:()=>uf,DataProviderProxy:()=>Ip,DataSourceVariable:()=>gf,EmbeddedScene:()=>ih,FieldConfigBuilder:()=>Mb,FieldConfigBuilders:()=>Qb,FieldConfigOverridesBuilder:()=>Ab,GroupByVariable:()=>Vn,IntervalVariable:()=>Qf,LocalValueVariable:()=>zf,MultiValueVariable:()=>ut,NestedScene:()=>pm,NewSceneObjectAddedEvent:()=>th,PanelBuilders:()=>Wb,PanelOptionsBuilders:()=>qb,QueryVariable:()=>ic,RuntimeDataSource:()=>ue,SafeSerializableSceneObject:()=>Pn,SceneApp:()=>xg,SceneAppPage:()=>$g,SceneByFrameRepeater:()=>Xm,SceneByVariableRepeater:()=>Km,SceneCSSGridItem:()=>lg,SceneCSSGridLayout:()=>sg,SceneCanvasText:()=>hm,SceneControlsSpacer:()=>Zm,SceneDataLayerBase:()=>Fu,SceneDataLayerControls:()=>Vu,SceneDataLayerSet:()=>jp,SceneDataLayerSetBase:()=>Np,SceneDataNode:()=>Ee,SceneDataTransformer:()=>Qp,SceneDebugger:()=>Lg,SceneFlexItem:()=>eg,SceneFlexLayout:()=>Jm,SceneGridItem:()=>dh,SceneGridLayout:()=>em,SceneGridRow:()=>um,SceneObjectBase:()=>J,SceneObjectRef:()=>G,SceneObjectStateChangedEvent:()=>z,SceneObjectUrlSyncConfig:()=>Ce,SceneQueryRunner:()=>Ys,SceneReactObject:()=>_g,SceneRefreshPicker:()=>_m,SceneTimePicker:()=>bm,SceneTimeRange:()=>Le,SceneTimeRangeCompare:()=>qm,SceneTimeRangeTransformerBase:()=>vp,SceneTimeZoneOverride:()=>Dp,SceneToolbarButton:()=>mm,SceneToolbarInput:()=>gm,SceneVariableSet:()=>tf,SceneVariableValueChangedEvent:()=>$e,SplitLayout:()=>Sg,TestVariable:()=>Rf,TextBoxVariable:()=>Mf,UrlSyncContextProvider:()=>oh,UrlSyncManager:()=>nh,UserActionEvent:()=>U,VariableDependencyConfig:()=>Bl,VariableValueControl:()=>ef,VariableValueSelectWrapper:()=>Xp,VariableValueSelectors:()=>Yp,VizConfigBuilder:()=>Hb,VizConfigBuilders:()=>Gb,VizPanel:()=>Pu,VizPanelBuilder:()=>Ub,VizPanelExploreButton:()=>uh,VizPanelMenu:()=>lh,behaviors:()=>r,dataLayers:()=>a,formatRegistry:()=>qe,getExploreURL:()=>ch,isCustomVariableValue:()=>ze,isDataLayer:()=>Dt,isDataRequestEnricher:()=>Ot,isFiltersRequestEnricher:()=>Rt,isSceneObject:()=>Ct,registerQueryWithController:()=>rn,registerRuntimeDataSource:()=>pe,renderSelectForVariable:()=>Cn,sceneGraph:()=>pc,sceneUtils:()=>Yb,useSceneApp:()=>Cg,useSceneObjectState:()=>ee,useUrlSync:()=>ah});var r={};n.r(r),n.d(r,{ActWhenVariableChanged:()=>yc,CursorSync:()=>Ic,LiveNowTimer:()=>Tu,SceneQueryController:()=>_t});var a={};n.r(a),n.d(a,{AnnotationsDataLayer:()=>bp});var o=n(5959),i=n.t(o,2),s=n.n(o),l=n(3806),c=n(7781),u=n(8531),d=Object.defineProperty,p=Object.getOwnPropertySymbols,f=Object.prototype.hasOwnProperty,h=Object.prototype.propertyIsEnumerable,m=(e,t,n)=>t in e?d(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;function g(e,t,n){const r=((e,t)=>{for(var n in t||(t={}))f.call(t,n)&&m(e,n,t[n]);if(p)for(var n of p(t))h.call(t,n)&&m(e,n,t[n]);return e})({},t);if(n)for(const e of Object.keys(r))n.includes(e)||delete r[e];return c.urlUtil.renderUrl(c.locationUtil.assureBaseUrl(e),r)}function b(e,t){return s().createElement(e.Component,{model:e,routeProps:t})}var v=Object.defineProperty,y=Object.defineProperties,w=Object.getOwnPropertyDescriptors,S=Object.getOwnPropertySymbols,x=Object.prototype.hasOwnProperty,E=Object.prototype.propertyIsEnumerable,A=(e,t,n)=>t in e?v(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const C=new Map;var O=n(1269);const R={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let D;const I=new Uint8Array(16);function P(){if(!D&&(D="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!D))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return D(I)}const _=[];for(let e=0;e<256;++e)_.push((e+256).toString(16).slice(1));const T=function(e,t,n){if(R.randomUUID&&!t&&!e)return R.randomUUID();const r=(e=e||{}).random||(e.rng||P)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){n=n||0;for(let e=0;e<16;++e)t[n+e]=r[e];return t}return function(e,t=0){return _[e[t+0]]+_[e[t+1]]+_[e[t+2]]+_[e[t+3]]+"-"+_[e[t+4]]+_[e[t+5]]+"-"+_[e[t+6]]+_[e[t+7]]+"-"+_[e[t+8]]+_[e[t+9]]+"-"+_[e[t+10]]+_[e[t+11]]+_[e[t+12]]+_[e[t+13]]+_[e[t+14]]+_[e[t+15]]}(r)};var k=Object.defineProperty,M=Object.defineProperties,B=Object.getOwnPropertyDescriptors,L=Object.getOwnPropertySymbols,N=Object.prototype.hasOwnProperty,j=Object.prototype.propertyIsEnumerable,F=(e,t,n)=>t in e?k(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const V=s().memo((function(e){var t,n=e,{model:r}=n,a=((e,t)=>{var n={};for(var r in e)N.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&L)for(var r of L(e))t.indexOf(r)<0&&j.call(e,r)&&(n[r]=e[r]);return n})(n,["model"]);const i=null!=(t=r.constructor.Component)?t:$,[l,c]=(0,o.useState)(0);return(0,o.useEffect)((()=>{const e=r.activate();return c((e=>e+1)),e}),[r]),r.isActive||r.renderBeforeActivation?s().createElement(i,(u=((e,t)=>{for(var n in t||(t={}))N.call(t,n)&&F(e,n,t[n]);if(L)for(var n of L(t))j.call(t,n)&&F(e,n,t[n]);return e})({},a),M(u,B({model:r})))):null;var u}));function $(e){return null}class z extends c.BusEventWithPayload{}z.type="scene-object-state-change";class U extends c.BusEventWithPayload{}U.type="scene-object-user-action";var W,H=(e,t,n)=>{if(!t.has(e))throw TypeError("Cannot "+n)};class G{constructor(e){var t,n;((e,t)=>{if(t.has(e))throw TypeError("Cannot add the same private member more than once");t instanceof WeakSet?t.add(e):t.set(e,void 0)})(this,W),n=e,H(this,t=W,"write to private field"),t.set(this,n)}resolve(){return H(this,e=W,"read from private field"),e.get(this);var e}}W=new WeakMap;var q=Object.defineProperty,Q=Object.getOwnPropertySymbols,Y=Object.prototype.hasOwnProperty,X=Object.prototype.propertyIsEnumerable,K=(e,t,n)=>t in e?q(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Z=(e,t)=>{for(var n in t||(t={}))Y.call(t,n)&&K(e,n,t[n]);if(Q)for(var n of Q(t))X.call(t,n)&&K(e,n,t[n]);return e};class J{constructor(e){this._isActive=!1,this._activationHandlers=[],this._deactivationHandlers=new Map,this._subs=new O.Subscription,this._refCount=0,this._renderBeforeActivation=!1,e.key||(e.key=T()),this._events=new c.EventBusSrv,this._state=Object.freeze(e),this._setParent(this._state)}get state(){return this._state}get isActive(){return this._isActive}get renderBeforeActivation(){return this._renderBeforeActivation}get parent(){return this._parent}get variableDependency(){return this._variableDependency}get urlSync(){return this._urlSync}get Component(){return V}_setParent(e){te(e,(e=>{e._parent&&e._parent!==this&&console.warn("SceneObject already has a parent set that is different from the new parent. You cannot share the same SceneObject instance in multiple scenes or in multiple different places of the same scene graph. Use SceneObject.clone() to duplicate a SceneObject or store a state key reference and use sceneGraph.findObject to locate it.",e,this),e._parent=this}))}clearParent(){this._parent=void 0}subscribeToState(e){return this._events.subscribe(z,(t=>{t.payload.changedObject===this&&e(t.payload.newState,t.payload.prevState)}))}subscribeToEvent(e,t){return this._events.subscribe(e,t)}setState(e){const t=this._state,n=Z(Z({},this._state),e);this._state=Object.freeze(n),this._setParent(e),this._handleActivationOfChangedStateProps(t,n),this.publishEvent(new z({prevState:t,newState:n,partialUpdate:e,changedObject:this}),!0)}_handleActivationOfChangedStateProps(e,t){this.isActive&&(e.$behaviors!==t.$behaviors&&this._handleChangedBehaviors(e.$behaviors,t.$behaviors),e.$data!==t.$data&&this._handleChangedStateActivation(e.$data,t.$data),e.$variables!==t.$variables&&this._handleChangedStateActivation(e.$variables,t.$variables),e.$timeRange!==t.$timeRange&&this._handleChangedStateActivation(e.$timeRange,t.$timeRange))}_handleChangedStateActivation(e,t){if(e){const t=this._deactivationHandlers.get(e);t&&(t(),this._deactivationHandlers.delete(e))}t&&this._deactivationHandlers.set(t,t.activate())}_handleChangedBehaviors(e,t){if(e)for(const n of e)if(!t||!t.includes(n)){const e=this._deactivationHandlers.get(n);e&&(e(),this._deactivationHandlers.delete(n))}if(t)for(const n of t)e&&e.includes(n)||this._activateBehavior(n)}publishEvent(e,t){this._events.publish(e),t&&this.parent&&this.parent.publishEvent(e,t)}getRoot(){return this._parent?this._parent.getRoot():this}_internalActivate(){this._isActive=!0;const{$data:e,$variables:t,$timeRange:n,$behaviors:r}=this.state;if(this._activationHandlers.forEach((e=>{const t=e();t&&this._deactivationHandlers.set(t,t)})),n&&!n.isActive&&this._deactivationHandlers.set(n,n.activate()),t&&!t.isActive&&this._deactivationHandlers.set(t,t.activate()),e&&!e.isActive&&this._deactivationHandlers.set(e,e.activate()),r)for(const e of r)this._activateBehavior(e)}_activateBehavior(e){if(e instanceof J)this._deactivationHandlers.set(e,e.activate());else if("function"==typeof e){const t=e(this);t&&this._deactivationHandlers.set(e,t)}}activate(){this.isActive||this._internalActivate(),this._refCount++;let e=!1;return()=>{if(this._refCount--,e)throw new Error("SceneObject cancelation handler returned by activate() called a second time");e=!0,0===this._refCount&&this._internalDeactivate()}}_internalDeactivate(){this._isActive=!1;for(let e of this._deactivationHandlers.values())e();this._deactivationHandlers.clear(),this._events.removeAllListeners(),this._subs.unsubscribe(),this._subs=new O.Subscription}useState(){return ee(this)}forceRender(){this.setState({})}clone(e){return function(e,t){const n=le(e.state,t);return new e.constructor(n)}(this,e)}addActivationHandler(e){this._activationHandlers.push(e)}forEachChild(e){te(this.state,e)}getRef(){return this._ref||(this._ref=new G(this)),this._ref}}function ee(e,t){var n;const[r,a]=(0,o.useState)(e.state),i=e.state,s=null!=(n=null==t?void 0:t.shouldActivateOrKeepAlive)&&n;return(0,o.useEffect)((()=>{let t;s&&(t=e.activate());const n=e.subscribeToState((e=>{a(e)}));return e.state!==i&&a(e.state),()=>{n.unsubscribe(),t&&t()}}),[e,s]),e.state}function te(e,t){for(const n of Object.values(e))if(n instanceof J&&t(n),Array.isArray(n))for(const e of n)e instanceof J&&t(e)}var ne=Object.defineProperty,re=Object.getOwnPropertySymbols,ae=Object.prototype.hasOwnProperty,oe=Object.prototype.propertyIsEnumerable,ie=(e,t,n)=>t in e?ne(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,se=(e,t)=>{for(var n in t||(t={}))ae.call(t,n)&&ie(e,n,t[n]);if(re)for(var n of re(t))oe.call(t,n)&&ie(e,n,t[n]);return e};function le(e,t){const n=se({},e);Object.assign(n,t);for(const e in n){if(t&&void 0!==t[e])continue;const r=n[e];if(r instanceof J&&(n[e]=r.clone()),r instanceof G)console.warn("Cloning object with SceneObjectRef");else if(Array.isArray(r)){const t=[];for(const e of r)e instanceof J?t.push(e.clone()):t.push(e);n[e]=t}}return n}function ce(e,t){let n,r=e;for(;r&&!n;)n=t(r),r=r.parent;return n}class ue extends c.DataSourceApi{constructor(e,t){super({name:"RuntimeDataSource-"+e,uid:t,type:e,id:1,readOnly:!0,jsonData:{},access:"direct",meta:{id:e,name:"RuntimeDataSource-"+e,type:c.PluginType.datasource,info:{author:{name:""},description:"",links:[],logos:{large:"",small:""},screenshots:[],updated:"",version:""},module:"",baseUrl:""}})}testDatasource(){return Promise.resolve({})}}const de=new Map;function pe({dataSource:e}){if(de.has(e.uid))throw new Error(`A runtime data source with uid ${e.uid} has already been registered`);de.set(e.uid,e)}var fe=n(3241);function he(e,t){const n=t.state.$variables;if(!n)return t.parent?he(e,t.parent):null;return n.getByName(e)||(t.parent?he(e,t.parent):null)}var me=(e=>(e.Auto="auto",e.BasicGauge="basic",e.ColorBackground="color-background",e.ColorBackgroundSolid="color-background-solid",e.ColorText="color-text",e.Custom="custom",e.DataLinks="data-links",e.Gauge="gauge",e.GradientGauge="gradient-gauge",e.Image="image",e.JSONView="json-view",e.LcdGauge="lcd-gauge",e.Sparkline="sparkline",e))(me||{}),ge=(e=>(e.CSV="csv",e.Date="date",e.Distributed="distributed",e.DoubleQuote="doublequote",e.Glob="glob",e.HTML="html",e.JSON="json",e.Lucene="lucene",e.PercentEncode="percentencode",e.Pipe="pipe",e.QueryParam="queryparam",e.Raw="raw",e.Regex="regex",e.SQLString="sqlstring",e.SingleQuote="singlequote",e.Text="text",e.UriEncode="uriencode",e))(ge||{});me.Auto;var be=(e=>(e.NotStarted="NotStarted",e.Loading="Loading",e.Streaming="Streaming",e.Done="Done",e.Error="Error",e))(be||{}),ve=Object.defineProperty,ye=Object.getOwnPropertySymbols,we=Object.prototype.hasOwnProperty,Se=Object.prototype.propertyIsEnumerable,xe=(e,t,n)=>t in e?ve(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Ee extends J{constructor(e){super(((e,t)=>{for(var n in t||(t={}))we.call(t,n)&&xe(e,n,t[n]);if(ye)for(var n of ye(t))Se.call(t,n)&&xe(e,n,t[n]);return e})({data:Ae},e))}getResultsStream(){const e={origin:this,data:this.state.data};return(0,O.of)(e)}}const Ae={state:be.Done,series:[],timeRange:(0,c.getDefaultTimeRange)()};class Ce{constructor(e,t){this._sceneObject=e,this._nextChangeShouldAddHistoryStep=!1,this._keys=t.keys}getKeys(){return"function"==typeof this._keys?this._keys():this._keys}getUrlState(){return this._sceneObject.getUrlState()}updateFromUrl(e){this._sceneObject.updateFromUrl(e)}performBrowserHistoryAction(e){this._nextChangeShouldAddHistoryStep=!0,e(),this._nextChangeShouldAddHistoryStep=!1}shouldCreateHistoryStep(e){return this._nextChangeShouldAddHistoryStep}}const Oe=/^\d+[yYmMsSwWhHdD]$/;function Re(e){if("string"!=typeof e)return null;if(-1!==e.indexOf("now"))return e;if(Oe.test(e))return e;if(8===e.length){const t=(0,c.toUtc)(e,"YYYYMMDD");if(t.isValid())return t.toISOString()}else if(15===e.length){const t=(0,c.toUtc)(e,"YYYYMMDDTHHmmss");if(t.isValid())return t.toISOString()}else if(19===e.length){const t=(0,c.toUtc)(e,"YYYY-MM-DD HH:mm:ss");if(t.isValid())return t.toISOString()}else if(24===e.length)return(0,c.toUtc)(e).toISOString();const t=parseInt(e,10);return isNaN(t)?null:(0,c.toUtc)(t).toISOString()}function De(e,t,n,r,a,o){const i=a&&"now"===t,s=Date.now();o&&function(e){e!==Ie&&(Ie=e,(0,c.setWeekStart)(e))}(o);const l=(e,t)=>c.dateMath.toDateTime?c.dateMath.toDateTime(e,t):c.dateMath.parse(e,t.roundUp,t.timezone,t.fiscalYearStartMonth);return{to:l(i?"now-"+a:t,{roundUp:!0,timezone:n,fiscalYearStartMonth:r,now:s}),from:l(e,{roundUp:!1,timezone:n,fiscalYearStartMonth:r,now:s}),raw:{from:e,to:t}}}let Ie;function Pe(e,t,n){return(0,c.isDateTime)(e)?e.isValid():c.dateMath.isMathString(e)?c.dateMath.isValid(e):(0,c.dateTimeParse)(e,{roundUp:t,timeZone:n}).isValid()}var _e=Object.defineProperty,Te=Object.getOwnPropertySymbols,ke=Object.prototype.hasOwnProperty,Me=Object.prototype.propertyIsEnumerable,Be=(e,t,n)=>t in e?_e(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Le extends J{constructor(e={}){var t;const n=e.from&&Pe(e.from)?e.from:"now-6h",r=e.to&&Pe(e.to)?e.to:"now",a=e.timeZone;super(((e,t)=>{for(var n in t||(t={}))ke.call(t,n)&&Be(e,n,t[n]);if(Te)for(var n of Te(t))Me.call(t,n)&&Be(e,n,t[n]);return e})({from:n,to:r,timeZone:a,value:De(n,r,a||(0,c.getTimeZone)(),e.fiscalYearStartMonth,e.UNSAFE_nowDelay,e.weekStart),refreshOnActivate:null!=(t=e.refreshOnActivate)?t:{percent:10}},e)),this._urlSync=new Ce(this,{keys:["from","to","timezone","time","time.window"]}),this.onTimeRangeChange=e=>{const t={};"string"==typeof e.raw.from?t.from=e.raw.from:t.from=e.raw.from.toISOString(),"string"==typeof e.raw.to?t.to=e.raw.to:t.to=e.raw.to.toISOString(),t.value=De(t.from,t.to,this.getTimeZone(),this.state.fiscalYearStartMonth,this.state.UNSAFE_nowDelay,this.state.weekStart),t.from===this.state.from&&t.to===this.state.to||this._urlSync.performBrowserHistoryAction((()=>{this.setState(t)}))},this.onTimeZoneChange=e=>{this._urlSync.performBrowserHistoryAction((()=>{this.setState({timeZone:e})}))},this.onRefresh=()=>{this.refreshRange(0),this.publishEvent(new u.RefreshEvent,!0)},this.addActivationHandler(this._onActivate.bind(this))}_onActivate(){if(!this.state.timeZone){const e=this.getTimeZoneSource();e!==this&&this._subs.add(e.subscribeToState(((e,t)=>{void 0!==e.timeZone&&e.timeZone!==t.timeZone&&this.refreshRange(0)})))}return c.rangeUtil.isRelativeTimeRange(this.state.value.raw)&&this.refreshIfStale(),()=>{this.state.weekStart&&(0,c.setWeekStart)(u.config.bootData.user.weekStart)}}refreshIfStale(){var e,t,n,r;let a;void 0!==(null==(t=null==(e=this.state)?void 0:e.refreshOnActivate)?void 0:t.percent)&&(a=this.calculatePercentOfInterval(this.state.refreshOnActivate.percent)),void 0!==(null==(r=null==(n=this.state)?void 0:n.refreshOnActivate)?void 0:r.afterMs)&&(a=Math.min(this.state.refreshOnActivate.afterMs,null!=a?a:1/0)),void 0!==a&&this.refreshRange(a)}getTimeZoneSource(){if(!this.parent||!this.parent.parent)return this;return ce(this.parent.parent,(e=>{if(e.state.$timeRange&&e.state.$timeRange.state.timeZone)return e.state.$timeRange}))||this}refreshRange(e){var t;const n=De(this.state.from,this.state.to,null!=(t=this.state.timeZone)?t:(0,c.getTimeZone)(),this.state.fiscalYearStartMonth,this.state.UNSAFE_nowDelay,this.state.weekStart);n.to.diff(this.state.value.to,"milliseconds")>=e&&this.setState({value:n})}calculatePercentOfInterval(e){const t=this.state.value.to.diff(this.state.value.from,"milliseconds");return Math.ceil(t/e)}getTimeZone(){if(this.state.timeZone)return this.state.timeZone;const e=this.getTimeZoneSource();return e!==this?e.state.timeZone:(0,c.getTimeZone)()}getUrlState(){const e=u.locationService.getSearchObject(),t={from:this.state.from,to:this.state.to,timezone:this.getTimeZone()};return e.time&&e["time.window"]&&(t.time=null,t["time.window"]=null),t}updateFromUrl(e){var t,n,r;const a={};let o=Re(e.from),i=Re(e.to);if(e.time&&e["time.window"]){const t=function(e,t){const n=isNaN(Date.parse(e))?parseInt(e,10):Date.parse(e);let r;return r=t.match(/^\d+$/)&&parseInt(t,10)?parseInt(t,10):c.rangeUtil.intervalToMs(t),{from:(0,c.toUtc)(n-r/2).toISOString(),to:(0,c.toUtc)(n+r/2).toISOString()}}(Array.isArray(e.time)?e.time[0]:e.time,Array.isArray(e["time.window"])?e["time.window"][0]:e["time.window"]);t.from&&Pe(t.from)&&(o=t.from),t.to&&Pe(t.to)&&(i=t.to)}if(o&&Pe(o)&&(a.from=o),i&&Pe(i)&&(a.to=i),"string"==typeof e.timezone&&(a.timeZone=""!==e.timezone?e.timezone:void 0),0!==Object.keys(a).length)return a.value=De(null!=(t=a.from)?t:this.state.from,null!=(n=a.to)?n:this.state.to,null!=(r=a.timeZone)?r:this.getTimeZone(),this.state.fiscalYearStartMonth,this.state.UNSAFE_nowDelay,this.state.weekStart),this.setState(a)}}const Ne=new Ee,je=new Le,Fe=new class extends J{constructor(){super({variables:[]})}getByName(e){}isVariableLoadingOrWaitingToUpdate(e){return!1}};function Ve(e){var t;return null!=(t=ce(e,(e=>e.state.$timeRange)))?t:je}class $e extends c.BusEventWithPayload{}function ze(e){return"object"==typeof e&&"formatter"in e}$e.type="scene-variable-changed-value";let Ue,We={};function He(e){return We[e]||(We[e]=(0,fe.property)(e))}class Ge{constructor(e,t){this.state={name:e,value:t,type:"scopedvar"}}getValue(e){let{value:t}=this.state,n=t.value;return n=e?He(e)(t.value):t.value,"string"===n||"number"===n||"boolean"===n?n:String(n)}getValueText(){const{value:e}=this.state;return null!=e.text?String(e.text):String(e)}}const qe=new c.Registry((()=>{const e=[{id:ge.Lucene,name:"Lucene",description:"Values are lucene escaped and multi-valued variables generate an OR expression",formatter:e=>"string"==typeof e?Qe(e):Array.isArray(e)?0===e.length?"__empty__":"("+(0,fe.map)(e,(e=>'"'+Qe(e)+'"')).join(" OR ")+")":Qe(`${e}`)},{id:ge.Raw,name:"raw",description:"Keep value as is",formatter:e=>String(e)},{id:ge.Regex,name:"Regex",description:"Values are regex escaped and multi-valued variables generate a (<value>|<value>) expression",formatter:e=>{if("string"==typeof e)return(0,c.escapeRegex)(e);if(Array.isArray(e)){const t=e.map((e=>"string"==typeof e?(0,c.escapeRegex)(e):(0,c.escapeRegex)(String(e))));return 1===t.length?t[0]:"("+t.join("|")+")"}return(0,c.escapeRegex)(`${e}`)}},{id:ge.Pipe,name:"Pipe",description:"Values are separated by | character",formatter:e=>"string"==typeof e?e:Array.isArray(e)?e.join("|"):`${e}`},{id:ge.Distributed,name:"Distributed",description:"Multiple values are formatted like variable=value",formatter:(e,t,n)=>"string"==typeof e?e:Array.isArray(e)?(e=(0,fe.map)(e,((e,t)=>0!==t?n.state.name+"="+e:e)),e.join(",")):`${e}`},{id:ge.CSV,name:"Csv",description:"Comma-separated values",formatter:e=>"string"==typeof e?e:(0,fe.isArray)(e)?e.join(","):String(e)},{id:ge.HTML,name:"HTML",description:"HTML escaping of values",formatter:e=>"string"==typeof e?c.textUtil.escapeHtml(e):(0,fe.isArray)(e)?c.textUtil.escapeHtml(e.join(", ")):c.textUtil.escapeHtml(String(e))},{id:ge.JSON,name:"JSON",description:"JSON stringify value",formatter:e=>"string"==typeof e?e:JSON.stringify(e)},{id:ge.PercentEncode,name:"Percent encode",description:"Useful for URL escaping values",formatter:e=>(0,fe.isArray)(e)?Ye("{"+e.join(",")+"}"):Ye(e)},{id:ge.SingleQuote,name:"Single quote",description:"Single quoted values",formatter:e=>{const t=new RegExp("'","g");if((0,fe.isArray)(e))return(0,fe.map)(e,(e=>`'${(0,fe.replace)(e,t,"\\'")}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,fe.replace)(n,t,"\\'")}'`}},{id:ge.DoubleQuote,name:"Double quote",description:"Double quoted values",formatter:e=>{const t=new RegExp('"',"g");if((0,fe.isArray)(e))return(0,fe.map)(e,(e=>`"${(0,fe.replace)(e,t,'\\"')}"`)).join(",");let n="string"==typeof e?e:String(e);return`"${(0,fe.replace)(n,t,'\\"')}"`}},{id:ge.SQLString,name:"SQL string",description:"SQL string quoting and commas for use in IN statements and other scenarios",formatter:et},{id:ge.Date,name:"Date",description:"Format date in different ways",formatter:(e,t)=>{var n;let r=NaN;if("number"==typeof e?r=e:"string"==typeof e&&(r=parseInt(e,10)),isNaN(r))return"NaN";const a=null!=(n=t[0])?n:"iso";switch(a){case"ms":return String(e);case"seconds":return`${Math.round(r/1e3)}`;case"iso":return(0,c.dateTime)(r).toISOString();default:return(t||[]).length>1?(0,c.dateTime)(r).format(t.join(":")):(0,c.dateTime)(r).format(a)}}},{id:ge.Glob,name:"Glob",description:"Format multi-valued variables using glob syntax, example {value1,value2}",formatter:e=>(0,fe.isArray)(e)&&e.length>1?"{"+e.join(",")+"}":String(e)},{id:ge.Text,name:"Text",description:"Format variables in their text representation. Example in multi-variable scenario A + B + C.",formatter:(e,t,n)=>n.getValueText?n.getValueText():String(e)},{id:ge.QueryParam,name:"Query parameter",description:"Format variables as URL parameters. Example in multi-variable scenario A + B + C => var-foo=A&var-foo=B&var-foo=C.",formatter:(e,t,n)=>{if(n.urlSync){const e=n.urlSync.getUrlState();return c.urlUtil.toUrlParams(e)}return Array.isArray(e)?e.map((e=>Ze(n.state.name,e))).join("&"):Ze(n.state.name,e)}},{id:ge.UriEncode,name:"Percent encode as URI",description:"Useful for URL escaping values, taking into URI syntax characters",formatter:e=>(0,fe.isArray)(e)?Xe("{"+e.join(",")+"}"):Xe(e)}];return e}));function Qe(e){return!1===isNaN(+e)?e:e.replace(/([\!\*\+\-\=<>\s\&\|\(\)\[\]\{\}\^\~\?\:\\/"])/g,"\\$1")}function Ye(e){return"object"==typeof e&&(e=String(e)),Ke(encodeURIComponent(e))}const Xe=e=>Ke(encodeURI(String(e))),Ke=e=>e.replace(/[!'()*]/g,(e=>"%"+e.charCodeAt(0).toString(16).toUpperCase()));function Ze(e,t){return`var-${e}=${Ye(t)}`}const Je={"'":"''",'"':'\\"'};function et(e){const t=new RegExp("'|\"","g");if((0,fe.isArray)(e))return(0,fe.map)(e,(e=>`'${(0,fe.replace)(e,t,(e=>{var t;return null!=(t=Je[e])?t:""}))}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,fe.replace)(n,t,(e=>{var t;return null!=(t=Je[e])?t:""}))}'`}const tt="All",nt="$__all",rt="$__auto",at=/\$(\w+)|\[\[(\w+?)(?::(\w+))?\]\]|\${(\w+)(?:\.([^:^\}]+))?(?::([^\}]+))?}/g;class ot{constructor(e){this._value=e}formatter(){return this._value}}class it{constructor(e,t){this.state={name:e,type:"time_macro"},this._sceneObject=t}getValue(){const e=Ve(this._sceneObject);return"__from"===this.state.name?e.state.value.from.valueOf():e.state.value.to.valueOf()}getValueText(){const e=Ve(this._sceneObject);return"__from"===this.state.name?(0,c.dateTimeFormat)(e.state.value.from,{timeZone:e.getTimeZone()}):(0,c.dateTimeFormat)(e.state.value.to,{timeZone:e.getTimeZone()})}}class st{constructor(e,t,n){this.state={name:e,type:"time_macro",match:n},this._sceneObject=t}getValue(){var e;const t=sc(this._sceneObject);if(t){const n=null==(e=t.state.data)?void 0:e.request;return n?"__interval_ms"===this.state.name?n.intervalMs:n.interval:this.state.match}return this.state.match}}function lt(e,t){e.setState(t)}function ct(){return u.useLocationService?(0,u.useLocationService)():u.locationService}class ut extends J{constructor(){super(...arguments),this._urlSync=new dt(this)}validateAndUpdate(){return this.getValueOptions({}).pipe((0,O.map)((e=>(this.updateValueGivenNewOptions(e),{}))))}onCancel(){this.setStateHelper({loading:!1});const e=this.parent;null==e||e.cancel(this)}updateValueGivenNewOptions(e){const{value:t,text:n,options:r}=this.state,a=this.getStateUpdateGivenNewOptions(e,t,n);this.interceptStateUpdateAfterValidation(a),this.setStateHelper(a),(a.value!==t||a.text!==n||this.hasAllValue()&&!(0,fe.isEqual)(e,r))&&this.publishEvent(new $e(this),!0)}getStateUpdateGivenNewOptions(e,t,n){const r={options:e,loading:!1,value:t,text:n};if(0===e.length)return this.state.defaultToAll||this.state.includeAll?(r.value=nt,r.text=tt):this.state.isMulti?(r.value=[],r.text=[]):(r.value="",r.text=""),r;if(this.hasAllValue())return this.state.includeAll?r.text=tt:(r.value=e[0].value,r.text=e[0].label,this.state.isMulti&&(r.value=[r.value],r.text=[r.text])),r;if(this.state.isMulti){const a=(Array.isArray(t)?t:[t]).filter((t=>e.find((e=>e.value===t)))),o=a.map((t=>e.find((e=>e.value===t)).label));if(0===a.length){const t=this.getDefaultMultiState(e);r.value=t.value,r.text=t.text}else(0,fe.isEqual)(a,t)||(r.value=a),(0,fe.isEqual)(o,n)||(r.text=o);return r}let a=function(e,t,n){let r;for(const a of n){if(a.value===e)return a;a.label===t&&(r=a)}return r}(t,n,e);return a?(r.text=a.label,r.value=a.value):this.state.defaultToAll?(r.value=nt,r.text=tt):(r.value=e[0].value,r.text=e[0].label),r}interceptStateUpdateAfterValidation(e){const t=e.value===nt&&this.state.text===tt;this.skipNextValidation&&e.value!==this.state.value&&e.text!==this.state.text&&!t&&(e.value=this.state.value,e.text=this.state.text),this.skipNextValidation=!1}getValue(){return this.hasAllValue()?this.state.allValue?new pt(this.state.allValue,this):this.state.options.map((e=>e.value)):this.state.value}getValueText(){return this.hasAllValue()?tt:Array.isArray(this.state.text)?this.state.text.join(" + "):String(this.state.text)}hasAllValue(){const e=this.state.value;return e===nt||Array.isArray(e)&&e[0]===nt}getDefaultMultiState(e){return this.state.defaultToAll?{value:[nt],text:[tt]}:e.length>0?{value:[e[0].value],text:[e[0].label]}:{value:[],text:[]}}changeValueTo(e,t){if(e!==this.state.value||t!==this.state.text){if(t||(t=Array.isArray(e)?e.map((e=>this.findLabelTextForValue(e))):this.findLabelTextForValue(e)),Array.isArray(e)){if(0===e.length){const n=this.getDefaultMultiState(this.state.options);e=n.value,t=n.text}e[e.length-1]===nt?(e=[nt],t=[tt]):e[0]===nt&&e.length>1&&(e.shift(),Array.isArray(t)&&t.shift())}(0,fe.isEqual)(e,this.state.value)&&(0,fe.isEqual)(t,this.state.text)||(this.setStateHelper({value:e,text:t,loading:!1}),this.publishEvent(new $e(this),!0))}}findLabelTextForValue(e){if(e===nt)return tt;const t=this.state.options.find((t=>t.value===e));if(t)return t.label;const n=this.state.options.find((t=>t.label===e));return n?n.label:e}setStateHelper(e){lt(this,e)}getOptionsForSelect(){let e=this.state.options;return this.state.includeAll&&(e=[{value:nt,label:tt},...e]),Array.isArray(this.state.value)||e.find((e=>e.value===this.state.value))||(e=[{value:this.state.value,label:String(this.state.text)},...e]),e}refreshOptions(){this.getValueOptions({}).subscribe((e=>{this.updateValueGivenNewOptions(e)}))}}class dt{constructor(e){this._sceneObject=e}getKey(){return`var-${this._sceneObject.state.name}`}getKeys(){return this._sceneObject.state.skipUrlSync?[]:[this.getKey()]}getUrlState(){if(this._sceneObject.state.skipUrlSync)return{};let e=null,t=this._sceneObject.state.value;return e=Array.isArray(t)?t.map(String):this._sceneObject.state.isMulti?[String(t)]:String(t),{[this.getKey()]:e}}updateFromUrl(e){let t=e[this.getKey()];var n;null!=t&&(this._sceneObject.state.includeAll&&(n=t,t=(0,fe.isArray)(n)&&n[0]===tt?[nt]:n===tt?nt:n),this._sceneObject.state.allValue&&this._sceneObject.state.allValue===t&&(t=nt),this._sceneObject.isActive||(this._sceneObject.skipNextValidation=!0),this._sceneObject.changeValueTo(t))}}class pt{constructor(e,t){this._value=e,this._variable=t}formatter(e){return e===ge.Text?tt:e===ge.PercentEncode?qe.get(ge.PercentEncode).formatter(this._value,[],this._variable):e===ge.QueryParam?qe.get(ge.QueryParam).formatter(tt,[],this._variable):this._value}}function ft(e,t={}){if(e.state.$variables)for(const n of e.state.$variables.state.variables)n.state.skipUrlSync||t[n.state.name]||(t[n.state.name]=n);return e.parent&&ft(e.parent,t),t}var ht=Object.defineProperty,mt=Object.defineProperties,gt=Object.getOwnPropertyDescriptors,bt=Object.getOwnPropertySymbols,vt=Object.prototype.hasOwnProperty,yt=Object.prototype.propertyIsEnumerable,wt=(e,t,n)=>t in e?ht(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const St=(0,c.getDisplayProcessor)();class xt{constructor(e){this._urlQueryParams=e}formatter(e){if(!e)return this._urlQueryParams;const t=e.split(":");if("exclude"===t[0]&&t.length>1){const e=new URLSearchParams(this._urlQueryParams);for(const n of t[1].split(","))e.delete(n);return`?${e}`}if("include"===t[0]&&t.length>1){const e=new URLSearchParams(this._urlQueryParams),n=t[1].split(",");for(const t of e.keys())n.includes(t)||e.delete(t);return`?${e}`}return this._urlQueryParams}}const Et=new Map([[c.DataLinkBuiltInVars.includeVars,class{constructor(e,t){this.state={name:e,type:"url_variable"},this._sceneObject=t}getValue(){const e=ft(this._sceneObject),t=qe.get(ge.QueryParam),n=[];for(const r of Object.keys(e)){const a=e[r];if(a instanceof ut&&a.hasAllValue()&&!a.state.allValue){n.push(t.formatter(nt,[],a));continue}const o=a.getValue();o&&(ze(o)?n.push(o.formatter(ge.QueryParam)):n.push(t.formatter(o,[],a)))}return new ot(n.join("&"))}getValueText(){return""}}],[c.DataLinkBuiltInVars.keepTime,class{constructor(e,t){this.state={name:e,type:"url_variable"},this._sceneObject=t}getValue(){var e;const t=null==(e=Ve(this._sceneObject).urlSync)?void 0:e.getUrlState();return"browser"===(null==t?void 0:t.timezone)&&(t.timezone=Intl.DateTimeFormat().resolvedOptions().timeZone),new ot(c.urlUtil.toUrlParams(t))}getValueText(){return""}}],["__value",class{constructor(e,t,n,r){this._match=n,this._scopedVars=r,this.state={name:e,type:"__value"}}getValue(e){var t,n;const r=null==(t=this._scopedVars)?void 0:t.__dataContext;if(!r)return this._match;const{frame:a,rowIndex:o,field:i,calculatedValue:s}=r.value;if(s)switch(e){case"numeric":case"raw":return s.numeric;case"time":return"";default:return(0,c.formattedValueToString)(s)}if(null==o)return this._match;if("time"===e){const e=a.fields.find((e=>e.type===c.FieldType.time));return e?e.values.get(o):void 0}if(!i)return this._match;const l=i.values.get(o);if("raw"===e)return l;const u=(null!=(n=i.display)?n:St)(l);return"numeric"===e?u.numeric:(0,c.formattedValueToString)(u)}getValueText(){return""}}],["__data",class{constructor(e,t,n,r){this._match=n,this._scopedVars=r,this.state={name:e,type:"__data"}}getValue(e){var t,n;const r=null==(t=this._scopedVars)?void 0:t.__dataContext;if(!r||!e)return this._match;const{frame:a,rowIndex:o}=r.value;if(void 0===o||void 0===e)return this._match;const i={name:a.name,refId:a.refId,fields:(0,c.getFieldDisplayValuesProxy)({frame:a,rowIndex:o})};return null!=(n=He(e)(i))?n:""}getValueText(){return""}}],["__series",class{constructor(e,t,n,r){this._match=n,this._scopedVars=r,this.state={name:e,type:"__series"}}getValue(e){var t;const n=null==(t=this._scopedVars)?void 0:t.__dataContext;if(!n||!e)return this._match;if("name"!==e)return this._match;const{frame:r,frameIndex:a}=n.value;return(0,c.getFrameDisplayName)(r,a)}getValueText(){return""}}],["__field",class{constructor(e,t,n,r){this._match=n,this._scopedVars=r,this.state={name:e,type:"__field"}}getValue(e){var t,n;const r=null==(t=this._scopedVars)?void 0:t.__dataContext;if(!r||!e)return this._match;if(void 0===e||""===e)return this._match;const{frame:a,field:o,data:i}=r.value,s=function(e,t,n){return new Proxy({},{get:(r,a)=>{return"name"===a?e.name:"displayName"===a?(0,c.getFieldDisplayName)(e,t,n):"labels"===a||"formattedLabels"===a?e.labels?(o=((e,t)=>{for(var n in t||(t={}))vt.call(t,n)&&wt(e,n,t[n]);if(bt)for(var n of bt(t))yt.call(t,n)&&wt(e,n,t[n]);return e})({},e.labels),i={__values:Object.values(e.labels).sort().join(", "),toString:()=>(0,c.formatLabels)(e.labels,"",!0)},mt(o,gt(i))):"":void 0;var o,i}})}(o,a,i);return null!=(n=He(e)(s))?n:""}getValueText(){return""}}],["__url",class{constructor(e,t){this.state={name:e,type:"url_macro"}}getValue(e){var t;const n=u.locationService.getLocation(),r=null!=(t=u.config.appSubUrl)?t:"";switch(null!=e?e:""){case"params":return new xt(n.search);case"path":return r+n.pathname;default:return r+n.pathname+n.search}}getValueText(){return""}}],["__from",it],["__to",it],["__timezone",class{constructor(e,t){this.state={name:e,type:"time_macro"},this._sceneObject=t}getValue(){const e=Ve(this._sceneObject).getTimeZone();return"browser"===e?Intl.DateTimeFormat().resolvedOptions().timeZone:e}getValueText(){return this.getValue()}}],["__user",class{constructor(e,t){this.state={name:e,type:"user_macro"}}getValue(e){const t=u.config.bootData.user;switch(e){case"login":return t.login;case"email":return t.email;default:return String(t.id)}}getValueText(){return""}}],["__org",class{constructor(e,t){this.state={name:e,type:"org_macro"}}getValue(e){const t=u.config.bootData.user;return"name"===e?t.orgName:String(t.orgId)}getValueText(){return""}}],["__interval",st],["__interval_ms",st]]);function At(e,t,n,r,a){return t&&"string"==typeof t?(at.lastIndex=0,t.replace(at,((t,o,i,s,l,c,u)=>{const d=o||i||l,p=s||u||r,f=function(e,t,n,r){if(n&&n.hasOwnProperty(e)){const t=n[e];if(t)return function(e,t){return Ue?(Ue.state.name=e,Ue.state.value=t):Ue=new Ge(e,t),Ue}(e,t)}const a=he(e,r);if(a)return a;const o=Et.get(e);return o?new o(e,r,t,n):null}(d,t,n,e);if(!f)return a&&a.push({match:t,variableName:d,fieldPath:c,format:p,value:t,found:!1}),t;const h=function(e,t,n,r){if(null==n)return"";if(ze(n))return At(e,n.formatter(r));if(Array.isArray(n)||"object"!=typeof n||(n=`${n}`),"function"==typeof r)return r(n,{name:t.state.name,type:t.state.type,multi:t.state.isMulti,includeAll:t.state.includeAll});let a=[];r?(a=r.split(":"),a.length>1?(r=a[0],a=a.slice(1)):a=[]):r=ge.Glob;let o=qe.getIfExists(r);return o||(console.error(`Variable format ${r} not found. Using glob format as fallback.`),o=qe.get(ge.Glob)),o.formatter(n,a,t)}(e,f,f.getValue(c),p);return a&&a.push({match:t,variableName:d,fieldPath:c,format:p,value:h,found:h!==t}),h}))):null!=t?t:""}function Ct(e){return void 0!==e.useState}function Ot(e){return"enrichDataRequest"in e}function Rt(e){return"enrichFiltersRequest"in e}function Dt(e){return"isDataLayer"in e}var It,Pt=(e,t,n)=>(((e,t)=>{if(!t.has(e))throw TypeError("Cannot read from private field")})(e,t),n?n.call(e):t.get(e));class _t extends J{constructor(){super({isRunning:!1}),this.isQueryController=!0,((e,t,n)=>{if(t.has(e))throw TypeError("Cannot add the same private member more than once");t instanceof WeakSet?t.add(e):t.set(e,n)})(this,It,new Set),this.addActivationHandler((()=>()=>Pt(this,It).clear()))}queryStarted(e){Pt(this,It).add(e),this.changeRunningQueryCount(1),this.state.isRunning||this.setState({isRunning:!0})}queryCompleted(e){Pt(this,It).has(e)&&(Pt(this,It).delete(e),this.changeRunningQueryCount(-1),0===Pt(this,It).size&&this.setState({isRunning:!1}))}changeRunningQueryCount(e){var t;window.__grafanaRunningQueryCount=(null!=(t=window.__grafanaRunningQueryCount)?t:0)+e}cancelAll(){var e;for(const t of Pt(this,It).values())null==(e=t.cancel)||e.call(t)}}function Tt(e,t,...n){let r=!1;"undefined"!=typeof window&&(r="true"===localStorage.getItem("grafana.debug.scenes")),r&&console.log(`${e}: `,t,...n)}async function kt(e,t){if(null==e?void 0:e.uid){const t=de.get(e.uid);if(t)return t}return e&&e.query?e:await(0,u.getDataSourceSrv)().get(e,t)}It=new WeakMap;class Mt{constructor(){this._values=new Map}recordCurrentDependencyValuesForSceneObject(e){if(this.clearValues(),e.variableDependency)for(const t of e.variableDependency.getNames()){const n=pc.lookupVariable(t,e);n&&this._values.set(n.state.name,n.getValue())}}cloneAndRecordCurrentValuesForSceneObject(e){const t=new Mt;return t.recordCurrentDependencyValuesForSceneObject(e),t}clearValues(){this._values.clear()}hasValues(){return!!this._values}recordCurrentValue(e){this._values.set(e.state.name,e.getValue())}hasRecordedValue(e){return this._values.has(e.state.name)}hasValueChanged(e){return!(!this._values.has(e.state.name)||pl(this._values.get(e.state.name),e.getValue()))}hasDependenciesChanged(e){if(!this._values)return!1;if(!e.variableDependency)return!1;for(const t of e.variableDependency.getNames()){const n=pc.lookupVariable(t,e);if(!n)continue;const r=n.state.name;if(n&&this._values.has(r)&&!pl(this._values.get(r),n.getValue()))return!0}return!1}}function Bt(e){return"object"==typeof e&&"getExtraQueries"in e}var Lt=Object.defineProperty,Nt=Object.defineProperties,jt=Object.getOwnPropertyDescriptors,Ft=Object.getOwnPropertySymbols,Vt=Object.prototype.hasOwnProperty,$t=Object.prototype.propertyIsEnumerable,zt=(e,t,n)=>t in e?Lt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const Ut=(e,t)=>(0,O.of)(t);var Wt=Object.defineProperty,Ht=Object.defineProperties,Gt=Object.getOwnPropertyDescriptors,qt=Object.getOwnPropertySymbols,Qt=Object.prototype.hasOwnProperty,Yt=Object.prototype.propertyIsEnumerable,Xt=(e,t,n)=>t in e?Wt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Kt=(e,t)=>{for(var n in t||(t={}))Qt.call(t,n)&&Xt(e,n,t[n]);if(qt)for(var n of qt(t))Yt.call(t,n)&&Xt(e,n,t[n]);return e},Zt=(e,t)=>Ht(e,Gt(t));const Jt=0;function en(e){const t=e.getRoot();return Ot(t)?t.enrichDataRequest(e):null}let tn,nn=new Set;function rn(e){return t=>{const n=pc.getQueryController(e.origin);return n?new O.Observable((r=>{e.cancel||(e.cancel=()=>r.complete()),n.queryStarted(e);let a=!1;const o=t.subscribe({next:t=>{a||t.state===be.Loading||(a=!0,n.queryCompleted(e)),r.next(t)},error:e=>r.error(e),complete:()=>{r.complete()}});return()=>{o.unsubscribe(),a||n.queryCompleted(e)}})):t}}const an=new Set;var on=n(2007);const sn={RadioButton:{container:"data-testid radio-button"},Breadcrumbs:{breadcrumb:e=>`data-testid ${e} breadcrumb`},TimePicker:{openButton:"data-testid TimePicker Open Button",overlayContent:"data-testid TimePicker Overlay Content",fromField:"data-testid Time Range from field",toField:"data-testid Time Range to field",applyTimeRange:"data-testid TimePicker submit button",copyTimeRange:"data-testid TimePicker copy button",pasteTimeRange:"data-testid TimePicker paste button",calendar:{label:"data-testid Time Range calendar",openButton:"data-testid Open time range calendar",closeButton:"data-testid Close time range Calendar"},absoluteTimeRangeTitle:"data-testid-absolute-time-range-narrow"},DataSourcePermissions:{form:()=>'form[name="addPermission"]',roleType:"Role to add new permission to",rolePicker:"Built-in role picker",permissionLevel:"Permission Level"},DateTimePicker:{input:"data-testid date-time-input"},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:"Test Data Query scenario select container",scenarioSelect:"Test Data Query scenario select",max:"TestData max",min:"TestData min",noise:"TestData noise",seriesCount:"TestData series count",spread:"TestData spread",startValue:"TestData start value",drop:"TestData drop values"}},DataSourceHttpSettings:{urlInput:"data-testid Datasource HTTP settings url"},Jaeger:{traceIDInput:"Trace ID"},Prometheus:{configPage:{connectionSettings:"Data source connection URL",manageAlerts:"prometheus-alerts-manager",scrapeInterval:"data-testid scrape interval",queryTimeout:"data-testid query timeout",defaultEditor:"data-testid default editor",disableMetricLookup:"disable-metric-lookup",prometheusType:"data-testid prometheus type",prometheusVersion:"data-testid prometheus version",cacheLevel:"data-testid cache level",incrementalQuerying:"prometheus-incremental-querying",queryOverlapWindow:"data-testid query overlap window",disableRecordingRules:"disable-recording-rules",customQueryParameters:"data-testid custom query parameters",httpMethod:"data-testid http method",exemplarsAddButton:"data-testid Add exemplar config button",internalLinkSwitch:"data-testid Internal link switch",codeModeMetricNamesSuggestionLimit:"data-testid code mode metric names suggestion limit"},queryEditor:{explain:"data-testid prometheus explain switch wrapper",editorToggle:"data-testid QueryEditorModeToggle",options:"data-testid prometheus options",legend:"data-testid prometheus legend wrapper",format:"data-testid prometheus format",step:"prometheus-step",type:"data-testid prometheus type",exemplars:"prometheus-exemplars",builder:{metricSelect:"data-testid metric select",hints:"data-testid prometheus hints",metricsExplorer:"data-testid metrics explorer",queryAdvisor:"data-testid query advisor"},code:{queryField:"data-testid prometheus query field",metricsCountInfo:"data-testid metrics count disclaimer",metricsBrowser:{openButton:"data-testid open metrics browser",selectMetric:"data-testid select a metric",seriesLimit:"data-testid series limit",metricList:"data-testid metric list",labelNamesFilter:"data-testid label names filter",labelValuesFilter:"data-testid label values filter",useQuery:"data-testid use query",useAsRateQuery:"data-testid use as rate query",validateSelector:"data-testid validate selector",clear:"data-testid clear"}}},exemplarMarker:"data-testid Exemplar marker",variableQueryEditor:{queryType:"data-testid query type",labelnames:{metricRegex:"data-testid label names metric regex"},labelValues:{labelSelect:"data-testid label values label select"},metricNames:{metricRegex:"data-testid metric names metric regex"},varQueryResult:"data-testid variable query result",seriesQuery:"data-testid prometheus series query",classicQuery:"data-testid prometheus classic query"},annotations:{minStep:"prometheus-annotation-min-step",title:"data-testid prometheus annotation title",tags:"data-testid prometheus annotation tags",text:"data-testid prometheus annotation text",seriesValueAsTimestamp:"data-testid prometheus annotation series value as timestamp"}}},Menu:{MenuComponent:e=>`${e} menu`,MenuGroup:e=>`${e} menu group`,MenuItem:e=>`${e} menu item`,SubMenu:{container:"data-testid SubMenu container",icon:"data-testid SubMenu icon"}},Panels:{Panel:{title:e=>`data-testid Panel header ${e}`,content:"data-testid panel content",headerItems:e=>`data-testid Panel header item ${e}`,menuItems:e=>`data-testid Panel menu item ${e}`,menu:e=>`data-testid Panel menu ${e}`,containerByTitle:e=>`${e} panel`,headerCornerInfo:e=>`Panel header ${e}`,status:e=>`data-testid Panel status ${e}`,loadingBar:()=>"Panel loading bar",HoverWidget:{container:"data-testid hover-header-container",dragIcon:"data-testid drag-icon"},PanelDataErrorMessage:"data-testid Panel data error message"},Visualization:{Graph:{container:"Graph container",VisualizationTab:{legendSection:"Legend section"},Legend:{legendItemAlias:e=>`gpl alias ${e}`,showLegendSwitch:"gpl show legend"},xAxis:{labels:()=>"div.flot-x-axis > div.flot-tick-label"}},BarGauge:{value:"Bar gauge value",valueV2:"data-testid Bar gauge value"},PieChart:{svgSlice:"data testid Pie Chart Slice"},Text:{container:()=>".markdown-html"},Table:{header:"table header",footer:"table-footer",body:"data-testid table body"}}},VizLegend:{seriesName:e=>`data-testid VizLegend series ${e}`},Drawer:{General:{title:e=>`Drawer title ${e}`,expand:"Drawer expand",contract:"Drawer contract",close:"data-testid Drawer close",rcContentWrapper:()=>".rc-drawer-content-wrapper",subtitle:"data-testid drawer subtitle"},DashboardSaveDrawer:{saveButton:"data-testid Save dashboard drawer button",saveAsButton:"data-testid Save as dashboard drawer button",saveAsTitleInput:"Save dashboard title field"}},PanelEditor:{General:{content:"data-testid Panel editor content"},OptionsPane:{content:"data-testid Panel editor option pane content",select:"Panel editor option pane select",fieldLabel:e=>`${e} field property editor`,fieldInput:e=>`data-testid Panel editor option pane field input ${e}`},DataPane:{content:"data-testid Panel editor data pane content"},applyButton:"data-testid Apply changes and go back to dashboard",toggleVizPicker:"data-testid toggle-viz-picker",toggleVizOptions:"data-testid toggle-viz-options",toggleTableView:"data-testid toggle-table-view",showZoomField:"Map controls Show zoom control field property editor",showAttributionField:"Map controls Show attribution field property editor",showScaleField:"Map controls Show scale field property editor",showMeasureField:"Map controls Show measure tools field property editor",showDebugField:"Map controls Show debug field property editor",measureButton:"show measure tools"},PanelInspector:{Data:{content:"Panel inspector Data content"},Stats:{content:"Panel inspector Stats content"},Json:{content:"data-testid Panel inspector Json content"},Query:{content:"Panel inspector Query content",refreshButton:"Panel inspector Query refresh button",jsonObjectKeys:()=>".json-formatter-key"}},Tab:{title:e=>`data-testid Tab ${e}`,active:()=>'[class*="-activeTabStyle"]'},RefreshPicker:{runButton:"RefreshPicker run button",intervalButton:"RefreshPicker interval button",runButtonV2:"data-testid RefreshPicker run button",intervalButtonV2:"data-testid RefreshPicker interval button"},QueryTab:{content:"Query editor tab content",queryInspectorButton:"Query inspector button",queryHistoryButton:"data-testid query-history-button",addQuery:"data-testid query-tab-add-query",queryGroupTopSection:"data-testid query group top section",addExpression:"data-testid query-tab-add-expression"},QueryHistory:{queryText:"Query text"},QueryEditorRows:{rows:"Query editor row"},QueryEditorRow:{actionButton:e=>`data-testid ${e}`,title:e=>`Query editor row title ${e}`,container:e=>`Query editor row ${e}`},AlertTab:{content:"data-testid Alert editor tab content"},AlertRules:{groupToggle:"data-testid group-collapse-toggle",toggle:"data-testid collapse-toggle",expandedContent:"data-testid expanded-content",previewButton:"data-testid alert-rule preview-button",ruleNameField:"data-testid alert-rule name-field",newFolderButton:"data-testid alert-rule new-folder-button",newFolderNameField:"data-testid alert-rule name-folder-name-field",newFolderNameCreateButton:"data-testid alert-rule name-folder-name-create-button",newEvaluationGroupButton:"data-testid alert-rule new-evaluation-group-button",newEvaluationGroupName:"data-testid alert-rule new-evaluation-group-name",newEvaluationGroupInterval:"data-testid alert-rule new-evaluation-group-interval",newEvaluationGroupCreate:"data-testid alert-rule new-evaluation-group-create-button"},Alert:{alert:e=>`Alert ${e}`,alertV2:e=>`data-testid Alert ${e}`},TransformTab:{content:"data-testid Transform editor tab content",newTransform:e=>`data-testid New transform ${e}`,transformationEditor:e=>`data-testid Transformation editor ${e}`,transformationEditorDebugger:e=>`data-testid Transformation editor debugger ${e}`},Transforms:{card:e=>`data-testid New transform ${e}`,disableTransformationButton:"data-testid Disable transformation button",Reduce:{modeLabel:"data-testid Transform mode label",calculationsLabel:"data-testid Transform calculations label"},SpatialOperations:{actionLabel:"root Action field property editor",locationLabel:"root Location Mode field property editor",location:{autoOption:"Auto location option",coords:{option:"Coords location option",latitudeFieldLabel:"root Latitude field field property editor",longitudeFieldLabel:"root Longitude field field property editor"},geohash:{option:"Geohash location option",geohashFieldLabel:"root Geohash field field property editor"},lookup:{option:"Lookup location option",lookupFieldLabel:"root Lookup field field property editor",gazetteerFieldLabel:"root Gazetteer field property editor"}}},searchInput:"data-testid search transformations",noTransformationsMessage:"data-testid no transformations message",addTransformationButton:"data-testid add transformation button",removeAllTransformationsButton:"data-testid remove all transformations button"},NavBar:{Configuration:{button:"Configuration"},Toggle:{button:"data-testid Toggle menu"},Reporting:{button:"Reporting"}},NavMenu:{Menu:"data-testid navigation mega-menu",item:"data-testid Nav menu item"},NavToolbar:{container:"data-testid Nav toolbar",shareDashboard:"data-testid Share dashboard",markAsFavorite:"data-testid Mark as favorite",editDashboard:{editButton:"data-testid Edit dashboard button",saveButton:"data-testid Save dashboard button",exitButton:"data-testid Exit edit mode button",settingsButton:"data-testid Dashboard settings",addRowButton:"data-testid Add row button",addLibraryPanelButton:"data-testid Add a panel from the panel library button",addVisualizationButton:"data-testid Add new visualization menu item",pastePanelButton:"data-testid Paste panel button",discardChangesButton:"data-testid Discard changes button",discardLibraryPanelButton:"data-testid Discard library panel button",unlinkLibraryPanelButton:"data-testid Unlink library panel button",saveLibraryPanelButton:"data-testid Save library panel button",backToDashboardButton:"data-testid Back to dashboard button"}},PageToolbar:{container:()=>".page-toolbar",item:e=>`${e}`,itemButton:e=>`data-testid ${e}`},QueryEditorToolbarItem:{button:e=>`QueryEditor toolbar item button ${e}`},BackButton:{backArrow:"data-testid Go Back"},OptionsGroup:{group:e=>e?`data-testid Options group ${e}`:"data-testid Options group",toggle:e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle"},PluginVisualization:{item:e=>`Plugin visualization item ${e}`,current:()=>'[class*="-currentVisualizationItem"]'},Select:{option:"data-testid Select option",toggleAllOptions:"data-testid toggle all options",input:()=>'input[id*="time-options-input"]',singleValue:()=>'div[class*="-singleValue"]'},FieldConfigEditor:{content:"Field config editor content"},OverridesConfigEditor:{content:"Field overrides editor content"},FolderPicker:{container:"Folder picker select container",containerV2:"data-testid Folder picker select container",input:"data-testid folder-picker-input"},ReadonlyFolderPicker:{container:"data-testid Readonly folder picker select container"},DataSourcePicker:{container:"data-testid Data source picker select container",input:()=>'input[id="data-source-picker"]',inputV2:"data-testid Select a data source",dataSourceList:"data-testid Data source list dropdown",advancedModal:{dataSourceList:"data-testid Data source list",builtInDataSourceList:"data-testid Built in data source list"}},TimeZonePicker:{container:"Time zone picker select container",containerV2:"data-testid Time zone picker select container",changeTimeSettingsButton:"data-testid Time zone picker Change time settings button"},WeekStartPicker:{container:"Choose starting day of the week",containerV2:"data-testid Choose starting day of the week",placeholder:"Choose starting day of the week"},TraceViewer:{spanBar:"data-testid SpanBar--wrapper"},QueryField:{container:"data-testid Query field"},QueryBuilder:{queryPatterns:"data-testid Query patterns",labelSelect:"data-testid Select label",inputSelect:"data-testid Select label-input",valueSelect:"data-testid Select value",matchOperatorSelect:"data-testid Select match operator"},ValuePicker:{button:e=>`data-testid Value picker button ${e}`,select:e=>`data-testid Value picker select ${e}`},Search:{section:"Search section",sectionV2:"data-testid Search section",items:"Search items",itemsV2:"data-testid Search items",cards:"data-testid Search cards",collapseFolder:e=>`data-testid Collapse folder ${e}`,expandFolder:e=>`data-testid Expand folder ${e}`,dashboardItem:e=>`${sn.Search.dashboardItems} ${e}`,dashboardCard:e=>`data-testid Search card ${e}`,folderHeader:e=>`data-testid Folder header ${e}`,folderContent:e=>`data-testid Folder content ${e}`,dashboardItems:"data-testid Dashboard search item"},DashboardLinks:{container:"data-testid Dashboard link container",dropDown:"data-testid Dashboard link dropdown",link:"data-testid Dashboard link"},LoadingIndicator:{icon:"data-testid Loading indicator"},CallToActionCard:{button:e=>`Call to action button ${e}`,buttonV2:e=>`data-testid Call to action button ${e}`},DataLinksContextMenu:{singleLink:"data-testid Data link"},CodeEditor:{container:"data-testid Code editor container"},ReactMonacoEditor:{editorLazy:"data-testid ReactMonacoEditor editorLazy"},DashboardImportPage:{textarea:"data-testid-import-dashboard-textarea",submit:"data-testid-load-dashboard"},ImportDashboardForm:{name:"data-testid-import-dashboard-title",submit:"data-testid-import-dashboard-submit"},PanelAlertTabContent:{content:"data-testid Unified alert editor tab content"},VisualizationPreview:{card:e=>`data-testid suggestion-${e}`},ColorSwatch:{name:"data-testid-colorswatch"},DashboardRow:{title:e=>`data-testid dashboard-row-title-${e}`},UserProfile:{profileSaveButton:"data-testid-user-profile-save",preferencesSaveButton:"data-testid-shared-prefs-save",orgsTable:"data-testid-user-orgs-table",sessionsTable:"data-testid-user-sessions-table",extensionPointTabs:"data-testid-extension-point-tabs",extensionPointTab:e=>`data-testid-extension-point-tab-${e}`},FileUpload:{inputField:"data-testid-file-upload-input-field",fileNameSpan:"data-testid-file-upload-file-name"},DebugOverlay:{wrapper:"debug-overlay"},OrgRolePicker:{input:"Role"},AnalyticsToolbarButton:{button:"Dashboard insights"},Variables:{variableOption:"data-testid variable-option",variableLinkWrapper:"data-testid variable-link-wrapper"},Annotations:{annotationsTypeInput:"data-testid annotations-type-input",annotationsChoosePanelInput:"data-testid choose-panels-input",editor:{testButton:"data-testid annotations-test-button",resultContainer:"data-testid annotations-query-result-container"}},Tooltip:{container:"data-testid tooltip"},ReturnToPrevious:{buttonGroup:"data-testid dismissable button group",backButton:"data-testid back",dismissButton:"data-testid dismiss"},SQLQueryEditor:{selectColumn:"data-testid select-column",selectAggregation:"data-testid select-aggregation",selectAlias:"data-testid select-alias",filterConjunction:"data-testid filter-conjunction",filterField:"data-testid filter-field",filterOperator:"data-testid filter-operator",headerTableSelector:"data-testid header-table-selector",headerFilterSwitch:"data-testid header-filter-switch",headerGroupSwitch:"data-testid header-group-switch",headerOrderSwitch:"data-testid header-order-switch",headerPreviewSwitch:"data-testid header-preview-switch"},EntityNotFound:{container:"data-testid entity-not-found"}},ln={pages:{Login:{url:"/login",username:"data-testid Username input field",password:"data-testid Password input field",submit:"data-testid Login button",skip:"data-testid Skip change password button"},Home:{url:"/"},DataSource:{name:"data-testid Data source settings page name input field",delete:"Data source settings page Delete button",readOnly:"data-testid Data source settings page read only message",saveAndTest:"data-testid Data source settings page Save and Test button",alert:"data-testid Data source settings page Alert"},DataSources:{url:"/datasources",dataSources:e=>`Data source list item ${e}`},EditDataSource:{url:e=>`/datasources/edit/${e}`,settings:"Datasource settings page basic settings"},AddDataSource:{url:"/datasources/new",dataSourcePlugins:e=>`Data source plugin item ${e}`,dataSourcePluginsV2:e=>`Add new data source ${e}`},ConfirmModal:{delete:"data-testid Confirm Modal Danger Button"},AddDashboard:{url:"/dashboard/new",itemButton:e=>`data-testid ${e}`,addNewPanel:"data-testid Add new panel",addNewRow:"data-testid Add new row",addNewPanelLibrary:"data-testid Add new panel from panel library"},Dashboard:{url:e=>`/d/${e}`,DashNav:{nav:"Dashboard navigation",navV2:"data-testid Dashboard navigation",publicDashboardTag:"data-testid public dashboard tag",shareButton:"data-testid share-button",scrollContainer:"data-testid Dashboard canvas scroll container",newShareButton:{container:"data-testid new share button",shareLink:"data-testid new share link-button",arrowMenu:"data-testid new share button arrow menu",menu:{container:"data-testid new share button menu",shareInternally:"data-testid new share button share internally",shareExternally:"data-testid new share button share externally",shareSnapshot:"data-testid new share button share snapshot"}},NewExportButton:{container:"data-testid new export button",arrowMenu:"data-testid new export button arrow menu",Menu:{container:"data-testid new export button menu",exportAsJson:"data-testid new export button export as json"}},playlistControls:{prev:"data-testid playlist previous dashboard button",stop:"data-testid playlist stop dashboard button",next:"data-testid playlist next dashboard button"}},Controls:"data-testid dashboard controls",SubMenu:{submenu:"Dashboard submenu",submenuItem:"data-testid template variable",submenuItemLabels:e=>`data-testid Dashboard template variables submenu Label ${e}`,submenuItemValueDropDownValueLinkTexts:e=>`data-testid Dashboard template variables Variable Value DropDown value link text ${e}`,submenuItemValueDropDownDropDown:"Variable options",submenuItemValueDropDownOptionTexts:e=>`data-testid Dashboard template variables Variable Value DropDown option text ${e}`,Annotations:{annotationsWrapper:"data-testid annotation-wrapper",annotationLabel:e=>`data-testid Dashboard annotations submenu Label ${e}`,annotationToggle:e=>`data-testid Dashboard annotations submenu Toggle ${e}`}},Settings:{Actions:{close:"data-testid dashboard-settings-close"},General:{deleteDashBoard:"data-testid Dashboard settings page delete dashboard button",sectionItems:e=>`Dashboard settings section item ${e}`,saveDashBoard:"Dashboard settings aside actions Save button",saveAsDashBoard:"Dashboard settings aside actions Save As button",timezone:"Time zone picker select container",title:"General"},Annotations:{List:{addAnnotationCTA:sn.CallToActionCard.button("Add annotation query"),addAnnotationCTAV2:sn.CallToActionCard.buttonV2("Add annotation query"),annotations:"data-testid list-annotations"},Settings:{name:"data-testid Annotations settings name input"},NewAnnotation:{panelFilterSelect:"data-testid annotations-panel-filter",showInLabel:"data-testid show-in-label",previewInDashboard:"data-testid annotations-preview",delete:"data-testid annotations-delete",apply:"data-testid annotations-apply",enable:"data-testid annotation-enable",hide:"data-testid annotation-hide"}},Variables:{List:{addVariableCTA:sn.CallToActionCard.button("Add variable"),addVariableCTAV2:sn.CallToActionCard.buttonV2("Add variable"),newButton:"Variable editor New variable button",table:"Variable editor Table",tableRowNameFields:e=>`Variable editor Table Name field ${e}`,tableRowDefinitionFields:e=>`Variable editor Table Definition field ${e}`,tableRowArrowUpButtons:e=>`Variable editor Table ArrowUp button ${e}`,tableRowArrowDownButtons:e=>`Variable editor Table ArrowDown button ${e}`,tableRowDuplicateButtons:e=>`Variable editor Table Duplicate button ${e}`,tableRowRemoveButtons:e=>`Variable editor Table Remove button ${e}`},Edit:{General:{headerLink:"Variable editor Header link",modeLabelNew:"Variable editor Header mode New",modeLabelEdit:"Variable editor Header mode Edit",generalNameInput:"Variable editor Form Name field",generalNameInputV2:"data-testid Variable editor Form Name field",generalTypeSelect:"Variable editor Form Type select",generalTypeSelectV2:"data-testid Variable editor Form Type select",generalLabelInput:"Variable editor Form Label field",generalLabelInputV2:"data-testid Variable editor Form Label field",generalHideSelect:"Variable editor Form Hide select",generalHideSelectV2:"data-testid Variable editor Form Hide select",selectionOptionsMultiSwitch:"data-testid Variable editor Form Multi switch",selectionOptionsIncludeAllSwitch:"data-testid Variable editor Form IncludeAll switch",selectionOptionsCustomAllInput:"data-testid Variable editor Form IncludeAll field",previewOfValuesOption:"data-testid Variable editor Preview of Values option",submitButton:"data-testid Variable editor Run Query button",applyButton:"data-testid Variable editor Apply button"},QueryVariable:{queryOptionsDataSourceSelect:sn.DataSourcePicker.inputV2,queryOptionsRefreshSelect:"Variable editor Form Query Refresh select",queryOptionsRefreshSelectV2:"data-testid Variable editor Form Query Refresh select",queryOptionsRegExInput:"Variable editor Form Query RegEx field",queryOptionsRegExInputV2:"data-testid Variable editor Form Query RegEx field",queryOptionsSortSelect:"Variable editor Form Query Sort select",queryOptionsSortSelectV2:"data-testid Variable editor Form Query Sort select",queryOptionsQueryInput:"data-testid Variable editor Form Default Variable Query Editor textarea",valueGroupsTagsEnabledSwitch:"Variable editor Form Query UseTags switch",valueGroupsTagsTagsQueryInput:"Variable editor Form Query TagsQuery field",valueGroupsTagsTagsValuesQueryInput:"Variable editor Form Query TagsValuesQuery field"},ConstantVariable:{constantOptionsQueryInput:"Variable editor Form Constant Query field",constantOptionsQueryInputV2:"data-testid Variable editor Form Constant Query field"},DatasourceVariable:{datasourceSelect:"data-testid datasource variable datasource type"},TextBoxVariable:{textBoxOptionsQueryInput:"Variable editor Form TextBox Query field",textBoxOptionsQueryInputV2:"data-testid Variable editor Form TextBox Query field"},CustomVariable:{customValueInput:"data-testid custom-variable-input"},IntervalVariable:{intervalsValueInput:"data-testid interval variable intervals input",autoEnabledCheckbox:"data-testid interval variable auto value checkbox",stepCountIntervalSelect:"data-testid interval variable step count input",minIntervalInput:"data-testid interval variable mininum interval input"},GroupByVariable:{dataSourceSelect:sn.DataSourcePicker.inputV2,infoText:"data-testid group by variable info text",modeToggle:"data-testid group by variable mode toggle"},AdHocFiltersVariable:{datasourceSelect:sn.DataSourcePicker.inputV2,infoText:"data-testid ad-hoc filters variable info text",modeToggle:"data-testid ad-hoc filters variable mode toggle"}}}},Annotations:{marker:"data-testid annotation-marker"},Rows:{Repeated:{ConfigSection:{warningMessage:"data-testid Repeated rows warning message"}}}},Dashboards:{url:"/dashboards",dashboards:e=>`Dashboard search item ${e}`},SaveDashboardAsModal:{newName:"Save dashboard title field",save:"Save dashboard button"},SaveDashboardModal:{save:"Dashboard settings Save Dashboard Modal Save button",saveVariables:"Dashboard settings Save Dashboard Modal Save variables checkbox",saveTimerange:"Dashboard settings Save Dashboard Modal Save timerange checkbox",saveRefresh:"Dashboard settings Save Dashboard Modal Save refresh checkbox"},SharePanelModal:{linkToRenderedImage:"Link to rendered image"},ShareDashboardModal:{PublicDashboard:{WillBePublicCheckbox:"data-testid public dashboard will be public checkbox",LimitedDSCheckbox:"data-testid public dashboard limited datasources checkbox",CostIncreaseCheckbox:"data-testid public dashboard cost may increase checkbox",PauseSwitch:"data-testid public dashboard pause switch",EnableAnnotationsSwitch:"data-testid public dashboard on off switch for annotations",CreateButton:"data-testid public dashboard create button",DeleteButton:"data-testid public dashboard delete button",CopyUrlInput:"data-testid public dashboard copy url input",CopyUrlButton:"data-testid public dashboard copy url button",SettingsDropdown:"data-testid public dashboard settings dropdown",TemplateVariablesWarningAlert:"data-testid public dashboard disabled template variables alert",UnsupportedDataSourcesWarningAlert:"data-testid public dashboard unsupported data sources alert",NoUpsertPermissionsWarningAlert:"data-testid public dashboard no upsert permissions alert",EnableTimeRangeSwitch:"data-testid public dashboard on off switch for time range",EmailSharingConfiguration:{Container:"data-testid email sharing config container",ShareType:"data-testid public dashboard share type",EmailSharingInput:"data-testid public dashboard email sharing input",EmailSharingInviteButton:"data-testid public dashboard email sharing invite button",EmailSharingList:"data-testid public dashboard email sharing list",DeleteEmail:"data-testid public dashboard delete email button",ReshareLink:"data-testid public dashboard reshare link button"}},SnapshotScene:{url:e=>`/dashboard/snapshot/${e}`,PublishSnapshot:"data-testid publish snapshot button",CopyUrlButton:"data-testid snapshot copy url button",CopyUrlInput:"data-testid snapshot copy url input"}},ShareDashboardDrawer:{ShareInternally:{container:"data-testid share internally drawer container",lockTimeRangeSwitch:"data-testid share internally lock time range switch",shortenUrlSwitch:"data-testid share internally shorten url switch",copyUrlButton:"data-testid share internally copy url button"},ShareExternally:{container:"data-testid share externally drawer container",publicAlert:"data-testid public share alert",emailSharingAlert:"data-testid email share alert",shareTypeSelect:"data-testid share externally share type select",Creation:{PublicShare:{createButton:"data-testid public share dashboard create button",cancelButton:"data-testid public share dashboard cancel button"},EmailShare:{createButton:"data-testid email share dashboard create button",cancelButton:"data-testid email share dashboard cancel button"},willBePublicCheckbox:"data-testid share dashboard will be public checkbox"},Configuration:{enableTimeRangeSwitch:"data-testid share externally enable time range switch",enableAnnotationsSwitch:"data-testid share externally enable annotations switch",copyUrlButton:"data-testid share externally copy url button",revokeAccessButton:"data-testid share externally revoke access button",toggleAccessButton:"data-testid share externally pause or resume access button"}},ShareSnapshot:{url:e=>`/dashboard/snapshot/${e}`,container:"data-testid share snapshot drawer container",publishSnapshot:"data-testid share snapshot publish button",copyUrlButton:"data-testid share snapshot copy url button"}},ExportDashboardDrawer:{ExportAsJson:{container:"data-testid export as json drawer container",codeEditor:"data-testid export as json code editor",exportExternallyToggle:"data-testid export as json externally switch",saveToFileButton:"data-testid export as json save to file button",copyToClipboardButton:"data-testid export as json copy to clipboard button",cancelButton:"data-testid export as json cancel button"}},PublicDashboard:{page:"public-dashboard-page",NotAvailable:{container:"public-dashboard-not-available",title:"public-dashboard-title",pausedDescription:"public-dashboard-paused-description"},footer:"public-dashboard-footer"},PublicDashboardScene:{loadingPage:"public-dashboard-scene-loading-page",page:"public-dashboard-scene-page",controls:"public-dashboard-controls"},RequestViewAccess:{form:"request-view-access-form",recipientInput:"request-view-access-recipient-input",submitButton:"request-view-access-submit-button"},PublicDashboardConfirmAccess:{submitButton:"data-testid confirm-access-submit-button"},Explore:{url:"/explore",General:{container:"data-testid Explore",graph:"Explore Graph",table:"Explore Table",scrollView:"data-testid explorer scroll view"},QueryHistory:{container:"data-testid QueryHistory"}},SoloPanel:{url:e=>`/d-solo/${e}`},PluginsList:{page:"Plugins list page",list:"Plugins list",listItem:"Plugins list item",signatureErrorNotice:"data-testid Unsigned plugins notice"},PluginPage:{page:"Plugin page",signatureInfo:"data-testid Plugin signature info",disabledInfo:"data-testid Plugin disabled info"},PlaylistForm:{name:"Playlist name",interval:"Playlist interval",itemDelete:"data-testid playlist-form-delete-item"},BrowseDashboards:{table:{body:"data-testid browse-dashboards-table",row:e=>`data-testid browse dashboards row ${e}`,checkbox:e=>`data-testid ${e} checkbox`},NewFolderForm:{form:"data-testid new folder form",nameInput:"data-testid new-folder-name-input",createButton:"data-testid new-folder-create-button"}},Search:{url:"/?search=openn",FolderView:{url:"/?search=open&layout=folders"}},PublicDashboards:{ListItem:{linkButton:"public-dashboard-link-button",configButton:"public-dashboard-configuration-button",trashcanButton:"public-dashboard-remove-button",pauseSwitch:"data-testid public dashboard pause switch"}},UserListPage:{tabs:{allUsers:"data-testid all-users-tab",orgUsers:"data-testid org-users-tab",anonUserDevices:"data-testid anon-user-devices-tab",publicDashboardsUsers:"data-testid public-dashboards-users-tab",users:"data-testid users-tab"},org:{url:"/org/users"},admin:{url:"/admin/users"},publicDashboards:{container:"data-testid public-dashboards-users-list"},UserListAdminPage:{container:"data-testid user-list-admin-page"},UsersListPage:{container:"data-testid users-list-page"},UserAnonListPage:{container:"data-testid user-anon-list-page"},UsersListPublicDashboardsPage:{container:"data-testid users-list-public-dashboards-page",DashboardsListModal:{listItem:e=>`data-testid dashboards-list-item-${e}`}}},ProfilePage:{url:"/profile"}},components:sn};var cn=n(6089);function un(e,t=!1){let n=e;t&&(n=[{value:nt,label:tt},...n]);const r=Ol(n.map((e=>e.label)));return e=>r(e).map((e=>n[e]))}var dn=Object.defineProperty,pn=Object.defineProperties,fn=Object.getOwnPropertyDescriptors,hn=Object.getOwnPropertySymbols,mn=Object.prototype.hasOwnProperty,gn=Object.prototype.propertyIsEnumerable,bn=(e,t,n)=>t in e?dn(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const vn=()=>!0,yn=e=>"$__all"!==e.value,wn=(e,t)=>e.length===t.filter(yn).length?on.ToggleAllState.allSelected:0===e.length||1===e.length&&e[0]&&"$__all"===e[0].value?on.ToggleAllState.noneSelected:on.ToggleAllState.indeterminate;function Sn({model:e}){const{value:t,text:n,key:r,options:a,includeAll:i,isReadOnly:l,allowCustomValue:c=!0}=e.useState(),[u,d]=(0,o.useState)(""),[p,f]=(0,o.useState)(!1),h=function(e,t){return{value:e,label:null!=t?t:String(e)}}(t,String(n)),m=(0,o.useMemo)((()=>un(a,i)),[a,i])(u);return s().createElement(on.Select,{id:r,isValidNewOption:e=>e.trim().length>0,placeholder:"Select value",width:"auto",disabled:l,value:h,inputValue:u,allowCustomValue:c,virtualized:!0,filterOption:vn,tabSelectsValue:!1,onInputChange:(t,{action:n})=>"input-change"===n?(d(t),e.onSearchChange&&e.onSearchChange(t),t):t,onOpenMenu:()=>{p&&d(String(n))},onCloseMenu:()=>{d("")},options:m,"data-testid":ln.pages.Dashboard.SubMenu.submenuItemValueDropDownValueLinkTexts(`${t}`),onChange:t=>{e.changeValueTo(t.value,t.label),p!==t.__isNew__&&f(t.__isNew__)}})}function xn({model:e}){const{value:t,options:n,key:r,maxVisibleValues:a,noValueOnClear:i,includeAll:l,isReadOnly:c,allowCustomValue:u=!0}=e.useState(),d=(0,o.useMemo)((()=>(0,fe.isArray)(t)?t:[t]),[t]),[p,f]=(0,o.useState)(d),[h,m]=(0,o.useState)(""),g=(0,o.useMemo)((()=>un(n,l)),[n,l]);(0,o.useEffect)((()=>{f(d)}),[d]);const b=n.length>0?"Select value":"",v=g(h);return s().createElement(on.MultiSelect,{id:r,placeholder:b,width:"auto",inputValue:h,disabled:c,value:p,noMultiValueWrap:!0,maxVisibleValues:null!=a?a:5,tabSelectsValue:!1,virtualized:!0,allowCustomValue:u,toggleAllOptions:{enabled:!0,optionsFilter:yn,determineToggleAllState:wn},options:v,closeMenuOnSelect:!1,components:{Option:En},isClearable:!0,hideSelectedOptions:!1,onInputChange:(t,{action:n})=>"input-change"===n?(m(t),e.onSearchChange&&e.onSearchChange(t),t):"input-blur"===n?(m(""),""):h,onBlur:()=>{e.changeValueTo(p)},filterOption:vn,"data-testid":ln.pages.Dashboard.SubMenu.submenuItemValueDropDownValueLinkTexts(`${p}`),onChange:(t,n)=>{"clear"===n.action&&i&&e.changeValueTo([]),f(t.map((e=>e.value)))}})}const En=({children:e,data:t,innerProps:n,innerRef:r,isFocused:a,isSelected:o,indeterminate:i,renderOptionLabel:l})=>{var c;const u=((e,t)=>{var n={};for(var r in e)mn.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&hn)for(var r of hn(e))t.indexOf(r)<0&&gn.call(e,r)&&(n[r]=e[r]);return n})(n,["onMouseMove","onMouseOver"]),d=(0,on.useTheme2)(),p=(0,on.getSelectStyles)(d),f=(0,on.useStyles2)(An);return s().createElement("div",(h=((e,t)=>{for(var n in t||(t={}))mn.call(t,n)&&bn(e,n,t[n]);if(hn)for(var n of hn(t))gn.call(t,n)&&bn(e,n,t[n]);return e})({ref:r,className:(0,cn.cx)(p.option,a&&p.optionFocused)},u),m={"data-testid":"data-testid Select option",title:t.title},pn(h,fn(m))),s().createElement("div",{className:f.checkbox},s().createElement(on.Checkbox,{indeterminate:i,value:o})),s().createElement("div",{className:p.optionBody,"data-testid":ln.pages.Dashboard.SubMenu.submenuItemValueDropDownOptionTexts(null!=(c=t.label)?c:String(t.value))},s().createElement("span",null,e)));var h,m};En.displayName="SelectMenuOptions";const An=e=>({checkbox:(0,cn.css)({marginRight:e.spacing(2)})});function Cn(e){return e.state.isMulti?s().createElement(xn,{model:e}):s().createElement(Sn,{model:e})}class On{constructor(e){this._sceneObject=e}getKey(){return`var-${this._sceneObject.state.name}`}getKeys(){return this._sceneObject.state.skipUrlSync?[]:[this.getKey()]}getUrlState(){return this._sceneObject.state.skipUrlSync?{}:{[this.getKey()]:(e=this._sceneObject.state.value,t=this._sceneObject.state.text,e=Array.isArray(e)?e:[e],t=Array.isArray(t)?t:[t],e.map(((e,n)=>{if(null==e)return"";e=String(e);let r=t[n];return r=null==r?e:String(r),xl(e,r)})))};var e,t}updateFromUrl(e){let t=e[this.getKey()];if(null!=t){this._sceneObject.isActive||(this._sceneObject.skipNextValidation=!0);const{values:e,texts:r}=(n=t,(n=Array.isArray(n)?n:[n]).reduce(((e,t)=>{const[n,r]=(null!=t?t:"").split(",");return e.values.push(Sl(n)),e.texts.push(Sl(null!=r?r:n)),e}),{values:[],texts:[]}));this._sceneObject.changeValueTo(e,r)}var n}}function Rn(e){const t=e.getRoot();return Rt(t)?t.enrichFiltersRequest(e):null}var Dn,In=(e,t,n)=>{if(!t.has(e))throw TypeError("Cannot "+n)};class Pn{constructor(e){((e,t)=>{if(t.has(e))throw TypeError("Cannot add the same private member more than once");t instanceof WeakSet?t.add(e):t.set(e,void 0)})(this,Dn),this.text="__sceneObject",this.valueOf=()=>{return In(this,e=Dn,"read from private field"),e.get(this);var e},((e,t,n)=>{In(e,t,"write to private field"),t.set(e,n)})(this,Dn,e)}toString(){}get value(){return this}}function _n(e){return function(e){const t=e.match(/^(\d+)\.(\d+)\.(\d+)/);if(!t)return!1;const n=parseInt(t[1],10),r=parseInt(t[2],10),a=parseInt(t[3],10);return 11===n?0===r&&a>=4||1===r&&a>=2||r>1:10===n?4===r&&a>=8||r>=5:n>11}(u.config.buildInfo.version)?new Pn(e):{value:e,text:"__sceneObject"}}Dn=new WeakMap;var Tn=Object.defineProperty,kn=Object.defineProperties,Mn=Object.getOwnPropertyDescriptors,Bn=Object.getOwnPropertySymbols,Ln=Object.prototype.hasOwnProperty,Nn=Object.prototype.propertyIsEnumerable,jn=(e,t,n)=>t in e?Tn(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Fn=(e,t)=>{for(var n in t||(t={}))Ln.call(t,n)&&jn(e,n,t[n]);if(Bn)for(var n of Bn(t))Nn.call(t,n)&&jn(e,n,t[n]);return e};class Vn extends ut{constructor(e){var t;super((t=Fn({isMulti:!0,name:"",value:[],text:[],options:[],datasource:null,baseFilters:[],applyMode:"auto",layout:"horizontal",type:"groupby"},e),kn(t,Mn({noValueOnClear:!0})))),this.isLazy=!0,this._urlSync=new On(this),this._getKeys=async e=>{var t,n,r;const a=await(null==(n=(t=this.state).getTagKeysProvider)?void 0:n.call(t,this,null));if(a&&a.replace)return a.values;if(this.state.defaultOptions)return this.state.defaultOptions.concat(El(null!=(r=null==a?void 0:a.values)?r:[]));if(!e.getTagKeys)return[];const o=vl(this),i=this.state.baseFilters||[],s=pc.getTimeRange(this).state.value,l=await e.getTagKeys(Fn({filters:i,queries:o,timeRange:s},Rn(this)));Al(l)&&this.setState({error:l.error.message});let c=El(l);a&&(c=c.concat(El(a.values)));const u=this.state.tagKeyRegexFilter;return u&&(c=c.filter((e=>e.text.match(u)))),c},"auto"===this.state.applyMode&&this.addActivationHandler((()=>(an.add(this),()=>an.delete(this))))}validateAndUpdate(){return this.getValueOptions({}).pipe((0,O.map)((e=>(this._updateValueGivenNewOptions(e),{}))))}_updateValueGivenNewOptions(e){const{value:t,text:n}=this.state,r={options:e,loading:!1,value:null!=t?t:[],text:null!=n?n:[]};this.setState(r)}getValueOptions(e){return this.state.defaultOptions?(0,O.of)(this.state.defaultOptions.map((e=>({label:e.text,value:String(e.value),group:e.group})))):(this.setState({loading:!0,error:null}),(0,O.from)(kt(this.state.datasource,{__sceneObject:_n(this)})).pipe((0,O.mergeMap)((e=>(0,O.from)(this._getKeys(e)).pipe((0,O.tap)((e=>{Al(e)&&this.setState({error:e.error.message})})),(0,O.map)((e=>El(e))),(0,O.take)(1),(0,O.mergeMap)((e=>{const t=e.map((e=>({label:e.text,value:e.value?String(e.value):e.text,group:e.group})));return(0,O.of)(t)})))))))}getDefaultMultiState(e){return{value:[],text:[]}}}Vn.Component=function({model:e}){const{value:t,text:n,key:r,isMulti:a=!0,maxVisibleValues:i,noValueOnClear:l,options:c,includeAll:u,allowCustomValue:d=!0}=e.useState(),p=(0,o.useMemo)((()=>{const e=(0,fe.isArray)(t)?t:[t],r=(0,fe.isArray)(n)?n:[n];return e.map(((e,t)=>{var n;return{value:e,label:String(null!=(n=r[t])?n:e)}}))}),[t,n]),[f,h]=(0,o.useState)(!1),[m,g]=(0,o.useState)(!1),[b,v]=(0,o.useState)(""),[y,w]=(0,o.useState)(p),S=(0,o.useMemo)((()=>un(c,u)),[c,u]);(0,o.useEffect)((()=>{w(p)}),[p]);const x=(t,{action:n})=>"input-change"===n?(v(t),e.onSearchChange&&e.onSearchChange(t),t):"input-blur"===n?(v(""),""):b,E=(0,o.useMemo)((()=>Cl(S(b).map(zn))),[S,b]);return a?s().createElement(on.MultiSelect,{"aria-label":"Group by selector","data-testid":`GroupBySelect-${r}`,id:r,placeholder:"Select value",width:"auto",allowCustomValue:d,inputValue:b,value:y,noMultiValueWrap:!0,maxVisibleValues:null!=i?i:5,tabSelectsValue:!1,virtualized:!0,options:E,filterOption:$n,closeMenuOnSelect:!1,isOpen:m,isClearable:!0,hideSelectedOptions:!1,isLoading:f,components:{Option:En},onInputChange:x,onBlur:()=>{e.changeValueTo(y.map((e=>e.value)),y.map((e=>e.label)))},onChange:(t,n)=>{"clear"===n.action&&l&&e.changeValueTo([]),w(t)},onOpenMenu:async()=>{h(!0),await(0,O.lastValueFrom)(e.validateAndUpdate()),h(!1),g(!0)},onCloseMenu:()=>{g(!1)}}):s().createElement(on.Select,{"aria-label":"Group by selector","data-testid":`GroupBySelect-${r}`,id:r,placeholder:"Select value",width:"auto",inputValue:b,value:y,allowCustomValue:d,noMultiValueWrap:!0,maxVisibleValues:null!=i?i:5,tabSelectsValue:!1,virtualized:!0,options:E,filterOption:$n,closeMenuOnSelect:!0,isOpen:m,isClearable:!0,hideSelectedOptions:!1,noValueOnClear:!0,isLoading:f,onInputChange:x,onChange:(t,n)=>{if("clear"===n.action)return w([]),void(l&&e.changeValueTo([]));(null==t?void 0:t.value)&&(w([t]),e.changeValueTo([t.value],t.label?[t.label]:void 0))},onOpenMenu:async()=>{h(!0),await(0,O.lastValueFrom)(e.validateAndUpdate()),h(!1),g(!0)},onCloseMenu:()=>{g(!1)}})};const $n=()=>!0;function zn(e){const{label:t,value:n,group:r}=e,a={label:t,value:n};return r&&(a.group=r),a}function Un(e){return s().createElement(on.Tooltip,{content:"Cancel query"},s().createElement(on.Icon,{className:"spin-clockwise",name:"sync",size:"xs",role:"button",onMouseDown:t=>{e.onCancel(t)}}))}function Wn(e){const t=(0,on.useStyles2)(Hn),n=(0,on.useTheme2)(),r="vertical"===e.layout,a=Boolean(e.isLoading)?s().createElement("div",{style:{marginLeft:n.spacing(1),marginTop:"-1px"},"aria-label":ln.components.LoadingIndicator.icon},s().createElement(Un,{onCancel:t=>{var n;t.preventDefault(),t.stopPropagation(),null==(n=e.onCancel)||n.call(e)}})):null;let o=null;e.error&&(o=s().createElement(on.Tooltip,{content:e.error,placement:"bottom"},s().createElement(on.Icon,{className:t.errorIcon,name:"exclamation-triangle"})));let i=null;e.description&&(i=s().createElement(on.Tooltip,{content:e.description,placement:r?"top":"bottom"},s().createElement(on.Icon,{className:t.normalIcon,name:"info-circle"})));const l="string"==typeof e.label?ln.pages.Dashboard.SubMenu.submenuItemLabels(e.label):"";let c;return c=r?s().createElement("label",{className:t.verticalLabel,"data-testid":l,htmlFor:e.htmlFor},e.label,i,o,e.icon&&s().createElement(on.Icon,{name:e.icon,className:t.normalIcon}),a,e.onRemove&&s().createElement(on.IconButton,{variant:"secondary",size:"xs",name:"times",onClick:e.onRemove,tooltip:"Remove"})):s().createElement("label",{className:t.horizontalLabel,"data-testid":l,htmlFor:e.htmlFor},o,e.icon&&s().createElement(on.Icon,{name:e.icon,className:t.normalIcon}),e.label,i,a),c}const Hn=e=>({horizontalLabel:(0,cn.css)({background:e.isDark?e.colors.background.primary:e.colors.background.secondary,display:"flex",alignItems:"center",padding:e.spacing(0,1),fontWeight:e.typography.fontWeightMedium,fontSize:e.typography.bodySmall.fontSize,height:e.spacing(e.components.height.md),lineHeight:e.spacing(e.components.height.md),borderRadius:e.shape.borderRadius(1),border:`1px solid ${e.components.input.borderColor}`,position:"relative",right:-1,whiteSpace:"nowrap",gap:e.spacing(.5)}),verticalLabel:(0,cn.css)({display:"flex",alignItems:"center",fontWeight:e.typography.fontWeightMedium,fontSize:e.typography.bodySmall.fontSize,lineHeight:e.typography.bodySmall.lineHeight,whiteSpace:"nowrap",marginBottom:e.spacing(.5),gap:e.spacing(1)}),errorIcon:(0,cn.css)({color:e.colors.error.text}),normalIcon:(0,cn.css)({color:e.colors.text.secondary})});var Gn=Object.defineProperty,qn=Object.getOwnPropertySymbols,Qn=Object.prototype.hasOwnProperty,Yn=Object.prototype.propertyIsEnumerable,Xn=(e,t,n)=>t in e?Gn(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;function Kn(e,t){return""!==e?{value:e,label:t||e}:null}const Zn=()=>!0;function Jn({filter:e,model:t}){var n,r,a,i,l;const c=(0,on.useStyles2)(er),[u,d]=(0,o.useState)([]),[p,f]=(0,o.useState)([]),[h,m]=(0,o.useState)(!1),[g,b]=(0,o.useState)(!1),[v,y]=(0,o.useState)(!1),[w,S]=(0,o.useState)(!1),[x,E]=(0,o.useState)(!1),[A,C]=(0,o.useState)(""),[O,R]=(0,o.useState)(!1),[D,I]=(0,o.useState)(e.values?e.values.map(((t,n)=>{var r;return Kn(t,null==(r=e.valueLabels)?void 0:r[n])})):[]),P=Ls(e.operator),_=Kn(e.key,e.keyLabel),T=Kn(e.value,null==(n=e.valueLabels)?void 0:n[0]),k=(0,o.useMemo)((()=>function(e){const t=Ol(e.map((e=>{var t;return null!=(t=e.label)?t:String(e.value)})));return n=>t(n).map((t=>e[t]))}(p)),[p]),M=(0,o.useMemo)((()=>Cl(k(A))),[k,A]),B={isMulti:!0,value:D,components:{Option:En},hideSelectedOptions:!1,closeMenuOnSelect:!1,openMenuOnFocus:!1,onChange:e=>{I(e),e.some((e=>e.__isNew__))&&C("")},onBlur:()=>{var n,r;t._updateFilter(e,{value:null!=(r=null==(n=D[0])?void 0:n.value)?r:"",values:D.map((e=>e.value)),valueLabels:D.map((e=>e.label))})}},L=s().createElement(on.Select,((e,t)=>{for(var n in t||(t={}))Qn.call(t,n)&&Xn(e,n,t[n]);if(qn)for(var n of qn(t))Yn.call(t,n)&&Xn(e,n,t[n]);return e})({virtualized:!0,allowCustomValue:null==(r=t.state.allowCustomValue)||r,isValidNewOption:e=>e.trim().length>0,allowCreateWhileLoading:!0,formatCreateLabel:e=>`Use custom value: ${e}`,disabled:t.state.readOnly,className:(0,cn.cx)(c.value,w?c.widthWhenOpen:void 0),width:"auto",value:T,filterOption:Zn,placeholder:"Select value",options:M,inputValue:A,onInputChange:(e,{action:t})=>("input-change"===t&&C(e),e),onChange:n=>{t._updateFilter(e,{value:n.value,valueLabels:n.label?[n.label]:[n.value]}),O!==n.__isNew__&&R(n.__isNew__)},isOpen:w&&!g,isLoading:g,openMenuOnFocus:!0,onOpenMenu:async()=>{var n;b(!0),S(!0);const r=await t._getValuesFor(e);b(!1),f(r),O&&C(null!=(n=null==T?void 0:T.label)?n:"")},onCloseMenu:()=>{S(!1),C("")}},P&&B)),N=s().createElement(on.Select,{key:g?"loading":"loaded",disabled:t.state.readOnly,className:(0,cn.cx)(c.key,v?c.widthWhenOpen:void 0),width:"auto",allowCustomValue:null==(a=t.state.allowCustomValue)||a,value:_,placeholder:"Select label",options:Cl(u),onChange:n=>{t._updateFilter(e,{key:n.value,keyLabel:n.label,value:"",valueLabels:[""],values:void 0}),I([])},autoFocus:""===e.key,isOpen:v&&!h,isLoading:h,onOpenMenu:async()=>{y(!0),m(!0);const n=await t._getKeys(e.key);m(!1),d(n)},onCloseMenu:()=>{y(!1)},onBlur:()=>{""===e.key&&t._removeFilter(e)},openMenuOnFocus:!0}),j=s().createElement(on.Select,{className:(0,cn.cx)(c.operator,{[c.widthWhenOpen]:x}),value:e.operator,disabled:t.state.readOnly,options:t._getOperators(),onChange:n=>{var r,a;const o=e.operator,i=n.value,s={operator:i};Ls(o)&&!Ls(i)?(s.value="",s.valueLabels=[""],s.values=void 0,I([])):!Ls(o)&&Ls(i)&&e.value&&(s.values=[e.value],I([{value:e.value,label:null!=(a=null==(r=e.valueLabels)?void 0:r[0])?a:e.value}])),t._updateFilter(e,s)},onOpenMenu:()=>{E(!0)},onCloseMenu:()=>{E(!1)}});if("vertical"===t.state.layout){if(e.key){const n=s().createElement(Wn,{layout:"vertical",label:null!=(i=e.key)?i:"",onRemove:()=>t._removeFilter(e)});return s().createElement(on.Field,{label:n,"data-testid":`AdHocFilter-${e.key}`,className:c.field},s().createElement("div",{className:c.wrapper},j,L))}return s().createElement(on.Field,{label:"Select label","data-testid":`AdHocFilter-${e.key}`,className:c.field},N)}return s().createElement("div",{className:c.wrapper,"data-testid":`AdHocFilter-${e.key}`},N,j,L,s().createElement(on.Button,{variant:"secondary","aria-label":"Remove filter",title:"Remove filter",className:c.removeButton,icon:"times","data-testid":`AdHocFilter-remove-${null!=(l=e.key)?l:""}`,onClick:()=>t._removeFilter(e)}))}const er=e=>({field:(0,cn.css)({marginBottom:0}),wrapper:(0,cn.css)({display:"flex","> *":{"&:not(:first-child)":{marginLeft:-1},"&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0},"&:not(:first-child):not(:last-child)":{borderRadius:0},position:"relative",zIndex:0,"&:hover":{zIndex:1},"&:focus-within":{zIndex:2}}}),widthWhenOpen:(0,cn.css)({minWidth:e.spacing(16)}),value:(0,cn.css)({flexBasis:"content",flexShrink:1,minWidth:"90px"}),key:(0,cn.css)({flexBasis:"content",minWidth:"90px",flexShrink:1}),operator:(0,cn.css)({flexShrink:0,flexBasis:"content"}),removeButton:(0,cn.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5),borderLeft:"none",width:e.spacing(3),marginRight:e.spacing(1),boxSizing:"border-box",position:"relative",left:"1px"})});function tr({model:e,addFilterButtonText:t}){const{_wip:n}=e.useState();return n?s().createElement(Jn,{filter:n,model:e}):s().createElement(on.Button,{variant:"secondary",icon:"plus",title:"Add filter","aria-label":"Add filter","data-testid":"AdHocFilter-add",onClick:()=>e._addWip()},t)}class nr{constructor(e){this._variable=e}getKey(){return`var-${this._variable.state.name}`}getKeys(){return[this.getKey()]}getUrlState(){const e=this._variable.state.filters;if(0===e.length)return{[this.getKey()]:[""]};const t=e.filter(Bs).map((e=>function(e){var t;const n=[xl(e.key,e.keyLabel),e.operator];return Ls(e.operator)?e.values.forEach(((t,r)=>{var a;n.push(xl(t,null==(a=e.valueLabels)?void 0:a[r]))})):n.push(xl(e.value,null==(t=e.valueLabels)?void 0:t[0])),n}(e).map(yl).join("|")));return{[this.getKey()]:t}}updateFromUrl(e){const t=e[this.getKey()];if(null==t)return;const n=function(e){if(Array.isArray(e))return e.map(rr).filter(ar);const t=rr(e);return null===t?[]:[t]}(t);this._variable.setState({filters:n})}}function rr(e){if("string"!=typeof e||0===e.length)return null;const[t,n,r,a,...o]=e.split("|").reduce(((e,t)=>{const[n,r]=t.split(",");return e.push(n,null!=r?r:n),e}),[]).map(Sl);return{key:t,keyLabel:n,operator:r,value:o[0],values:Ls(r)?o.filter(((e,t)=>t%2==0)):void 0,valueLabels:o.filter(((e,t)=>t%2==1)),condition:""}}function ar(e){return null!==e&&"string"==typeof e.key&&"string"==typeof e.value}function or(){return"undefined"!=typeof window}function ir(e){return cr(e)?(e.nodeName||"").toLowerCase():"#document"}function sr(e){var t;return(null==e||null==(t=e.ownerDocument)?void 0:t.defaultView)||window}function lr(e){var t;return null==(t=(cr(e)?e.ownerDocument:e.document)||window.document)?void 0:t.documentElement}function cr(e){return!!or()&&(e instanceof Node||e instanceof sr(e).Node)}function ur(e){return!!or()&&(e instanceof Element||e instanceof sr(e).Element)}function dr(e){return!!or()&&(e instanceof HTMLElement||e instanceof sr(e).HTMLElement)}function pr(e){return!(!or()||"undefined"==typeof ShadowRoot)&&(e instanceof ShadowRoot||e instanceof sr(e).ShadowRoot)}function fr(e){const{overflow:t,overflowX:n,overflowY:r,display:a}=yr(e);return/auto|scroll|overlay|hidden|clip/.test(t+r+n)&&!["inline","contents"].includes(a)}function hr(e){return["table","td","th"].includes(ir(e))}function mr(e){return[":popover-open",":modal"].some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function gr(e){const t=br(),n=ur(e)?yr(e):e;return"none"!==n.transform||"none"!==n.perspective||!!n.containerType&&"normal"!==n.containerType||!t&&!!n.backdropFilter&&"none"!==n.backdropFilter||!t&&!!n.filter&&"none"!==n.filter||["transform","perspective","filter"].some((e=>(n.willChange||"").includes(e)))||["paint","layout","strict","content"].some((e=>(n.contain||"").includes(e)))}function br(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none")}function vr(e){return["html","body","#document"].includes(ir(e))}function yr(e){return sr(e).getComputedStyle(e)}function wr(e){return ur(e)?{scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}:{scrollLeft:e.scrollX,scrollTop:e.scrollY}}function Sr(e){if("html"===ir(e))return e;const t=e.assignedSlot||e.parentNode||pr(e)&&e.host||lr(e);return pr(t)?t.host:t}function xr(e){const t=Sr(e);return vr(t)?e.ownerDocument?e.ownerDocument.body:e.body:dr(t)&&fr(t)?t:xr(t)}function Er(e,t,n){var r;void 0===t&&(t=[]),void 0===n&&(n=!0);const a=xr(e),o=a===(null==(r=e.ownerDocument)?void 0:r.body),i=sr(a);if(o){const e=Ar(i);return t.concat(i,i.visualViewport||[],fr(a)?a:[],e&&n?Er(e):[])}return t.concat(a,Er(a,[],n))}function Ar(e){return e.parent&&Object.getPrototypeOf(e.parent)?e.frameElement:null}function Cr(e){let t=e.activeElement;for(;null!=(null==(n=t)||null==(n=n.shadowRoot)?void 0:n.activeElement);){var n;t=t.shadowRoot.activeElement}return t}function Or(e,t){if(!e||!t)return!1;const n=null==t.getRootNode?void 0:t.getRootNode();if(e.contains(t))return!0;if(n&&pr(n)){let n=t;for(;n;){if(e===n)return!0;n=n.parentNode||n.host}}return!1}function Rr(){const e=navigator.userAgentData;return null!=e&&e.platform?e.platform:navigator.platform}function Dr(){const e=navigator.userAgentData;return e&&Array.isArray(e.brands)?e.brands.map((e=>{let{brand:t,version:n}=e;return t+"/"+n})).join(" "):navigator.userAgent}function Ir(e){return!(0!==e.mozInputSource||!e.isTrusted)||(Tr()&&e.pointerType?"click"===e.type&&1===e.buttons:0===e.detail&&!e.pointerType)}function Pr(e){return!Dr().includes("jsdom/")&&(!Tr()&&0===e.width&&0===e.height||Tr()&&1===e.width&&1===e.height&&0===e.pressure&&0===e.detail&&"mouse"===e.pointerType||e.width<1&&e.height<1&&0===e.pressure&&0===e.detail&&"touch"===e.pointerType)}function _r(){return/apple/i.test(navigator.vendor)}function Tr(){const e=/android/i;return e.test(Rr())||e.test(Dr())}function kr(e){return(null==e?void 0:e.ownerDocument)||document}function Mr(e,t){if(null==t)return!1;if("composedPath"in e)return e.composedPath().includes(t);const n=e;return null!=n.target&&t.contains(n.target)}function Br(e){return"composedPath"in e?e.composedPath()[0]:e.target}function Lr(e){e.preventDefault(),e.stopPropagation()}function Nr(e){return!!e&&"combobox"===e.getAttribute("role")&&function(e){return dr(e)&&e.matches("input:not([type='hidden']):not([disabled]),[contenteditable]:not([contenteditable='false']),textarea:not([disabled])")}(e)}const jr=Math.min,Fr=Math.max,Vr=Math.round,$r=Math.floor,zr=e=>({x:e,y:e}),Ur={left:"right",right:"left",bottom:"top",top:"bottom"},Wr={start:"end",end:"start"};function Hr(e,t){return"function"==typeof e?e(t):e}function Gr(e){return e.split("-")[0]}function qr(e){return e.split("-")[1]}function Qr(e){return"y"===e?"height":"width"}function Yr(e){return["top","bottom"].includes(Gr(e))?"y":"x"}function Xr(e){return"x"===Yr(e)?"y":"x"}function Kr(e){return e.replace(/start|end/g,(e=>Wr[e]))}function Zr(e){return e.replace(/left|right|bottom|top/g,(e=>Ur[e]))}function Jr(e){const{x:t,y:n,width:r,height:a}=e;return{width:r,height:a,top:n,left:t,right:t+r,bottom:n+a,x:t,y:n}}var ea=["input:not([inert])","select:not([inert])","textarea:not([inert])","a[href]:not([inert])","button:not([inert])","[tabindex]:not(slot):not([inert])","audio[controls]:not([inert])","video[controls]:not([inert])",'[contenteditable]:not([contenteditable="false"]):not([inert])',"details>summary:first-of-type:not([inert])","details:not([inert])"].join(","),ta="undefined"==typeof Element,na=ta?function(){}:Element.prototype.matches||Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector,ra=!ta&&Element.prototype.getRootNode?function(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}:function(e){return null==e?void 0:e.ownerDocument},aa=function e(t,n){var r;void 0===n&&(n=!0);var a=null==t||null===(r=t.getAttribute)||void 0===r?void 0:r.call(t,"inert");return""===a||"true"===a||n&&t&&e(t.parentNode)},oa=function e(t,n,r){for(var a=[],o=Array.from(t);o.length;){var i=o.shift();if(!aa(i,!1))if("SLOT"===i.tagName){var s=i.assignedElements(),l=e(s.length?s:i.children,!0,r);r.flatten?a.push.apply(a,l):a.push({scopeParent:i,candidates:l})}else{na.call(i,ea)&&r.filter(i)&&(n||!t.includes(i))&&a.push(i);var c=i.shadowRoot||"function"==typeof r.getShadowRoot&&r.getShadowRoot(i),u=!aa(c,!1)&&(!r.shadowRootFilter||r.shadowRootFilter(i));if(c&&u){var d=e(!0===c?i.children:c.children,!0,r);r.flatten?a.push.apply(a,d):a.push({scopeParent:i,candidates:d})}else o.unshift.apply(o,i.children)}}return a},ia=function(e){return!isNaN(parseInt(e.getAttribute("tabindex"),10))},sa=function(e){if(!e)throw new Error("No node provided");return e.tabIndex<0&&(/^(AUDIO|VIDEO|DETAILS)$/.test(e.tagName)||function(e){var t,n=null==e||null===(t=e.getAttribute)||void 0===t?void 0:t.call(e,"contenteditable");return""===n||"true"===n}(e))&&!ia(e)?0:e.tabIndex},la=function(e,t){return e.tabIndex===t.tabIndex?e.documentOrder-t.documentOrder:e.tabIndex-t.tabIndex},ca=function(e){return"INPUT"===e.tagName},ua=function(e){var t=e.getBoundingClientRect(),n=t.width,r=t.height;return 0===n&&0===r},da=function(e,t){return!(t.disabled||aa(t)||function(e){return ca(e)&&"hidden"===e.type}(t)||function(e,t){var n=t.displayCheck,r=t.getShadowRoot;if("hidden"===getComputedStyle(e).visibility)return!0;var a=na.call(e,"details>summary:first-of-type")?e.parentElement:e;if(na.call(a,"details:not([open]) *"))return!0;if(n&&"full"!==n&&"legacy-full"!==n){if("non-zero-area"===n)return ua(e)}else{if("function"==typeof r){for(var o=e;e;){var i=e.parentElement,s=ra(e);if(i&&!i.shadowRoot&&!0===r(i))return ua(e);e=e.assignedSlot?e.assignedSlot:i||s===e.ownerDocument?i:s.host}e=o}if(function(e){var t,n,r,a,o=e&&ra(e),i=null===(t=o)||void 0===t?void 0:t.host,s=!1;if(o&&o!==e)for(s=!!(null!==(n=i)&&void 0!==n&&null!==(r=n.ownerDocument)&&void 0!==r&&r.contains(i)||null!=e&&null!==(a=e.ownerDocument)&&void 0!==a&&a.contains(e));!s&&i;){var l,c,u;s=!(null===(c=i=null===(l=o=ra(i))||void 0===l?void 0:l.host)||void 0===c||null===(u=c.ownerDocument)||void 0===u||!u.contains(i))}return s}(e))return!e.getClientRects().length;if("legacy-full"!==n)return!0}return!1}(t,e)||function(e){return"DETAILS"===e.tagName&&Array.prototype.slice.apply(e.children).some((function(e){return"SUMMARY"===e.tagName}))}(t)||function(e){if(/^(INPUT|BUTTON|SELECT|TEXTAREA)$/.test(e.tagName))for(var t=e.parentElement;t;){if("FIELDSET"===t.tagName&&t.disabled){for(var n=0;n<t.children.length;n++){var r=t.children.item(n);if("LEGEND"===r.tagName)return!!na.call(t,"fieldset[disabled] *")||!r.contains(e)}return!0}t=t.parentElement}return!1}(t))},pa=function(e,t){return!(function(e){return function(e){return ca(e)&&"radio"===e.type}(e)&&!function(e){if(!e.name)return!0;var t,n=e.form||ra(e),r=function(e){return n.querySelectorAll('input[type="radio"][name="'+e+'"]')};if("undefined"!=typeof window&&void 0!==window.CSS&&"function"==typeof window.CSS.escape)t=r(window.CSS.escape(e.name));else try{t=r(e.name)}catch(e){return console.error("Looks like you have a radio button with a name attribute containing invalid CSS selector characters and need the CSS.escape polyfill: %s",e.message),!1}var a=function(e,t){for(var n=0;n<e.length;n++)if(e[n].checked&&e[n].form===t)return e[n]}(t,e.form);return!a||a===e}(e)}(t)||sa(t)<0||!da(e,t))},fa=function(e){var t=parseInt(e.getAttribute("tabindex"),10);return!!(isNaN(t)||t>=0)},ha=function e(t){var n=[],r=[];return t.forEach((function(t,a){var o=!!t.scopeParent,i=o?t.scopeParent:t,s=function(e,t){var n=sa(e);return n<0&&t&&!ia(e)?0:n}(i,o),l=o?e(t.candidates):i;0===s?o?n.push.apply(n,l):n.push(i):r.push({documentOrder:a,tabIndex:s,item:t,isScope:o,content:l})})),r.sort(la).reduce((function(e,t){return t.isScope?e.push.apply(e,t.content):e.push(t.content),e}),[]).concat(n)},ma=function(e,t){var n;return n=(t=t||{}).getShadowRoot?oa([e],t.includeContainer,{filter:pa.bind(null,t),flatten:!1,getShadowRoot:t.getShadowRoot,shadowRootFilter:fa}):function(e,t,n){if(aa(e))return[];var r=Array.prototype.slice.apply(e.querySelectorAll(ea));return t&&na.call(e,ea)&&r.unshift(e),r.filter(n)}(e,t.includeContainer,pa.bind(null,t)),ha(n)},ga=n(8398);function ba(e,t,n){let{reference:r,floating:a}=e;const o=Yr(t),i=Xr(t),s=Qr(i),l=Gr(t),c="y"===o,u=r.x+r.width/2-a.width/2,d=r.y+r.height/2-a.height/2,p=r[s]/2-a[s]/2;let f;switch(l){case"top":f={x:u,y:r.y-a.height};break;case"bottom":f={x:u,y:r.y+r.height};break;case"right":f={x:r.x+r.width,y:d};break;case"left":f={x:r.x-a.width,y:d};break;default:f={x:r.x,y:r.y}}switch(qr(t)){case"start":f[i]-=p*(n&&c?-1:1);break;case"end":f[i]+=p*(n&&c?-1:1)}return f}async function va(e,t){var n;void 0===t&&(t={});const{x:r,y:a,platform:o,rects:i,elements:s,strategy:l}=e,{boundary:c="clippingAncestors",rootBoundary:u="viewport",elementContext:d="floating",altBoundary:p=!1,padding:f=0}=Hr(t,e),h=function(e){return"number"!=typeof e?function(e){return{top:0,right:0,bottom:0,left:0,...e}}(e):{top:e,right:e,bottom:e,left:e}}(f),m=s[p?"floating"===d?"reference":"floating":d],g=Jr(await o.getClippingRect({element:null==(n=await(null==o.isElement?void 0:o.isElement(m)))||n?m:m.contextElement||await(null==o.getDocumentElement?void 0:o.getDocumentElement(s.floating)),boundary:c,rootBoundary:u,strategy:l})),b="floating"===d?{x:r,y:a,width:i.floating.width,height:i.floating.height}:i.reference,v=await(null==o.getOffsetParent?void 0:o.getOffsetParent(s.floating)),y=await(null==o.isElement?void 0:o.isElement(v))&&await(null==o.getScale?void 0:o.getScale(v))||{x:1,y:1},w=Jr(o.convertOffsetParentRelativeRectToViewportRelativeRect?await o.convertOffsetParentRelativeRectToViewportRelativeRect({elements:s,rect:b,offsetParent:v,strategy:l}):b);return{top:(g.top-w.top+h.top)/y.y,bottom:(w.bottom-g.bottom+h.bottom)/y.y,left:(g.left-w.left+h.left)/y.x,right:(w.right-g.right+h.right)/y.x}}function ya(e){const t=yr(e);let n=parseFloat(t.width)||0,r=parseFloat(t.height)||0;const a=dr(e),o=a?e.offsetWidth:n,i=a?e.offsetHeight:r,s=Vr(n)!==o||Vr(r)!==i;return s&&(n=o,r=i),{width:n,height:r,$:s}}function wa(e){return ur(e)?e:e.contextElement}function Sa(e){const t=wa(e);if(!dr(t))return zr(1);const n=t.getBoundingClientRect(),{width:r,height:a,$:o}=ya(t);let i=(o?Vr(n.width):n.width)/r,s=(o?Vr(n.height):n.height)/a;return i&&Number.isFinite(i)||(i=1),s&&Number.isFinite(s)||(s=1),{x:i,y:s}}const xa=zr(0);function Ea(e){const t=sr(e);return br()&&t.visualViewport?{x:t.visualViewport.offsetLeft,y:t.visualViewport.offsetTop}:xa}function Aa(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);const a=e.getBoundingClientRect(),o=wa(e);let i=zr(1);t&&(r?ur(r)&&(i=Sa(r)):i=Sa(e));const s=function(e,t,n){return void 0===t&&(t=!1),!(!n||t&&n!==sr(e))&&t}(o,n,r)?Ea(o):zr(0);let l=(a.left+s.x)/i.x,c=(a.top+s.y)/i.y,u=a.width/i.x,d=a.height/i.y;if(o){const e=sr(o),t=r&&ur(r)?sr(r):r;let n=e,a=Ar(n);for(;a&&r&&t!==n;){const e=Sa(a),t=a.getBoundingClientRect(),r=yr(a),o=t.left+(a.clientLeft+parseFloat(r.paddingLeft))*e.x,i=t.top+(a.clientTop+parseFloat(r.paddingTop))*e.y;l*=e.x,c*=e.y,u*=e.x,d*=e.y,l+=o,c+=i,n=sr(a),a=Ar(n)}}return Jr({width:u,height:d,x:l,y:c})}function Ca(e,t){const n=wr(e).scrollLeft;return t?t.left+n:Aa(lr(e)).left+n}function Oa(e,t,n){void 0===n&&(n=!1);const r=e.getBoundingClientRect();return{x:r.left+t.scrollLeft-(n?0:Ca(e,r)),y:r.top+t.scrollTop}}function Ra(e,t,n){let r;if("viewport"===t)r=function(e,t){const n=sr(e),r=lr(e),a=n.visualViewport;let o=r.clientWidth,i=r.clientHeight,s=0,l=0;if(a){o=a.width,i=a.height;const e=br();(!e||e&&"fixed"===t)&&(s=a.offsetLeft,l=a.offsetTop)}return{width:o,height:i,x:s,y:l}}(e,n);else if("document"===t)r=function(e){const t=lr(e),n=wr(e),r=e.ownerDocument.body,a=Fr(t.scrollWidth,t.clientWidth,r.scrollWidth,r.clientWidth),o=Fr(t.scrollHeight,t.clientHeight,r.scrollHeight,r.clientHeight);let i=-n.scrollLeft+Ca(e);const s=-n.scrollTop;return"rtl"===yr(r).direction&&(i+=Fr(t.clientWidth,r.clientWidth)-a),{width:a,height:o,x:i,y:s}}(lr(e));else if(ur(t))r=function(e,t){const n=Aa(e,!0,"fixed"===t),r=n.top+e.clientTop,a=n.left+e.clientLeft,o=dr(e)?Sa(e):zr(1);return{width:e.clientWidth*o.x,height:e.clientHeight*o.y,x:a*o.x,y:r*o.y}}(t,n);else{const n=Ea(e);r={x:t.x-n.x,y:t.y-n.y,width:t.width,height:t.height}}return Jr(r)}function Da(e,t){const n=Sr(e);return!(n===t||!ur(n)||vr(n))&&("fixed"===yr(n).position||Da(n,t))}function Ia(e,t,n){const r=dr(t),a=lr(t),o="fixed"===n,i=Aa(e,!0,o,t);let s={scrollLeft:0,scrollTop:0};const l=zr(0);if(r||!r&&!o)if(("body"!==ir(t)||fr(a))&&(s=wr(t)),r){const e=Aa(t,!0,o,t);l.x=e.x+t.clientLeft,l.y=e.y+t.clientTop}else a&&(l.x=Ca(a));const c=!a||r||o?zr(0):Oa(a,s);return{x:i.left+s.scrollLeft-l.x-c.x,y:i.top+s.scrollTop-l.y-c.y,width:i.width,height:i.height}}function Pa(e){return"static"===yr(e).position}function _a(e,t){if(!dr(e)||"fixed"===yr(e).position)return null;if(t)return t(e);let n=e.offsetParent;return lr(e)===n&&(n=n.ownerDocument.body),n}function Ta(e,t){const n=sr(e);if(mr(e))return n;if(!dr(e)){let t=Sr(e);for(;t&&!vr(t);){if(ur(t)&&!Pa(t))return t;t=Sr(t)}return n}let r=_a(e,t);for(;r&&hr(r)&&Pa(r);)r=_a(r,t);return r&&vr(r)&&Pa(r)&&!gr(r)?n:r||function(e){let t=Sr(e);for(;dr(t)&&!vr(t);){if(gr(t))return t;if(mr(t))return null;t=Sr(t)}return null}(e)||n}const ka={convertOffsetParentRelativeRectToViewportRelativeRect:function(e){let{elements:t,rect:n,offsetParent:r,strategy:a}=e;const o="fixed"===a,i=lr(r),s=!!t&&mr(t.floating);if(r===i||s&&o)return n;let l={scrollLeft:0,scrollTop:0},c=zr(1);const u=zr(0),d=dr(r);if((d||!d&&!o)&&(("body"!==ir(r)||fr(i))&&(l=wr(r)),dr(r))){const e=Aa(r);c=Sa(r),u.x=e.x+r.clientLeft,u.y=e.y+r.clientTop}const p=!i||d||o?zr(0):Oa(i,l,!0);return{width:n.width*c.x,height:n.height*c.y,x:n.x*c.x-l.scrollLeft*c.x+u.x+p.x,y:n.y*c.y-l.scrollTop*c.y+u.y+p.y}},getDocumentElement:lr,getClippingRect:function(e){let{element:t,boundary:n,rootBoundary:r,strategy:a}=e;const o=[..."clippingAncestors"===n?mr(t)?[]:function(e,t){const n=t.get(e);if(n)return n;let r=Er(e,[],!1).filter((e=>ur(e)&&"body"!==ir(e))),a=null;const o="fixed"===yr(e).position;let i=o?Sr(e):e;for(;ur(i)&&!vr(i);){const t=yr(i),n=gr(i);n||"fixed"!==t.position||(a=null),(o?!n&&!a:!n&&"static"===t.position&&a&&["absolute","fixed"].includes(a.position)||fr(i)&&!n&&Da(e,i))?r=r.filter((e=>e!==i)):a=t,i=Sr(i)}return t.set(e,r),r}(t,this._c):[].concat(n),r],i=o[0],s=o.reduce(((e,n)=>{const r=Ra(t,n,a);return e.top=Fr(r.top,e.top),e.right=jr(r.right,e.right),e.bottom=jr(r.bottom,e.bottom),e.left=Fr(r.left,e.left),e}),Ra(t,i,a));return{width:s.right-s.left,height:s.bottom-s.top,x:s.left,y:s.top}},getOffsetParent:Ta,getElementRects:async function(e){const t=this.getOffsetParent||Ta,n=this.getDimensions,r=await n(e.floating);return{reference:Ia(e.reference,await t(e.floating),e.strategy),floating:{x:0,y:0,width:r.width,height:r.height}}},getClientRects:function(e){return Array.from(e.getClientRects())},getDimensions:function(e){const{width:t,height:n}=ya(e);return{width:t,height:n}},getScale:Sa,isElement:ur,isRTL:function(e){return"rtl"===yr(e).direction}};function Ma(e,t,n,r){void 0===r&&(r={});const{ancestorScroll:a=!0,ancestorResize:o=!0,elementResize:i="function"==typeof ResizeObserver,layoutShift:s="function"==typeof IntersectionObserver,animationFrame:l=!1}=r,c=wa(e),u=a||o?[...c?Er(c):[],...Er(t)]:[];u.forEach((e=>{a&&e.addEventListener("scroll",n,{passive:!0}),o&&e.addEventListener("resize",n)}));const d=c&&s?function(e,t){let n,r=null;const a=lr(e);function o(){var e;clearTimeout(n),null==(e=r)||e.disconnect(),r=null}return function i(s,l){void 0===s&&(s=!1),void 0===l&&(l=1),o();const{left:c,top:u,width:d,height:p}=e.getBoundingClientRect();if(s||t(),!d||!p)return;const f={rootMargin:-$r(u)+"px "+-$r(a.clientWidth-(c+d))+"px "+-$r(a.clientHeight-(u+p))+"px "+-$r(c)+"px",threshold:Fr(0,jr(1,l))||1};let h=!0;function m(e){const t=e[0].intersectionRatio;if(t!==l){if(!h)return i();t?i(!1,t):n=setTimeout((()=>{i(!1,1e-7)}),1e3)}h=!1}try{r=new IntersectionObserver(m,{...f,root:a.ownerDocument})}catch(e){r=new IntersectionObserver(m,f)}r.observe(e)}(!0),o}(c,n):null;let p,f=-1,h=null;i&&(h=new ResizeObserver((e=>{let[r]=e;r&&r.target===c&&h&&(h.unobserve(t),cancelAnimationFrame(f),f=requestAnimationFrame((()=>{var e;null==(e=h)||e.observe(t)}))),n()})),c&&!l&&h.observe(c),h.observe(t));let m=l?Aa(e):null;return l&&function t(){const r=Aa(e);!m||r.x===m.x&&r.y===m.y&&r.width===m.width&&r.height===m.height||n(),m=r,p=requestAnimationFrame(t)}(),n(),()=>{var e;u.forEach((e=>{a&&e.removeEventListener("scroll",n),o&&e.removeEventListener("resize",n)})),null==d||d(),null==(e=h)||e.disconnect(),h=null,l&&cancelAnimationFrame(p)}}const Ba=function(e){return void 0===e&&(e=0),{name:"offset",options:e,async fn(t){var n,r;const{x:a,y:o,placement:i,middlewareData:s}=t,l=await async function(e,t){const{placement:n,platform:r,elements:a}=e,o=await(null==r.isRTL?void 0:r.isRTL(a.floating)),i=Gr(n),s=qr(n),l="y"===Yr(n),c=["left","top"].includes(i)?-1:1,u=o&&l?-1:1,d=Hr(t,e);let{mainAxis:p,crossAxis:f,alignmentAxis:h}="number"==typeof d?{mainAxis:d,crossAxis:0,alignmentAxis:null}:{mainAxis:d.mainAxis||0,crossAxis:d.crossAxis||0,alignmentAxis:d.alignmentAxis};return s&&"number"==typeof h&&(f="end"===s?-1*h:h),l?{x:f*u,y:p*c}:{x:p*c,y:f*u}}(t,e);return i===(null==(n=s.offset)?void 0:n.placement)&&null!=(r=s.arrow)&&r.alignmentOffset?{}:{x:a+l.x,y:o+l.y,data:{...l,placement:i}}}}},La=function(e){return void 0===e&&(e={}),{name:"flip",options:e,async fn(t){var n,r;const{placement:a,middlewareData:o,rects:i,initialPlacement:s,platform:l,elements:c}=t,{mainAxis:u=!0,crossAxis:d=!0,fallbackPlacements:p,fallbackStrategy:f="bestFit",fallbackAxisSideDirection:h="none",flipAlignment:m=!0,...g}=Hr(e,t);if(null!=(n=o.arrow)&&n.alignmentOffset)return{};const b=Gr(a),v=Yr(s),y=Gr(s)===s,w=await(null==l.isRTL?void 0:l.isRTL(c.floating)),S=p||(y||!m?[Zr(s)]:function(e){const t=Zr(e);return[Kr(e),t,Kr(t)]}(s)),x="none"!==h;!p&&x&&S.push(...function(e,t,n,r){const a=qr(e);let o=function(e,t,n){const r=["left","right"],a=["right","left"],o=["top","bottom"],i=["bottom","top"];switch(e){case"top":case"bottom":return n?t?a:r:t?r:a;case"left":case"right":return t?o:i;default:return[]}}(Gr(e),"start"===n,r);return a&&(o=o.map((e=>e+"-"+a)),t&&(o=o.concat(o.map(Kr)))),o}(s,m,h,w));const E=[s,...S],A=await va(t,g),C=[];let O=(null==(r=o.flip)?void 0:r.overflows)||[];if(u&&C.push(A[b]),d){const e=function(e,t,n){void 0===n&&(n=!1);const r=qr(e),a=Xr(e),o=Qr(a);let i="x"===a?r===(n?"end":"start")?"right":"left":"start"===r?"bottom":"top";return t.reference[o]>t.floating[o]&&(i=Zr(i)),[i,Zr(i)]}(a,i,w);C.push(A[e[0]],A[e[1]])}if(O=[...O,{placement:a,overflows:C}],!C.every((e=>e<=0))){var R,D;const e=((null==(R=o.flip)?void 0:R.index)||0)+1,t=E[e];if(t)return{data:{index:e,overflows:O},reset:{placement:t}};let n=null==(D=O.filter((e=>e.overflows[0]<=0)).sort(((e,t)=>e.overflows[1]-t.overflows[1]))[0])?void 0:D.placement;if(!n)switch(f){case"bestFit":{var I;const e=null==(I=O.filter((e=>{if(x){const t=Yr(e.placement);return t===v||"y"===t}return!0})).map((e=>[e.placement,e.overflows.filter((e=>e>0)).reduce(((e,t)=>e+t),0)])).sort(((e,t)=>e[1]-t[1]))[0])?void 0:I[0];e&&(n=e);break}case"initialPlacement":n=s}if(a!==n)return{reset:{placement:n}}}return{}}}},Na=function(e){return void 0===e&&(e={}),{name:"size",options:e,async fn(t){var n,r;const{placement:a,rects:o,platform:i,elements:s}=t,{apply:l=()=>{},...c}=Hr(e,t),u=await va(t,c),d=Gr(a),p=qr(a),f="y"===Yr(a),{width:h,height:m}=o.floating;let g,b;"top"===d||"bottom"===d?(g=d,b=p===(await(null==i.isRTL?void 0:i.isRTL(s.floating))?"start":"end")?"left":"right"):(b=d,g="end"===p?"top":"bottom");const v=m-u.top-u.bottom,y=h-u.left-u.right,w=jr(m-u[g],v),S=jr(h-u[b],y),x=!t.middlewareData.shift;let E=w,A=S;if(null!=(n=t.middlewareData.shift)&&n.enabled.x&&(A=y),null!=(r=t.middlewareData.shift)&&r.enabled.y&&(E=v),x&&!p){const e=Fr(u.left,0),t=Fr(u.right,0),n=Fr(u.top,0),r=Fr(u.bottom,0);f?A=h-2*(0!==e||0!==t?e+t:Fr(u.left,u.right)):E=m-2*(0!==n||0!==r?n+r:Fr(u.top,u.bottom))}await l({...t,availableWidth:A,availableHeight:E});const C=await i.getDimensions(s.floating);return h!==C.width||m!==C.height?{reset:{rects:!0}}:{}}}},ja=(e,t,n)=>{const r=new Map,a={platform:ka,...n},o={...a.platform,_c:r};return(async(e,t,n)=>{const{placement:r="bottom",strategy:a="absolute",middleware:o=[],platform:i}=n,s=o.filter(Boolean),l=await(null==i.isRTL?void 0:i.isRTL(t));let c=await i.getElementRects({reference:e,floating:t,strategy:a}),{x:u,y:d}=ba(c,r,l),p=r,f={},h=0;for(let n=0;n<s.length;n++){const{name:o,fn:m}=s[n],{x:g,y:b,data:v,reset:y}=await m({x:u,y:d,initialPlacement:r,placement:p,strategy:a,middlewareData:f,rects:c,platform:i,elements:{reference:e,floating:t}});u=null!=g?g:u,d=null!=b?b:d,f={...f,[o]:{...f[o],...v}},y&&h<=50&&(h++,"object"==typeof y&&(y.placement&&(p=y.placement),y.rects&&(c=!0===y.rects?await i.getElementRects({reference:e,floating:t,strategy:a}):y.rects),({x:u,y:d}=ba(c,p,l))),n=-1)}return{x:u,y:d,placement:p,strategy:a,middlewareData:f}})(e,t,{...a,platform:o})};var Fa="undefined"!=typeof document?o.useLayoutEffect:o.useEffect;function Va(e,t){if(e===t)return!0;if(typeof e!=typeof t)return!1;if("function"==typeof e&&e.toString()===t.toString())return!0;let n,r,a;if(e&&t&&"object"==typeof e){if(Array.isArray(e)){if(n=e.length,n!==t.length)return!1;for(r=n;0!=r--;)if(!Va(e[r],t[r]))return!1;return!0}if(a=Object.keys(e),n=a.length,n!==Object.keys(t).length)return!1;for(r=n;0!=r--;)if(!{}.hasOwnProperty.call(t,a[r]))return!1;for(r=n;0!=r--;){const n=a[r];if(!("_owner"===n&&e.$$typeof||Va(e[n],t[n])))return!1}return!0}return e!=e&&t!=t}function $a(e){return"undefined"==typeof window?1:(e.ownerDocument.defaultView||window).devicePixelRatio||1}function za(e,t){const n=$a(e);return Math.round(t*n)/n}function Ua(e){const t=o.useRef(e);return Fa((()=>{t.current=e})),t}const Wa=(e,t)=>({...La(e),options:[e,t]}),Ha=(e,t)=>({...Na(e),options:[e,t]}),Ga={...i},qa=Ga.useInsertionEffect||(e=>e());function Qa(e){const t=o.useRef((()=>{}));return qa((()=>{t.current=e})),o.useCallback((function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];return null==t.current?void 0:t.current(...n)}),[])}const Ya="ArrowUp",Xa="ArrowDown",Ka="ArrowLeft",Za="ArrowRight";function Ja(e,t,n){return Math.floor(e/t)!==n}function eo(e,t){return t<0||t>=e.current.length}function to(e,t){return ro(e,{disabledIndices:t})}function no(e,t){return ro(e,{decrement:!0,startingIndex:e.current.length,disabledIndices:t})}function ro(e,t){let{startingIndex:n=-1,decrement:r=!1,disabledIndices:a,amount:o=1}=void 0===t?{}:t;const i=e.current;let s=n;do{s+=r?-o:o}while(s>=0&&s<=i.length-1&&io(i,s,a));return s}function ao(e,t,n,r,a){if(-1===e)return-1;const o=n.indexOf(e),i=t[e];switch(a){case"tl":return o;case"tr":return i?o+i.width-1:o;case"bl":return i?o+(i.height-1)*r:o;case"br":return n.lastIndexOf(e)}}function oo(e,t){return t.flatMap(((t,n)=>e.includes(t)?[n]:[]))}function io(e,t,n){if(n)return n.includes(t);const r=e[t];return null==r||r.hasAttribute("disabled")||"true"===r.getAttribute("aria-disabled")}let so=0;function lo(e,t){void 0===t&&(t={});const{preventScroll:n=!1,cancelPrevious:r=!0,sync:a=!1}=t;r&&cancelAnimationFrame(so);const o=()=>null==e?void 0:e.focus({preventScroll:n});a?o():so=requestAnimationFrame(o)}var co="undefined"!=typeof document?o.useLayoutEffect:o.useEffect;function uo(){return uo=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},uo.apply(this,arguments)}let po=!1,fo=0;const ho=()=>"floating-ui-"+Math.random().toString(36).slice(2,6)+fo++,mo=Ga.useId||function(){const[e,t]=o.useState((()=>po?ho():void 0));return co((()=>{null==e&&t(ho())}),[]),o.useEffect((()=>{po=!0}),[]),e};const go=o.createContext(null),bo=o.createContext(null),vo=()=>{var e;return(null==(e=o.useContext(go))?void 0:e.id)||null},yo=()=>o.useContext(bo);function wo(e){return"data-floating-ui-"+e}function So(e){const t=(0,o.useRef)(e);return co((()=>{t.current=e})),t}function xo(e,t){let n=e.filter((e=>{var n;return e.parentId===t&&(null==(n=e.context)?void 0:n.open)})),r=n;for(;r.length;)r=e.filter((e=>{var t;return null==(t=r)?void 0:t.some((t=>{var n;return e.parentId===t.id&&(null==(n=e.context)?void 0:n.open)}))})),n=n.concat(r);return n}let Eo=new WeakMap,Ao=new WeakSet,Co={},Oo=0;const Ro=e=>e&&(e.host||Ro(e.parentNode));function Do(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1);const r=kr(e[0]).body;return function(e,t,n,r){const a="data-floating-ui-inert",o=r?"inert":n?"aria-hidden":null,i=(s=t,e.map((e=>{if(s.contains(e))return e;const t=Ro(e);return s.contains(t)?t:null})).filter((e=>null!=e)));var s;const l=new Set,c=new Set(i),u=[];Co[a]||(Co[a]=new WeakMap);const d=Co[a];return i.forEach((function e(t){t&&!l.has(t)&&(l.add(t),t.parentNode&&e(t.parentNode))})),function e(t){t&&!c.has(t)&&[].forEach.call(t.children,(t=>{if("script"!==ir(t))if(l.has(t))e(t);else{const e=o?t.getAttribute(o):null,n=null!==e&&"false"!==e,r=(Eo.get(t)||0)+1,i=(d.get(t)||0)+1;Eo.set(t,r),d.set(t,i),u.push(t),1===r&&n&&Ao.add(t),1===i&&t.setAttribute(a,""),!n&&o&&t.setAttribute(o,"true")}}))}(t),l.clear(),Oo++,()=>{u.forEach((e=>{const t=(Eo.get(e)||0)-1,n=(d.get(e)||0)-1;Eo.set(e,t),d.set(e,n),t||(!Ao.has(e)&&o&&e.removeAttribute(o),Ao.delete(e)),n||e.removeAttribute(a)})),Oo--,Oo||(Eo=new WeakMap,Eo=new WeakMap,Ao=new WeakSet,Co={})}}(e.concat(Array.from(r.querySelectorAll("[aria-live]"))),r,t,n)}const Io=()=>({getShadowRoot:!0,displayCheck:"function"==typeof ResizeObserver&&ResizeObserver.toString().includes("[native code]")?"full":"none"});function Po(e,t){const n=ma(e,Io());"prev"===t&&n.reverse();const r=n.indexOf(Cr(kr(e)));return n.slice(r+1)[0]}function _o(){return Po(document.body,"next")}function To(){return Po(document.body,"prev")}function ko(e,t){const n=t||e.currentTarget,r=e.relatedTarget;return!r||!Or(n,r)}function Mo(e){ma(e,Io()).forEach((e=>{e.dataset.tabindex=e.getAttribute("tabindex")||"",e.setAttribute("tabindex","-1")}))}function Bo(e){e.querySelectorAll("[data-tabindex]").forEach((e=>{const t=e.dataset.tabindex;delete e.dataset.tabindex,t?e.setAttribute("tabindex",t):e.removeAttribute("tabindex")}))}const Lo={border:0,clip:"rect(0 0 0 0)",height:"1px",margin:"-1px",overflow:"hidden",padding:0,position:"fixed",whiteSpace:"nowrap",width:"1px",top:0,left:0};function No(e){"Tab"===e.key&&(e.target,clearTimeout(void 0))}const jo=o.forwardRef((function(e,t){const[n,r]=o.useState();co((()=>(_r()&&r("button"),document.addEventListener("keydown",No),()=>{document.removeEventListener("keydown",No)})),[]);const a={ref:t,tabIndex:0,role:n,"aria-hidden":!n||void 0,[wo("focus-guard")]:"",style:Lo};return o.createElement("span",uo({},e,a))})),Fo=o.createContext(null),Vo=wo("portal");function $o(e){const{children:t,id:n,root:r=null,preserveTabOrder:a=!0}=e,i=function(e){void 0===e&&(e={});const{id:t,root:n}=e,r=mo(),a=zo(),[i,s]=o.useState(null),l=o.useRef(null);return co((()=>()=>{null==i||i.remove(),queueMicrotask((()=>{l.current=null}))}),[i]),co((()=>{if(!r)return;if(l.current)return;const e=t?document.getElementById(t):null;if(!e)return;const n=document.createElement("div");n.id=r,n.setAttribute(Vo,""),e.appendChild(n),l.current=n,s(n)}),[t,r]),co((()=>{if(!r)return;if(l.current)return;let e=n||(null==a?void 0:a.portalNode);e&&!ur(e)&&(e=e.current),e=e||document.body;let o=null;t&&(o=document.createElement("div"),o.id=t,e.appendChild(o));const i=document.createElement("div");i.id=r,i.setAttribute(Vo,""),e=o||e,e.appendChild(i),l.current=i,s(i)}),[t,n,r,a]),i}({id:n,root:r}),[s,l]=o.useState(null),c=o.useRef(null),u=o.useRef(null),d=o.useRef(null),p=o.useRef(null),f=null==s?void 0:s.modal,h=null==s?void 0:s.open,m=!!s&&!s.modal&&s.open&&a&&!(!r&&!i);return o.useEffect((()=>{if(i&&a&&!f)return i.addEventListener("focusin",e,!0),i.addEventListener("focusout",e,!0),()=>{i.removeEventListener("focusin",e,!0),i.removeEventListener("focusout",e,!0)};function e(e){i&&ko(e)&&("focusin"===e.type?Bo:Mo)(i)}}),[i,a,f]),o.useEffect((()=>{i&&(h||Bo(i))}),[h,i]),o.createElement(Fo.Provider,{value:o.useMemo((()=>({preserveTabOrder:a,beforeOutsideRef:c,afterOutsideRef:u,beforeInsideRef:d,afterInsideRef:p,portalNode:i,setFocusManagerState:l})),[a,i])},m&&i&&o.createElement(jo,{"data-type":"outside",ref:c,onFocus:e=>{if(ko(e,i)){var t;null==(t=d.current)||t.focus()}else{const e=To()||(null==s?void 0:s.refs.domReference.current);null==e||e.focus()}}}),m&&i&&o.createElement("span",{"aria-owns":i.id,style:Lo}),i&&ga.createPortal(t,i),m&&i&&o.createElement(jo,{"data-type":"outside",ref:u,onFocus:e=>{if(ko(e,i)){var t;null==(t=p.current)||t.focus()}else{const t=_o()||(null==s?void 0:s.refs.domReference.current);null==t||t.focus(),(null==s?void 0:s.closeOnFocusOut)&&(null==s||s.onOpenChange(!1,e.nativeEvent,"focus-out"))}}}))}const zo=()=>o.useContext(Fo),Uo="data-floating-ui-focusable";function Wo(e){return e?e.hasAttribute(Uo)?e:e.querySelector("["+Uo+"]")||e:null}let Ho=[];function Go(e){Ho=Ho.filter((e=>e.isConnected));let t=e;if(t&&"body"!==ir(t)){if(!function(e,t){if(t=t||{},!e)throw new Error("No node provided");return!1!==na.call(e,ea)&&pa(t,e)}(t,Io())){const e=ma(t,Io())[0];e&&(t=e)}Ho.push(t),Ho.length>20&&(Ho=Ho.slice(-20))}}function qo(){return Ho.slice().reverse().find((e=>e.isConnected))}const Qo=o.forwardRef((function(e,t){return o.createElement("button",uo({},e,{type:"button",ref:t,tabIndex:-1,style:Lo}))}));function Yo(e){const{context:t,children:n,disabled:r=!1,order:a=["content"],guards:i=!0,initialFocus:s=0,returnFocus:l=!0,restoreFocus:c=!1,modal:u=!0,visuallyHiddenDismiss:d=!1,closeOnFocusOut:p=!0}=e,{open:f,refs:h,nodeId:m,onOpenChange:g,events:b,dataRef:v,floatingId:y,elements:{domReference:w,floating:S}}=t,x="number"==typeof s&&s<0,E=Nr(w)&&x,A="undefined"==typeof HTMLElement||!("inert"in HTMLElement.prototype)||i,C=So(a),O=So(s),R=So(l),D=yo(),I=zo(),P=o.useRef(null),_=o.useRef(null),T=o.useRef(!1),k=o.useRef(!1),M=o.useRef(-1),B=null!=I,L=Wo(S),N=Qa((function(e){return void 0===e&&(e=L),e?ma(e,Io()):[]})),j=Qa((e=>{const t=N(e);return C.current.map((e=>w&&"reference"===e?w:L&&"floating"===e?L:t)).filter(Boolean).flat()}));function F(e){return!r&&d&&u?o.createElement(Qo,{ref:"start"===e?P:_,onClick:e=>g(!1,e.nativeEvent)},"string"==typeof d?d:"Dismiss"):null}o.useEffect((()=>{T.current=!1}),[r]),o.useEffect((()=>{if(r)return;if(!u)return;function e(e){if("Tab"===e.key){Or(L,Cr(kr(L)))&&0===N().length&&!E&&Lr(e);const t=j(),n=Br(e);"reference"===C.current[0]&&n===w&&(Lr(e),e.shiftKey?lo(t[t.length-1]):lo(t[1])),"floating"===C.current[1]&&n===L&&e.shiftKey&&(Lr(e),lo(t[0]))}}const t=kr(L);return t.addEventListener("keydown",e),()=>{t.removeEventListener("keydown",e)}}),[r,w,L,u,C,E,N,j]),o.useEffect((()=>{if(!r&&S)return S.addEventListener("focusin",e),()=>{S.removeEventListener("focusin",e)};function e(e){const t=Br(e),n=N().indexOf(t);-1!==n&&(M.current=n)}}),[r,S,N]),o.useEffect((()=>{if(!r&&p)return S&&dr(w)?(w.addEventListener("focusout",t),w.addEventListener("pointerdown",e),S.addEventListener("focusout",t),()=>{w.removeEventListener("focusout",t),w.removeEventListener("pointerdown",e),S.removeEventListener("focusout",t)}):void 0;function e(){k.current=!0,setTimeout((()=>{k.current=!1}))}function t(e){const t=e.relatedTarget;queueMicrotask((()=>{const n=!(Or(w,t)||Or(S,t)||Or(t,S)||Or(null==I?void 0:I.portalNode,t)||null!=t&&t.hasAttribute(wo("focus-guard"))||D&&(xo(D.nodesRef.current,m).find((e=>{var n,r;return Or(null==(n=e.context)?void 0:n.elements.floating,t)||Or(null==(r=e.context)?void 0:r.elements.domReference,t)}))||function(e,t){var n;let r=[],a=null==(n=e.find((e=>e.id===t)))?void 0:n.parentId;for(;a;){const t=e.find((e=>e.id===a));a=null==t?void 0:t.parentId,t&&(r=r.concat(t))}return r}(D.nodesRef.current,m).find((e=>{var n,r;return(null==(n=e.context)?void 0:n.elements.floating)===t||(null==(r=e.context)?void 0:r.elements.domReference)===t}))));if(c&&n&&Cr(kr(L))===kr(L).body){dr(L)&&L.focus();const e=M.current,t=N(),n=t[e]||t[t.length-1]||L;dr(n)&&n.focus()}!E&&u||!t||!n||k.current||t===qo()||(T.current=!0,g(!1,e,"focus-out"))}))}}),[r,w,S,L,u,m,D,I,g,p,c,N,E]),o.useEffect((()=>{var e;if(r)return;const t=Array.from((null==I||null==(e=I.portalNode)?void 0:e.querySelectorAll("["+wo("portal")+"]"))||[]);if(S){const e=[S,...t,P.current,_.current,C.current.includes("reference")||E?w:null].filter((e=>null!=e)),n=u||E?Do(e,A,!A):Do(e);return()=>{n()}}}),[r,w,S,u,C,I,E,A]),co((()=>{if(r||!dr(L))return;const e=Cr(kr(L));queueMicrotask((()=>{const t=j(L),n=O.current,r=("number"==typeof n?t[n]:n.current)||L,a=Or(L,e);x||a||!f||lo(r,{preventScroll:r===L})}))}),[r,f,L,x,j,O]),co((()=>{if(r||!L)return;let e=!1;const t=kr(L),n=Cr(t);let a=v.current.openEvent;function o(t){let{open:n,reason:r,event:o,nested:i}=t;n&&(a=o),"escape-key"===r&&h.domReference.current&&Go(h.domReference.current),"hover"===r&&"mouseleave"===o.type&&(T.current=!0),"outside-press"===r&&(i?(T.current=!1,e=!0):T.current=!(Ir(o)||Pr(o)))}Go(n),b.on("openchange",o);const i=t.createElement("span");return i.setAttribute("tabindex","-1"),i.setAttribute("aria-hidden","true"),Object.assign(i.style,Lo),B&&w&&w.insertAdjacentElement("afterend",i),()=>{b.off("openchange",o);const n=Cr(t),r=Or(S,n)||D&&xo(D.nodesRef.current,m).some((e=>{var t;return Or(null==(t=e.context)?void 0:t.elements.floating,n)}));(r||a&&["click","mousedown"].includes(a.type))&&h.domReference.current&&Go(h.domReference.current);const s=qo()||i;queueMicrotask((()=>{R.current&&!T.current&&dr(s)&&(s===n||n===t.body||r)&&s.focus({preventScroll:e}),i.remove()}))}}),[r,S,L,R,v,h,b,D,m,B,w]),co((()=>{if(!r&&I)return I.setFocusManagerState({modal:u,closeOnFocusOut:p,open:f,onOpenChange:g,refs:h}),()=>{I.setFocusManagerState(null)}}),[r,I,u,f,g,h,p]),co((()=>{if(r)return;if(!L)return;if("function"!=typeof MutationObserver)return;if(x)return;const e=()=>{const e=L.getAttribute("tabindex"),t=N(),n=Cr(kr(S)),r=t.indexOf(n);-1!==r&&(M.current=r),C.current.includes("floating")||n!==h.domReference.current&&0===t.length?"0"!==e&&L.setAttribute("tabindex","0"):"-1"!==e&&L.setAttribute("tabindex","-1")};e();const t=new MutationObserver(e);return t.observe(L,{childList:!0,subtree:!0,attributes:!0}),()=>{t.disconnect()}}),[r,S,L,h,C,N,x]);const V=!r&&A&&(!u||!E)&&(B||u);return o.createElement(o.Fragment,null,V&&o.createElement(jo,{"data-type":"inside",ref:null==I?void 0:I.beforeInsideRef,onFocus:e=>{if(u){const e=j();lo("reference"===a[0]?e[0]:e[e.length-1])}else if(null!=I&&I.preserveTabOrder&&I.portalNode)if(T.current=!1,ko(e,I.portalNode)){const e=_o()||w;null==e||e.focus()}else{var t;null==(t=I.beforeOutsideRef.current)||t.focus()}}}),!E&&F("start"),n,F("end"),V&&o.createElement(jo,{"data-type":"inside",ref:null==I?void 0:I.afterInsideRef,onFocus:e=>{if(u)lo(j()[0]);else if(null!=I&&I.preserveTabOrder&&I.portalNode)if(p&&(T.current=!0),ko(e,I.portalNode)){const e=To()||w;null==e||e.focus()}else{var t;null==(t=I.afterOutsideRef.current)||t.focus()}}}))}const Xo={pointerdown:"onPointerDown",mousedown:"onMouseDown",click:"onClick"},Ko={pointerdown:"onPointerDownCapture",mousedown:"onMouseDownCapture",click:"onClickCapture"},Zo=e=>{var t,n;return{escapeKey:"boolean"==typeof e?e:null!=(t=null==e?void 0:e.escapeKey)&&t,outsidePress:"boolean"==typeof e?e:null==(n=null==e?void 0:e.outsidePress)||n}};function Jo(e){void 0===e&&(e={});const{nodeId:t}=e,n=function(e){const{open:t=!1,onOpenChange:n,elements:r}=e,a=mo(),i=o.useRef({}),[s]=o.useState((()=>function(){const e=new Map;return{emit(t,n){var r;null==(r=e.get(t))||r.forEach((e=>e(n)))},on(t,n){e.set(t,[...e.get(t)||[],n])},off(t,n){var r;e.set(t,(null==(r=e.get(t))?void 0:r.filter((e=>e!==n)))||[])}}}())),l=null!=vo(),[c,u]=o.useState(r.reference),d=Qa(((e,t,r)=>{i.current.openEvent=e?t:void 0,s.emit("openchange",{open:e,event:t,reason:r,nested:l}),null==n||n(e,t,r)})),p=o.useMemo((()=>({setPositionReference:u})),[]),f=o.useMemo((()=>({reference:c||r.reference||null,floating:r.floating||null,domReference:r.reference})),[c,r.reference,r.floating]);return o.useMemo((()=>({dataRef:i,open:t,onOpenChange:d,elements:f,events:s,floatingId:a,refs:p})),[t,d,f,s,a,p])}({...e,elements:{reference:null,floating:null,...e.elements}}),r=e.rootContext||n,a=r.elements,[i,s]=o.useState(null),[l,c]=o.useState(null),u=(null==a?void 0:a.reference)||i,d=o.useRef(null),p=yo();co((()=>{u&&(d.current=u)}),[u]);const f=function(e){void 0===e&&(e={});const{placement:t="bottom",strategy:n="absolute",middleware:r=[],platform:a,elements:{reference:i,floating:s}={},transform:l=!0,whileElementsMounted:c,open:u}=e,[d,p]=o.useState({x:0,y:0,strategy:n,placement:t,middlewareData:{},isPositioned:!1}),[f,h]=o.useState(r);Va(f,r)||h(r);const[m,g]=o.useState(null),[b,v]=o.useState(null),y=o.useCallback((e=>{e!==E.current&&(E.current=e,g(e))}),[]),w=o.useCallback((e=>{e!==A.current&&(A.current=e,v(e))}),[]),S=i||m,x=s||b,E=o.useRef(null),A=o.useRef(null),C=o.useRef(d),O=null!=c,R=Ua(c),D=Ua(a),I=Ua(u),P=o.useCallback((()=>{if(!E.current||!A.current)return;const e={placement:t,strategy:n,middleware:f};D.current&&(e.platform=D.current),ja(E.current,A.current,e).then((e=>{const t={...e,isPositioned:!1!==I.current};_.current&&!Va(C.current,t)&&(C.current=t,ga.flushSync((()=>{p(t)})))}))}),[f,t,n,D,I]);Fa((()=>{!1===u&&C.current.isPositioned&&(C.current.isPositioned=!1,p((e=>({...e,isPositioned:!1}))))}),[u]);const _=o.useRef(!1);Fa((()=>(_.current=!0,()=>{_.current=!1})),[]),Fa((()=>{if(S&&(E.current=S),x&&(A.current=x),S&&x){if(R.current)return R.current(S,x,P);P()}}),[S,x,P,R,O]);const T=o.useMemo((()=>({reference:E,floating:A,setReference:y,setFloating:w})),[y,w]),k=o.useMemo((()=>({reference:S,floating:x})),[S,x]),M=o.useMemo((()=>{const e={position:n,left:0,top:0};if(!k.floating)return e;const t=za(k.floating,d.x),r=za(k.floating,d.y);return l?{...e,transform:"translate("+t+"px, "+r+"px)",...$a(k.floating)>=1.5&&{willChange:"transform"}}:{position:n,left:t,top:r}}),[n,l,k.floating,d.x,d.y]);return o.useMemo((()=>({...d,update:P,refs:T,elements:k,floatingStyles:M})),[d,P,T,k,M])}({...e,elements:{...a,...l&&{reference:l}}}),h=o.useCallback((e=>{const t=ur(e)?{getBoundingClientRect:()=>e.getBoundingClientRect(),contextElement:e}:e;c(t),f.refs.setReference(t)}),[f.refs]),m=o.useCallback((e=>{(ur(e)||null===e)&&(d.current=e,s(e)),(ur(f.refs.reference.current)||null===f.refs.reference.current||null!==e&&!ur(e))&&f.refs.setReference(e)}),[f.refs]),g=o.useMemo((()=>({...f.refs,setReference:m,setPositionReference:h,domReference:d})),[f.refs,m,h]),b=o.useMemo((()=>({...f.elements,domReference:u})),[f.elements,u]),v=o.useMemo((()=>({...f,...r,refs:g,elements:b,nodeId:t})),[f,g,b,t,r]);return co((()=>{r.dataRef.current.floatingContext=v;const e=null==p?void 0:p.nodesRef.current.find((e=>e.id===t));e&&(e.context=v)})),o.useMemo((()=>({...f,context:v,refs:g,elements:b})),[f,g,b,v])}const ei="active",ti="selected";function ni(e,t,n){const r=new Map,a="item"===n;let o=e;if(a&&e){const{[ei]:t,[ti]:n,...r}=e;o=r}return{..."floating"===n&&{tabIndex:-1,[Uo]:""},...o,...t.map((t=>{const r=t?t[n]:null;return"function"==typeof r?e?r(e):null:r})).concat(e).reduce(((e,t)=>t?(Object.entries(t).forEach((t=>{let[n,o]=t;var i;a&&[ei,ti].includes(n)||(0===n.indexOf("on")?(r.has(n)||r.set(n,[]),"function"==typeof o&&(null==(i=r.get(n))||i.push(o),e[n]=function(){for(var e,t=arguments.length,a=new Array(t),o=0;o<t;o++)a[o]=arguments[o];return null==(e=r.get(n))?void 0:e.map((e=>e(...a))).find((e=>void 0!==e))})):e[n]=o)})),e):e),{})}}let ri=!1;function ai(e,t,n){switch(e){case"vertical":return t;case"horizontal":return n;default:return t||n}}function oi(e,t){return ai(t,e===Ya||e===Xa,e===Ka||e===Za)}function ii(e,t,n){return ai(t,e===Xa,n?e===Ka:e===Za)||"Enter"===e||" "===e||""===e}function si(e,t,n){return ai(t,n?e===Za:e===Ka,e===Ya)}function li(e,t){const{open:n,onOpenChange:r,elements:a}=e,{listRef:i,activeIndex:s,onNavigate:l=()=>{},enabled:c=!0,selectedIndex:u=null,allowEscape:d=!1,loop:p=!1,nested:f=!1,rtl:h=!1,virtual:m=!1,focusItemOnOpen:g="auto",focusItemOnHover:b=!0,openOnArrowKeyDown:v=!0,disabledIndices:y,orientation:w="vertical",cols:S=1,scrollItemIntoView:x=!0,virtualItemRef:E,itemSizes:A,dense:C=!1}=t,O=So(Wo(a.floating)),R=vo(),D=yo(),I=Qa(l),P=o.useRef(g),_=o.useRef(null!=u?u:-1),T=o.useRef(null),k=o.useRef(!0),M=o.useRef(I),B=o.useRef(!!a.floating),L=o.useRef(n),N=o.useRef(!1),j=o.useRef(!1),F=So(y),V=So(n),$=So(x),z=So(u),[U,W]=o.useState(),[H,G]=o.useState(),q=Qa((function(e,t,n){function r(e){m?(W(e.id),null==D||D.events.emit("virtualfocus",e),E&&(E.current=e)):lo(e,{preventScroll:!0,sync:!(!Rr().toLowerCase().startsWith("mac")||navigator.maxTouchPoints||!_r())&&(ri||N.current)})}void 0===n&&(n=!1);const a=e.current[t.current];a&&r(a),requestAnimationFrame((()=>{const o=e.current[t.current]||a;if(!o)return;a||r(o);const i=$.current;i&&Y&&(n||!k.current)&&(null==o.scrollIntoView||o.scrollIntoView("boolean"==typeof i?{block:"nearest",inline:"nearest"}:i))}))}));co((()=>{document.createElement("div").focus({get preventScroll(){return ri=!0,!1}})}),[]),co((()=>{c&&(n&&a.floating?P.current&&null!=u&&(j.current=!0,_.current=u,I(u)):B.current&&(_.current=-1,M.current(null)))}),[c,n,a.floating,u,I]),co((()=>{if(c&&n&&a.floating)if(null==s){if(N.current=!1,null!=z.current)return;if(B.current&&(_.current=-1,q(i,_)),(!L.current||!B.current)&&P.current&&(null!=T.current||!0===P.current&&null==T.current)){let e=0;const t=()=>{null==i.current[0]?(e<2&&(e?requestAnimationFrame:queueMicrotask)(t),e++):(_.current=null==T.current||ii(T.current,w,h)||f?to(i,F.current):no(i,F.current),T.current=null,I(_.current))};t()}}else eo(i,s)||(_.current=s,q(i,_,j.current),j.current=!1)}),[c,n,a.floating,s,z,f,i,w,h,I,q,F]),co((()=>{var e;if(!c||a.floating||!D||m||!B.current)return;const t=D.nodesRef.current,n=null==(e=t.find((e=>e.id===R)))||null==(e=e.context)?void 0:e.elements.floating,r=Cr(kr(a.floating)),o=t.some((e=>e.context&&Or(e.context.elements.floating,r)));n&&!o&&k.current&&n.focus({preventScroll:!0})}),[c,a.floating,D,R,m]),co((()=>{if(c&&D&&m&&!R)return D.events.on("virtualfocus",e),()=>{D.events.off("virtualfocus",e)};function e(e){G(e.id),E&&(E.current=e)}}),[c,D,m,R,E]),co((()=>{M.current=I,B.current=!!a.floating})),co((()=>{n||(T.current=null)}),[n]),co((()=>{L.current=n}),[n]);const Q=null!=s,Y=o.useMemo((()=>{function e(e){if(!n)return;const t=i.current.indexOf(e);-1!==t&&I(t)}const t={onFocus(t){let{currentTarget:n}=t;e(n)},onClick:e=>{let{currentTarget:t}=e;return t.focus({preventScroll:!0})},...b&&{onMouseMove(t){let{currentTarget:n}=t;e(n)},onPointerLeave(e){let{pointerType:t}=e;k.current&&"touch"!==t&&(_.current=-1,q(i,_),I(null),m||lo(O.current,{preventScroll:!0}))}}};return t}),[n,O,q,b,i,I,m]),X=Qa((e=>{if(k.current=!1,N.current=!0,!V.current&&e.currentTarget===O.current)return;if(f&&si(e.key,w,h))return Lr(e),r(!1,e.nativeEvent,"list-navigation"),void(dr(a.domReference)&&!m&&a.domReference.focus());const t=_.current,o=to(i,y),s=no(i,y);if("Home"===e.key&&(Lr(e),_.current=o,I(_.current)),"End"===e.key&&(Lr(e),_.current=s,I(_.current)),S>1){const t=A||Array.from({length:i.current.length},(()=>({width:1,height:1}))),n=function(e,t,n){const r=[];let a=0;return e.forEach(((e,o)=>{let{width:i,height:s}=e,l=!1;for(n&&(a=0);!l;){const e=[];for(let n=0;n<i;n++)for(let r=0;r<s;r++)e.push(a+n+r*t);a%t+i<=t&&e.every((e=>null==r[e]))?(e.forEach((e=>{r[e]=o})),l=!0):a++}})),[...r]}(t,S,C),r=n.findIndex((e=>null!=e&&!io(i.current,e,y))),a=n.reduce(((e,t,n)=>null==t||io(i.current,t,y)?e:n),-1),l=n[function(e,t){let{event:n,orientation:r,loop:a,cols:o,disabledIndices:i,minIndex:s,maxIndex:l,prevIndex:c,stopEvent:u=!1}=t,d=c;if(n.key===Ya){if(u&&Lr(n),-1===c)d=l;else if(d=ro(e,{startingIndex:d,amount:o,decrement:!0,disabledIndices:i}),a&&(c-o<s||d<0)){const e=c%o,t=l%o,n=l-(t-e);d=t===e?l:t>e?n:n-o}eo(e,d)&&(d=c)}if(n.key===Xa&&(u&&Lr(n),-1===c?d=s:(d=ro(e,{startingIndex:c,amount:o,disabledIndices:i}),a&&c+o>l&&(d=ro(e,{startingIndex:c%o-o,amount:o,disabledIndices:i}))),eo(e,d)&&(d=c)),"both"===r){const t=$r(c/o);n.key===Za&&(u&&Lr(n),c%o!=o-1?(d=ro(e,{startingIndex:c,disabledIndices:i}),a&&Ja(d,o,t)&&(d=ro(e,{startingIndex:c-c%o-1,disabledIndices:i}))):a&&(d=ro(e,{startingIndex:c-c%o-1,disabledIndices:i})),Ja(d,o,t)&&(d=c)),n.key===Ka&&(u&&Lr(n),c%o!=0?(d=ro(e,{startingIndex:c,decrement:!0,disabledIndices:i}),a&&Ja(d,o,t)&&(d=ro(e,{startingIndex:c+(o-c%o),decrement:!0,disabledIndices:i}))):a&&(d=ro(e,{startingIndex:c+(o-c%o),decrement:!0,disabledIndices:i})),Ja(d,o,t)&&(d=c));const r=$r(l/o)===t;eo(e,d)&&(d=a&&r?n.key===Ka?l:ro(e,{startingIndex:c-c%o-1,disabledIndices:i}):c)}return d}({current:n.map((e=>null!=e?i.current[e]:null))},{event:e,orientation:w,loop:p,cols:S,disabledIndices:oo([...y||i.current.map(((e,t)=>io(i.current,t)?t:void 0)),void 0],n),minIndex:r,maxIndex:a,prevIndex:ao(_.current>s?o:_.current,t,n,S,e.key===Xa?"bl":e.key===Za?"tr":"tl"),stopEvent:!0})];if(null!=l&&(_.current=l,I(_.current)),"both"===w)return}if(oi(e.key,w)){if(Lr(e),n&&!m&&Cr(e.currentTarget.ownerDocument)===e.currentTarget)return _.current=ii(e.key,w,h)?o:s,void I(_.current);ii(e.key,w,h)?_.current=p?t>=s?d&&t!==i.current.length?-1:o:ro(i,{startingIndex:t,disabledIndices:y}):Math.min(s,ro(i,{startingIndex:t,disabledIndices:y})):_.current=p?t<=o?d&&-1!==t?i.current.length:s:ro(i,{startingIndex:t,decrement:!0,disabledIndices:y}):Math.max(o,ro(i,{startingIndex:t,decrement:!0,disabledIndices:y})),eo(i,_.current)?I(null):I(_.current)}})),K=o.useMemo((()=>m&&n&&Q&&{"aria-activedescendant":H||U}),[m,n,Q,H,U]),Z=o.useMemo((()=>({"aria-orientation":"both"===w?void 0:w,...!Nr(a.domReference)&&K,onKeyDown:X,onPointerMove(){k.current=!0}})),[K,X,a.domReference,w]),J=o.useMemo((()=>{function e(e){"auto"===g&&Ir(e.nativeEvent)&&(P.current=!0)}return{...K,onKeyDown(e){k.current=!1;const t=0===e.key.indexOf("Arrow"),a=function(e,t,n){return ai(t,n?e===Ka:e===Za,e===Xa)}(e.key,w,h),o=si(e.key,w,h),s=oi(e.key,w),l=(f?a:s)||"Enter"===e.key||""===e.key.trim();if(m&&n){const n=null==D?void 0:D.nodesRef.current.find((e=>null==e.parentId)),r=D&&n?function(e,t){let n,r=-1;return function t(a,o){o>r&&(n=a,r=o),xo(e,a).forEach((e=>{t(e.id,o+1)}))}(t,0),e.find((e=>e.id===n))}(D.nodesRef.current,n.id):null;if(t&&r&&E){const t=new KeyboardEvent("keydown",{key:e.key,bubbles:!0});if(a||o){var c,d;const n=(null==(c=r.context)?void 0:c.elements.domReference)===e.currentTarget,s=o&&!n?null==(d=r.context)?void 0:d.elements.domReference:a?i.current.find((e=>(null==e?void 0:e.id)===U)):null;s&&(Lr(e),s.dispatchEvent(t),G(void 0))}var p;if(s&&r.context&&r.context.open&&r.parentId&&e.currentTarget!==r.context.elements.domReference)return Lr(e),void(null==(p=r.context.elements.domReference)||p.dispatchEvent(t))}return X(e)}(n||v||!t)&&(l&&(T.current=f&&s?null:e.key),f?a&&(Lr(e),n?(_.current=to(i,F.current),I(_.current)):r(!0,e.nativeEvent,"list-navigation")):s&&(null!=u&&(_.current=u),Lr(e),!n&&v?r(!0,e.nativeEvent,"list-navigation"):X(e),n&&I(_.current)))},onFocus(){n&&!m&&I(null)},onPointerDown:function(e){P.current=g,"auto"===g&&Pr(e.nativeEvent)&&(P.current=!0)},onMouseDown:e,onClick:e}}),[U,K,X,F,g,i,f,I,r,n,v,w,h,u,D,m,E]);return o.useMemo((()=>c?{reference:J,floating:Z,item:Y}:{}),[c,J,Z,Y])}const ci=new Map([["select","listbox"],["combobox","listbox"],["label",!1]]);function ui(e,t,n){let r,a=n.initialDeps??[];return()=>{var o,i,s,l;let c;n.key&&(null==(o=n.debug)?void 0:o.call(n))&&(c=Date.now());const u=e(),d=u.length!==a.length||u.some(((e,t)=>a[t]!==e));if(!d)return r;let p;if(a=u,n.key&&(null==(i=n.debug)?void 0:i.call(n))&&(p=Date.now()),r=t(...u),n.key&&(null==(s=n.debug)?void 0:s.call(n))){const e=Math.round(100*(Date.now()-c))/100,t=Math.round(100*(Date.now()-p))/100,r=t/16,a=(e,t)=>{for(e=String(e);e.length<t;)e=" "+e;return e};console.info(`%c⏱ ${a(t,5)} /${a(e,5)} ms`,`\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl(${Math.max(0,Math.min(120-120*r,120))}deg 100% 31%);`,null==n?void 0:n.key)}return null==(l=null==n?void 0:n.onChange)||l.call(n,r),r}}function di(e,t){if(void 0===e)throw new Error("Unexpected undefined"+(t?`: ${t}`:""));return e}const pi=(e,t,n)=>{let r;return function(...a){e.clearTimeout(r),r=e.setTimeout((()=>t.apply(this,a)),n)}},fi=e=>e,hi=e=>{const t=Math.max(e.startIndex-e.overscan,0),n=Math.min(e.endIndex+e.overscan,e.count-1),r=[];for(let e=t;e<=n;e++)r.push(e);return r},mi=(e,t)=>{const n=e.scrollElement;if(!n)return;const r=e.targetWindow;if(!r)return;const a=e=>{const{width:n,height:r}=e;t({width:Math.round(n),height:Math.round(r)})};if(a(n.getBoundingClientRect()),!r.ResizeObserver)return()=>{};const o=new r.ResizeObserver((e=>{const t=e[0];if(null==t?void 0:t.borderBoxSize){const e=t.borderBoxSize[0];if(e)return void a({width:e.inlineSize,height:e.blockSize})}a(n.getBoundingClientRect())}));return o.observe(n,{box:"border-box"}),()=>{o.unobserve(n)}},gi={passive:!0},bi="undefined"==typeof window||"onscrollend"in window,vi=(e,t)=>{const n=e.scrollElement;if(!n)return;const r=e.targetWindow;if(!r)return;let a=0;const o=e.options.useScrollendEvent&&bi?()=>{}:pi(r,(()=>{t(a,!1)}),e.options.isScrollingResetDelay),i=r=>()=>{const{horizontal:i,isRtl:s}=e.options;a=i?n.scrollLeft*(s?-1:1):n.scrollTop,o(),t(a,r)},s=i(!0),l=i(!1);return l(),n.addEventListener("scroll",s,gi),n.addEventListener("scrollend",l,gi),()=>{n.removeEventListener("scroll",s),n.removeEventListener("scrollend",l)}},yi=(e,t,n)=>{if(null==t?void 0:t.borderBoxSize){const e=t.borderBoxSize[0];if(e)return Math.round(e[n.options.horizontal?"inlineSize":"blockSize"])}return Math.round(e.getBoundingClientRect()[n.options.horizontal?"width":"height"])},wi=(e,{adjustments:t=0,behavior:n},r)=>{var a,o;const i=e+t;null==(o=null==(a=r.scrollElement)?void 0:a.scrollTo)||o.call(a,{[r.options.horizontal?"left":"top"]:i,behavior:n})};class Si{constructor(e){this.unsubs=[],this.scrollElement=null,this.targetWindow=null,this.isScrolling=!1,this.scrollToIndexTimeoutId=null,this.measurementsCache=[],this.itemSizeCache=new Map,this.pendingMeasuredCacheIndexes=[],this.scrollRect=null,this.scrollOffset=null,this.scrollDirection=null,this.scrollAdjustments=0,this.elementsCache=new Map,this.observer=(()=>{let e=null;const t=()=>e||(this.targetWindow&&this.targetWindow.ResizeObserver?e=new this.targetWindow.ResizeObserver((e=>{e.forEach((e=>{this._measureElement(e.target,e)}))})):null);return{disconnect:()=>{var n;null==(n=t())||n.disconnect(),e=null},observe:e=>{var n;return null==(n=t())?void 0:n.observe(e,{box:"border-box"})},unobserve:e=>{var n;return null==(n=t())?void 0:n.unobserve(e)}}})(),this.range=null,this.setOptions=e=>{Object.entries(e).forEach((([t,n])=>{void 0===n&&delete e[t]})),this.options={debug:!1,initialOffset:0,overscan:1,paddingStart:0,paddingEnd:0,scrollPaddingStart:0,scrollPaddingEnd:0,horizontal:!1,getItemKey:fi,rangeExtractor:hi,onChange:()=>{},measureElement:yi,initialRect:{width:0,height:0},scrollMargin:0,gap:0,indexAttribute:"data-index",initialMeasurementsCache:[],lanes:1,isScrollingResetDelay:150,enabled:!0,isRtl:!1,useScrollendEvent:!0,...e}},this.notify=e=>{var t,n;null==(n=(t=this.options).onChange)||n.call(t,this,e)},this.maybeNotify=ui((()=>(this.calculateRange(),[this.isScrolling,this.range?this.range.startIndex:null,this.range?this.range.endIndex:null])),(e=>{this.notify(e)}),{key:!1,debug:()=>this.options.debug,initialDeps:[this.isScrolling,this.range?this.range.startIndex:null,this.range?this.range.endIndex:null]}),this.cleanup=()=>{this.unsubs.filter(Boolean).forEach((e=>e())),this.unsubs=[],this.observer.disconnect(),this.scrollElement=null,this.targetWindow=null},this._didMount=()=>()=>{this.cleanup()},this._willUpdate=()=>{var e;const t=this.options.enabled?this.options.getScrollElement():null;if(this.scrollElement!==t){if(this.cleanup(),!t)return void this.maybeNotify();this.scrollElement=t,this.scrollElement&&"ownerDocument"in this.scrollElement?this.targetWindow=this.scrollElement.ownerDocument.defaultView:this.targetWindow=(null==(e=this.scrollElement)?void 0:e.window)??null,this.elementsCache.forEach((e=>{this.observer.observe(e)})),this._scrollToOffset(this.getScrollOffset(),{adjustments:void 0,behavior:void 0}),this.unsubs.push(this.options.observeElementRect(this,(e=>{this.scrollRect=e,this.maybeNotify()}))),this.unsubs.push(this.options.observeElementOffset(this,((e,t)=>{this.scrollAdjustments=0,this.scrollDirection=t?this.getScrollOffset()<e?"forward":"backward":null,this.scrollOffset=e,this.isScrolling=t,this.maybeNotify()})))}},this.getSize=()=>this.options.enabled?(this.scrollRect=this.scrollRect??this.options.initialRect,this.scrollRect[this.options.horizontal?"width":"height"]):(this.scrollRect=null,0),this.getScrollOffset=()=>this.options.enabled?(this.scrollOffset=this.scrollOffset??("function"==typeof this.options.initialOffset?this.options.initialOffset():this.options.initialOffset),this.scrollOffset):(this.scrollOffset=null,0),this.getFurthestMeasurement=(e,t)=>{const n=new Map,r=new Map;for(let a=t-1;a>=0;a--){const t=e[a];if(n.has(t.lane))continue;const o=r.get(t.lane);if(null==o||t.end>o.end?r.set(t.lane,t):t.end<o.end&&n.set(t.lane,!0),n.size===this.options.lanes)break}return r.size===this.options.lanes?Array.from(r.values()).sort(((e,t)=>e.end===t.end?e.index-t.index:e.end-t.end))[0]:void 0},this.getMeasurementOptions=ui((()=>[this.options.count,this.options.paddingStart,this.options.scrollMargin,this.options.getItemKey,this.options.enabled]),((e,t,n,r,a)=>(this.pendingMeasuredCacheIndexes=[],{count:e,paddingStart:t,scrollMargin:n,getItemKey:r,enabled:a})),{key:!1}),this.getMeasurements=ui((()=>[this.getMeasurementOptions(),this.itemSizeCache]),(({count:e,paddingStart:t,scrollMargin:n,getItemKey:r,enabled:a},o)=>{if(!a)return this.measurementsCache=[],this.itemSizeCache.clear(),[];0===this.measurementsCache.length&&(this.measurementsCache=this.options.initialMeasurementsCache,this.measurementsCache.forEach((e=>{this.itemSizeCache.set(e.key,e.size)})));const i=this.pendingMeasuredCacheIndexes.length>0?Math.min(...this.pendingMeasuredCacheIndexes):0;this.pendingMeasuredCacheIndexes=[];const s=this.measurementsCache.slice(0,i);for(let a=i;a<e;a++){const e=r(a),i=1===this.options.lanes?s[a-1]:this.getFurthestMeasurement(s,a),l=i?i.end+this.options.gap:t+n,c=o.get(e),u="number"==typeof c?c:this.options.estimateSize(a),d=l+u,p=i?i.lane:a%this.options.lanes;s[a]={index:a,start:l,size:u,end:d,key:e,lane:p}}return this.measurementsCache=s,s}),{key:!1,debug:()=>this.options.debug}),this.calculateRange=ui((()=>[this.getMeasurements(),this.getSize(),this.getScrollOffset()]),((e,t,n)=>this.range=e.length>0&&t>0?function({measurements:e,outerSize:t,scrollOffset:n}){const r=e.length-1,a=xi(0,r,(t=>e[t].start),n);let o=a;for(;o<r&&e[o].end<n+t;)o++;return{startIndex:a,endIndex:o}}({measurements:e,outerSize:t,scrollOffset:n}):null),{key:!1,debug:()=>this.options.debug}),this.getIndexes=ui((()=>[this.options.rangeExtractor,this.calculateRange(),this.options.overscan,this.options.count]),((e,t,n,r)=>null===t?[]:e({startIndex:t.startIndex,endIndex:t.endIndex,overscan:n,count:r})),{key:!1,debug:()=>this.options.debug}),this.indexFromElement=e=>{const t=this.options.indexAttribute,n=e.getAttribute(t);return n?parseInt(n,10):(console.warn(`Missing attribute name '${t}={index}' on measured element.`),-1)},this._measureElement=(e,t)=>{const n=this.indexFromElement(e),r=this.measurementsCache[n];if(!r)return;const a=r.key,o=this.elementsCache.get(a);o!==e&&(o&&this.observer.unobserve(o),this.observer.observe(e),this.elementsCache.set(a,e)),e.isConnected&&this.resizeItem(n,this.options.measureElement(e,t,this))},this.resizeItem=(e,t)=>{const n=this.measurementsCache[e];if(!n)return;const r=t-(this.itemSizeCache.get(n.key)??n.size);0!==r&&((void 0!==this.shouldAdjustScrollPositionOnItemSizeChange?this.shouldAdjustScrollPositionOnItemSizeChange(n,r,this):n.start<this.getScrollOffset()+this.scrollAdjustments)&&this._scrollToOffset(this.getScrollOffset(),{adjustments:this.scrollAdjustments+=r,behavior:void 0}),this.pendingMeasuredCacheIndexes.push(n.index),this.itemSizeCache=new Map(this.itemSizeCache.set(n.key,t)),this.notify(!1))},this.measureElement=e=>{e?this._measureElement(e,void 0):this.elementsCache.forEach(((e,t)=>{e.isConnected||(this.observer.unobserve(e),this.elementsCache.delete(t))}))},this.getVirtualItems=ui((()=>[this.getIndexes(),this.getMeasurements()]),((e,t)=>{const n=[];for(let r=0,a=e.length;r<a;r++){const a=t[e[r]];n.push(a)}return n}),{key:!1,debug:()=>this.options.debug}),this.getVirtualItemForOffset=e=>{const t=this.getMeasurements();if(0!==t.length)return di(t[xi(0,t.length-1,(e=>di(t[e]).start),e)])},this.getOffsetForAlignment=(e,t)=>{const n=this.getSize(),r=this.getScrollOffset();"auto"===t&&e>=r+n&&(t="end"),"end"===t&&(e-=n);const a=this.options.horizontal?"scrollWidth":"scrollHeight",o=(this.scrollElement?"document"in this.scrollElement?this.scrollElement.document.documentElement[a]:this.scrollElement[a]:0)-n;return Math.max(Math.min(o,e),0)},this.getOffsetForIndex=(e,t="auto")=>{e=Math.max(0,Math.min(e,this.options.count-1));const n=this.measurementsCache[e];if(!n)return;const r=this.getSize(),a=this.getScrollOffset();if("auto"===t)if(n.end>=a+r-this.options.scrollPaddingEnd)t="end";else{if(!(n.start<=a+this.options.scrollPaddingStart))return[a,t];t="start"}const o=n.start-this.options.scrollPaddingStart+(n.size-r)/2;switch(t){case"center":return[this.getOffsetForAlignment(o,t),t];case"end":return[this.getOffsetForAlignment(n.end+this.options.scrollPaddingEnd,t),t];default:return[this.getOffsetForAlignment(n.start-this.options.scrollPaddingStart,t),t]}},this.isDynamicMode=()=>this.elementsCache.size>0,this.cancelScrollToIndex=()=>{null!==this.scrollToIndexTimeoutId&&this.targetWindow&&(this.targetWindow.clearTimeout(this.scrollToIndexTimeoutId),this.scrollToIndexTimeoutId=null)},this.scrollToOffset=(e,{align:t="start",behavior:n}={})=>{this.cancelScrollToIndex(),"smooth"===n&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),this._scrollToOffset(this.getOffsetForAlignment(e,t),{adjustments:void 0,behavior:n})},this.scrollToIndex=(e,{align:t="auto",behavior:n}={})=>{e=Math.max(0,Math.min(e,this.options.count-1)),this.cancelScrollToIndex(),"smooth"===n&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size.");const r=this.getOffsetForIndex(e,t);if(!r)return;const[a,o]=r;this._scrollToOffset(a,{adjustments:void 0,behavior:n}),"smooth"!==n&&this.isDynamicMode()&&this.targetWindow&&(this.scrollToIndexTimeoutId=this.targetWindow.setTimeout((()=>{if(this.scrollToIndexTimeoutId=null,this.elementsCache.has(this.options.getItemKey(e))){const[a]=di(this.getOffsetForIndex(e,o));t=a,r=this.getScrollOffset(),Math.abs(t-r)<1||this.scrollToIndex(e,{align:o,behavior:n})}else this.scrollToIndex(e,{align:o,behavior:n});var t,r})))},this.scrollBy=(e,{behavior:t}={})=>{this.cancelScrollToIndex(),"smooth"===t&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),this._scrollToOffset(this.getScrollOffset()+e,{adjustments:void 0,behavior:t})},this.getTotalSize=()=>{var e;const t=this.getMeasurements();let n;return n=0===t.length?this.options.paddingStart:1===this.options.lanes?(null==(e=t[t.length-1])?void 0:e.end)??0:Math.max(...t.slice(-this.options.lanes).map((e=>e.end))),Math.max(n-this.options.scrollMargin+this.options.paddingEnd,0)},this._scrollToOffset=(e,{adjustments:t,behavior:n})=>{this.options.scrollToFn(e,{behavior:n,adjustments:t},this)},this.measure=()=>{this.itemSizeCache=new Map,this.notify(!1)},this.setOptions(e)}}const xi=(e,t,n,r)=>{for(;e<=t;){const a=(e+t)/2|0,o=n(a);if(o<r)e=a+1;else{if(!(o>r))return a;t=a-1}}return e>0?e-1:0},Ei="undefined"!=typeof document?o.useLayoutEffect:o.useEffect;var Ai=Object.defineProperty,Ci=Object.getOwnPropertySymbols,Oi=Object.prototype.hasOwnProperty,Ri=Object.prototype.propertyIsEnumerable,Di=(e,t,n)=>t in e?Ai(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const Ii=(0,o.forwardRef)((function(e,t){var n=e,{children:r,active:a,addGroupBottomBorder:i,isMultiValueEdit:l,checked:c}=n,u=((e,t)=>{var n={};for(var r in e)Oi.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&Ci)for(var r of Ci(e))t.indexOf(r)<0&&Ri.call(e,r)&&(n[r]=e[r]);return n})(n,["children","active","addGroupBottomBorder","isMultiValueEdit","checked"]);const d=(0,on.useStyles2)(Pi),p=(0,o.useId)();return s().createElement("div",((e,t)=>{for(var n in t||(t={}))Oi.call(t,n)&&Di(e,n,t[n]);if(Ci)for(var n of Ci(t))Ri.call(t,n)&&Di(e,n,t[n]);return e})({ref:t,role:"option",id:p,"aria-selected":a,className:(0,cn.cx)(d.option,a&&d.optionFocused,i&&d.groupBottomBorder)},u),s().createElement("div",{className:d.optionBody,"data-testid":`data-testid ad hoc filter option value ${r}`},s().createElement("span",null,l?s().createElement(on.Checkbox,{tabIndex:-1,checked:c,className:d.checkbox}):null,r)))})),Pi=e=>({option:(0,cn.css)({label:"grafana-select-option",top:0,left:0,width:"100%",position:"absolute",padding:e.spacing(1),display:"flex",alignItems:"center",flexDirection:"row",flexShrink:0,whiteSpace:"nowrap",cursor:"pointer","&:hover":{background:e.colors.action.hover,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}}),optionFocused:(0,cn.css)({label:"grafana-select-option-focused",background:e.colors.action.focus,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}),optionBody:(0,cn.css)({label:"grafana-select-option-body",display:"flex",fontWeight:e.typography.fontWeightMedium,flexDirection:"column",flexGrow:1}),groupBottomBorder:(0,cn.css)({borderBottom:`1px solid ${e.colors.border.weak}`}),checkbox:(0,cn.css)({paddingRight:e.spacing(.5)}),multiValueApplyWrapper:(0,cn.css)({position:"fixed",top:0,left:0,display:"flex",backgroundColor:e.colors.background.primary,color:e.colors.text.primary,boxShadow:e.shadows.z2,overflowY:"auto",zIndex:e.zIndex.dropdown,gap:e.spacing(1.5),padding:`${e.spacing(1.5)} ${e.spacing(1)}`})}),_i=()=>s().createElement(Ii,{onClick:e=>e.stopPropagation()},"Loading options..."),Ti=()=>s().createElement(Ii,{onClick:e=>e.stopPropagation()},"No options found"),ki=({handleFetchOptions:e})=>s().createElement(Ii,{onClick:e},"An error has occurred fetching labels. Click to retry"),Mi=({onApply:e,floatingElement:t,maxOptionWidth:n,menuHeight:r})=>{const a=(0,on.useStyles2)(Pi),o=null==t?void 0:t.getBoundingClientRect();return s().createElement("div",{className:a.multiValueApplyWrapper,style:{width:`${n}px`,transform:`translate(${null==o?void 0:o.left}px,${o?o.top+r:0}px)`}},s().createElement(on.Button,{onClick:e,size:"sm",tabIndex:-1},"Apply"))},Bi={key:"operator",operator:"value",value:"key"},Li=(e,t,n,r,a)=>Ni(Bi[e],t,"value"===e?n:void 0,r,a),Ni=(e,t,n,r,a)=>{t(e),null==n||n(void 0,a),setTimeout((()=>null==r?void 0:r.focus()))},ji=({filterInputType:e,item:t,filter:n,setFilterMultiValues:r})=>{var a,o,i,s,l;if("key"===e)return{key:t.value,keyLabel:t.label?t.label:t.value};if("value"===e)return{value:t.value,valueLabels:[t.label?t.label:t.value]};if("operator"===e){if(Ls(n.operator)&&!Ls(t.value))return r([]),{operator:t.value,valueLabels:[(null==(a=n.valueLabels)?void 0:a[0])||(null==(o=n.values)?void 0:o[0])||n.value],values:void 0};if(Ls(t.value)&&!Ls(n.operator)){const e=[(null==(i=n.valueLabels)?void 0:i[0])||(null==(s=n.values)?void 0:s[0])||n.value],a=[n.value];return a[0]&&r([{value:a[0],label:null!=(l=null==e?void 0:e[0])?l:a[0]}]),{operator:t.value,valueLabels:e,values:a}}}return{[e]:t.value}},Fi="Filter by label values",Vi=(e,t,n,r)=>{var a;return"key"===t?Fi:"value"===t?n?"Edit values":(null==(a=e.valueLabels)?void 0:a[0])||"":e[t]&&!r?`${e[t]}`:Fi},$i=({populateInputOnEdit:e,item:t,filterInputType:n,setInputValue:r,filter:a})=>{e&&!Ls(t.value||"")&&"value"===Bi[n]?r((null==a?void 0:a.value)||""):r("")};var zi=Object.defineProperty,Ui=Object.defineProperties,Wi=Object.getOwnPropertyDescriptors,Hi=Object.getOwnPropertySymbols,Gi=Object.prototype.hasOwnProperty,qi=Object.prototype.propertyIsEnumerable,Qi=(e,t,n)=>t in e?zi(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Yi=(e,t)=>{for(var n in t||(t={}))Gi.call(t,n)&&Qi(e,n,t[n]);if(Hi)for(var n of Hi(t))qi.call(t,n)&&Qi(e,n,t[n]);return e};const Xi=({item:e,handleRemoveMultiValue:t,index:n,handleEditMultiValuePill:r})=>{var a,i;const l=(0,on.useStyles2)(Ki),c=(0,o.useCallback)((t=>{t.stopPropagation(),t.preventDefault(),r(e)}),[r,e]),u=(0,o.useCallback)((e=>{"Enter"===e.key&&c(e)}),[c]),d=(0,o.useCallback)((n=>{n.stopPropagation(),n.preventDefault(),t(e)}),[t,e]),p=(0,o.useCallback)((e=>{"Enter"===e.key&&d(e)}),[d]);return s().createElement("div",{className:(0,cn.cx)(l.basePill,l.valuePill),onClick:c,onKeyDown:u,tabIndex:0,id:`${e.value}-${n}`},null!=(a=e.label)?a:e.value,s().createElement(on.Button,{onClick:d,onKeyDownCapture:p,fill:"text",size:"sm",variant:"secondary",className:l.removeButton,tooltip:`Remove filter value - ${null!=(i=e.label)?i:e.value}`},s().createElement(on.Icon,{name:"times",size:"md",id:`${e.value}-${n}-close-icon`})))},Ki=e=>{return{basePill:(0,cn.css)((t=Yi({display:"flex",alignItems:"center",background:e.colors.action.disabledBackground,border:`1px solid ${e.colors.border.weak}`,padding:e.spacing(.125,1,.125,1),color:e.colors.text.primary,overflow:"hidden",whiteSpace:"nowrap",minHeight:e.spacing(2.75)},e.typography.bodySmall),n={cursor:"pointer"},Ui(t,Wi(n)))),valuePill:(0,cn.css)({background:e.colors.action.selected,padding:e.spacing(.125,0,.125,1)}),removeButton:(0,cn.css)({marginInline:e.spacing(.5),height:"100%",padding:0,cursor:"pointer","&:hover":{color:e.colors.text.primary}})};var t,n};var Zi=Object.defineProperty,Ji=Object.defineProperties,es=Object.getOwnPropertyDescriptors,ts=Object.getOwnPropertySymbols,ns=Object.prototype.hasOwnProperty,rs=Object.prototype.propertyIsEnumerable,as=(e,t,n)=>t in e?Zi(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,os=(e,t)=>{for(var n in t||(t={}))ns.call(t,n)&&as(e,n,t[n]);if(ts)for(var n of ts(t))rs.call(t,n)&&as(e,n,t[n]);return e},is=(e,t)=>Ji(e,es(t));const ss=(0,o.forwardRef)((function({filter:e,model:t,isAlwaysWip:n,handleChangeViewMode:r,focusOnWipInputRef:a,populateInputOnEdit:i},l){var c,u,d,p;const[f,h]=(0,o.useState)(!1),[m,g]=(0,o.useState)([]),[b,v]=(0,o.useState)(!1),[y,w]=(0,o.useState)(!1),[S,x]=(0,o.useState)(""),[E,A]=(0,o.useState)(null),[C,O]=(0,o.useState)(n?"key":"value"),[R,D]=(0,o.useState)(!n&&"value"===C),I=(0,on.useStyles2)(ls),[P,_]=(0,o.useState)([]),[T,k]=(0,o.useState)({}),M=null==(c=t.state.allowCustomValue)||c,B=(0,o.useRef)(null),L=Ls((null==e?void 0:e.operator)||""),N=L&&"value"===C,j=(0,o.useId)(),F=(0,o.useRef)([]),V=(0,o.useRef)([]),$=(0,o.useRef)(n?"key":"value"),z=(0,o.useMemo)((()=>function(e){const t=Ol(e.map((e=>{var t;return null!=(t=e.label)?t:e.value})));return(n,r)=>("operator"===r&&""!==n&&(n=`"${n}"`),t(n).map((t=>e[t])))}(m)),[m]),U=(0,o.useMemo)((()=>!n&&t.state.filters.at(-1)===e),[e,n,t.state.filters]),W=(0,o.useCallback)((()=>{n&&(t._addWip(),O("key"),x(""))}),[t,n]),H=(0,o.useCallback)(((e,t,n,r)=>{if(n.length){const r=[],a=[];n.forEach((e=>{var t;r.push(null!=(t=e.label)?t:e.value),a.push(e.value)})),e._updateFilter(t,{valueLabels:r,values:a,value:a[0]}),_([])}r||setTimeout((()=>{var e;return null==(e=Y.domReference.current)?void 0:e.focus()}))}),[]),G=(0,o.useCallback)((e=>{_((t=>t.some((t=>t.value===e.value))?t.filter((t=>t.value!==e.value)):[...t,e]))}),[]),q=(0,o.useCallback)(((n,a,o)=>{h(n),o&&["outside-press","escape-key"].includes(o)&&(N&&H(t,e,P),W(),null==r||r())}),[e,P,r,H,W,N,t]),Q=(0,o.useMemo)((()=>[j,...P.reduce(((e,t,n)=>[...e,`${t.value}-${n}`,`${t.value}-${n}-close-icon`]),[])]),[j,P]),{refs:Y,floatingStyles:X,context:K,getReferenceProps:Z,getFloatingProps:J,getItemProps:ee}=(({open:e,onOpenChange:t,activeIndex:n,setActiveIndex:r,outsidePressIdsToIgnore:a,listRef:i,disabledIndicesRef:s})=>{const{refs:l,floatingStyles:c,context:u}=Jo({whileElementsMounted:Ma,open:e,onOpenChange:t,placement:"bottom-start",middleware:[{...Ba(10),options:[10,void 0]},Wa({padding:10}),Ha({apply({availableHeight:e,availableWidth:t,elements:n}){n.floating.style.maxHeight=`${Math.min(300,e)}px`,n.floating.style.maxWidth=`${t}px`},padding:10})],strategy:"fixed"}),d=function(e,t){var n;void 0===t&&(t={});const{open:r,floatingId:a}=e,{enabled:i=!0,role:s="dialog"}=t,l=null!=(n=ci.get(s))?n:s,c=mo(),u=null!=vo(),d=o.useMemo((()=>"tooltip"===l||"label"===s?{["aria-"+("label"===s?"labelledby":"describedby")]:r?a:void 0}:{"aria-expanded":r?"true":"false","aria-haspopup":"alertdialog"===l?"dialog":l,"aria-controls":r?a:void 0,..."listbox"===l&&{role:"combobox"},..."menu"===l&&{id:c},..."menu"===l&&u&&{role:"menuitem"},..."select"===s&&{"aria-autocomplete":"none"},..."combobox"===s&&{"aria-autocomplete":"list"}}),[l,a,u,r,c,s]),p=o.useMemo((()=>{const e={id:a,...l&&{role:l}};return"tooltip"===l||"label"===s?e:{...e,..."menu"===l&&{"aria-labelledby":c}}}),[l,a,c,s]),f=o.useCallback((e=>{let{active:t,selected:n}=e;const r={role:"option",...t&&{id:a+"-option"}};switch(s){case"select":return{...r,"aria-selected":t&&n};case"combobox":return{...r,...t&&{"aria-selected":!0}}}return{}}),[a,s]);return o.useMemo((()=>i?{reference:d,floating:p,item:f}:{}),[i,d,p,f])}(u,{role:"listbox"}),p=function(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,elements:a,dataRef:i}=e,{enabled:s=!0,escapeKey:l=!0,outsidePress:c=!0,outsidePressEvent:u="pointerdown",referencePress:d=!1,referencePressEvent:p="pointerdown",ancestorScroll:f=!1,bubbles:h,capture:m}=t,g=yo(),b=Qa("function"==typeof c?c:()=>!1),v="function"==typeof c?b:c,y=o.useRef(!1),w=o.useRef(!1),{escapeKey:S,outsidePress:x}=Zo(h),{escapeKey:E,outsidePress:A}=Zo(m),C=Qa((e=>{var t;if(!n||!s||!l||"Escape"!==e.key)return;const a=null==(t=i.current.floatingContext)?void 0:t.nodeId,o=g?xo(g.nodesRef.current,a):[];if(!S&&(e.stopPropagation(),o.length>0)){let e=!0;if(o.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__escapeKeyBubbles||(e=!1)})),!e)return}r(!1,function(e){return"nativeEvent"in e}(e)?e.nativeEvent:e,"escape-key")})),O=Qa((e=>{var t;const n=()=>{var t;C(e),null==(t=Br(e))||t.removeEventListener("keydown",n)};null==(t=Br(e))||t.addEventListener("keydown",n)})),R=Qa((e=>{var t;const n=y.current;y.current=!1;const o=w.current;if(w.current=!1,"click"===u&&o)return;if(n)return;if("function"==typeof v&&!v(e))return;const s=Br(e),l="["+wo("inert")+"]",c=kr(a.floating).querySelectorAll(l);let d=ur(s)?s:null;for(;d&&!vr(d);){const e=Sr(d);if(vr(e)||!ur(e))break;d=e}if(c.length&&ur(s)&&!s.matches("html,body")&&!Or(s,a.floating)&&Array.from(c).every((e=>!Or(d,e))))return;if(dr(s)&&P){const t=s.clientWidth>0&&s.scrollWidth>s.clientWidth,n=s.clientHeight>0&&s.scrollHeight>s.clientHeight;let r=n&&e.offsetX>s.clientWidth;if(n&&"rtl"===yr(s).direction&&(r=e.offsetX<=s.offsetWidth-s.clientWidth),r||t&&e.offsetY>s.clientHeight)return}const p=null==(t=i.current.floatingContext)?void 0:t.nodeId,f=g&&xo(g.nodesRef.current,p).some((t=>{var n;return Mr(e,null==(n=t.context)?void 0:n.elements.floating)}));if(Mr(e,a.floating)||Mr(e,a.domReference)||f)return;const h=g?xo(g.nodesRef.current,p):[];if(h.length>0){let e=!0;if(h.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__outsidePressBubbles||(e=!1)})),!e)return}r(!1,e,"outside-press")})),D=Qa((e=>{var t;const n=()=>{var t;R(e),null==(t=Br(e))||t.removeEventListener(u,n)};null==(t=Br(e))||t.addEventListener(u,n)}));o.useEffect((()=>{if(!n||!s)return;function e(e){r(!1,e,"ancestor-scroll")}i.current.__escapeKeyBubbles=S,i.current.__outsidePressBubbles=x;const t=kr(a.floating);l&&t.addEventListener("keydown",E?O:C,E),v&&t.addEventListener(u,A?D:R,A);let o=[];return f&&(ur(a.domReference)&&(o=Er(a.domReference)),ur(a.floating)&&(o=o.concat(Er(a.floating))),!ur(a.reference)&&a.reference&&a.reference.contextElement&&(o=o.concat(Er(a.reference.contextElement)))),o=o.filter((e=>{var n;return e!==(null==(n=t.defaultView)?void 0:n.visualViewport)})),o.forEach((t=>{t.addEventListener("scroll",e,{passive:!0})})),()=>{l&&t.removeEventListener("keydown",E?O:C,E),v&&t.removeEventListener(u,A?D:R,A),o.forEach((t=>{t.removeEventListener("scroll",e)}))}}),[i,a,l,v,u,n,r,f,s,S,x,C,E,O,R,A,D]),o.useEffect((()=>{y.current=!1}),[v,u]);const I=o.useMemo((()=>({onKeyDown:C,[Xo[p]]:e=>{d&&r(!1,e.nativeEvent,"reference-press")}})),[C,r,d,p]),P=o.useMemo((()=>({onKeyDown:C,onMouseDown(){w.current=!0},onMouseUp(){w.current=!0},[Ko[u]]:()=>{y.current=!0}})),[C,u]);return o.useMemo((()=>s?{reference:I,floating:P}:{}),[s,I,P])}(u,{outsidePress:e=>{var t;if(e.currentTarget instanceof Element){const n=e.currentTarget;let r=n.id;if("path"===n.nodeName&&(r=(null==(t=n.parentElement)?void 0:t.id)||""),a.includes(r))return!1}return!0}}),f=li(u,{listRef:i,activeIndex:n,onNavigate:r,virtual:!0,loop:!0,disabledIndices:s.current}),{getReferenceProps:h,getFloatingProps:m,getItemProps:g}=function(e){void 0===e&&(e=[]);const t=e.map((e=>null==e?void 0:e.reference)),n=e.map((e=>null==e?void 0:e.floating)),r=e.map((e=>null==e?void 0:e.item)),a=o.useCallback((t=>ni(t,e,"reference")),t),i=o.useCallback((t=>ni(t,e,"floating")),n),s=o.useCallback((t=>ni(t,e,"item")),r);return o.useMemo((()=>({getReferenceProps:a,getFloatingProps:i,getItemProps:s})),[a,i,s])}([d,p,f]);return{refs:l,floatingStyles:c,context:u,getReferenceProps:h,getFloatingProps:m,getItemProps:g}})({open:f,onOpenChange:q,activeIndex:E,setActiveIndex:A,outsidePressIdsToIgnore:Q,listRef:F,disabledIndicesRef:V});(0,o.useImperativeHandle)(l,(()=>()=>{var e;return null==(e=Y.domReference.current)?void 0:e.focus()}),[Y.domReference]);const te=(0,o.useCallback)((e=>{_((t=>t.filter((t=>t.value!==e.value)))),setTimeout((()=>{var e;return null==(e=Y.domReference.current)?void 0:e.focus()}))}),[Y.domReference]),ne=(e=>e.flatMap((e=>e.options?[e,...e.options]:[e])))(Cl(z(R?"":S,C)));M&&"operator"!==C&&S&&ne.push({value:S.trim(),label:S.trim(),isCustom:!0});const re=((e,t,n)=>{var r,a,o,i;let s=182;const l=[],c=[];for(let t=0;t<e.length;t++){l.push(null),(null==(r=e[t])?void 0:r.options)&&c.push(t);let n=null!=(o=null!=(a=e[t].label)?a:e[t].value)?o:"",u=8;8*n.length<6*((null==(i=e[t].description)?void 0:i.length)||0)&&(n=e[t].description,u=6);const d=(e[t].isCustom?n.length+18:n.length)*u+16;d>s&&(s=d)}return t.current=[...l],n.current=[...c],s})(ne,F,V),ae=(0,o.useCallback)((async n=>{var r;w(!1),v(!0),g([]);let a=[];try{if("key"===n?a=await t._getKeys(null):"operator"===n?a=t._getOperators():"value"===n&&(a=await t._getValuesFor(e)),$.current!==n)return;g(a),(null==(r=a[0])?void 0:r.group)?A(1):A(0)}catch(e){w(!0)}v(!1)}),[e,t]),oe=function(e){return function(e){const t=o.useReducer((()=>({})),{})[1],n={...e,onChange:(n,r)=>{var a;r?(0,ga.flushSync)(t):t(),null==(a=e.onChange)||a.call(e,n,r)}},[r]=o.useState((()=>new Si(n)));return r.setOptions(n),Ei((()=>r._didMount()),[]),Ei((()=>r._willUpdate())),r}({observeElementRect:mi,observeElementOffset:vi,scrollToFn:wi,...e})}({count:ne.length,getScrollElement:()=>Y.floating.current,estimateSize:e=>ne[e].description?60:38,overscan:5}),ie=(0,o.useCallback)(((r,o)=>{if("Backspace"===r.key&&!S){if("value"===C)return o&&P.length?void _((e=>{const t=[...e];return t.splice(-1,1),t})):void O("operator");null==a||a(),t._handleComboboxBackspace(e),n&&W()}}),[S,C,t,e,n,P.length,W,a]),se=(0,o.useCallback)(((n,a)=>{var o;"Tab"!==n.key||n.shiftKey||(a&&(n.preventDefault(),H(t,e,P),null==(o=Y.domReference.current)||o.focus()),null==r||r(),W())}),[e,P,r,H,W,t,Y.domReference]),le=(0,o.useCallback)(((n,a)=>{"Tab"===n.key&&n.shiftKey&&(a&&(n.preventDefault(),H(t,e,P,!0)),null==r||r(),W())}),[e,P,r,H,W,t]),ce=(0,o.useCallback)(((n,o)=>{if("Enter"===n.key&&null!=E){if(!ne[E])return;const n=ne[E];o?(G(n),x("")):(t._updateFilter(e,ji({filterInputType:C,item:n,filter:e,setFilterMultiValues:_})),$i({populateInputOnEdit:i,item:n,filterInputType:C,setInputValue:x,filter:e}),Li(C,O,r,Y.domReference.current,!U&&void 0),A(null),U&&(null==a||a()))}}),[E,ne,G,t,e,C,i,r,Y.domReference,U,a]),ue=(0,o.useCallback)((e=>{var t;const n=e.label||e.value;_((t=>t.filter((t=>t.value!==e.value)))),D(!0),x(n),null==(t=Y.domReference.current)||t.focus(),setTimeout((()=>{var e;null==(e=Y.domReference.current)||e.select()}))}),[Y.domReference]);(0,o.useEffect)((()=>{f&&ae(C)}),[f,C]),(0,o.useEffect)((()=>{var t,r;if(!n){if(L&&(null==(t=null==e?void 0:e.values)?void 0:t.length)){const t=e.values.reduce(((t,n,r)=>{var a;return[...t,{label:(null==(a=e.valueLabels)?void 0:a[r])||n,value:n}]}),[]);_(t)}!L&&i&&(x((null==e?void 0:e.value)||""),setTimeout((()=>{var e;null==(e=Y.domReference.current)||e.select()}))),null==(r=Y.domReference.current)||r.focus()}}),[]),(0,o.useEffect)((()=>{N&&P&&setTimeout((()=>k({})))}),[P,N]),(0,o.useLayoutEffect)((()=>{$.current&&($.current=C)}),[C]),(0,o.useLayoutEffect)((()=>{var e,t;null!==E&&oe.range&&(E>(null==(e=oe.range)?void 0:e.endIndex)||E<(null==(t=oe.range)?void 0:t.startIndex))&&oe.scrollToIndex(E)}),[E,oe]);const de=null!=(u=null==e?void 0:e.keyLabel)?u:null==e?void 0:e.key;return s().createElement("div",{className:I.comboboxWrapper},e?s().createElement("div",{className:I.pillWrapper},(null==e?void 0:e.key)?s().createElement("div",{className:(0,cn.cx)(I.basePill,I.keyPill)},de):null,(null==e?void 0:e.key)&&(null==e?void 0:e.operator)&&"operator"!==C?s().createElement("div",{id:j,className:(0,cn.cx)(I.basePill,I.operatorPill,j),role:"button","aria-label":"Edit filter operator",tabIndex:0,onClick:e=>{e.stopPropagation(),x(""),Ni("operator",O,void 0,Y.domReference.current)},onKeyDown:e=>{le(e,L),"Enter"===e.key&&(x(""),Ni("operator",O,void 0,Y.domReference.current))}},e.operator):null,s().createElement("div",{ref:B}),N?P.map(((e,t)=>s().createElement(Xi,{key:`${e.value}-${t}`,item:e,index:t,handleRemoveMultiValue:te,handleEditMultiValuePill:ue}))):null):null,s().createElement("input",is(os({},Z({ref:Y.setReference,onChange:function(e){const t=e.target.value;x(t),A(0),R&&D(!1)},value:S,placeholder:Vi(e,C,N,n),"aria-autocomplete":"list",onKeyDown(e){f?("operator"===C&&le(e),ie(e,N),se(e,N),ce(e,N)):h(!0)}})),{className:(0,cn.cx)(I.inputStyle,{[I.loadingInputPadding]:!b}),onClick:e=>{e.stopPropagation(),h(!0)},onFocus:()=>{h(!0)}})),b?s().createElement(on.Spinner,{className:I.loadingIndicator,inline:!0}):null,s().createElement($o,null,f&&s().createElement(Yo,{context:K,initialFocus:-1,visuallyHiddenDismiss:!0,modal:!1},s().createElement(s().Fragment,null,s().createElement("div",{style:is(os({},X),{width:`${y?366:re}px`,transform:N?`translate(${(null==(d=B.current)?void 0:d.getBoundingClientRect().left)||0}px, ${((null==(p=Y.domReference.current)?void 0:p.getBoundingClientRect().bottom)||0)+10}px )`:X.transform}),ref:Y.setFloating,className:I.dropdownWrapper,tabIndex:-1},s().createElement("div",is(os({style:{height:`${oe.getTotalSize()||38}px`}},J()),{tabIndex:-1}),b?s().createElement(_i,null):y?s().createElement(ki,{handleFetchOptions:()=>ae(C)}):ne.length||M&&"operator"!==C&&S?oe.getVirtualItems().map((n=>{var a;const o=ne[n.index],l=n.index;if(o.options)return s().createElement("div",{key:`${o.label}+${l}`,className:(0,cn.cx)(I.optionGroupLabel,I.groupTopBorder),style:{height:`${n.size}px`,transform:`translateY(${n.start}px)`}},s().createElement(on.Text,{weight:"bold",variant:"bodySmall",color:"secondary"},o.label));const c=ne[n.index+1],u=c&&!c.group&&!c.options&&o.group;return s().createElement(Ii,is(os({},ee({key:`${o.value}-${l}`,ref(e){F.current[l]=e},onClick(n){var a;"value"!==C&&n.stopPropagation(),N?(n.preventDefault(),n.stopPropagation(),G(o),x(""),null==(a=Y.domReference.current)||a.focus()):(t._updateFilter(e,ji({filterInputType:C,item:o,filter:e,setFilterMultiValues:_})),$i({populateInputOnEdit:i,item:o,filterInputType:C,setInputValue:x,filter:e}),Li(C,O,r,Y.domReference.current,!1))}})),{active:E===l,addGroupBottomBorder:u,style:{height:`${n.size}px`,transform:`translateY(${n.start}px)`},"aria-setsize":ne.length,"aria-posinset":n.index+1,isMultiValueEdit:N,checked:P.some((e=>e.value===o.value))}),s().createElement("span",null,o.isCustom?"Use custom value: ":""," ",null!=(a=o.label)?a:o.value),o.description?s().createElement("div",{className:I.descriptionText},o.description):null)})):s().createElement(Ti,null))),N&&!b&&!y&&ne.length?s().createElement(Mi,{onApply:()=>{H(t,e,P)},floatingElement:Y.floating.current,maxOptionWidth:re,menuHeight:Math.min(oe.getTotalSize(),300)}):null))))})),ls=e=>({comboboxWrapper:(0,cn.css)({display:"flex",flexWrap:"wrap"}),pillWrapper:(0,cn.css)({display:"flex",alignItems:"center",flexWrap:"wrap"}),basePill:(0,cn.css)(is(os({display:"flex",alignItems:"center",background:e.colors.action.disabledBackground,border:`1px solid ${e.colors.border.weak}`,padding:e.spacing(.125,1,.125,1),color:e.colors.text.primary,overflow:"hidden",whiteSpace:"nowrap",minHeight:e.spacing(2.75)},e.typography.bodySmall),{cursor:"pointer"})),keyPill:(0,cn.css)({fontWeight:e.typography.fontWeightBold,cursor:"default"}),operatorPill:(0,cn.css)({"&:hover":{background:e.colors.action.hover}}),dropdownWrapper:(0,cn.css)({backgroundColor:e.colors.background.primary,color:e.colors.text.primary,boxShadow:e.shadows.z2,overflowY:"auto",zIndex:e.zIndex.dropdown}),inputStyle:(0,cn.css)({paddingBlock:0,"&:focus":{outline:"none"}}),loadingIndicator:(0,cn.css)({color:e.colors.text.secondary,marginLeft:e.spacing(.5)}),loadingInputPadding:(0,cn.css)({paddingRight:e.spacing(2.5)}),optionGroupLabel:(0,cn.css)({padding:e.spacing(1),position:"absolute",top:0,left:0,width:"100%"}),groupTopBorder:(0,cn.css)({"&:not(:first-child)":{borderTop:`1px solid ${e.colors.border.weak}`}}),descriptionText:(0,cn.css)(is(os({},e.typography.bodySmall),{color:e.colors.text.secondary,paddingTop:e.spacing(.5)}))});var cs=Object.defineProperty,us=Object.defineProperties,ds=Object.getOwnPropertyDescriptors,ps=Object.getOwnPropertySymbols,fs=Object.prototype.hasOwnProperty,hs=Object.prototype.propertyIsEnumerable,ms=(e,t,n)=>t in e?cs(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,gs=(e,t)=>{for(var n in t||(t={}))fs.call(t,n)&&ms(e,n,t[n]);if(ps)for(var n of ps(t))hs.call(t,n)&&ms(e,n,t[n]);return e};function bs({filter:e,model:t,readOnly:n,focusOnWipInputRef:r}){var a,i,l;const c=(0,on.useStyles2)(vs),[u,d]=(0,o.useState)(!0),[p,f]=(0,o.useState)(!1),h=(0,o.useRef)(null),[m,g]=(0,o.useState)(!1),b=null!=(a=e.keyLabel)?a:e.key,v=(null==(i=e.valueLabels)?void 0:i.join(", "))||(null==(l=e.values)?void 0:l.join(", "))||e.value,y=(0,o.useCallback)(((e,t)=>{null==e||e.stopPropagation(),n||(f(null!=t?t:!u),d(!u))}),[n,u]);if((0,o.useEffect)((()=>{var e;p&&(null==(e=h.current)||e.focus(),f(!1))}),[p]),(0,o.useEffect)((()=>{e.forceEdit&&u&&(d(!1),t._updateFilter(e,{forceEdit:void 0}))}),[e,t,u]),(0,o.useEffect)((()=>{u&&g((e=>!e&&e))}),[u]),u){const a=s().createElement("span",{className:c.pillText},b," ",e.operator," ",v);return s().createElement("div",{className:(0,cn.cx)(c.combinedFilterPill,{[c.readOnlyCombinedFilter]:n}),onClick:e=>{e.stopPropagation(),g(!0),y()},onKeyDown:e=>{"Enter"===e.key&&(g(!0),y())},role:"button","aria-label":`Edit filter with key ${b}`,tabIndex:0,ref:h},v.length<20?a:s().createElement(on.Tooltip,{content:s().createElement("div",{className:c.tooltipText},v),placement:"top"},a),n?null:s().createElement(on.IconButton,{onClick:n=>{n.stopPropagation(),t._removeFilter(e),setTimeout((()=>null==r?void 0:r()))},onKeyDownCapture:n=>{"Enter"===n.key&&(n.preventDefault(),n.stopPropagation(),t._removeFilter(e),setTimeout((()=>null==r?void 0:r())))},name:"times",size:"md",className:c.removeButton,tooltip:`Remove filter with key ${b}`}))}return s().createElement(ss,{filter:e,model:t,handleChangeViewMode:y,focusOnWipInputRef:r,populateInputOnEdit:m})}const vs=e=>{return{combinedFilterPill:(0,cn.css)((t=gs({display:"flex",alignItems:"center",background:e.colors.action.selected,borderRadius:e.shape.radius.default,border:`1px solid ${e.colors.border.weak}`,padding:e.spacing(.125,0,.125,1),color:e.colors.text.primary,overflow:"hidden",whiteSpace:"nowrap",minHeight:e.spacing(2.75)},e.typography.bodySmall),n={fontWeight:e.typography.fontWeightBold,cursor:"pointer","&:hover":{background:e.colors.action.hover}},us(t,ds(n)))),readOnlyCombinedFilter:(0,cn.css)({paddingRight:e.spacing(1),cursor:"text","&:hover":{background:e.colors.action.selected}}),removeButton:(0,cn.css)({marginInline:e.spacing(.5),cursor:"pointer","&:hover":{color:e.colors.text.primary}}),pillText:(0,cn.css)({maxWidth:"200px",width:"100%",textOverflow:"ellipsis",overflow:"hidden"}),tooltipText:(0,cn.css)({textAlign:"center"})};var t,n},ys=(0,o.forwardRef)((function({model:e},t){const{_wip:n}=e.useState();return(0,o.useLayoutEffect)((()=>{n||e._addWip()}),[n]),s().createElement(ss,{model:e,filter:n,isAlwaysWip:!0,ref:t})})),ws=(0,o.memo)((function({model:e}){const{filters:t,readOnly:n}=e.useState(),r=(0,on.useStyles2)(Ss),a=(0,o.useRef)();return s().createElement("div",{className:(0,cn.cx)(r.comboboxWrapper,{[r.comboboxFocusOutline]:!n}),onClick:()=>{var e;null==(e=a.current)||e.call(a)}},s().createElement(on.Icon,{name:"filter",className:r.filterIcon,size:"lg"}),t.map(((t,r)=>s().createElement(bs,{key:`${r}-${t.key}`,filter:t,model:e,readOnly:n,focusOnWipInputRef:a.current}))),n?null:s().createElement(ys,{model:e,ref:a}))})),Ss=e=>({comboboxWrapper:(0,cn.css)({display:"flex",flexWrap:"wrap",alignItems:"center",columnGap:e.spacing(1),rowGap:e.spacing(.5),minHeight:e.spacing(4),backgroundColor:e.components.input.background,border:`1px solid ${e.colors.border.strong}`,borderRadius:e.shape.radius.default,paddingInline:e.spacing(1),paddingBlock:e.spacing(.5),flexGrow:1}),comboboxFocusOutline:(0,cn.css)({"&:focus-within":{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow",zIndex:2}}),filterIcon:(0,cn.css)({color:e.colors.text.secondary,alignSelf:"center"})});var xs=Object.defineProperty,Es=Object.defineProperties,As=Object.getOwnPropertyDescriptors,Cs=Object.getOwnPropertySymbols,Os=Object.prototype.hasOwnProperty,Rs=Object.prototype.propertyIsEnumerable,Ds=(e,t,n)=>t in e?xs(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Is=(e,t)=>{for(var n in t||(t={}))Os.call(t,n)&&Ds(e,n,t[n]);if(Cs)for(var n of Cs(t))Rs.call(t,n)&&Ds(e,n,t[n]);return e};const Ps=[{value:"=",description:"Equals"},{value:"!=",description:"Not equal"},{value:"=|",description:"One of. Use to filter on multiple values.",isMulti:!0},{value:"!=|",description:"Not one of. Use to exclude multiple values.",isMulti:!0},{value:"=~",description:"Matches regex"},{value:"!~",description:"Does not match regex"},{value:"<",description:"Less than"},{value:">",description:"Greater than"}];class _s extends J{constructor(e){var t,n;super(Is({type:"adhoc",name:null!=(t=e.name)?t:"Filters",filters:[],datasource:null,applyMode:"auto",filterExpression:null!=(n=e.filterExpression)?n:Ts(e.expressionBuilder,e.filters)},e)),this._scopedVars={__sceneObject:_n(this)},this._dataSourceSrv=(0,u.getDataSourceSrv)(),this._urlSync=new nr(this),"auto"===this.state.applyMode&&function(e){if(e.addActivationHandler((()=>(nn.add(e),()=>nn.delete(e)))),tn)return;const t=(0,u.getTemplateSrv)();(null==t?void 0:t.getAdhocFilters)?(tn=t.getAdhocFilters,t.getAdhocFilters=function(e){var n;if(0===nn.size)return tn.call(t,e);const r=(0,u.getDataSourceSrv)().getInstanceSettings(e);if(!r)return[];for(const e of nn.values())if((null==(n=e.state.datasource)?void 0:n.uid)===r.uid)return e.state.filters;return[]}.bind(t)):console.log("Failed to patch getAdhocFilters")}(this)}setState(e){let t=!1;e.filters&&e.filters!==this.state.filters&&!e.filterExpression&&(e.filterExpression=Ts(this.state.expressionBuilder,e.filters),t=e.filterExpression!==this.state.filterExpression),super.setState(e),t&&this.publishEvent(new $e(this),!0)}updateFilters(e,t){let n,r=!1;e&&e!==this.state.filters&&(n=Ts(this.state.expressionBuilder,e),r=n!==this.state.filterExpression),super.setState({filters:e,filterExpression:n}),(r&&!0!==(null==t?void 0:t.skipPublish)||(null==t?void 0:t.forcePublish))&&this.publishEvent(new $e(this),!0)}getValue(){return this.state.filterExpression}_updateFilter(e,t){const{filters:n,_wip:r}=this.state;if(e===r)return void("value"in t&&""!==t.value?this.setState({filters:[...n,Is(Is({},r),t)],_wip:void 0}):this.setState({_wip:Is(Is({},e),t)}));const a=this.state.filters.map((n=>n===e?Is(Is({},n),t):n));this.setState({filters:a})}_removeFilter(e){e!==this.state._wip?this.setState({filters:this.state.filters.filter((t=>t!==e))}):this.setState({_wip:void 0})}_removeLastFilter(){const e=this.state.filters.at(-1);e&&this._removeFilter(e)}_handleComboboxBackspace(e){if(this.state.filters.length){let t=this.state.filters.length-1;e!==this.state._wip&&(t=-1),this.setState({filters:this.state.filters.reduce(((n,r,a)=>{return a===t?[...n,(o=Is({},r),i={forceEdit:!0},Es(o,As(i)))]:r===e?n:[...n,r];var o,i}),[])})}}async _getKeys(e){var t,n,r;const a=await(null==(n=(t=this.state).getTagKeysProvider)?void 0:n.call(t,this,e));if(a&&a.replace)return El(a.values).map(Ms);if(this.state.defaultKeys)return this.state.defaultKeys.map(Ms);const o=await this._dataSourceSrv.get(this.state.datasource,this._scopedVars);if(!o||!o.getTagKeys)return[];const i=this.state.filters.filter((t=>t.key!==e)).concat(null!=(r=this.state.baseFilters)?r:[]),s=pc.getTimeRange(this).state.value,l=this.state.useQueriesAsFilterForOptions?vl(this):void 0,c=await o.getTagKeys(Is({filters:i,queries:l,timeRange:s},Rn(this)));Al(c)&&this.setState({error:c.error.message});let u=El(c);a&&(u=u.concat(El(a.values)));const d=this.state.tagKeyRegexFilter;return d&&(u=u.filter((e=>e.text.match(d)))),u.map(Ms)}async _getValuesFor(e){var t,n,r;const a=await(null==(n=(t=this.state).getTagValuesProvider)?void 0:n.call(t,this,e));if(a&&a.replace)return El(a.values).map(Ms);const o=await this._dataSourceSrv.get(this.state.datasource,this._scopedVars);if(!o||!o.getTagValues)return[];const i=this.state.filters.filter((t=>t.key!==e.key)).concat(null!=(r=this.state.baseFilters)?r:[]),s=pc.getTimeRange(this).state.value,l=this.state.useQueriesAsFilterForOptions?vl(this):void 0,c=await o.getTagValues(Is({key:e.key,filters:i,timeRange:s,queries:l},Rn(this)));Al(c)&&this.setState({error:c.error.message});let u=El(c);return a&&(u=u.concat(El(a.values))),u.map(Ms)}_addWip(){this.setState({_wip:{key:"",value:"",operator:"=",condition:""}})}_getOperators(){return(this.state.supportsMultiValueOperators?Ps:Ps.filter((e=>!e.isMulti))).map((({value:e,description:t})=>({label:e,value:e,description:t})))}}function Ts(e,t){return(null!=e?e:hl)(null!=t?t:[])}_s.Component=function({model:e}){const{filters:t,readOnly:n,addFilterButtonText:r}=e.useState(),a=(0,on.useStyles2)(ks);return"combobox"===e.state.layout?s().createElement(ws,{model:e}):s().createElement("div",{className:a.wrapper},t.map(((t,n)=>s().createElement(s().Fragment,{key:n},s().createElement(Jn,{filter:t,model:e})))),!n&&s().createElement(tr,{model:e,key:"'builder",addFilterButtonText:r}))};const ks=e=>({wrapper:(0,cn.css)({display:"flex",flexWrap:"wrap",alignItems:"flex-end",columnGap:e.spacing(2),rowGap:e.spacing(1)})});function Ms(e){const{text:t,value:n}=e,r={label:t,value:String(null!=n?n:t)};return"group"in e&&(r.group=e.group),r}function Bs(e){return""!==e.key&&""!==e.operator&&""!==e.value}function Ls(e){const t=Ps.find((t=>t.value===e));return!!t&&Boolean(t.isMulti)}class Ns{constructor(){this._resultsMap=new Map,this._prevLayers=[]}getMergedStream(e){(function(e,t){if(e.length!==t.length)return!0;for(let n=0;n<e.length;n++)if(e[n]!==t[n])return!0;return!1})(e,this._prevLayers)&&(this._resultsMap=new Map,this._prevLayers=e);const t=e.map((e=>e.getResultsStream())),n=[];for(const t of e)n.push(t.activate());return(0,O.merge)(t).pipe((0,O.mergeAll)(),(0,O.filter)((e=>this._resultsMap.get(e.origin.state.key)!==e)),(0,O.map)((e=>(this._resultsMap.set(e.origin.state.key,e),this._resultsMap.values()))),(0,O.finalize)((()=>{n.forEach((e=>e()))})))}}var js=Object.defineProperty,Fs=Object.defineProperties,Vs=Object.getOwnPropertyDescriptors,$s=Object.getOwnPropertySymbols,zs=Object.prototype.hasOwnProperty,Us=Object.prototype.propertyIsEnumerable,Ws=(e,t,n)=>t in e?js(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Hs=(e,t)=>{for(var n in t||(t={}))zs.call(t,n)&&Ws(e,n,t[n]);if($s)for(var n of $s(t))Us.call(t,n)&&Ws(e,n,t[n]);return e},Gs=(e,t)=>Fs(e,Vs(t));let qs=100;function Qs(){return"SQR"+qs++}class Ys extends J{constructor(e){super(e),this._dataLayersMerger=new Ns,this._variableValueRecorder=new Mt,this._results=new O.ReplaySubject(1),this._scopedVars={__sceneObject:_n(this)},this._variableDependency=new Bl(this,{statePaths:["queries","datasource"],onVariableUpdateCompleted:this.onVariableUpdatesCompleted.bind(this),onAnyVariableChanged:this.onAnyVariableChanged.bind(this)}),this.onDataReceived=e=>{const t=(0,c.preProcessPanelData)(e,this.state.data);this._resultAnnotations=e.annotations;const n=this._combineDataLayers(t);let r=this.state._hasFetchedData;r||t.state===be.Loading||(r=!0),this.setState({data:n,_hasFetchedData:r}),this._results.next({origin:this,data:n})},this.addActivationHandler((()=>this._onActivate()))}getResultsStream(){return this._results}_onActivate(){if(this.isQueryModeAuto()){const e=pc.getTimeRange(this),t=this.getClosestExtraQueryProviders();for(const e of t)this._subs.add(e.subscribeToState(((t,n)=>{e.shouldRerun(n,t,this.state.queries)&&this.runQueries()})));this.subscribeToTimeRangeChanges(e),this.shouldRunQueriesOnActivate()&&this.runQueries()}return this._dataLayersSub||this._handleDataLayers(),()=>this._onDeactivate()}_handleDataLayers(){const e=pc.getDataLayers(this);0!==e.length&&(this._dataLayersSub=this._dataLayersMerger.getMergedStream(e).subscribe(this._onLayersReceived.bind(this)))}_onLayersReceived(e){var t,n,r,a,o;const i=pc.getTimeRange(this),{dataLayerFilter:s}=this.state;let l,u=[],d=[];for(const r of e)for(let e of r.data.series)(null==(t=e.meta)?void 0:t.dataTopic)===c.DataTopic.Annotations&&(u=u.concat(e)),(null==(n=e.meta)?void 0:n.dataTopic)===c.DataTopic.AlertStates&&(d=d.concat(e));if((null==s?void 0:s.panelId)&&(u.length>0&&(u=function(e,t){var n;if(!Array.isArray(e)||0===e.length)return e;const r=Array.from({length:e.length},(()=>new Set));let a=0;for(const o of e){for(let e=0;e<o.length;e++){if(r[a].has(e))continue;let i=!0;const s=o.fields.find((e=>"panelId"===e.name)),l=o.fields.find((e=>"source"===e.name));if(l){s&&"dashboard"===l.values[e].type&&(i=[t.panelId,Jt].includes(s.values[e]));const r=l.values[e].filter;if(r){const e=[...null!=(n=r.ids)?n:[],Jt].includes(t.panelId);r.exclude?e&&(i=!1):e||(i=!1)}}i&&r[a].add(e)}a++}const o=[];a=0;for(const t of e){const e=r[a].size,n=[];for(const e of t.fields){const o=[];for(let n=0;n<t.length;n++)r[a].has(n)&&o.push(e.values[n]);n.push(Zt(Kt({},e),{values:o}))}o.push(Zt(Kt({},t),{fields:n,length:e})),a++}return o}(u,s)),d.length>0))for(const e of d){const t=new c.DataFrameView(e);for(const e of t)if(e.panelId===s.panelId){l=e;break}}if(Ks(u)&&Ks(this._layerAnnotations)&&(0,fe.isEqual)(l,null==(r=this.state.data)?void 0:r.alertState))return;this._layerAnnotations=u;const p=this.state.data?this.state.data:Gs(Hs({},Ae),{timeRange:i.state.value});this.setState({data:Gs(Hs({},p),{annotations:[...null!=(a=this._resultAnnotations)?a:[],...u],alertState:null!=l?l:null==(o=this.state.data)?void 0:o.alertState})})}onVariableUpdatesCompleted(){this.isQueryModeAuto()&&this.runQueries()}onAnyVariableChanged(e){this._adhocFiltersVar!==e&&this._groupByVar!==e&&this.isQueryModeAuto()&&(e instanceof _s&&this._isRelevantAutoVariable(e)&&this.runQueries(),e instanceof Vn&&this._isRelevantAutoVariable(e)&&this.runQueries())}_isRelevantAutoVariable(e){var t,n;const r=null!=(t=this.state.datasource)?t:Xs(this.state.queries);return"auto"===e.state.applyMode&&(null==r?void 0:r.uid)===(null==(n=e.state.datasource)?void 0:n.uid)}shouldRunQueriesOnActivate(){return this._variableValueRecorder.hasDependenciesChanged(this)?(Tt("SceneQueryRunner","Variable dependency changed while inactive, shouldRunQueriesOnActivate returns true"),!0):!this.state.data||!!this._isDataTimeRangeStale(this.state.data)}_isDataTimeRangeStale(e){const t=pc.getTimeRange(this).state.value,n=e.timeRange;return(t.from.unix()!==n.from.unix()||t.to.unix()!==n.to.unix())&&(Tt("SceneQueryRunner","Data time range is stale"),!0)}_onDeactivate(){var e;this._querySub&&(this._querySub.unsubscribe(),this._querySub=void 0),this._dataLayersSub&&(this._dataLayersSub.unsubscribe(),this._dataLayersSub=void 0),null==(e=this._timeSub)||e.unsubscribe(),this._timeSub=void 0,this._timeSubRange=void 0,this._adhocFiltersVar=void 0,this._groupByVar=void 0,this._variableValueRecorder.recordCurrentDependencyValuesForSceneObject(this)}setContainerWidth(e){!this._containerWidth&&e>0?(this._containerWidth=e,this.state.maxDataPointsFromWidth&&!this.state.maxDataPoints&&setTimeout((()=>{this.isActive&&!this.state._hasFetchedData&&this.runQueries()}),0)):e>0&&(this._containerWidth=e)}isDataReadyToDisplay(){return Boolean(this.state._hasFetchedData)}subscribeToTimeRangeChanges(e){this._timeSubRange!==e&&(this._timeSub&&this._timeSub.unsubscribe(),this._timeSubRange=e,this._timeSub=e.subscribeToState((()=>{this.runWithTimeRange(e)})))}runQueries(){const e=pc.getTimeRange(this);this.isQueryModeAuto()&&this.subscribeToTimeRangeChanges(e),this.runWithTimeRange(e)}getMaxDataPoints(){var e;return this.state.maxDataPoints?this.state.maxDataPoints:this.state.maxDataPointsFromWidth&&null!=(e=this._containerWidth)?e:500}cancelQuery(){var e;null==(e=this._querySub)||e.unsubscribe(),this._dataLayersSub&&(this._dataLayersSub.unsubscribe(),this._dataLayersSub=void 0),this.setState({data:Gs(Hs({},this.state.data),{state:be.Done})})}async runWithTimeRange(e){var t,n,r;if(!this.state.maxDataPoints&&this.state.maxDataPointsFromWidth&&!this._containerWidth)return;if(this._dataLayersSub||this._handleDataLayers(),null==(t=this._querySub)||t.unsubscribe(),this._variableDependency.hasDependencyInLoadingState())return Tt("SceneQueryRunner","Variable dependency is in loading state, skipping query execution"),void this.setState({data:Gs(Hs({},null!=(n=this.state.data)?n:Ae),{state:be.Loading})});const{queries:a}=this.state;if(null==a?void 0:a.length)try{const t=null!=(r=this.state.datasource)?r:Xs(a),n=await kt(t,this._scopedVars);this.findAndSubscribeToAdHocFilters(n.uid);const o=(0,u.getRunRequest)(),{primary:i,secondaries:s,processors:l}=this.prepareRequests(e,n);Tt("SceneQueryRunner","Starting runRequest",this.state.key);let c=o(n,i);if(s.length>0){const e=s.map((e=>o(n,e))),t=(e=>t=>t.pipe((0,O.mergeMap)((([t,...n])=>{const r=n.flatMap((n=>{var r,a;return null!=(a=null==(r=e.get(n.request.requestId))?void 0:r(t,n))?a:(0,O.of)(n)}));return(0,O.forkJoin)([(0,O.of)(t),...r])})),(0,O.map)((([e,...t])=>{var n,r,a;return r=((e,t)=>{for(var n in t||(t={}))Vt.call(t,n)&&zt(e,n,t[n]);if(Ft)for(var n of Ft(t))$t.call(t,n)&&zt(e,n,t[n]);return e})({},e),a={series:[...e.series,...t.flatMap((e=>e.series))],annotations:[...null!=(n=e.annotations)?n:[],...t.flatMap((e=>{var t;return null!=(t=e.annotations)?t:[]}))]},Nt(r,jt(a))}))))(l);c=(0,O.forkJoin)([c,...e]).pipe(t)}c=c.pipe(rn({type:"data",request:i,origin:this,cancel:()=>this.cancelQuery()})),this._querySub=c.subscribe(this.onDataReceived)}catch(e){console.error("PanelQueryRunner Error",e),this.onDataReceived(Gs(Hs(Hs({},Ae),this.state.data),{state:be.Error,errors:[(0,u.toDataQueryError)(e)]}))}else this._setNoDataState()}clone(e){var t;const n=super.clone(e);return this._resultAnnotations&&(n._resultAnnotations=this._resultAnnotations.map((e=>Hs({},e)))),this._layerAnnotations&&(n._layerAnnotations=this._layerAnnotations.map((e=>Hs({},e)))),n._variableValueRecorder=this._variableValueRecorder.cloneAndRecordCurrentValuesForSceneObject(this),n._containerWidth=this._containerWidth,n._results.next({origin:this,data:null!=(t=this.state.data)?t:Ae}),n}prepareRequests(e,t){var n;const{minInterval:r,queries:a}=this.state;let o=Hs({app:"scenes",requestId:Qs(),timezone:e.getTimeZone(),range:e.state.value,interval:"1s",intervalMs:1e3,targets:(0,fe.cloneDeep)(a),maxDataPoints:this.getMaxDataPoints(),scopedVars:this._scopedVars,startTime:Date.now(),liveStreaming:this.state.liveStreaming,rangeRaw:{from:e.state.from,to:e.state.to},cacheTimeout:this.state.cacheTimeout,queryCachingTTL:this.state.queryCachingTTL},en(this));this._adhocFiltersVar&&(o.filters=this._adhocFiltersVar.state.filters.filter(Bs)),this._groupByVar&&(o.groupByKeys=this._groupByVar.state.value),o.targets=o.targets.map((e=>{var n;return e.datasource&&(e.datasource.uid===t.uid||(null==(n=t.meta)?void 0:n.mixed)||!u.isExpressionReference||(0,u.isExpressionReference)(e.datasource))||(e.datasource=t.getRef()),e}));const i=r?lc(this,r):t.interval,s=c.rangeUtil.calculateInterval(e.state.value,o.maxDataPoints,i);o.scopedVars=Object.assign({},o.scopedVars,{__interval:{text:s.interval,value:s.interval},__interval_ms:{text:s.intervalMs.toString(),value:s.intervalMs}}),o.interval=s.interval,o.intervalMs=s.intervalMs;const l=e.state.value;let d=[],p=new Map;for(const e of null!=(n=this.getClosestExtraQueryProviders())?n:[])for(const{req:t,processor:n}of e.getExtraQueries(o)){const e=Qs();d.push(Gs(Hs({},t),{requestId:e})),p.set(e,null!=n?n:Ut)}return o.range=l,{primary:o,secondaries:d,processors:p}}_combineDataLayers(e){return this._layerAnnotations&&this._layerAnnotations.length>0&&(e.annotations=(e.annotations||[]).concat(this._layerAnnotations)),this.state.data&&this.state.data.alertState&&(e.alertState=this.state.data.alertState),e}_setNoDataState(){this.state.data!==Ae&&this.setState({data:Ae})}getClosestExtraQueryProviders(){const e=new Map;return this.parent?(ce(this.parent,(t=>(Bt(t)&&!e.has(t.constructor)&&e.set(t.constructor,t),t.forEachChild((t=>{Bt(t)&&!e.has(t.constructor)&&e.set(t.constructor,t)})),null))),Array.from(e.values())):[]}findAndSubscribeToAdHocFilters(e){const t=function(e){var t;for(const n of nn.values())if(lc(n,null==(t=n.state.datasource)?void 0:t.uid)===e)return n}(e);this._adhocFiltersVar!==t&&(this._adhocFiltersVar=t,this._updateExplicitVariableDependencies());const n=function(e){var t;for(const n of an.values())if(lc(n,null==(t=n.state.datasource)?void 0:t.uid)===e)return n}(e);this._groupByVar!==n&&(this._groupByVar=n,this._updateExplicitVariableDependencies())}_updateExplicitVariableDependencies(){const e=[];this._adhocFiltersVar&&e.push(this._adhocFiltersVar.state.name),this._groupByVar&&e.push(this._groupByVar.state.name),this._variableDependency.setVariableNames(e)}isQueryModeAuto(){var e;return"auto"===(null!=(e=this.state.runQueriesMode)?e:"auto")}}function Xs(e){var t,n;return null!=(n=null==(t=e.find((e=>null!==e.datasource)))?void 0:t.datasource)?n:void 0}function Ks(e){if(!e)return!0;for(let t=0;t<e.length;t++)if(e[t].length>0)return!1;return!0}const Zs=new Intl.Collator("en",{numeric:!0,sensitivity:"base"}).compare,Js=1/0,el=e=>e.replace(/[.*+?^${}()|[\]\\]/g,"\\$&"),tl="eexxaacctt",nl=/\p{P}/gu,rl=(e,t,n)=>e.replace("A-Z",t).replace("a-z",n),al={unicode:!1,alpha:null,interSplit:"[^A-Za-z\\d']+",intraSplit:"[a-z][A-Z]",interBound:"[^A-Za-z\\d]",intraBound:"[A-Za-z]\\d|\\d[A-Za-z]|[a-z][A-Z]",interLft:0,interRgt:0,interChars:".",interIns:Js,intraChars:"[a-z\\d']",intraIns:null,intraContr:"'[a-z]{1,2}\\b",intraMode:0,intraSlice:[1,Js],intraSub:null,intraTrn:null,intraDel:null,intraFilt:(e,t,n)=>!0,sort:(e,t,n)=>{let{idx:r,chars:a,terms:o,interLft2:i,interLft1:s,start:l,intraIns:c,interIns:u,cases:d}=e;return r.map(((e,t)=>t)).sort(((e,n)=>a[n]-a[e]||c[e]-c[n]||o[n]+i[n]+.5*s[n]-(o[e]+i[e]+.5*s[e])||u[e]-u[n]||l[e]-l[n]||d[n]-d[e]||Zs(t[r[e]],t[r[n]])))}},ol=(e,t)=>0==t?"":1==t?e+"??":t==Js?e+"*?":e+`{0,${t}}?`,il="(?:\\b|_)";function sl(e){e=Object.assign({},al,e);let{unicode:t,interLft:n,interRgt:r,intraMode:a,intraSlice:o,intraIns:i,intraSub:s,intraTrn:l,intraDel:c,intraContr:u,intraSplit:d,interSplit:p,intraBound:f,interBound:h,intraChars:m}=e;i??=a,s??=a,l??=a,c??=a;let g=e.letters??e.alpha;if(null!=g){let e=g.toLocaleUpperCase(),t=g.toLocaleLowerCase();p=rl(p,e,t),d=rl(d,e,t),h=rl(h,e,t),f=rl(f,e,t),m=rl(m,e,t),u=rl(u,e,t)}let b=t?"u":"";const v='".+?"',y=new RegExp(v,"gi"+b),w=new RegExp(`(?:\\s+|^)-(?:${m}+|${v})`,"gi"+b);let{intraRules:S}=e;null==S&&(S=e=>{let t=al.intraSlice,n=0,r=0,a=0,u=0;if(/[^\d]/.test(e)){let d=e.length;d<=4?d>=3&&(a=Math.min(l,1),4==d&&(n=Math.min(i,1))):(t=o,n=i,r=s,a=l,u=c)}return{intraSlice:t,intraIns:n,intraSub:r,intraTrn:a,intraDel:u}});let x=!!d,E=new RegExp(d,"g"+b),A=new RegExp(p,"g"+b),C=new RegExp("^"+p+"|"+p+"$","g"+b),O=new RegExp(u,"gi"+b);const R=(e,t=!1)=>{let n=[];e=(e=e.replace(y,(e=>(n.push(e),tl)))).replace(C,""),t||(e=e.toLocaleLowerCase()),x&&(e=e.replace(E,(e=>e[0]+" "+e[1])));let r=0;return e.split(A).filter((e=>""!=e)).map((e=>e===tl?n[r++]:e))},D=/[^\d]+|\d+/g,I=(t,o=0,s=!1)=>{let l=R(t);if(0==l.length)return[];let c,u=Array(l.length).fill("");if(l=l.map(((e,t)=>e.replace(O,(e=>(u[t]=e,""))))),1==a)c=l.map(((e,t)=>{if('"'===e[0])return el(e.slice(1,-1));let n="";for(let r of e.matchAll(D)){let e=r[0],{intraSlice:a,intraIns:o,intraSub:i,intraTrn:s,intraDel:l}=S(e);if(o+i+s+l==0)n+=e+u[t];else{let[r,c]=a,d=e.slice(0,r),p=e.slice(c),f=e.slice(r,c);1==o&&1==d.length&&d!=f[0]&&(d+="(?!"+d+")");let h=f.length,g=[e];if(i)for(let e=0;e<h;e++)g.push(d+f.slice(0,e)+m+f.slice(e+1)+p);if(s)for(let e=0;e<h-1;e++)f[e]!=f[e+1]&&g.push(d+f.slice(0,e)+f[e+1]+f[e]+f.slice(e+2)+p);if(l)for(let e=0;e<h;e++)g.push(d+f.slice(0,e+1)+"?"+f.slice(e+1)+p);if(o){let e=ol(m,1);for(let t=0;t<h;t++)g.push(d+f.slice(0,t)+e+f.slice(t)+p)}n+="(?:"+g.join("|")+")"+u[t]}}return n}));else{let e=ol(m,i);2==o&&i>0&&(e=")("+e+")("),c=l.map(((t,n)=>'"'===t[0]?el(t.slice(1,-1)):t.split("").map(((e,t,n)=>(1==i&&0==t&&n.length>1&&e!=n[t+1]&&(e+="(?!"+e+")"),e))).join(e)+u[n]))}let d=2==n?il:"",p=2==r?il:"",f=p+ol(e.interChars,e.interIns)+d;return o>0?s?c=d+"("+c.join(")"+p+"|"+d+"(")+")"+p:(c="("+c.join(")("+f+")(")+")",c="(.??"+d+")"+c+"("+p+".*)"):(c=c.join(f),c=d+c+p),[new RegExp(c,"i"+b),l,u]},P=(e,t,n)=>{let[r]=I(t);if(null==r)return null;let a=[];if(null!=n)for(let t=0;t<n.length;t++){let o=n[t];r.test(e[o])&&a.push(o)}else for(let t=0;t<e.length;t++)r.test(e[t])&&a.push(t);return a};let _=!!f,T=new RegExp(h,b),k=new RegExp(f,b);const M=(t,a,o)=>{let[i,s,l]=I(o,1),c=R(o,!0),[u]=I(o,2),d=s.length,p=Array(d),f=Array(d);for(let e=0;e<d;e++){let t=s[e],n=c[e],r='"'==t[0]?t.slice(1,-1):t+l[e],a='"'==n[0]?n.slice(1,-1):n+l[e];p[e]=r,f[e]=a}let h=t.length,m=Array(h).fill(0),g={idx:Array(h),start:m.slice(),chars:m.slice(),cases:m.slice(),terms:m.slice(),interIns:m.slice(),intraIns:m.slice(),interLft2:m.slice(),interRgt2:m.slice(),interLft1:m.slice(),interRgt1:m.slice(),ranges:Array(h)},v=1==n||1==r,y=0;for(let o=0;o<t.length;o++){let s=a[t[o]],l=s.match(i),c=l.index+l[1].length,h=c,m=!1,w=0,S=0,x=0,E=0,A=0,C=0,O=0,R=0,D=0,I=[];for(let t=0,a=2;t<d;t++,a+=2){let o=l[a].toLocaleLowerCase(),i=p[t],u=f[t],g=i.length,y=o.length,P=o==i;if(l[a]==u&&O++,!P&&l[a+1].length>=g){let e=l[a+1].toLocaleLowerCase().indexOf(i);e>-1&&(I.push(h,y,e,g),h+=B(l,a,e,g),o=i,y=g,P=!0,0==t&&(c=h))}if(v||P){let e=h-1,u=h+y,d=!1,p=!1;if(-1==e||T.test(s[e]))P&&w++,d=!0;else{if(2==n){m=!0;break}if(_&&k.test(s[e]+s[e+1]))P&&S++,d=!0;else if(1==n){let e=l[a+1],n=h+y;if(e.length>=g){let r,u=0,p=!1,f=new RegExp(i,"ig"+b);for(;r=f.exec(e);){u=r.index;let e=n+u,t=e-1;if(-1==t||T.test(s[t])){w++,p=!0;break}if(k.test(s[t]+s[e])){S++,p=!0;break}}p&&(d=!0,I.push(h,y,u,g),h+=B(l,a,u,g),o=i,y=g,P=!0,0==t&&(c=h))}if(!d){m=!0;break}}}if(u==s.length||T.test(s[u]))P&&x++,p=!0;else{if(2==r){m=!0;break}if(_&&k.test(s[u-1]+s[u]))P&&E++,p=!0;else if(1==r){m=!0;break}}P&&(A+=g,d&&p&&C++)}if(y>g&&(D+=y-g),t>0&&(R+=l[a-1].length),!e.intraFilt(i,o,h)){m=!0;break}t<d-1&&(h+=y+l[a+1].length)}if(!m){g.idx[y]=t[o],g.interLft2[y]=w,g.interLft1[y]=S,g.interRgt2[y]=x,g.interRgt1[y]=E,g.chars[y]=A,g.terms[y]=C,g.cases[y]=O,g.interIns[y]=R,g.intraIns[y]=D,g.start[y]=c;let e=s.match(u),n=e.index+e[1].length,r=I.length,a=r>0?0:1/0,i=r-4;for(let t=2;t<e.length;){let r=e[t].length;if(a<=i&&I[a]==n){let r=I[a+1],o=I[a+2],i=I[a+3],s=t,l="";for(let t=0;t<r;s++)l+=e[s],t+=e[s].length;e.splice(t,s-t,l),n+=B(e,t,o,i),a+=4}else n+=r,t++}n=e.index+e[1].length;let l=g.ranges[y]=[],d=n,p=n;for(let t=2;t<e.length;t++){let r=e[t].length;n+=r,t%2==0?p=n:r>0&&(l.push(d,p),d=p=n)}p>d&&l.push(d,p),y++}}if(y<t.length)for(let e in g)g[e]=g[e].slice(0,y);return g},B=(e,t,n,r)=>{let a=e[t]+e[t+1].slice(0,n);return e[t-1]+=a,e[t]=e[t+1].slice(n,n+r),e[t+1]=e[t+1].slice(n+r),a.length};return{search:(...t)=>{let n=((t,n,r,a=1e3,o)=>{r=r?!0===r?5:r:0;let i=null,s=null,l=[];n=n.replace(w,(e=>{let t=e.trim().slice(1);return t='"'===t[0]?el(t.slice(1,-1)):t.replace(nl,""),""!=t&&l.push(t),""}));let c,u=R(n);if(l.length>0){if(c=new RegExp(l.join("|"),"i"+b),0==u.length){let e=[];for(let n=0;n<t.length;n++)c.test(t[n])||e.push(n);return[e,null,null]}}else if(0==u.length)return[null,null,null];if(r>0){let e=R(n);if(e.length>1){let n=e.slice().sort(((e,t)=>t.length-e.length));for(let e=0;e<n.length;e++){if(0==o?.length)return[[],null,null];o=P(t,n[e],o)}if(e.length>r)return[o,null,null];i=cl(e).map((e=>e.join(" "))),s=[];let a=new Set;for(let e=0;e<i.length;e++)if(a.size<o.length){let n=o.filter((e=>!a.has(e))),r=P(t,i[e],n);for(let e=0;e<r.length;e++)a.add(r[e]);s.push(r)}else s.push([])}}null==i&&(i=[n],s=[o?.length>0?o:P(t,n)]);let d=null,p=null;if(l.length>0&&(s=s.map((e=>e.filter((e=>!c.test(t[e])))))),s.reduce(((e,t)=>e+t.length),0)<=a){d={},p=[];for(let n=0;n<s.length;n++){let r=s[n];if(null==r||0==r.length)continue;let a=i[n],o=M(r,t,a),l=e.sort(o,t,a);if(n>0)for(let e=0;e<l.length;e++)l[e]+=p.length;for(let e in o)d[e]=(d[e]??[]).concat(o[e]);p=p.concat(l)}}return[[].concat(...s),d,p]})(...t);return n},split:R,filter:P,info:M,sort:e.sort}}const ll=(()=>{let e={A:"ÁÀÃÂÄĄ",a:"áàãâäą",E:"ÉÈÊËĖ",e:"éèêëę",I:"ÍÌÎÏĮ",i:"íìîïį",O:"ÓÒÔÕÖ",o:"óòôõö",U:"ÚÙÛÜŪŲ",u:"úùûüūų",C:"ÇČĆ",c:"çčć",L:"Ł",l:"ł",N:"ÑŃ",n:"ñń",S:"ŠŚ",s:"šś",Z:"ŻŹ",z:"żź"},t=new Map,n="";for(let r in e)e[r].split("").forEach((e=>{n+=e,t.set(e,r)}));let r=new RegExp(`[${n}]`,"g"),a=e=>t.get(e);return e=>{if("string"==typeof e)return e.replace(r,a);let t=Array(e.length);for(let n=0;n<e.length;n++)t[n]=e[n].replace(r,a);return t}})();function cl(e){let t,n,r=(e=e.slice()).length,a=[e.slice()],o=new Array(r).fill(0),i=1;for(;i<r;)o[i]<i?(t=i%2&&o[i],n=e[i],e[i]=e[t],e[t]=n,++o[i],i=1,a.push(e.slice())):(o[i]=0,++i);return a}const ul=(e,t)=>t?`<mark>${e}</mark>`:e,dl=(e,t)=>e+t;function pl(e,t){return e===t||(0,fe.isEqual)(e,t)}function fl(e){try{return JSON.stringify(e,(()=>{const e=new WeakSet;return(t,n)=>{if("object"==typeof n&&null!==n){if(e.has(n))return;e.add(n)}return n}})())}catch(e){console.error(e)}return""}function hl(e){return e.map((e=>function(e){var t,n;let r="",a=e.operator;return"=|"===a?(a="=~",r=null==(t=e.values)?void 0:t.map(gl).join("|")):"!=|"===a?(a="!~",r=null==(n=e.values)?void 0:n.map(gl).join("|")):r="=~"===a||"!~"===a?gl(e.value):ml(e.value),`${e.key}${a}"${r}"`}(e))).join(",")}function ml(e){return e.replace(/\\/g,"\\\\").replace(/\n/g,"\\n").replace(/"/g,'\\"')}function gl(e){return ml(e.replace(bl,"\\$&"))}sl.latinize=ll,sl.permute=e=>cl([...Array(e.length).keys()]).sort(((e,t)=>{for(let n=0;n<e.length;n++)if(e[n]!=t[n])return e[n]-t[n];return 0})).map((t=>t.map((t=>e[t])))),sl.highlight=function(e,t,n=ul,r="",a=dl){r=a(r,n(e.substring(0,t[0]),!1))??r;for(let o=0;o<t.length;o+=2){let i=t[o],s=t[o+1];r=a(r,n(e.substring(i,s),!0))??r,o<t.length-3&&(r=a(r,n(e.substring(t[o+1],t[o+2]),!1))??r)}return a(r,n(e.substring(t[t.length-1]),!1))??r};const bl=/[*+?()|\\.\[\]{}^$]/g;function vl(e){var t;const n=pc.findAllObjects(e.getRoot(),(e=>e instanceof Ys)),r=pc.interpolate(e,null==(t=e.state.datasource)?void 0:t.uid),a=function(e){const t={};for(const n of e)n.state.key&&(n.state.key in t||(t[n.state.key]=[]),t[n.state.key].push(n));return Object.values(t).flatMap((e=>{const t=e.filter((e=>e.isActive));return 0===t.length&&1===e.length?e:t}))}(n).filter((t=>{var n;return pc.interpolate(e,null==(n=t.state.datasource)?void 0:n.uid)===r}));if(0===a.length)return[];const o=[];return a.forEach((e=>{o.push(...e.state.queries)})),o}function yl(e){return null==e?"":/\|/g[Symbol.replace](e,"__gfp__")}function wl(e){return null==e?"":/,/g[Symbol.replace](e,"__gfc__")}function Sl(e){return null==e?"":(e=/__gfp__/g[Symbol.replace](e,"|"),e=/__gfc__/g[Symbol.replace](e,","))}function xl(e,t){return t&&e!==t?[e,t].map(wl).join(","):wl(e)}function El(e){return Array.isArray(e)?e:e.data}function Al(e){return!Array.isArray(e)&&Boolean(e.error)}function Cl(e){const t=[],n=new Map;for(const r of e){const e=r.group;if(e){let a=n.get(e);a||(a=[],n.set(e,a),t.push({label:e,options:a})),a.push(r)}else t.push(r)}return t}function Ol(e,t=1e4){const n=new sl,r=Array.from({length:Math.min(t,e.length)},((e,t)=>t));return a=>{if(""===a)return r;const[o,i,s]=n.search(e,a);if(o){if(i&&s){const e=Array(Math.min(s.length,t));for(let t=0;t<e.length;t++)e[t]=i.idx[s[t]];return e}return o.slice(0,t)}return[]}}var Rl=Object.defineProperty,Dl=Object.defineProperties,Il=Object.getOwnPropertyDescriptors,Pl=Object.getOwnPropertySymbols,_l=Object.prototype.hasOwnProperty,Tl=Object.prototype.propertyIsEnumerable,kl=(e,t,n)=>t in e?Rl(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Ml extends J{constructor(e){var t;super((t=((e,t)=>{for(var n in t||(t={}))_l.call(t,n)&&kl(e,n,t[n]);if(Pl)for(var n of Pl(t))Tl.call(t,n)&&kl(e,n,t[n]);return e})({type:"constant",value:"",name:""},e),Dl(t,Il({skipUrlSync:!0}))))}getValue(){return this.state.value}}class Bl{constructor(e,t){this._sceneObject=e,this._options=t,this._dependencies=new Set,this._isWaitingForVariables=!1,this.scanCount=0,this._statePaths=t.statePaths,this._options.handleTimeMacros&&this.handleTimeMacros()}hasDependencyOn(e){return this.getNames().has(e)}variableUpdateCompleted(e,t){const n=this.getNames();let r=!1;(n.has(e.state.name)||n.has(c.DataLinkBuiltInVars.includeVars))&&t&&(r=!0),Tt("VariableDependencyConfig","variableUpdateCompleted",e.state.name,r,this._isWaitingForVariables),this._options.onAnyVariableChanged&&this._options.onAnyVariableChanged(e),this._options.onVariableUpdateCompleted&&(this._isWaitingForVariables||r)&&this._options.onVariableUpdateCompleted(),r&&(this._options.onReferencedVariableValueChanged&&this._options.onReferencedVariableValueChanged(e),this._options.onReferencedVariableValueChanged||this._options.onVariableUpdateCompleted||this._sceneObject.forceRender())}hasDependencyInLoadingState(){return pc.hasVariableDependencyInLoadingState(this._sceneObject)?(this._isWaitingForVariables=!0,!0):(this._isWaitingForVariables=!1,!1)}getNames(){const e=this._state,t=this._state=this._sceneObject.state;if(!e)return this.scanStateForDependencies(this._state),this._dependencies;if(t!==e)if(this._statePaths){for(const n of this._statePaths)if("*"===n||t[n]!==e[n]){this.scanStateForDependencies(t);break}}else this.scanStateForDependencies(t);return this._dependencies}setVariableNames(e){this._options.variableNames=e,this.scanStateForDependencies(this._state)}setPaths(e){this._statePaths=e}scanStateForDependencies(e){if(this._dependencies.clear(),this.scanCount+=1,this._options.variableNames)for(const e of this._options.variableNames)this._dependencies.add(e);if(this._statePaths)for(const t of this._statePaths){if("*"===t){this.extractVariablesFrom(e);break}{const n=e[t];n&&this.extractVariablesFrom(n)}}}extractVariablesFrom(e){at.lastIndex=0;const t=("string"!=typeof e?fl(e):e).matchAll(at);if(t)for(const e of t){const[,t,n,,r]=e,a=t||n||r;this._dependencies.add(a)}}handleTimeMacros(){this._sceneObject.addActivationHandler((()=>{const e=pc.getTimeRange(this._sceneObject).subscribeToState(((e,t)=>{const n=this.getNames(),r=n.has("__from"),a=n.has("__to"),o=n.has("__timezone");if(e.value!==t.value)if(r){const t=new Ml({name:"__from",value:e.from});this.variableUpdateCompleted(t,!0)}else if(a){const t=new Ml({name:"__to",value:e.to});this.variableUpdateCompleted(t,!0)}if(e.timeZone!==t.timeZone&&o){const t=new Ml({name:"__timezone",value:e.timeZone});this.variableUpdateCompleted(t,!0)}}));return()=>e.unsubscribe()}))}}const Ll=e=>Boolean(e.metricFindQuery)&&!Boolean(e.variables),Nl=e=>{if(!e.variables)return!1;if(e.variables.getType()!==c.VariableSupportType.Standard)return!1;const t=e.variables;return"toDataQuery"in t&&Boolean(t.toDataQuery)},jl=e=>{if(!e.variables)return!1;if(e.variables.getType()!==c.VariableSupportType.Custom)return!1;const t=e.variables;return"query"in t&&"editor"in t&&Boolean(t.query)&&Boolean(t.editor)},Fl=e=>!!e.variables&&e.variables.getType()===c.VariableSupportType.Datasource;var Vl=Object.defineProperty,$l=Object.defineProperties,zl=Object.getOwnPropertyDescriptors,Ul=Object.getOwnPropertySymbols,Wl=Object.prototype.hasOwnProperty,Hl=Object.prototype.propertyIsEnumerable,Gl=(e,t,n)=>t in e?Vl(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,ql=(e,t)=>{for(var n in t||(t={}))Wl.call(t,n)&&Gl(e,n,t[n]);if(Ul)for(var n of Ul(t))Hl.call(t,n)&&Gl(e,n,t[n]);return e},Ql=(e,t)=>$l(e,zl(t));class Yl{constructor(e,t=(0,u.getRunRequest)()){this.datasource=e,this._runRequest=t}getTarget(e){if(Nl(this.datasource))return this.datasource.variables.toDataQuery(function(e){var t;const n=null!=(t=e.state.query)?t:"";return"string"==typeof n?{query:n,refId:`variable-${e.state.name}`}:null==n.refId?Ql(ql({},n),{refId:`variable-${e.state.name}`}):e.state.query}(e));throw new Error("Couldn't create a target with supplied arguments.")}runRequest(e,t){return Nl(this.datasource)?this.datasource.variables.query?this._runRequest(this.datasource,t,this.datasource.variables.query.bind(this.datasource.variables)):this._runRequest(this.datasource,t):Jl()}}class Xl{constructor(e){this.datasource=e}getTarget(e){if(Ll(this.datasource))return e.state.query;throw new Error("Couldn't create a target with supplied arguments.")}runRequest({variable:e,searchFilter:t},n){return Ll(this.datasource)?(0,O.from)(this.datasource.metricFindQuery(e.state.query,Ql(ql({},n),{variable:{name:e.state.name,type:e.state.type},searchFilter:t}))).pipe((0,O.mergeMap)((e=>{if(!e||!e.length)return Jl();const t=e;return(0,O.of)({series:t,state:c.LoadingState.Done,timeRange:n.range})}))):Jl()}}class Kl{constructor(e,t=(0,u.getRunRequest)()){this.datasource=e,this._runRequest=t}getTarget(e){if(jl(this.datasource))return e.state.query;throw new Error("Couldn't create a target with supplied arguments.")}runRequest(e,t){return jl(this.datasource)?this.datasource.variables.query?this._runRequest(this.datasource,t,this.datasource.variables.query.bind(this.datasource.variables)):this._runRequest(this.datasource,t):Jl()}}class Zl{constructor(e,t=(0,u.getRunRequest)()){this.datasource=e,this._runRequest=t}getTarget(e){var t;if(Fl(this.datasource))return"string"==typeof e.state.query?e.state.query:Ql(ql({},e.state.query),{refId:null!=(t=e.state.query.refId)?t:"variable-query"});throw new Error("Couldn't create a target with supplied arguments.")}runRequest(e,t){return Fl(this.datasource)?this._runRequest(this.datasource,t,this.datasource.query):Jl()}}function Jl(){return(0,O.of)({state:c.LoadingState.Done,series:[],timeRange:(0,c.getDefaultTimeRange)()})}const ec=(e,t)=>{const n=[];let r=null;t.lastIndex=0;do{r=t.exec(e),r&&n.push(r)}while(t.global&&r&&""!==r[0]&&void 0!==r[0]);return n};var tc=Object.defineProperty,nc=Object.getOwnPropertySymbols,rc=Object.prototype.hasOwnProperty,ac=Object.prototype.propertyIsEnumerable,oc=(e,t,n)=>t in e?tc(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class ic extends ut{constructor(e){super(((e,t)=>{for(var n in t||(t={}))rc.call(t,n)&&oc(e,n,t[n]);if(nc)for(var n of nc(t))ac.call(t,n)&&oc(e,n,t[n]);return e})({type:"query",name:"",value:"",text:"",options:[],datasource:null,regex:"",query:"",refresh:c.VariableRefresh.onDashboardLoad,sort:c.VariableSort.disabled},e)),this._variableDependency=new Bl(this,{statePaths:["regex","query","datasource"]}),this.onSearchChange=e=>{fl(this.state.query).indexOf("__searchFilter")>-1&&this._updateOptionsBasedOnSearchFilter(e)},this._updateOptionsBasedOnSearchFilter=(0,fe.debounce)((async e=>{const t=await(0,O.lastValueFrom)(this.getValueOptions({searchFilter:e}));this.setState({options:t,loading:!1})}),400)}getValueOptions(e){return this.state.query?(this.setState({loading:!0,error:null}),(0,O.from)(kt(this.state.datasource,{__sceneObject:_n(this)})).pipe((0,O.mergeMap)((t=>{const n=function(e){if(Nl(e))return new Yl(e,(0,u.getRunRequest)());if(Ll(e))return new Xl(e);if(jl(e))return new Kl(e);if(Fl(e))return new Zl(e);throw new Error(`Couldn't create a query runner for datasource ${e.type}`)}(t),r=n.getTarget(this),a=this.getRequest(r,e.searchFilter);return n.runRequest({variable:this,searchFilter:e.searchFilter},a).pipe(rn({type:"variable",request:a,origin:this}),(0,O.filter)((e=>e.state===c.LoadingState.Done||e.state===c.LoadingState.Error)),(0,O.take)(1),(0,O.mergeMap)((e=>e.state===c.LoadingState.Error?(0,O.throwError)((()=>e.error)):(0,O.of)(e))),(e=>e.pipe((0,O.map)((e=>{const t=e.series;if(!t||!t.length)return[];if(function(e){if(!e)return!1;if(!e.length)return!0;const t=e[0];if((0,c.isDataFrame)(t))return!1;for(const e in t){if(!t.hasOwnProperty(e))continue;if(null!==t[e]&&"string"!=typeof t[e]&&"number"!=typeof t[e])continue;const n=e.toLowerCase();if("text"===n||"value"===n)return!0}return!1}(t))return t;if(0===t[0].fields.length)return[];const n=(0,c.getProcessedDataFrames)(t),r=[];let a=-1,o=-1,i=-1,s=-1;for(const e of n)for(let n=0;n<e.fields.length;n++){const r=e.fields[n],l=(0,c.getFieldDisplayName)(r,e,t).toLowerCase();r.type===c.FieldType.string&&-1===i&&(i=n),"text"===l&&r.type===c.FieldType.string&&-1===o&&(o=n),"value"===l&&r.type===c.FieldType.string&&-1===a&&(a=n),"expandable"!==l||r.type!==c.FieldType.boolean&&r.type!==c.FieldType.number||-1!==s||(s=n)}if(-1===i)throw new Error("Couldn't find any field of type string in the results.");for(const e of t)for(let t=0;t<e.length;t++){const n=-1!==s?e.fields[s].values.get(t):void 0,l=e.fields[i].values.get(t),c=-1!==o?e.fields[o].values.get(t):"",u=-1!==a?e.fields[a].values.get(t):"";-1!==a||-1!==o?-1!==a||-1===o?-1===a||-1!==o?r.push({text:c,value:u,expandable:n}):r.push({text:u,value:u,expandable:n}):r.push({text:c,value:c,expandable:n}):r.push({text:l,value:l,expandable:n})}return r})))),(0,O.mergeMap)((e=>{let t="";return this.state.regex&&(t=pc.interpolate(this,this.state.regex,void 0,"regex")),(0,O.of)(function(e,t,n){var r,a,o,i,s,l,u,d,p,f;let h,m=[];e&&(h=(0,c.stringToJsRegex)(e));for(let e=0;e<n.length;e++){const t=n[e];let c=null!=(a=null!=(r=t.text)?r:t.value)?a:"",g=null!=(i=null!=(o=t.value)?o:t.text)?i:"";if((0,fe.isNumber)(g)&&(g=g.toString()),(0,fe.isNumber)(c)&&(c=c.toString()),h){const e=ec(g,h);if(!e.length)continue;const t=e.find((e=>e.groups&&e.groups.value)),n=e.find((e=>e.groups&&e.groups.text)),r=e.find((e=>e.length>1)),a=e.length>1&&r;if(t||n)g=null!=(u=null==(s=null==t?void 0:t.groups)?void 0:s.value)?u:null==(l=null==n?void 0:n.groups)?void 0:l.text,c=null!=(f=null==(d=null==n?void 0:n.groups)?void 0:d.text)?f:null==(p=null==t?void 0:t.groups)?void 0:p.value;else{if(a){for(let t=0;t<e.length;t++){const n=e[t];m.push({label:n[1],value:n[1]})}continue}r&&(c=r[1],g=r[1])}}m.push({label:c,value:g})}return m=(0,fe.uniqBy)(m,"value"),((e,t)=>{if(t===c.VariableSort.disabled)return e;const n=e=>{if(!e.text)return-1;const t=e.text.match(/.*?(\d+).*/);return!t||t.length<2?-1:parseInt(t[1],10)},r=e=>e.sort(((e,t)=>e.text?t.text?e.text.localeCompare(t.text,void 0,{numeric:!0}):1:-1));switch(t){case c.VariableSort.alphabeticalAsc:e=(0,fe.sortBy)(e,"label");break;case c.VariableSort.alphabeticalDesc:e=(0,fe.sortBy)(e,"label").reverse();break;case c.VariableSort.numericalAsc:e=(0,fe.sortBy)(e,n);break;case c.VariableSort.numericalDesc:e=(e=(0,fe.sortBy)(e,n)).reverse();break;case c.VariableSort.alphabeticalCaseInsensitiveAsc:e=(0,fe.sortBy)(e,(e=>(0,fe.toLower)(e.label)));break;case c.VariableSort.alphabeticalCaseInsensitiveDesc:e=(e=(0,fe.sortBy)(e,(e=>(0,fe.toLower)(e.label)))).reverse();break;case c.VariableSort.naturalAsc||7:e=r(e);break;case c.VariableSort.naturalDesc||8:e=(e=r(e)).reverse()}return e})(m,t)}(t,this.state.sort,e))})),(0,O.catchError)((e=>e.cancelled?(0,O.of)([]):(0,O.throwError)((()=>e)))))})))):(0,O.of)([])}getRequest(e,t){const n={__sceneObject:_n(this)};t&&(n.__searchFilter={value:t,text:t});const r=pc.getTimeRange(this).state.value;return{app:c.CoreApp.Dashboard,requestId:T(),timezone:"",range:r,interval:"",intervalMs:0,targets:[e],scopedVars:n,startTime:Date.now()}}}function sc(e){var t;return null!=(t=ce(e,(e=>e.state.$data)))?t:Ne}function lc(e,t,n,r,a){return""===t||null==t?"":At(e,t,n,r,a)}function cc(e,t,n,r){if(t(e))return e;let a=null;return e.forEachChild((e=>{if(e===n)return;let r=cc(e,t);r&&(a=r)})),a||(r&&e.parent?cc(e.parent,t,e,!0):null)}function uc(e,t){return cc(e,t,void 0,!0)}function dc(e,t){const n=[];return e.forEachChild((e=>{t(e)&&n.push(e),n.push(...dc(e,t))})),n}ic.Component=({model:e})=>Cn(e);const pc={getVariables:function(e){var t;return null!=(t=ce(e,(e=>e.state.$variables)))?t:Fe},getData:sc,getTimeRange:Ve,getLayout:function(e){return ce(e,(e=>function(e){return"isDraggable"in e}(e)?e:void 0))||null},getDataLayers:function(e,t=!1){let n=e,r=[];for(;n;){const e=n.state.$data;if(e){if(Dt(e)?r=r.concat(e):e.state.$data&&Dt(e.state.$data)&&(r=r.concat(e.state.$data)),t&&r.length>0)break;n=n.parent}else n=n.parent}return r},interpolate:lc,lookupVariable:he,hasVariableDependencyInLoadingState:function(e){if(!e.variableDependency)return!1;for(const t of e.variableDependency.getNames()){if(e instanceof ic&&e.state.name===t){console.warn("Query variable is referencing itself");continue}const n=he(t,e);if(n&&n.parent.isVariableLoadingOrWaitingToUpdate(n))return!0}return!1},findByKey:function(e,t){const n=uc(e,(e=>e.state.key===t));if(!n)throw new Error("Unable to find scene with key "+t);return n},findByKeyAndType:function(e,t,n){const r=uc(e,(e=>e.state.key===t));if(!r)throw new Error("Unable to find scene with key "+t);if(!(r instanceof n))throw new Error(`Found scene object with key ${t} does not match type ${n.name}`);return r},findObject:uc,findAllObjects:dc,getAncestor:function(e,t){let n=e;for(;n;){if(n instanceof t)return n;n=n.parent}if(!n)throw new Error("Unable to find parent of type "+t.name);return n},findDescendents:function(e,t){function n(e){return e instanceof t}return dc(e,n).filter(n)},getQueryController:function(e){let t=e;for(;t;){if(t.state.$behaviors)for(const e of t.state.$behaviors)if("isQueryController"in e)return e;t=t.parent}},getUrlSyncManager:function(e){let t=e;for(;t;){if("urlSyncManager"in t.state)return t.state.urlSyncManager;t=t.parent}}};class fc{constructor(){this.index=new Map}getUniqueKey(e,t){const n=this.index.get(e);if(!n)return this.index.set(e,[t]),e;let r=n.findIndex((e=>e===t));return-1===r&&(function(e){for(const t of e)if(hc(t)){const n=e.indexOf(t);e.splice(n,1)}}(n),n.push(t),r=n.length-1),r>0?`${e}-${r+1}`:e}clear(){this.index.clear()}}function hc(e){const t=e.getRoot();return!pc.findObject(t,(t=>t===e))}function mc(e){const t=new fc,n={},r=e=>{if(e.urlSync){const r=e.urlSync.getUrlState();for(const[a,o]of Object.entries(r))if(null!=o){const r=t.getUniqueKey(a,e);n[r]=o}}e.forEachChild(r)};return r(e),n}function gc(e,t,n,r){r||bc(e,t,n),e.forEachChild((e=>{bc(e,t,n)})),e.forEachChild((e=>gc(e,t,n,!0)))}function bc(e,t,n){if(e.urlSync){const r={},a=e.urlSync.getUrlState();for(const o of e.urlSync.getKeys()){const i=n.getUniqueKey(o,e),s=t.getAll(i),l=a[o];vc(s,l)||(s.length>0?Array.isArray(l)?r[o]=s:r[o]=s[0]:r[o]=null)}Object.keys(r).length>0&&e.urlSync.updateFromUrl(r)}}function vc(e,t){return 0===e.length&&null==t||(Array.isArray(t)||1!==(null==e?void 0:e.length)?0===(null==t?void 0:t.length)&&null===e||(0,fe.isEqual)(e,t):t===e[0])}class yc extends J{constructor(){super(...arguments),this._runningEffect=null,this._variableDependency=new Bl(this,{variableNames:[this.state.variableName],onReferencedVariableValueChanged:this._onVariableChanged.bind(this)})}_onVariableChanged(e){const t=this.state.onChange;this._runningEffect&&(this._runningEffect(),this._runningEffect=null);const n=t(e,this);n&&(this._runningEffect=n)}}var wc=(e=>(e[e.never=0]="never",e[e.onDashboardLoad=1]="onDashboardLoad",e[e.onTimeRangeChanged=2]="onTimeRangeChanged",e))(wc||{}),Sc=(e=>(e[e.Crosshair=1]="Crosshair",e[e.Off=0]="Off",e[e.Tooltip=2]="Tooltip",e))(Sc||{}),xc=Object.defineProperty,Ec=Object.defineProperties,Ac=Object.getOwnPropertyDescriptors,Cc=Object.getOwnPropertySymbols,Oc=Object.prototype.hasOwnProperty,Rc=Object.prototype.propertyIsEnumerable,Dc=(e,t,n)=>t in e?xc(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Ic extends J{constructor(e){var t,n;super((t=((e,t)=>{for(var n in t||(t={}))Oc.call(t,n)&&Dc(e,n,t[n]);if(Cc)for(var n of Cc(t))Rc.call(t,n)&&Dc(e,n,t[n]);return e})({},e),n={sync:e.sync||Sc.Off},Ec(t,Ac(n)))),this.getEventsBus=e=>{if(!this.parent)throw new Error("EnableCursorSync cannot be used as a standalone scene object");return new Pc(this.parent,e)}}getEventsScope(){if(!this.parent)throw new Error("EnableCursorSync cannot be used as a standalone scene object");return this.state.key}}class Pc{constructor(e,t){this._source=e,this._eventsOrigin=t}publish(e){e.origin=this,this._eventsOrigin.publishEvent(e,!0)}getStream(e){return new O.Observable((t=>{const n=this._source.subscribeToEvent(e,(e=>{t.next(e)}));return()=>n.unsubscribe()}))}subscribe(e,t){return this.getStream(e).pipe().subscribe(t)}removeAllListeners(){}newScopedBus(e,t){throw new Error("For internal use only")}}var _c=function(){},Tc="undefined"!=typeof window;const kc=Tc?o.useLayoutEffect:o.useEffect;var Mc={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};const Bc=Tc&&void 0!==window.ResizeObserver?function(){var e=(0,o.useState)(null),t=e[0],n=e[1],r=(0,o.useState)(Mc),a=r[0],i=r[1],s=(0,o.useMemo)((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,n=t.x,r=t.y,a=t.width,o=t.height,s=t.top,l=t.left,c=t.bottom,u=t.right;i({x:n,y:r,width:a,height:o,top:s,left:l,bottom:c,right:u})}}))}),[]);return kc((function(){if(t)return s.observe(t),function(){s.disconnect()}}),[t]),[n,a]}:function(){return[_c,Mc]};function Lc({data:e,showAll:t,seriesLimit:n,onShowAllSeries:r}){const a=(0,on.useStyles2)(Nc),o=null==e?void 0:e.series.length;if(void 0===o||o<n)return null;const i=t?"Restore limit":`Show all ${o}`;return s().createElement("div",{className:a.timeSeriesDisclaimer},!t&&s().createElement("span",{className:a.warningMessage},s().createElement(on.Icon,{title:`Showing only ${n} series`,name:"exclamation-triangle","aria-hidden":"true"})),s().createElement(on.Tooltip,{content:"Rendering too many series in a single panel may impact performance and make data harder to read."},s().createElement(on.Button,{variant:"secondary",size:"sm",onClick:r},i)))}const Nc=e=>({timeSeriesDisclaimer:(0,cn.css)({label:"time-series-disclaimer",display:"flex",alignItems:"center",gap:e.spacing(1)}),warningMessage:(0,cn.css)({display:"flex",alignItems:"center",gap:e.spacing(.5),color:e.colors.warning.main,fontSize:e.typography.bodySmall.fontSize})});var jc=Object.defineProperty,Fc=Object.defineProperties,Vc=Object.getOwnPropertyDescriptors,$c=Object.getOwnPropertySymbols,zc=Object.prototype.hasOwnProperty,Uc=Object.prototype.propertyIsEnumerable,Wc=(e,t,n)=>t in e?jc(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;function Hc(e,t){if(t)return t;let n=e.error?e.error.message:void 0;return e.errors&&(n=e.errors.map((e=>e.message)).join(", ")),n}const Gc=(0,cn.css)({position:"relative",width:"100%",height:"100%"}),qc=(0,cn.css)({position:"absolute",width:"100%",height:"100%"}),Qc=e=>({ok:(0,cn.css)({color:e.colors.success.text}),pending:(0,cn.css)({color:e.colors.warning.text}),alerting:(0,cn.css)({color:e.colors.error.text})});var Yc=Object.defineProperty,Xc=Object.defineProperties,Kc=Object.getOwnPropertyDescriptors,Zc=Object.getOwnPropertySymbols,Jc=Object.prototype.hasOwnProperty,eu=Object.prototype.propertyIsEnumerable,tu=(e,t,n)=>t in e?Yc(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,nu=(e,t)=>{for(var n in t||(t={}))Jc.call(t,n)&&tu(e,n,t[n]);if(Zc)for(var n of Zc(t))eu.call(t,n)&&tu(e,n,t[n]);return e},ru=(e,t)=>Xc(e,Kc(t));const au="hideSeriesFrom",ou=(0,c.isSystemOverrideWithRef)(au);function iu(e,t=c.ByNamesMatcherMode.exclude,n){return n=null!=n?n:{id:"custom.hideFrom",value:{viz:!0,legend:!1,tooltip:!1}},{__systemRef:au,matcher:{id:c.FieldMatcherID.byNames,options:{mode:t,names:e,prefix:t===c.ByNamesMatcherMode.exclude?"All except:":void 0,readOnly:!0}},properties:[ru(nu({},n),{value:{viz:!0,legend:!1,tooltip:!1}})]}}const su=e=>{var t;const n=null==(t=e.matcher.options)?void 0:t.names;return Array.isArray(n)?[...n]:[]},lu=(e,t)=>{const n=new Set;for(const r of e)for(const a of r.fields){if(a.type!==c.FieldType.number)continue;const o=(0,c.getFieldDisplayName)(a,r,e);o!==t&&n.add(o)}return Array.from(n)},cu=(e,t)=>{var n;let r=[];for(const a of e){const e=a.properties.find((e=>"custom.hideFrom"===e.id));if(void 0!==e&&!0===(null==(n=e.value)?void 0:n.legend)){const e=c.fieldMatchers.get(a.matcher.id).get(a.matcher.options);for(const n of t)for(const a of n.fields){if(a.type!==c.FieldType.number)continue;const o=(0,c.getFieldDisplayName)(a,n,t);e(a,n,t)&&r.push(o)}}}return r};var uu=Object.defineProperty,du=Object.defineProperties,pu=Object.getOwnPropertyDescriptors,fu=Object.getOwnPropertySymbols,hu=Object.prototype.hasOwnProperty,mu=Object.prototype.propertyIsEnumerable,gu=(e,t,n)=>t in e?uu(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,bu=(e,t)=>{for(var n in t||(t={}))hu.call(t,n)&&gu(e,n,t[n]);if(fu)for(var n of fu(t))mu.call(t,n)&&gu(e,n,t[n]);return e},vu=(e,t)=>du(e,pu(t));const yu=(e,t)=>({matcher:{id:c.FieldMatcherID.byName,options:e},properties:[wu(t)]}),wu=e=>({id:"color",value:{mode:c.FieldColorModeId.Fixed,fixedColor:e}});var Su=Object.defineProperty,xu=Object.defineProperties,Eu=Object.getOwnPropertyDescriptors,Au=Object.getOwnPropertySymbols,Cu=Object.prototype.hasOwnProperty,Ou=Object.prototype.propertyIsEnumerable,Ru=(e,t,n)=>t in e?Su(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Du=(e,t)=>{for(var n in t||(t={}))Cu.call(t,n)&&Ru(e,n,t[n]);if(Au)for(var n of Au(t))Ou.call(t,n)&&Ru(e,n,t[n]);return e},Iu=(e,t)=>xu(e,Eu(t));class Pu extends J{constructor(e){var t;super(Du({options:{},fieldConfig:{defaults:{},overrides:[]},title:"Title",pluginId:"timeseries",_renderCounter:0},e)),this._variableDependency=new Bl(this,{statePaths:["title","options","fieldConfig"]}),this._structureRev=0,this.onTimeRangeChange=e=>{pc.getTimeRange(this).onTimeRangeChange({raw:{from:(0,c.toUtc)(e.from),to:(0,c.toUtc)(e.to)},from:(0,c.toUtc)(e.from),to:(0,c.toUtc)(e.to)})},this.getTimeRange=e=>{const t=pc.findObject(this,(e=>e instanceof Tu)),n=pc.getTimeRange(this);if(t instanceof Tu&&t.isEnabled)return De(n.state.from,n.state.to,n.getTimeZone(),n.state.fiscalYearStartMonth,n.state.UNSAFE_nowDelay,n.state.weekStart);const r=this.getPlugin();return r&&!r.meta.skipDataQuery&&e&&e.timeRange?e.timeRange:n.state.value},this.onTitleChange=e=>{this.setState({title:e})},this.onDescriptionChange=e=>{this.setState({description:e})},this.onDisplayModeChange=e=>{this.setState({displayMode:e})},this.onToggleCollapse=e=>{this.setState({collapsed:e})},this.onOptionsChange=(e,t=!1,n=!1)=>{var r;const{fieldConfig:a,options:o}=this.state,i=t?e:(0,fe.mergeWith)((0,fe.cloneDeep)(o),e,((e,t,n,r)=>{if((0,fe.isArray)(t))return t;e===t||void 0!==t||(r[n]=t)})),s=(0,c.getPanelOptionsWithDefaults)({plugin:this._plugin,currentOptions:i,currentFieldConfig:a,isAfterPluginChange:n});this.setState({options:s.options,_renderCounter:(null!=(r=this.state._renderCounter)?r:0)+1})},this.onFieldConfigChange=(e,t)=>{const{fieldConfig:n,options:r}=this.state,a=t?e:(0,fe.merge)((0,fe.cloneDeep)(n),e),o=(0,c.getPanelOptionsWithDefaults)({plugin:this._plugin,currentOptions:r,currentFieldConfig:a,isAfterPluginChange:!1});this._dataWithFieldConfig=void 0,this.setState({fieldConfig:o.fieldConfig})},this.interpolate=(e,t,n)=>pc.interpolate(this,e,t,n),this.getDescription=()=>{this.publishEvent(new U({origin:this,interaction:"panel-description-shown"}),!0);const{description:e}=this.state;if(e){const t=this.interpolate(e);return(0,c.renderMarkdown)(t)}return""},this.onCancelQuery=()=>{var e;this.publishEvent(new U({origin:this,interaction:"panel-cancel-query-clicked"}),!0);const t=pc.getData(this);null==(e=t.cancelQuery)||e.call(t)},this.onStatusMessageClick=()=>{this.publishEvent(new U({origin:this,interaction:"panel-status-message-clicked"}),!0)},this._onSeriesColorChange=(e,t)=>{this.onFieldConfigChange(((e,t,n)=>{const{overrides:r}=n,a=n.overrides.findIndex((t=>t.matcher.id===c.FieldMatcherID.byName&&t.matcher.options===e));if(a<0)return vu(bu({},n),{overrides:[...n.overrides,yu(e,t)]});const o=Array.from(r),i=o[a],s=i.properties.findIndex((e=>"color"===e.id));if(s<0)return o[a]=vu(bu({},i),{properties:[...i.properties,wu(t)]}),vu(bu({},n),{overrides:o});const l=Array.from(i.properties);return l[s]=wu(t),o[a]=vu(bu({},i),{properties:l}),vu(bu({},n),{overrides:o})})(e,t,this.state.fieldConfig))},this._onSeriesVisibilityChange=(e,t)=>{this._dataWithFieldConfig&&this.onFieldConfigChange(function(e,t,n,r){const{overrides:a}=n,o=e,i=a.findIndex(ou);if(i<0){if(t===on.SeriesVisibilityChangeMode.ToggleSelection){const e=iu([o,...cu(a,r)]);return ru(nu({},n),{overrides:[...n.overrides,e]})}const e=iu(lu(r,o));return ru(nu({},n),{overrides:[...n.overrides,e]})}const s=Array.from(a),[l]=s.splice(i,1);if(t===on.SeriesVisibilityChangeMode.ToggleSelection){let e=su(l);const t=cu(s,r);if(t.length>0&&(e=e.filter((e=>t.indexOf(e)<0))),e[0]===o&&1===e.length)return ru(nu({},n),{overrides:s});const a=iu([o,...t]);return ru(nu({},n),{overrides:[...s,a]})}const u=((e,t,n=c.ByNamesMatcherMode.exclude)=>{const r=e.properties.find((e=>"custom.hideFrom"===e.id)),a=su(e),o=a.findIndex((e=>e===t));return o<0?a.push(t):a.splice(o,1),iu(a,n,r)})(l,o);return((e,t)=>su(e).length===lu(t).length)(u,r)?ru(nu({},n),{overrides:s}):ru(nu({},n),{overrides:[...s,u]})}(e,t,this.state.fieldConfig,this._dataWithFieldConfig.series),!0)},this._onInstanceStateChange=e=>{this._panelContext&&(this._panelContext=Iu(Du({},this._panelContext),{instanceState:e})),this.setState({_pluginInstanceState:e})},this._onToggleLegendSort=e=>{const t=this.state.options.legend;if(!t)return;let n=t.sortDesc,r=t.sortBy;e!==r&&(n=void 0),!1===n?(r=void 0,n=void 0):(n=!n,r=e),this.onOptionsChange(Iu(Du({},this.state.options),{legend:Iu(Du({},t),{sortBy:r,sortDesc:n})}),!0)},this.addActivationHandler((()=>{this._onActivate()})),null==(t=e.menu)||t.addActivationHandler((()=>{this.publishEvent(new U({origin:this,interaction:"panel-menu-shown"}),!0)}))}_onActivate(){this._plugin||this._loadPlugin(this.state.pluginId)}forceRender(){var e;this.setState({_renderCounter:(null!=(e=this.state._renderCounter)?e:0)+1})}async _loadPlugin(e,t,n,r){const a=function(e){var t;const{getPanelPluginFromCache:n}=(0,u.getPluginImportUtils)();return null!=(t=n(e))?t:C.get(e)}(e);if(a)this._pluginLoaded(a,t,n,r);else{const{importPanelPlugin:a}=(0,u.getPluginImportUtils)();try{const o=await a(e);this._pluginLoaded(o,t,n,r)}catch(t){this._pluginLoaded(function(e){const t=new c.PanelPlugin((()=>null));return t.meta={id:e,name:e,sort:100,type:c.PluginType.panel,module:"",baseUrl:"",info:{author:{name:""},description:"",links:[],logos:{large:"",small:"public/img/grafana_icon.svg"},screenshots:[],updated:"",version:""}},t}(e)),t instanceof Error&&this.setState({_pluginLoadError:t.message})}}}getLegacyPanelId(){const e=parseInt(this.state.key.replace("panel-",""),10);return isNaN(e)?0:e}async _pluginLoaded(e,t,n,r){const{options:a,fieldConfig:o,title:i,pluginVersion:s,_UNSAFE_customMigrationHandler:l}=this.state,u={title:i,options:a,fieldConfig:o,id:this.getLegacyPanelId(),type:e.meta.id,pluginVersion:s};t&&(u.options=t),n&&(u.fieldConfig=n);const d=this._getPluginVersion(e);null==l||l(u,e),e.onPanelMigration&&d!==s&&!r&&(u.options=await e.onPanelMigration(u));const p=(0,c.getPanelOptionsWithDefaults)({plugin:e,currentOptions:u.options,currentFieldConfig:u.fieldConfig,isAfterPluginChange:null!=r&&r});if(this._plugin=e,this.setState({options:p.options,fieldConfig:p.fieldConfig,pluginVersion:d,pluginId:e.meta.id}),e.meta.skipDataQuery){const e=pc.getTimeRange(this);this._subs.add(e.subscribeToState((()=>this.forceRender())))}}_getPluginVersion(e){return e&&e.meta.info.version?e.meta.info.version:u.config.buildInfo.version}getPlugin(){return this._plugin}getPanelContext(){return null!=this._panelContext||(this._panelContext=this.buildPanelContext()),this._panelContext}async changePluginType(e,t,n){var r,a;const{options:o,fieldConfig:i,pluginId:s}=this.state;this._dataWithFieldConfig=void 0;const l=this.state.pluginId!==e;await this._loadPlugin(e,null!=t?t:{},n,l);const c={title:this.state.title,options:this.state.options,fieldConfig:this.state.fieldConfig,id:1,type:e},u=null==(a=null==(r=this._plugin)?void 0:r.onPanelTypeChanged)?void 0:a.call(r,c,s,o,i);u&&!(0,fe.isEmpty)(u)&&this.onOptionsChange(u,!0,!0)}clearFieldConfigCache(){this._dataWithFieldConfig=void 0}applyFieldConfig(e){var t,n,r,a;const o=this._plugin;if(!o||o.meta.skipDataQuery||!e)return Ae;if(this._prevData===e&&this._dataWithFieldConfig)return this._dataWithFieldConfig;const i=o.dataSupport||{alertStates:!1,annotations:!1},s=o.fieldConfigRegistry,l=null!=(n=null==(t=this._dataWithFieldConfig)?void 0:t.series)?n:[],d=(0,c.applyFieldOverrides)({data:e.series,fieldConfig:this.state.fieldConfig,fieldConfigRegistry:s,replaceVariables:this.interpolate,theme:u.config.theme2,timeZone:null==(r=e.request)?void 0:r.timezone});return(0,c.compareArrayValues)(d,l,c.compareDataFrameStructures)||this._structureRev++,this._dataWithFieldConfig=Iu(Du({},e),{structureRev:this._structureRev,series:d}),this._dataWithFieldConfig.annotations&&(this._dataWithFieldConfig.annotations=(0,c.applyFieldOverrides)({data:this._dataWithFieldConfig.annotations,fieldConfig:{defaults:{},overrides:[]},fieldConfigRegistry:s,replaceVariables:this.interpolate,theme:u.config.theme2,timeZone:null==(a=e.request)?void 0:a.timezone})),i.alertStates||(this._dataWithFieldConfig.alertState=void 0),i.annotations||(this._dataWithFieldConfig.annotations=void 0),this._prevData=e,this._dataWithFieldConfig}buildPanelContext(){const e=pc.findObject(this,(e=>e instanceof Ic));const t={eventsScope:e?e.getEventsScope():"__global_",eventBus:e?e.getEventsBus(this):(0,u.getAppEvents)(),app:c.CoreApp.Unknown,sync:()=>e?e.state.sync:c.DashboardCursorSync.Off,onSeriesColorChange:this._onSeriesColorChange,onToggleSeriesVisibility:this._onSeriesVisibilityChange,onToggleLegendSort:this._onToggleLegendSort,onInstanceStateChange:this._onInstanceStateChange};return this.state.extendPanelContext&&this.state.extendPanelContext(this,t),t}}Pu.Component=function({model:e}){var t;const{title:n,options:r,fieldConfig:a,_pluginLoadError:i,displayMode:l,hoverHeader:d,showMenuAlways:p,hoverHeaderOffset:f,menu:h,headerActions:m,titleItems:g,seriesLimit:b,seriesLimitShowAll:v,description:y,collapsible:w,collapsed:S,_renderCounter:x=0}=e.useState(),[E,{width:A,height:C}]=Bc(),O=(0,o.useMemo)((()=>(0,u.getAppEvents)()),[]),R=(0,o.useCallback)((()=>{e.state.key&&O.publish(new c.SetPanelAttentionEvent({panelId:e.state.key}))}),[e.state.key,O]),D=(0,o.useMemo)((()=>(0,fe.debounce)(R,100,{leading:!0,trailing:!1})),[R]),I=e.getPlugin(),{dragClass:P,dragClassCancel:_}=function(e){var t,n;const r=pc.getLayout(e),a=null==r?void 0:r.isDraggable();return r&&a&&!function(e,t){let n=e.parent;for(;n&&n!==t;){if("isDraggable"in n.state&&!1===n.state.isDraggable)return!0;n=n.parent}return!1}(e,r)?{dragClass:null==(t=r.getDragClass)?void 0:t.call(r),dragClassCancel:null==(n=null==r?void 0:r.getDragClassCancel)?void 0:n.call(r)}:{dragClass:"",dragClassCancel:""}}(e),T=pc.getData(e),k=T.useState(),M=function(e,t,n){return(0,o.useMemo)((()=>{return(null==e?void 0:e.series)&&t&&!n?(r=((e,t)=>{for(var n in t||(t={}))zc.call(t,n)&&Wc(e,n,t[n]);if($c)for(var n of $c(t))Uc.call(t,n)&&Wc(e,n,t[n]);return e})({},e),a={series:e.series.slice(0,t)},Fc(r,Vc(a))):e;var r,a}),[e,t,n])}(k.data,b,v),B=e.applyFieldConfig(M),L=pc.getTimeRange(e).getTimeZone(),N=e.getTimeRange(B),j=e.interpolate(n,void 0,"text"),F=(0,on.useStyles2)(Qc);if(!I)return s().createElement("div",null,"Loading plugin panel...");if(!I.panel)return s().createElement("div",null,"Panel plugin has no panel component");const V=I.panel;T&&T.setContainerWidth&&T.setContainerWidth(Math.round(A));let $,z,U=[];g&&(Array.isArray(g)?U=U.concat(g.map((e=>s().createElement(e.Component,{model:e,key:`${e.state.key}`})))):Ct(g)?U.push(s().createElement(g.Component,{model:g})):U.push(g)),b&&U.push(s().createElement(Lc,{key:"series-limit",data:k.data,seriesLimit:b,showAll:v,onShowAllSeries:()=>e.setState({seriesLimitShowAll:!v})})),e.state.$timeRange&&U.push(s().createElement(e.state.$timeRange.Component,{model:e.state.$timeRange,key:e.state.key})),B.alertState&&U.push(s().createElement(on.Tooltip,{content:null!=(t=B.alertState.state)?t:"unknown",key:`alert-states-icon-${e.state.key}`},s().createElement(on.PanelChrome.TitleItem,{className:(0,cn.cx)({[F.ok]:B.alertState.state===c.AlertState.OK,[F.pending]:B.alertState.state===c.AlertState.Pending,[F.alerting]:B.alertState.state===c.AlertState.Alerting})},s().createElement(on.Icon,{name:"alerting"===B.alertState.state?"heart-break":"heart",className:"panel-alert-icon",size:"md"})))),h&&($=s().createElement(h.Component,{model:h})),m&&(z=Array.isArray(m)?s().createElement(s().Fragment,null,m.map((e=>s().createElement(e.Component,{model:e,key:`${e.state.key}`})))):Ct(m)?s().createElement(m.Component,{model:m}):m);const W=B,H=!T.isDataReadyToDisplay||T.isDataReadyToDisplay(),G=e.getPanelContext(),q=e.getLegacyPanelId();return s().createElement("div",{className:Gc},s().createElement("div",{ref:E,className:qc,"data-viz-panel-key":e.state.key},A>0&&C>0&&s().createElement(on.PanelChrome,{title:j,description:(null==y?void 0:y.trim())?e.getDescription:void 0,loadingState:W.state,statusMessage:Hc(W,i),statusMessageOnClick:e.onStatusMessageClick,width:A,height:C,selectionId:e.state.key,displayMode:l,showMenuAlways:p,hoverHeader:d,hoverHeaderOffset:f,titleItems:U,dragClass:P,actions:z,dragClassCancel:_,padding:I.noPadding?"none":"md",menu:$,onCancelQuery:e.onCancelQuery,onFocus:R,onMouseEnter:R,onMouseMove:D,collapsible:w,collapsed:S,onToggleCollapse:e.onToggleCollapse},((t,o)=>s().createElement(s().Fragment,null,s().createElement(on.ErrorBoundaryAlert,{dependencies:[I,W]},s().createElement(c.PluginContextProvider,{meta:I.meta},s().createElement(on.PanelContextProvider,{value:G},H&&s().createElement(V,{id:q,data:W,title:n,timeRange:N,timeZone:L,options:r,fieldConfig:a,transparent:!1,width:t,height:o,renderCounter:x,replaceVariables:e.interpolate,onOptionsChange:e.onOptionsChange,onFieldConfigChange:e.onFieldConfigChange,onChangeTimeRange:e.onTimeRangeChange,eventBus:G.eventBus})))))))))};const _u=class extends J{constructor({enabled:e=!1}){super({enabled:e}),this.timerId=void 0,this._activationHandler=()=>(this.state.enabled&&this.enable(),()=>{window.clearInterval(this.timerId),this.timerId=void 0}),this.addActivationHandler(this._activationHandler)}enable(){window.clearInterval(this.timerId),this.timerId=void 0,this.timerId=window.setInterval((()=>{const e=pc.findAllObjects(this.getRoot(),(e=>e instanceof Pu));for(const t of e)t.forceRender()}),_u.REFRESH_RATE),this.setState({enabled:!0})}disable(){window.clearInterval(this.timerId),this.timerId=void 0,this.setState({enabled:!1})}get isEnabled(){return this.state.enabled}};let Tu=_u;function ku(e){if("string"==typeof e)return e;if(e){if(e instanceof Error)return e.message;if((0,u.isFetchError)(e)){if(e.data&&e.data.message)return e.data.message;if(e.statusText)return e.statusText}else if(e.hasOwnProperty("message"))return e.message}return JSON.stringify(e)}Tu.REFRESH_RATE=100;var Mu=Object.defineProperty,Bu=Object.getOwnPropertySymbols,Lu=Object.prototype.hasOwnProperty,Nu=Object.prototype.propertyIsEnumerable,ju=(e,t,n)=>t in e?Mu(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Fu extends J{constructor(e,t=[]){super(((e,t)=>{for(var n in t||(t={}))Lu.call(t,n)&&ju(e,n,t[n]);if(Bu)for(var n of Bu(t))Nu.call(t,n)&&ju(e,n,t[n]);return e})({isEnabled:!0},e)),this._results=new O.ReplaySubject(1),this.isDataLayer=!0,this._variableValueRecorder=new Mt,this._variableDependency=new Bl(this,{onVariableUpdateCompleted:this.onVariableUpdateCompleted.bind(this)}),this._variableDependency.setPaths(t),this.addActivationHandler((()=>this.onActivate()))}onActivate(){return this.state.isEnabled&&this.onEnable(),this.shouldRunLayerOnActivate()&&this.runLayer(),this.subscribeToState(((e,t)=>{!e.isEnabled&&this.querySub&&(this.querySub.unsubscribe(),this.querySub=void 0,this.onDisable(),this._results.next({origin:this,data:Ae}),this.setStateHelper({data:Ae})),e.isEnabled&&!t.isEnabled&&(this.onEnable(),this.runLayer())})),()=>{this.onDeactivate()}}onDeactivate(){this.querySub&&(this.querySub.unsubscribe(),this.querySub=void 0),this.onDisable(),this._variableValueRecorder.recordCurrentDependencyValuesForSceneObject(this)}onVariableUpdateCompleted(){this.runLayer()}cancelQuery(){this.querySub&&(this.querySub.unsubscribe(),this.querySub=void 0,this.publishResults(Ae))}publishResults(e){this.state.isEnabled&&(this._results.next({origin:this,data:e}),this.setStateHelper({data:e}))}getResultsStream(){return this._results}shouldRunLayerOnActivate(){return!!this.state.isEnabled&&(this._variableValueRecorder.hasDependenciesChanged(this)?(Tt("SceneDataLayerBase","Variable dependency changed while inactive, shouldRunLayerOnActivate returns true"),!0):!this.state.data)}setStateHelper(e){lt(this,e)}}class Vu extends J{constructor(){super({})}}function $u({layer:e}){var t,n;const r=`data-layer-${e.state.key}`,{data:a,isEnabled:o}=e.useState(),i=Boolean(a&&a.state===be.Loading);return s().createElement("div",{className:zu},s().createElement(Wn,{htmlFor:r,isLoading:i,onCancel:()=>{var t;return null==(t=e.cancelQuery)?void 0:t.call(e)},label:e.state.name,description:e.state.description,error:null==(n=null==(t=e.state.data)?void 0:t.errors)?void 0:n[0].message}),s().createElement(on.InlineSwitch,{id:r,value:o,onChange:()=>e.setState({isEnabled:!o})}))}Vu.Component=function({model:e}){const t=pc.getDataLayers(e,!0);return 0===t.length?null:s().createElement(s().Fragment,null,t.map((e=>s().createElement(e.Component,{model:e,key:e.state.key}))))};const zu=(0,cn.css)({display:"flex"});function Uu(e){return"function"==typeof e}function Wu(e){return function(t){if(function(e){return Uu(null==e?void 0:e.lift)}(t))return t.lift((function(t){try{return e(t,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")}}var Hu=function(e,t){return Hu=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},Hu(e,t)};function Gu(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}Hu(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}var qu=function(){return qu=Object.assign||function(e){for(var t,n=1,r=arguments.length;n<r;n++)for(var a in t=arguments[n])Object.prototype.hasOwnProperty.call(t,a)&&(e[a]=t[a]);return e},qu.apply(this,arguments)};function Qu(e,t){var n,r,a,o={label:0,sent:function(){if(1&a[0])throw a[1];return a[1]},trys:[],ops:[]},i=Object.create(("function"==typeof Iterator?Iterator:Object).prototype);return i.next=s(0),i.throw=s(1),i.return=s(2),"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function s(s){return function(l){return function(s){if(n)throw new TypeError("Generator is already executing.");for(;i&&(i=0,s[0]&&(o=0)),o;)try{if(n=1,r&&(a=2&s[0]?r.return:s[0]?r.throw||((a=r.return)&&a.call(r),0):r.next)&&!(a=a.call(r,s[1])).done)return a;switch(r=0,a&&(s=[2&s[0],a.value]),s[0]){case 0:case 1:a=s;break;case 4:return o.label++,{value:s[1],done:!1};case 5:o.label++,r=s[1],s=[0];continue;case 7:s=o.ops.pop(),o.trys.pop();continue;default:if(!((a=(a=o.trys).length>0&&a[a.length-1])||6!==s[0]&&2!==s[0])){o=0;continue}if(3===s[0]&&(!a||s[1]>a[0]&&s[1]<a[3])){o.label=s[1];break}if(6===s[0]&&o.label<a[1]){o.label=a[1],a=s;break}if(a&&o.label<a[2]){o.label=a[2],o.ops.push(s);break}a[2]&&o.ops.pop(),o.trys.pop();continue}s=t.call(e,o)}catch(e){s=[6,e],r=0}finally{n=a=0}if(5&s[0])throw s[1];return{value:s[0]?s[1]:void 0,done:!0}}([s,l])}}}function Yu(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function Xu(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,a,o=n.call(e),i=[];try{for(;(void 0===t||t-- >0)&&!(r=o.next()).done;)i.push(r.value)}catch(e){a={error:e}}finally{try{r&&!r.done&&(n=o.return)&&n.call(o)}finally{if(a)throw a.error}}return i}function Ku(e,t,n){if(n||2===arguments.length)for(var r,a=0,o=t.length;a<o;a++)!r&&a in t||(r||(r=Array.prototype.slice.call(t,0,a)),r[a]=t[a]);return e.concat(r||Array.prototype.slice.call(t))}function Zu(e){return this instanceof Zu?(this.v=e,this):new Zu(e)}Object.create,Object.create,"function"==typeof SuppressedError&&SuppressedError;var Ju,ed=((Ju=function(e){var t;t=this,Error.call(t),t.stack=(new Error).stack,this.message=e?e.length+" errors occurred during unsubscription:\n"+e.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=e}).prototype=Object.create(Error.prototype),Ju.prototype.constructor=Ju,Ju);function td(e,t){if(e){var n=e.indexOf(t);0<=n&&e.splice(n,1)}}var nd=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}var t;return e.prototype.unsubscribe=function(){var e,t,n,r,a;if(!this.closed){this.closed=!0;var o=this._parentage;if(o)if(this._parentage=null,Array.isArray(o))try{for(var i=Yu(o),s=i.next();!s.done;s=i.next())s.value.remove(this)}catch(t){e={error:t}}finally{try{s&&!s.done&&(t=i.return)&&t.call(i)}finally{if(e)throw e.error}}else o.remove(this);var l=this.initialTeardown;if(Uu(l))try{l()}catch(e){a=e instanceof ed?e.errors:[e]}var c=this._finalizers;if(c){this._finalizers=null;try{for(var u=Yu(c),d=u.next();!d.done;d=u.next()){var p=d.value;try{ad(p)}catch(e){a=null!=a?a:[],e instanceof ed?a=Ku(Ku([],Xu(a)),Xu(e.errors)):a.push(e)}}}catch(e){n={error:e}}finally{try{d&&!d.done&&(r=u.return)&&r.call(u)}finally{if(n)throw n.error}}}if(a)throw new ed(a)}},e.prototype.add=function(t){var n;if(t&&t!==this)if(this.closed)ad(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(n=this._finalizers)&&void 0!==n?n:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&td(t,e)},e.prototype.remove=function(t){var n=this._finalizers;n&&td(n,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function rd(e){return e instanceof nd||e&&"closed"in e&&Uu(e.remove)&&Uu(e.add)&&Uu(e.unsubscribe)}function ad(e){Uu(e)?e():e.unsubscribe()}nd.EMPTY;var od=null,id=null,sd=void 0,ld=!1,cd=!1,ud={setTimeout:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];var a=ud.delegate;return(null==a?void 0:a.setTimeout)?a.setTimeout.apply(a,Ku([e,t],Xu(n))):setTimeout.apply(void 0,Ku([e,t],Xu(n)))},clearTimeout:function(e){var t=ud.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function dd(e){ud.setTimeout((function(){if(!od)throw e;od(e)}))}function pd(){}var fd=hd("C",void 0,void 0);function hd(e,t,n){return{kind:e,value:t,error:n}}var md=null,gd=function(e){function t(t){var n=e.call(this)||this;return n.isStopped=!1,t?(n.destination=t,rd(t)&&t.add(n)):n.destination=Ed,n}return Gu(t,e),t.create=function(e,t,n){return new wd(e,t,n)},t.prototype.next=function(e){this.isStopped?xd(function(e){return hd("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?xd(hd("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?xd(fd,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(nd),bd=Function.prototype.bind;function vd(e,t){return bd.call(e,t)}var yd=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){Sd(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){Sd(e)}else Sd(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){Sd(e)}},e}(),wd=function(e){function t(t,n,r){var a,o,i=e.call(this)||this;return Uu(t)||!t?a={next:null!=t?t:void 0,error:null!=n?n:void 0,complete:null!=r?r:void 0}:i&&cd?((o=Object.create(t)).unsubscribe=function(){return i.unsubscribe()},a={next:t.next&&vd(t.next,o),error:t.error&&vd(t.error,o),complete:t.complete&&vd(t.complete,o)}):a=t,i.destination=new yd(a),i}return Gu(t,e),t}(gd);function Sd(e){var t;ld?(t=e,ld&&md&&(md.errorThrown=!0,md.error=t)):dd(e)}function xd(e,t){var n=id;n&&ud.setTimeout((function(){return n(e,t)}))}var Ed={closed:!0,next:pd,error:function(e){throw e},complete:pd};function Ad(e,t,n,r,a){return new Cd(e,t,n,r,a)}var Cd=function(e){function t(t,n,r,a,o,i){var s=e.call(this,t)||this;return s.onFinalize=o,s.shouldUnsubscribe=i,s._next=n?function(e){try{n(e)}catch(e){t.error(e)}}:e.prototype._next,s._error=a?function(e){try{a(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,s._complete=r?function(){try{r()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,s}return Gu(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var n=this.closed;e.prototype.unsubscribe.call(this),!n&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(gd);function Od(e,t){return Wu((function(n,r){var a=0;n.subscribe(Ad(r,(function(n){r.next(e.call(t,n,a++))})))}))}var Rd="function"==typeof Symbol&&Symbol.observable||"@@observable";function Dd(e){return e}var Id=function(){function e(e){e&&(this._subscribe=e)}return e.prototype.lift=function(t){var n=new e;return n.source=this,n.operator=t,n},e.prototype.subscribe=function(e,t,n){var r,a=this,o=(r=e)&&r instanceof gd||function(e){return e&&Uu(e.next)&&Uu(e.error)&&Uu(e.complete)}(r)&&rd(r)?e:new wd(e,t,n);return function(e){if(ld){var t=!md;if(t&&(md={errorThrown:!1,error:null}),e(),t){var n=md,r=n.errorThrown,a=n.error;if(md=null,r)throw a}}else e()}((function(){var e=a,t=e.operator,n=e.source;o.add(t?t.call(o,n):n?a._subscribe(o):a._trySubscribe(o))})),o},e.prototype._trySubscribe=function(e){try{return this._subscribe(e)}catch(t){e.error(t)}},e.prototype.forEach=function(e,t){var n=this;return new(t=Pd(t))((function(t,r){var a=new wd({next:function(t){try{e(t)}catch(e){r(e),a.unsubscribe()}},error:r,complete:t});n.subscribe(a)}))},e.prototype._subscribe=function(e){var t;return null===(t=this.source)||void 0===t?void 0:t.subscribe(e)},e.prototype[Rd]=function(){return this},e.prototype.pipe=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return(0===(n=e).length?Dd:1===n.length?n[0]:function(e){return n.reduce((function(e,t){return t(e)}),e)})(this);var n},e.prototype.toPromise=function(e){var t=this;return new(e=Pd(e))((function(e,n){var r;t.subscribe((function(e){return r=e}),(function(e){return n(e)}),(function(){return e(r)}))}))},e.create=function(t){return new e(t)},e}();function Pd(e){var t;return null!==(t=null!=e?e:sd)&&void 0!==t?t:Promise}var _d="function"==typeof Symbol&&Symbol.iterator?Symbol.iterator:"@@iterator";function Td(e){if(e instanceof Id)return e;if(null!=e){if(function(e){return Uu(e[Rd])}(e))return i=e,new Id((function(e){var t=i[Rd]();if(Uu(t.subscribe))return t.subscribe(e);throw new TypeError("Provided object does not correctly implement Symbol.observable")}));if((o=e)&&"number"==typeof o.length&&"function"!=typeof o)return a=e,new Id((function(e){for(var t=0;t<a.length&&!e.closed;t++)e.next(a[t]);e.complete()}));if(Uu(null==(r=e)?void 0:r.then))return n=e,new Id((function(e){n.then((function(t){e.closed||(e.next(t),e.complete())}),(function(t){return e.error(t)})).then(null,dd)}));if(function(e){return Symbol.asyncIterator&&Uu(null==e?void 0:e[Symbol.asyncIterator])}(e))return kd(e);if(function(e){return Uu(null==e?void 0:e[_d])}(e))return t=e,new Id((function(e){var n,r;try{for(var a=Yu(t),o=a.next();!o.done;o=a.next()){var i=o.value;if(e.next(i),e.closed)return}}catch(e){n={error:e}}finally{try{o&&!o.done&&(r=a.return)&&r.call(a)}finally{if(n)throw n.error}}e.complete()}));if(function(e){return Uu(null==e?void 0:e.getReader)}(e))return kd(function(e){return function(e,t,n){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var r,a=n.apply(e,t||[]),o=[];return r=Object.create(("function"==typeof AsyncIterator?AsyncIterator:Object).prototype),i("next"),i("throw"),i("return",(function(e){return function(t){return Promise.resolve(t).then(e,c)}})),r[Symbol.asyncIterator]=function(){return this},r;function i(e,t){a[e]&&(r[e]=function(t){return new Promise((function(n,r){o.push([e,t,n,r])>1||s(e,t)}))},t&&(r[e]=t(r[e])))}function s(e,t){try{(n=a[e](t)).value instanceof Zu?Promise.resolve(n.value.v).then(l,c):u(o[0][2],n)}catch(e){u(o[0][3],e)}var n}function l(e){s("next",e)}function c(e){s("throw",e)}function u(e,t){e(t),o.shift(),o.length&&s(o[0][0],o[0][1])}}(this,arguments,(function(){var t,n,r;return Qu(this,(function(a){switch(a.label){case 0:t=e.getReader(),a.label=1;case 1:a.trys.push([1,,9,10]),a.label=2;case 2:return[4,Zu(t.read())];case 3:return n=a.sent(),r=n.value,n.done?[4,Zu(void 0)]:[3,5];case 4:return[2,a.sent()];case 5:return[4,Zu(r)];case 6:return[4,a.sent()];case 7:return a.sent(),[3,2];case 8:return[3,10];case 9:return t.releaseLock(),[7];case 10:return[2]}}))}))}(e))}var t,n,r,a,o,i;throw function(e){return new TypeError("You provided "+(null!==e&&"object"==typeof e?"an invalid object":"'"+e+"'")+" where a stream was expected. You can provide an Observable, Promise, ReadableStream, Array, AsyncIterable, or Iterable.")}(e)}function kd(e){return new Id((function(t){(function(e,t){var n,r,a,o,i,s,l,c;return i=this,s=void 0,c=function(){var i,s;return Qu(this,(function(l){switch(l.label){case 0:l.trys.push([0,5,6,11]),n=function(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t,n=e[Symbol.asyncIterator];return n?n.call(e):(e=Yu(e),t={},r("next"),r("throw"),r("return"),t[Symbol.asyncIterator]=function(){return this},t);function r(n){t[n]=e[n]&&function(t){return new Promise((function(r,a){!function(e,t,n,r){Promise.resolve(r).then((function(t){e({value:t,done:n})}),t)}(r,a,(t=e[n](t)).done,t.value)}))}}}(e),l.label=1;case 1:return[4,n.next()];case 2:if((r=l.sent()).done)return[3,4];if(i=r.value,t.next(i),t.closed)return[2];l.label=3;case 3:return[3,1];case 4:return[3,11];case 5:return s=l.sent(),a={error:s},[3,11];case 6:return l.trys.push([6,,9,10]),r&&!r.done&&(o=n.return)?[4,o.call(n)]:[3,8];case 7:l.sent(),l.label=8;case 8:return[3,10];case 9:if(a)throw a.error;return[7];case 10:return[7];case 11:return t.complete(),[2]}}))},new((l=void 0)||(l=Promise))((function(e,t){function n(e){try{a(c.next(e))}catch(e){t(e)}}function r(e){try{a(c.throw(e))}catch(e){t(e)}}function a(t){var a;t.done?e(t.value):(a=t.value,a instanceof l?a:new l((function(e){e(a)}))).then(n,r)}a((c=c.apply(i,s||[])).next())}))})(e,t).catch((function(e){return t.error(e)}))}))}function Md(e,t,n){return void 0===n&&(n=1/0),Uu(t)?Md((function(n,r){return Od((function(e,a){return t(n,e,r,a)}))(Td(e(n,r)))}),n):("number"==typeof t&&(n=t),Wu((function(t,r){return function(e,t,n,r){var a=[],o=0,i=0,s=!1,l=function(){!s||a.length||o||t.complete()},c=function(e){return o<r?u(e):a.push(e)},u=function(e){o++;var s=!1;Td(n(e,i++)).subscribe(Ad(t,(function(e){t.next(e)}),(function(){s=!0}),void 0,(function(){if(s)try{o--;for(var e=function(){var e=a.shift();u(e)};a.length&&o<r;)e();l()}catch(e){t.error(e)}})))};return e.subscribe(Ad(t,c,(function(){s=!0,l()}))),function(){}}(t,r,e,n)})))}var Bd=Object.defineProperty,Ld=Object.defineProperties,Nd=Object.getOwnPropertyDescriptors,jd=Object.getOwnPropertySymbols,Fd=Object.prototype.hasOwnProperty,Vd=Object.prototype.propertyIsEnumerable,$d=(e,t,n)=>t in e?Bd(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const zd={prepareAnnotation:e=>{if((0,fe.isString)(null==e?void 0:e.query)){const n=e,{query:r}=n;return t=((e,t)=>{for(var n in t||(t={}))Fd.call(t,n)&&$d(e,n,t[n]);if(jd)for(var n of jd(t))Vd.call(t,n)&&$d(e,n,t[n]);return e})({},((e,t)=>{var n={};for(var r in e)Fd.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&jd)for(var r of jd(e))t.indexOf(r)<0&&Vd.call(e,r)&&(n[r]=e[r]);return n})(n,["query"])),Ld(t,Nd({target:{refId:"annotation_query",query:r},mappings:{}}))}var t;return e},prepareQuery:e=>e.target,processEvents:(e,t)=>function(e,t){return(0,O.of)(e).pipe((e=>e.pipe(Md((e=>{if(!(null==e?void 0:e.length))return(0,O.of)(void 0);if(1===e.length)return(0,O.of)(e[0]);return(0,O.of)(e).pipe(c.standardTransformers.mergeTransformer.operator({},{interpolate:e=>e}),Od((e=>e[0])))})))),Od((e=>{if(!(null==e?void 0:e.length))return[];let n=!1,r=!1;const a={};for(const t of e.fields)a[(0,c.getFieldDisplayName)(t,e).toLowerCase()]=t;t||(t={});const o=[];for(const i of Wd){const s=t[i.key]||{};if(s.source===c.AnnotationEventFieldSource.Skip)continue;const l={key:i.key,split:i.split};if(s.source===c.AnnotationEventFieldSource.Text)l.text=s.value;else{const t=(s.value||i.key).toLowerCase();l.field=a[t],!l.field&&i.field&&(l.field=i.field(e))}(l.field||l.text)&&(o.push(l),"time"===l.key?n=!0:"text"===l.key&&(r=!0))}if(!n||!r)return console.error("Cannot process annotation fields. No time or text present."),[];const i=[];for(let t=0;t<e.length;t++){const e={type:"default",color:"red"};for(const n of o){let r;if(n.text)r=n.text;else if(n.field&&(r=n.field.values.get(t),void 0!==r&&n.regex)){const e=n.regex.exec(r);e&&(r=e[1]?e[1]:e[0])}null!=r&&(n.split&&"string"==typeof r&&(r=r.split(",")),e[n.key]=r)}i.push(e)}return i})))}(t,e.mappings)},Ud=[{key:"time",field:e=>e.fields.find((e=>e.type===c.FieldType.time)),placeholder:"time, or the first time field"},{key:"timeEnd",help:"When this field is defined, the annotation will be treated as a range"},{key:"title"},{key:"text",field:e=>e.fields.find((e=>e.type===c.FieldType.string)),placeholder:"text, or the first text field"},{key:"tags",split:",",help:"The results will be split on comma (,)"},{key:"id"}],Wd=[...u.config.publicDashboardAccessToken?[{key:"color"},{key:"isRegion"},{key:"source"}]:[],...Ud,{key:"userId"},{key:"login"},{key:"email"},{key:"prevState"},{key:"newState"},{key:"data"},{key:"panelId"},{key:"alertId"},{key:"dashboardId"},{key:"dashboardUID"}],Hd=["prometheus","loki","elasticsearch","grafana-opensearch-datasource"];var Gd=Object.defineProperty,qd=Object.defineProperties,Qd=Object.getOwnPropertyDescriptors,Yd=Object.getOwnPropertySymbols,Xd=Object.prototype.hasOwnProperty,Kd=Object.prototype.propertyIsEnumerable,Zd=(e,t,n)=>t in e?Gd(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Jd=(e,t)=>{for(var n in t||(t={}))Xd.call(t,n)&&Zd(e,n,t[n]);if(Yd)for(var n of Yd(t))Kd.call(t,n)&&Zd(e,n,t[n]);return e},ep=(e,t)=>qd(e,Qd(t));let tp=100;var np=Object.defineProperty,rp=Object.getOwnPropertySymbols,ap=Object.prototype.hasOwnProperty,op=Object.prototype.propertyIsEnumerable,ip=(e,t,n)=>t in e?np(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;function sp(e){return"panel-alert"===e.eventType}var lp=Object.defineProperty,cp=Object.defineProperties,up=Object.getOwnPropertyDescriptors,dp=Object.getOwnPropertySymbols,pp=Object.prototype.hasOwnProperty,fp=Object.prototype.propertyIsEnumerable,hp=(e,t,n)=>t in e?lp(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,mp=(e,t)=>{for(var n in t||(t={}))pp.call(t,n)&&hp(e,n,t[n]);if(dp)for(var n of dp(t))fp.call(t,n)&&hp(e,n,t[n]);return e},gp=(e,t)=>cp(e,up(t));class bp extends Fu{constructor(e){super(mp({isEnabled:!0},e),["query"]),this._scopedVars={__sceneObject:_n(this)}}onEnable(){this.publishEvent(new u.RefreshEvent,!0);const e=pc.getTimeRange(this);this._timeRangeSub=e.subscribeToState((()=>{this.runWithTimeRange(e)}))}onDisable(){var e;this.publishEvent(new u.RefreshEvent,!0),null==(e=this._timeRangeSub)||e.unsubscribe()}runLayer(){Tt("AnnotationsDataLayer","run layer");const e=pc.getTimeRange(this);this.runWithTimeRange(e)}async runWithTimeRange(e){const{query:t}=this.state;if(this.querySub&&this.querySub.unsubscribe(),this._variableDependency.hasDependencyInLoadingState())Tt("AnnotationsDataLayer","Variable dependency is in loading state, skipping query execution");else try{let n=function(e,t,n,r){var a;if(e.annotationQuery&&function(e){const{type:t}=e;return!e.annotations||Hd.includes(t)}(e))return console.warn("Using deprecated annotationQuery method, please upgrade your datasource"),(0,O.from)(e.annotationQuery({range:t.state.value,rangeRaw:t.state.value.raw,annotation:n,dashboard:{getVariables:(0,u.getTemplateSrv)().getVariables}})).pipe(Od((e=>({state:be.Done,events:e}))));const o=Jd(Jd({},zd),e.annotations),i=Jd(Jd({},null==(a=o.getDefaultQuery)?void 0:a.call(o)),n),s=o.prepareAnnotation(i);if(!s)return(0,O.of)({state:be.Done,events:[]});const l=o.prepareQuery(s);if(!l)return(0,O.of)({state:be.Done,events:[]});const d=window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth,p=c.rangeUtil.calculateInterval(t.state.value,d,e.interval),f={__interval:{text:p.interval,value:p.interval},__interval_ms:{text:p.intervalMs.toString(),value:p.intervalMs},__annotation:{text:s.name,value:s},__sceneObject:_n(r)},h=Jd(ep(Jd({startTime:Date.now(),requestId:"AQ"+tp++,range:t.state.value,maxDataPoints:d,scopedVars:f},p),{app:c.CoreApp.Dashboard,timezone:t.getTimeZone(),targets:[ep(Jd({},l),{refId:"Anno"})]}),en(r));return(0,u.getRunRequest)()(e,h).pipe(Md((e=>{const t=(null==e?void 0:e.series.length)?e.series:e.annotations;return(null==t?void 0:t.length)?(t.forEach((e=>{var t;(null==(t=e.meta)?void 0:t.dataTopic)||(e.meta=ep(Jd({},e.meta||{}),{dataTopic:c.DataTopic.Annotations}))})),o.processEvents(s,t).pipe(Od((t=>({state:e.state,events:t||[]}))))):(0,O.of)({state:e.state,events:[]})})))}(await this.resolveDataSource(t),e,t,this).pipe(rn({type:"annotations",origin:this,cancel:()=>this.cancelQuery()}),(0,O.map)((e=>this.processEvents(t,e))));this.querySub=n.subscribe((e=>{this.publishResults(e)}))}catch(e){this.publishResults(gp(mp({},Ae),{state:be.Error,errors:[{message:ku(e)}]})),console.error("AnnotationsDataLayer error",e)}}async resolveDataSource(e){return await kt(e.datasource||void 0,this._scopedVars)}processEvents(e,t){let n=(r=e,a=t.events||[],r.snapshotData&&delete(r=(0,fe.cloneDeep)(r)).snapshotData,a.map((e=>{var t;const n=((e,t)=>{for(var n in t||(t={}))ap.call(t,n)&&ip(e,n,t[n]);if(rp)for(var n of rp(t))op.call(t,n)&&ip(e,n,t[n]);return e})({},e);switch(n.source=r,n.color=u.config.theme2.visualization.getColorByName(r.iconColor),n.type=r.name,n.isRegion=Boolean(n.timeEnd&&n.time!==n.timeEnd),null==(t=n.newState)?void 0:t.toLowerCase()){case"pending":n.color="yellow";break;case"alerting":n.color="red";break;case"ok":case"normal":n.color="green";break;case"no_data":case"nodata":n.color="gray"}return n})));var r,a;n=function(e){let t=[];const n=(0,fe.partition)(e,"id"),r=(0,fe.groupBy)(n[0],"id");return t=(0,fe.map)(r,(e=>e.length>1&&!(0,fe.every)(e,sp)?(0,fe.find)(e,(e=>"panel-alert"!==e.eventType)):(0,fe.head)(e))),t=(0,fe.concat)(t,n[1]),t}(n);const o=gp(mp({},Ae),{state:t.state}),i=(0,c.arrayToDataFrame)(n);return i.meta=gp(mp({},i.meta),{dataTopic:c.DataTopic.Annotations}),o.series=[i],o}}bp.Component=function({model:e}){const{isHidden:t}=e.useState();return t?null:s().createElement($u,{layer:e})};class vp extends J{constructor(e){super(e),this._activationHandler=()=>{const e=this.getAncestorTimeRange();this.ancestorTimeRangeChanged(e.state),this._subs.add(e.subscribeToState((e=>this.ancestorTimeRangeChanged(e))))},this.addActivationHandler(this._activationHandler)}getAncestorTimeRange(){if(!this.parent||!this.parent.parent)throw new Error(typeof this+" must be used within $timeRange scope");return pc.getTimeRange(this.parent.parent)}getTimeZone(){return this.getAncestorTimeRange().getTimeZone()}onTimeRangeChange(e){this.getAncestorTimeRange().onTimeRangeChange(e)}onTimeZoneChange(e){this.getAncestorTimeRange().onTimeZoneChange(e)}onRefresh(){this.getAncestorTimeRange().onRefresh()}}var yp=Object.defineProperty,wp=Object.defineProperties,Sp=Object.getOwnPropertyDescriptors,xp=Object.getOwnPropertySymbols,Ep=Object.prototype.hasOwnProperty,Ap=Object.prototype.propertyIsEnumerable,Cp=(e,t,n)=>t in e?yp(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Op=(e,t)=>{for(var n in t||(t={}))Ep.call(t,n)&&Cp(e,n,t[n]);if(xp)for(var n of xp(t))Ap.call(t,n)&&Cp(e,n,t[n]);return e},Rp=(e,t)=>wp(e,Sp(t));class Dp extends vp{constructor(e){super(Rp(Op({},e),{timeZone:e.timeZone,from:"now-6h",to:"now",value:(0,c.getDefaultTimeRange)()}))}ancestorTimeRangeChanged(e){this.setState(Rp(Op({},e),{timeZone:this.state.timeZone,value:De(e.from,e.to,this.state.timeZone,e.fiscalYearStartMonth,e.UNSAFE_nowDelay,e.weekStart)}))}getTimeZone(){return this.state.timeZone}onTimeZoneChange(e){const t=this.getAncestorTimeRange();this.setState({timeZone:e,value:De(t.state.from,t.state.to,e,t.state.fiscalYearStartMonth,t.state.UNSAFE_nowDelay,t.state.weekStart)})}}class Ip extends J{constructor(e){super({source:e.source,data:e.source.resolve().state.data}),this.addActivationHandler((()=>{this._subs.add(this.state.source.resolve().subscribeToState(((e,t)=>{e.data!==t.data&&this.setState({data:e.data})})))}))}setContainerWidth(e){var t,n;null==(n=(t=this.state.source.resolve()).setContainerWidth)||n.call(t,e)}isDataReadyToDisplay(){var e,t,n;return null==(n=null==(t=(e=this.state.source.resolve()).isDataReadyToDisplay)?void 0:t.call(e))||n}cancelQuery(){var e,t;null==(t=(e=this.state.source.resolve()).cancelQuery)||t.call(e)}getResultsStream(){return this.state.source.resolve().getResultsStream()}}var Pp=Object.defineProperty,_p=Object.defineProperties,Tp=Object.getOwnPropertyDescriptors,kp=Object.getOwnPropertySymbols,Mp=Object.prototype.hasOwnProperty,Bp=Object.prototype.propertyIsEnumerable,Lp=(e,t,n)=>t in e?Pp(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Np extends J{constructor(){super(...arguments),this.isDataLayer=!0,this._results=new O.ReplaySubject(1),this._dataLayersMerger=new Ns}subscribeToAllLayers(e){e.length>0?this.querySub=this._dataLayersMerger.getMergedStream(e).subscribe(this._onLayerUpdateReceived.bind(this)):(this._results.next({origin:this,data:Ae}),this.setStateHelper({data:Ae}))}_onLayerUpdateReceived(e){var t;let n=[];for(const r of e)(null==(t=r.data)?void 0:t.series)&&(n=n.concat(r.data.series));const r=(a=((e,t)=>{for(var n in t||(t={}))Mp.call(t,n)&&Lp(e,n,t[n]);if(kp)for(var n of kp(t))Bp.call(t,n)&&Lp(e,n,t[n]);return e})({},Ae),_p(a,Tp({series:n})));var a;this._results.next({origin:this,data:r}),this.setStateHelper({data:r})}getResultsStream(){return this._results}cancelQuery(){var e;null==(e=this.querySub)||e.unsubscribe()}setStateHelper(e){lt(this,e)}}class jp extends Np{constructor(e){var t,n;super({name:null!=(t=e.name)?t:"Data layers",layers:null!=(n=e.layers)?n:[]}),this.addActivationHandler((()=>this._onActivate()))}_onActivate(){return this._subs.add(this.subscribeToState(((e,t)=>{var n;e.layers!==t.layers&&(null==(n=this.querySub)||n.unsubscribe(),this.subscribeToAllLayers(e.layers))}))),this.subscribeToAllLayers(this.state.layers),()=>{var e;null==(e=this.querySub)||e.unsubscribe()}}}jp.Component=({model:e})=>{const{layers:t}=e.useState();return s().createElement(s().Fragment,null,t.map((e=>s().createElement(e.Component,{model:e,key:e.state.key}))))};var Fp=Object.defineProperty,Vp=Object.defineProperties,$p=Object.getOwnPropertyDescriptors,zp=Object.getOwnPropertySymbols,Up=Object.prototype.hasOwnProperty,Wp=Object.prototype.propertyIsEnumerable,Hp=(e,t,n)=>t in e?Fp(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Gp=(e,t)=>{for(var n in t||(t={}))Up.call(t,n)&&Hp(e,n,t[n]);if(zp)for(var n of zp(t))Wp.call(t,n)&&Hp(e,n,t[n]);return e},qp=(e,t)=>Vp(e,$p(t));class Qp extends J{constructor(e){super(e),this._results=new O.ReplaySubject(1),this._variableDependency=new Bl(this,{statePaths:["transformations"],onReferencedVariableValueChanged:()=>this.reprocessTransformations()}),this.addActivationHandler((()=>this.activationHandler()))}activationHandler(){const e=this.getSourceData();return this._subs.add(e.subscribeToState((e=>this.transform(e.data)))),e.state.data&&this.transform(e.state.data),()=>{this._transformSub&&this._transformSub.unsubscribe()}}getSourceData(){if(this.state.$data){if(this.state.$data instanceof jp)throw new Error("SceneDataLayerSet can not be used as data provider for SceneDataTransformer.");return this.state.$data}if(!this.parent||!this.parent.parent)throw new Error("SceneDataTransformer must either have $data set on it or have a parent.parent with $data");return pc.getData(this.parent.parent)}setContainerWidth(e){this.state.$data&&this.state.$data.setContainerWidth&&this.state.$data.setContainerWidth(e)}isDataReadyToDisplay(){const e=this.getSourceData();return!e.isDataReadyToDisplay||e.isDataReadyToDisplay()}reprocessTransformations(){this.transform(this.getSourceData().state.data,!0)}cancelQuery(){var e,t;null==(t=(e=this.getSourceData()).cancelQuery)||t.call(e)}getResultsStream(){return this._results}clone(e){const t=super.clone(e);return this._prevDataFromSource&&(t._prevDataFromSource=this._prevDataFromSource),t}haveAlreadyTransformedData(e){if(!this._prevDataFromSource)return!1;if(e===this._prevDataFromSource)return!0;const{series:t,annotations:n}=this._prevDataFromSource;return e.series===t&&e.annotations===n&&(this.state.data&&e.state!==this.state.data.state&&this.setState({data:qp(Gp({},this.state.data),{state:e.state})}),!0)}transform(e,t=!1){var n;if(0===this.state.transformations.length||!e)return this._prevDataFromSource=e,this.setState({data:e}),void(e&&this._results.next({origin:this,data:e}));if(!t&&this.haveAlreadyTransformedData(e))return;const r=this.state.transformations.filter((e=>!("options"in e)&&!("topic"in e)||null==e.topic||e.topic===c.DataTopic.Series)).map((e=>"operator"in e?e.operator:e)),a=this.state.transformations.filter((e=>("options"in e||"topic"in e)&&e.topic===c.DataTopic.Annotations)).map((e=>"operator"in e?e.operator:e));this._transformSub&&this._transformSub.unsubscribe();const o={interpolate:t=>{var n;return pc.interpolate(this,t,null==(n=e.request)?void 0:n.scopedVars)}};let i=[(0,c.transformDataFrame)(r,e.series,o)];e.annotations&&e.annotations.length>0&&a.length>0&&i.push((0,c.transformDataFrame)(a,null!=(n=e.annotations)?n:[])),this._transformSub=(0,O.forkJoin)(i).pipe((0,O.map)((t=>{const n=t[0],r=t[1];return qp(Gp({},e),{series:n,annotations:null!=r?r:e.annotations})})),(0,O.catchError)((t=>{var n;console.error("Error transforming data: ",t);const r=(null==(n=this.getSourceData().state.data)?void 0:n.errors)||[],a=(0,u.toDataQueryError)(t);a.message=`Error transforming data: ${a.message}`;const o=qp(Gp({},e),{state:c.LoadingState.Error,errors:[...r,a]});return(0,O.of)(o)}))).subscribe((t=>{this.setState({data:t}),this._results.next({origin:this,data:t}),this._prevDataFromSource=e}))}}class Yp extends J{}function Xp({variable:e,layout:t,showAlways:n,hideLabel:r}){return ee(e,{shouldActivateOrKeepAlive:!0}).hide!==c.VariableHide.hideVariable||n?"vertical"===t?s().createElement("div",{className:Jp,"data-testid":ln.pages.Dashboard.SubMenu.submenuItem},s().createElement(Kp,{variable:e,layout:t,hideLabel:r}),s().createElement(e.Component,{model:e})):s().createElement("div",{className:Zp,"data-testid":ln.pages.Dashboard.SubMenu.submenuItem},s().createElement(Kp,{variable:e,hideLabel:r}),s().createElement(e.Component,{model:e})):null}function Kp({variable:e,layout:t,hideLabel:n}){var r;const{state:a}=e;if(e.state.hide===c.VariableHide.hideLabel||n)return null;const o=`var-${a.key}`,i=a.label||a.name;return s().createElement(Wn,{htmlFor:o,isLoading:a.loading,onCancel:()=>{var t;return null==(t=e.onCancel)?void 0:t.call(e)},label:i,error:a.error,layout:t,description:null!=(r=a.description)?r:void 0})}Yp.Component=function({model:e}){const t=pc.getVariables(e).useState();return s().createElement(s().Fragment,null,t.variables.map((t=>s().createElement(Xp,{key:t.state.key,variable:t,layout:e.state.layout}))))};const Zp=(0,cn.css)({display:"flex"}),Jp=(0,cn.css)({display:"flex",flexDirection:"column"});class ef extends J{}ef.Component=function({model:e}){const t=pc.lookupVariable(e.state.variableName,e);return t?s().createElement(Xp,{key:t.state.key,variable:t,layout:e.state.layout,showAlways:!0}):null};class tf extends J{constructor(e){super(e),this._variablesThatHaveChanged=new Set,this._variablesToUpdate=new Set,this._updating=new Map,this._variableValueRecorder=new Mt,this._variableDependency=new rf(this._handleParentVariableUpdatesCompleted.bind(this)),this._onActivate=()=>{const e=pc.getTimeRange(this);this._subs.add(this.subscribeToEvent($e,(e=>this._handleVariableValueChanged(e.payload)))),this._subs.add(e.subscribeToState((()=>{this._refreshTimeRangeBasedVariables()}))),this._subs.add(this.subscribeToState(this._onStateChanged)),this._checkForVariablesThatChangedWhileInactive();for(const e of this.state.variables)this._variableNeedsUpdate(e)&&this._variablesToUpdate.add(e);return this._updateNextBatch(),this._onDeactivate},this._onDeactivate=()=>{var e;for(const t of this._updating.values())null==(e=t.subscription)||e.unsubscribe();for(const e of this.state.variables)this._variablesToUpdate.has(e)||this._updating.has(e)||this._variableValueRecorder.recordCurrentValue(e);this._variablesToUpdate.clear(),this._updating.clear()},this._onStateChanged=(e,t)=>{const n=this._variablesToUpdate.size;for(const n of t.variables)if(!e.variables.includes(n)){const e=this._updating.get(n);(null==e?void 0:e.subscription)&&e.subscription.unsubscribe(),this._updating.delete(n),this._variablesToUpdate.delete(n)}for(const n of e.variables)t.variables.includes(n)||this._variableNeedsUpdate(n)&&this._variablesToUpdate.add(n);0===n&&this._variablesToUpdate.size>0&&this._updateNextBatch()},this.addActivationHandler(this._onActivate)}getByName(e){return this.state.variables.find((t=>t.state.name===e))}_refreshTimeRangeBasedVariables(){for(const e of this.state.variables)"refresh"in e.state&&e.state.refresh===c.VariableRefresh.onTimeRangeChanged&&this._variablesToUpdate.add(e);this._updateNextBatch()}_checkForVariablesThatChangedWhileInactive(){if(this._variableValueRecorder.hasValues())for(const e of this.state.variables)this._variableValueRecorder.hasValueChanged(e)&&(nf(e,"Changed while in-active"),this._addDependentVariablesToUpdateQueue(e))}_variableNeedsUpdate(e){return!(e.isLazy||!e.validateAndUpdate||this._variableValueRecorder.hasRecordedValue(e)&&(nf(e,"Skipping updateAndValidate current value valid"),1))}_updateNextBatch(){for(const e of this._variablesToUpdate){if(!e.validateAndUpdate)throw new Error("Variable added to variablesToUpdate but does not have validateAndUpdate");if(this._updating.has(e))continue;if(pc.hasVariableDependencyInLoadingState(e))continue;const t={variable:e};this._updating.set(e,t),nf(e,"updateAndValidate started"),t.subscription=e.validateAndUpdate().subscribe({next:()=>this._validateAndUpdateCompleted(e),complete:()=>this._validateAndUpdateCompleted(e),error:t=>this._handleVariableError(e,t)})}}_validateAndUpdateCompleted(e){var t;if(!this._updating.has(e))return;const n=this._updating.get(e);null==(t=null==n?void 0:n.subscription)||t.unsubscribe(),this._updating.delete(e),this._variablesToUpdate.delete(e),nf(e,"updateAndValidate completed"),this._notifyDependentSceneObjects(e),this._updateNextBatch()}cancel(e){var t;const n=this._updating.get(e);null==(t=null==n?void 0:n.subscription)||t.unsubscribe(),this._updating.delete(e),this._variablesToUpdate.delete(e)}_handleVariableError(e,t){var n;const r=this._updating.get(e);null==(n=null==r?void 0:r.subscription)||n.unsubscribe(),this._updating.delete(e),this._variablesToUpdate.delete(e),e.setState({loading:!1,error:t.message}),console.error("SceneVariableSet updateAndValidate error",t),nf(e,"updateAndValidate error",t),this._notifyDependentSceneObjects(e),this._updateNextBatch()}_handleVariableValueChanged(e){this._variablesThatHaveChanged.add(e),this._addDependentVariablesToUpdateQueue(e),this._updating.has(e)||(this._updateNextBatch(),this._notifyDependentSceneObjects(e))}_handleParentVariableUpdatesCompleted(e,t){t&&this._addDependentVariablesToUpdateQueue(e),this._variablesToUpdate.size>0&&0===this._updating.size&&this._updateNextBatch()}_addDependentVariablesToUpdateQueue(e){for(const t of this.state.variables)t.variableDependency&&t.variableDependency.hasDependencyOn(e.state.name)&&(nf(t,"Added to update queue, dependant variable value changed"),this._updating.has(t)&&t.onCancel&&t.onCancel(),this._variablesToUpdate.add(t))}_notifyDependentSceneObjects(e){this.parent&&(this._traverseSceneAndNotify(this.parent,e,this._variablesThatHaveChanged.has(e)),this._variablesThatHaveChanged.delete(e))}_traverseSceneAndNotify(e,t,n){if(this!==e&&e.isActive){if(e.state.$variables&&e.state.$variables!==this&&e.state.$variables.getByName(t.state.name))return;e.variableDependency&&e.variableDependency.variableUpdateCompleted(t,n),e.forEachChild((e=>this._traverseSceneAndNotify(e,t,n)))}}isVariableLoadingOrWaitingToUpdate(e){return!(!e.isAncestorLoading||!e.isAncestorLoading())||!(!this._variablesToUpdate.has(e)&&!this._updating.has(e))||pc.hasVariableDependencyInLoadingState(e)}}function nf(e,t,n){n?Tt("SceneVariableSet",`Variable[${e.state.name}]: ${t}`,n):Tt("SceneVariableSet",`Variable[${e.state.name}]: ${t}`)}class rf{constructor(e){this._variableUpdatesCompleted=e,this._emptySet=new Set}getNames(){return this._emptySet}hasDependencyOn(e){return!1}variableUpdateCompleted(e,t){this._variableUpdatesCompleted(e,t)}}var af=Object.defineProperty,of=Object.getOwnPropertySymbols,sf=Object.prototype.hasOwnProperty,lf=Object.prototype.propertyIsEnumerable,cf=(e,t,n)=>t in e?af(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class uf extends ut{constructor(e){super(((e,t)=>{for(var n in t||(t={}))sf.call(t,n)&&cf(e,n,t[n]);if(of)for(var n of of(t))lf.call(t,n)&&cf(e,n,t[n]);return e})({type:"custom",query:"",value:"",text:"",options:[],name:""},e)),this._variableDependency=new Bl(this,{statePaths:["query"]})}getValueOptions(e){var t;const n=(null!=(t=pc.interpolate(this,this.state.query).match(/(?:\\,|[^,])+/g))?t:[]).map((e=>{var t;e=e.replace(/\\,/g,",");const n=null!=(t=/^(.+)\s:\s(.+)$/g.exec(e))?t:[];if(3===n.length){const[,e,t]=n;return{label:e.trim(),value:t.trim()}}return{label:e.trim(),value:e.trim()}}));return(0,O.of)(n)}}uf.Component=({model:e})=>Cn(e);var df=Object.defineProperty,pf=Object.getOwnPropertySymbols,ff=Object.prototype.hasOwnProperty,hf=Object.prototype.propertyIsEnumerable,mf=(e,t,n)=>t in e?df(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class gf extends ut{constructor(e){super(((e,t)=>{for(var n in t||(t={}))ff.call(t,n)&&mf(e,n,t[n]);if(pf)for(var n of pf(t))hf.call(t,n)&&mf(e,n,t[n]);return e})({type:"datasource",value:"",text:"",options:[],name:"",regex:"",pluginId:""},e)),this._variableDependency=new Bl(this,{statePaths:["regex"]})}getValueOptions(e){if(!this.state.pluginId)return(0,O.of)([]);const t=(0,u.getDataSourceSrv)().getList({metrics:!0,variables:!1,pluginId:this.state.pluginId});let n;if(this.state.regex){const e=pc.interpolate(this,this.state.regex,void 0,"regex");n=(0,c.stringToJsRegex)(e)}const r=[];for(let e=0;e<t.length;e++){const a=t[e];bf(a,n)&&r.push({label:a.name,value:a.uid}),this.state.defaultOptionEnabled&&vf(a,n)&&r.push({label:"default",value:"default"})}return 0===r.length?this.setState({error:"No data sources found"}):this.state.error&&this.setState({error:null}),(0,O.of)(r)}}function bf(e,t){return!t||t.exec(e.name)}function vf(e,t){return!!e.isDefault&&(!t||t.exec("default"))}function yf(e,t){const n=["A","B","C","D","E","F","G","H"],r=[];if(t>5)return[];for(const a of n){const n=`${e}${a}`;r.push({name:n,children:yf(n,t+1)})}return r}function wf(e,t,n){if(n>=t.length)return e;if("*"===t[n])return e;const r=t[n];let a=[],o=[r];r.startsWith("{")&&(o=r.replace(/\{|\}/g,"").split(","));for(const r of e)for(const e of o)if(-1!==e.indexOf("*")){const o=e.replace("*","");new RegExp(`^${o}.*`,"gi").test(r.name)&&(a=a.concat(wf([r],t,n+1)))}else r.name===e&&(a=a.concat(wf(r.children,t,n+1)));return a}function Sf(e){return 0===e.indexOf("value")?[{name:e,children:[]}]:wf(yf("",0),e.split("."),0)}gf.Component=({model:e})=>Cn(e);var xf=Object.defineProperty,Ef=Object.getOwnPropertySymbols,Af=Object.prototype.hasOwnProperty,Cf=Object.prototype.propertyIsEnumerable,Of=(e,t,n)=>t in e?xf(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Rf extends ut{constructor(e,t=!1){super(((e,t)=>{for(var n in t||(t={}))Af.call(t,n)&&Of(e,n,t[n]);if(Ef)for(var n of Ef(t))Cf.call(t,n)&&Of(e,n,t[n]);return e})({type:"custom",name:"Test",value:"Value",text:"Text",query:"Query",options:[],refresh:c.VariableRefresh.onDashboardLoad,updateOptions:!0},e)),this.completeUpdate=new O.Subject,this.isGettingValues=!0,this.getValueOptionsCount=0,this.isLazy=!1,this._variableDependency=new Bl(this,{statePaths:["query"]}),this.isLazy=t}getValueOptions(e){const{delayMs:t}=this.state;this.getValueOptionsCount+=1;const n=pc.getQueryController(this);return new O.Observable((e=>{const r={type:"variable",origin:this,cancel:()=>e.complete()};if(n&&n.queryStarted(r),this.setState({loading:!0}),this.state.throwError)throw new Error(this.state.throwError);const a=pc.interpolate(this,this.state.query),o=this.getOptions(a),i=this.completeUpdate.subscribe({next:()=>{const t={issuedQuery:a,loading:!1};this.state.updateOptions&&(t.options=o),this.setState(t),e.next(o),e.complete()}});let s;return t?s=window.setTimeout((()=>this.signalUpdateCompleted()),t):0===t&&this.signalUpdateCompleted(),this.isGettingValues=!0,()=>{i.unsubscribe(),window.clearTimeout(s),this.isGettingValues=!1,this.state.loading&&this.setState({loading:!1}),n&&n.queryCompleted(r)}}))}cancel(){const e=ce(this,(e=>e instanceof tf?e:void 0));null==e||e.cancel(this)}getOptions(e){return this.state.optionsToReturn?this.state.optionsToReturn:Sf(e).map((e=>({label:e.name,value:e.name})))}signalUpdateCompleted(){this.completeUpdate.next(1)}}function Df({model:e}){const{value:t,key:n,loading:r}=e.useState(),a=(0,o.useCallback)((t=>{e.setValue(t.currentTarget.value)}),[e]),i=(0,o.useCallback)((t=>{"Enter"===t.key&&e.setValue(t.currentTarget.value)}),[e]);return s().createElement(on.AutoSizeInput,{id:n,placeholder:"Enter value",minWidth:15,maxWidth:30,value:t,loading:r,onBlur:a,onKeyDown:i})}Rf.Component=({model:e})=>Cn(e);var If=Object.defineProperty,Pf=Object.getOwnPropertySymbols,_f=Object.prototype.hasOwnProperty,Tf=Object.prototype.propertyIsEnumerable,kf=(e,t,n)=>t in e?If(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Mf extends J{constructor(e){super(((e,t)=>{for(var n in t||(t={}))_f.call(t,n)&&kf(e,n,t[n]);if(Pf)for(var n of Pf(t))Tf.call(t,n)&&kf(e,n,t[n]);return e})({type:"textbox",value:"",name:""},e)),this._urlSync=new Ce(this,{keys:()=>[this.getKey()]})}getValue(){return this.state.value}setValue(e){e!==this.state.value&&(this.setState({value:e}),this.publishEvent(new $e(this),!0))}getKey(){return`var-${this.state.name}`}getUrlState(){return{[this.getKey()]:this.state.value}}updateFromUrl(e){const t=e[this.getKey()];"string"==typeof t&&this.setValue(t)}}Mf.Component=({model:e})=>s().createElement(Df,{model:e});var Bf=Object.defineProperty,Lf=Object.defineProperties,Nf=Object.getOwnPropertyDescriptors,jf=Object.getOwnPropertySymbols,Ff=Object.prototype.hasOwnProperty,Vf=Object.prototype.propertyIsEnumerable,$f=(e,t,n)=>t in e?Bf(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class zf extends J{constructor(e){var t;super((t=((e,t)=>{for(var n in t||(t={}))Ff.call(t,n)&&$f(e,n,t[n]);if(jf)for(var n of jf(t))Vf.call(t,n)&&$f(e,n,t[n]);return e})({type:"system",value:"",text:"",name:""},e),Lf(t,Nf({skipUrlSync:!0}))))}getValue(){return this.state.value}getValueText(){return this.state.text.toString()}isAncestorLoading(){var e,t;const n=null==(t=null==(e=this.parent)?void 0:e.parent)?void 0:t.parent;if(!n)throw new Error("LocalValueVariable requires a parent SceneVariableSet that has an ancestor SceneVariableSet");const r=pc.getVariables(n),a=pc.lookupVariable(this.state.name,n);return!(!r||!a)&&r.isVariableLoadingOrWaitingToUpdate(a)}}var Uf=Object.defineProperty,Wf=Object.getOwnPropertySymbols,Hf=Object.prototype.hasOwnProperty,Gf=Object.prototype.propertyIsEnumerable,qf=(e,t,n)=>t in e?Uf(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Qf extends J{constructor(e){super(((e,t)=>{for(var n in t||(t={}))Hf.call(t,n)&&qf(e,n,t[n]);if(Wf)for(var n of Wf(t))Gf.call(t,n)&&qf(e,n,t[n]);return e})({type:"interval",value:"",intervals:["1m","10m","30m","1h","6h","12h","1d","7d","14d","30d"],name:"",autoStepCount:30,autoMinInterval:"10s",autoEnabled:!1,refresh:wc.onTimeRangeChanged},e)),this._onChange=e=>{this.setState({value:e.value}),this.publishEvent(new $e(this),!0)},this._urlSync=new Ce(this,{keys:()=>[this.getKey()]})}getKey(){return`var-${this.state.name}`}getUrlState(){return{[this.getKey()]:this.state.value}}updateFromUrl(e){const t={},n=e[this.getKey()];"string"==typeof n&&(n.startsWith("$__auto_interval_")?t.value=rt:t.value=n),this.setState(t)}getOptionsForSelect(){const{value:e,intervals:t,autoEnabled:n}=this.state;let r=t.map((e=>({value:e,label:e})));return n&&(r=[{value:rt,label:"Auto"},...r]),e&&!r.some((t=>t.value===e))&&r.push({value:e,label:e}),r}getValue(){const{value:e,autoStepCount:t,autoMinInterval:n}=this.state;return e===rt?this.getAutoRefreshInteval(t,n):e}getAutoRefreshInteval(e,t){const n=pc.getTimeRange(this).state.value;return c.rangeUtil.calculateInterval(n,e,t).interval}validateAndUpdate(){const{value:e,intervals:t}=this.state;let n=!1;if(e===rt)n=!0;else if(!e&&t.length>0){const e=t[0];this.setState({value:e}),n=!0}return n&&this.publishEvent(new $e(this),!0),(0,O.of)({})}}Qf.Component=({model:e})=>{const{key:t,value:n}=e.useState();return s().createElement(on.Select,{id:t,placeholder:"Select value",width:"auto",value:n,tabSelectsValue:!1,options:e.getOptionsForSelect(),onChange:e._onChange})};var Yf,Xf,Kf=(e,t,n)=>{if(!t.has(e))throw TypeError("Cannot "+n)},Zf=(e,t,n)=>(Kf(e,t,"read from private field"),n?n.call(e):t.get(e)),Jf=(e,t,n)=>{if(t.has(e))throw TypeError("Cannot add the same private member more than once");t instanceof WeakSet?t.add(e):t.set(e,n)},eh=(e,t,n,r)=>(Kf(e,t,"write to private field"),r?r.call(e,n):t.set(e,n),n);class th extends c.BusEventWithPayload{}th.type="new-scene-object-added";class nh{constructor(e={},t=u.locationService){this._urlKeyMapper=new fc,this._options=e,this._locationService=t,this._paramsCache=new rh(t)}initSync(e){var t;if(this._subs&&(Tt("UrlSyncManager","Unregister previous scene state subscription",null==(t=this._sceneRoot)?void 0:t.state.key),this._subs.unsubscribe()),Tt("UrlSyncManager","init",e.state.key),this._sceneRoot=e,this._subs=new O.Subscription,this._subs.add(e.subscribeToEvent(z,(e=>{this.handleSceneObjectStateChanged(e.payload.changedObject)}))),this._subs.add(e.subscribeToEvent(th,(e=>{this.handleNewObject(e.payload)}))),this._urlKeyMapper.clear(),this._lastLocation=this._locationService.getLocation(),this.handleNewObject(this._sceneRoot),this._options.updateUrlOnInit){const t=mc(e);(function(e,t){for(let n in e)if(!vc(t.getAll(n),e[n]))return!0;return!1})(t,this._paramsCache.getParams())&&this._locationService.partial(t,!0)}}cleanUp(e){this._sceneRoot===e&&(Tt("UrlSyncManager","Clean up"),this._subs&&(this._subs.unsubscribe(),this._subs=void 0,Tt("UrlSyncManager","Root deactived, unsub to state","same key",this._sceneRoot.state.key===e.state.key)),this._sceneRoot=void 0,this._lastLocation=void 0)}handleNewLocation(e){this._sceneRoot&&this._lastLocation!==e&&(Tt("UrlSyncManager","handleNewLocation"),this._lastLocation=e,gc(this._sceneRoot,this._paramsCache.getParams(),this._urlKeyMapper))}handleNewObject(e){this._sceneRoot&&gc(e,this._paramsCache.getParams(),this._urlKeyMapper)}handleSceneObjectStateChanged(e){var t,n;if(!e.urlSync)return;const r=e.urlSync.getUrlState(),a=this._locationService.getSearch(),o={};for(const[t,n]of Object.entries(r)){const r=this._urlKeyMapper.getUniqueKey(t,e);vc(a.getAll(r),n)||(o[r]=n)}if(Object.keys(o).length>0){const a=!0!==(null==(n=(t=e.urlSync).shouldCreateHistoryStep)?void 0:n.call(t,r));Tt("UrlSyncManager","onStateChange updating URL"),this._locationService.partial(o,a),this._lastLocation=this._locationService.getLocation()}}getUrlState(e){return mc(e)}}class rh{constructor(e){this.locationService=e,Jf(this,Yf,void 0),Jf(this,Xf,void 0)}getParams(){const e=this.locationService.getLocation();return Zf(this,Xf)===e||(eh(this,Xf,e),eh(this,Yf,new URLSearchParams(e.search))),Zf(this,Yf)}}function ah(e,t={}){const n=(0,l.useLocation)(),r=ct(),[a,i]=(0,o.useState)(!1),s=function(e,t){return(0,o.useMemo)((()=>new nh({updateUrlOnInit:e.updateUrlOnInit,createBrowserHistorySteps:e.createBrowserHistorySteps},t)),[e.updateUrlOnInit,e.createBrowserHistorySteps,t])}(t,r);return(0,o.useEffect)((()=>(s.initSync(e),i(!0),()=>s.cleanUp(e))),[e,s]),(0,o.useEffect)((()=>{const e=r.getLocation(),t=e!==n?e:n;e!==n&&Tt("useUrlSync","latestLocation different from location"),s.handleNewLocation(t)}),[e,s,n,r]),a}function oh({children:e,scene:t,updateUrlOnInit:n,createBrowserHistorySteps:r}){return ah(t,{updateUrlOnInit:n,createBrowserHistorySteps:r})?e:null}Yf=new WeakMap,Xf=new WeakMap;class ih extends J{constructor(e){super(e),this.addActivationHandler((()=>{const e=function(e){const t=window.__grafanaSceneContext;return Tt("setWindowGrafanaScene","set window.__grafanaSceneContext",e),window.__grafanaSceneContext=e,()=>{window.__grafanaSceneContext===e&&(Tt("setWindowGrafanaScene","restore window.__grafanaSceneContext",t),window.__grafanaSceneContext=t)}}(this);return()=>{e()}}))}}ih.Component=function({model:e}){const{body:t,controls:n}=e.useState(),r=(0,on.useStyles2)(sh);return s().createElement("div",{className:r.container},n&&s().createElement("div",{className:r.controls},n.map((e=>s().createElement(e.Component,{key:e.state.key,model:e})))),s().createElement("div",{className:r.body},s().createElement(t.Component,{model:t})))};const sh=e=>({container:(0,cn.css)({flexGrow:1,display:"flex",gap:e.spacing(2),minHeight:"100%",flexDirection:"column"}),body:(0,cn.css)({flexGrow:1,display:"flex",gap:e.spacing(1)}),controls:(0,cn.css)({display:"flex",gap:e.spacing(2),alignItems:"flex-end",flexWrap:"wrap"})});class lh extends J{addItem(e){this.setState({items:this.state.items?[...this.state.items,e]:[e]})}setItems(e){this.setState({items:e})}}async function ch(e,t,n,r){var a,o,i,s;const l=null==(a=e.request)?void 0:a.targets;if(!l)return"";const{from:c,to:d}=n,p=null==(o=e.request)?void 0:o.filters,f={__sceneObject:_n(t)},h=(await Promise.allSettled(l.map((async e=>{var t;const n=await(0,u.getDataSourceSrv)().get(e.datasource);return(null==(t=n.interpolateVariablesInQueries)?void 0:t.call(n,[e],null!=f?f:{},p)[0])||e})))).filter((e=>"fulfilled"===e.status)).map((e=>e.value)).map((e=>{var t;return null!=(t=null==r?void 0:r(e))?t:e})),m=null!=h?h:[],g=null==(s=null==(i=m.find((e=>{var t;return!!(null==(t=e.datasource)?void 0:t.uid)})))?void 0:i.datasource)?void 0:s.uid;return(null==m?void 0:m.length)&&g&&c&&d?`/explore?left=${encodeURIComponent(JSON.stringify({datasource:g,queries:m,range:{from:c,to:d}}))}`:""}lh.Component=function({model:e}){const{items:t=[]}=e.useState(),n=s().useRef(null);(0,o.useEffect)((()=>{n.current&&n.current.focus()}),[]);const r=e=>e.map((e=>{switch(e.type){case"divider":return s().createElement(on.Menu.Divider,{key:e.text});case"group":return s().createElement(on.Menu.Group,{key:e.text,label:e.text},e.subMenu?r(e.subMenu):void 0);default:return s().createElement(on.Menu.Item,{key:e.text,label:e.text,icon:e.iconClassName,childItems:e.subMenu?r(e.subMenu):void 0,url:e.href,onClick:e.onClick,shortcut:e.shortcut,testId:ln.components.Panels.Panel.menuItems(e.text)})}}));return s().createElement(on.Menu,{ref:n},r(t))};class uh extends J{constructor(e={}){super({options:e})}}uh.Component=function({model:e}){const{options:t}=e.useState(),{data:n}=pc.getData(e).useState(),{from:r,to:a}=pc.getTimeRange(e).useState(),{value:i}=function(i,s){void 0===s&&(s=[]);var l=function(e,t,n){void 0===t&&(t=[]),void 0===n&&(n={loading:!1});var r,a,i=(0,o.useRef)(0),s=(r=(0,o.useRef)(!1),a=(0,o.useCallback)((function(){return r.current}),[]),(0,o.useEffect)((function(){return r.current=!0,function(){r.current=!1}}),[]),a),l=(0,o.useState)(n),c=l[0],u=l[1],d=(0,o.useCallback)((function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var r=++i.current;return c.loading||u((function(e){return qu(qu({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return s()&&r===i.current&&u({value:e,loading:!1}),e}),(function(e){return s()&&r===i.current&&u({error:e,loading:!1}),e}))}),t);return[c,d]}((async()=>n?ch(n,e,{from:r,to:a},t.transform):""),s,{loading:!0}),c=l[0],u=l[1];return(0,o.useEffect)((function(){u()}),[u]),c}(0,[n,e,r,a]),l=(0,u.useReturnToPrevious)();return i?s().createElement(on.LinkButton,{key:"explore",icon:"compass",size:"sm",variant:"secondary",href:i,onClick:()=>{var e;t.returnToPrevious&&l(t.returnToPrevious.title,t.returnToPrevious.href),null==(e=t.onClick)||e.call(t)}},"Explore"):null};class dh extends J{}function ph(e){return e instanceof um}dh.Component=function({model:e}){const{body:t}=e.useState(),n=e.parent;if(n&&!(n instanceof em)&&!ph(n))throw new Error("SceneGridItem must be a child of SceneGridLayout or SceneGridRow");return t?s().createElement(t.Component,{model:t}):null};var fh=n(2548),hh=n.n(fh);var mh=Object.defineProperty,gh=Object.getOwnPropertySymbols,bh=Object.prototype.hasOwnProperty,vh=Object.prototype.propertyIsEnumerable,yh=(e,t,n)=>t in e?mh(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;function wh(){const e=(0,o.useRef)(void 0);return null!=e.current||(e.current=(0,fe.uniqueId)()),e.current}const Sh=s().forwardRef(((e,t)=>{var n=e,{children:r,onLoad:a,onChange:i,className:l}=n,c=((e,t)=>{var n={};for(var r in e)bh.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&gh)for(var r of gh(e))t.indexOf(r)<0&&vh.call(e,r)&&(n[r]=e[r]);return n})(n,["children","onLoad","onChange","className"]);const u=wh(),{hideEmpty:d}=(0,on.useStyles2)(xh),[p,f]=(0,o.useState)(!1),[h,m]=(0,o.useState)(!1),g=(0,o.useRef)(null);var b;(0,o.useImperativeHandle)(t,(()=>g.current)),b=()=>{Sh.addCallback(u,(e=>{!p&&e.isIntersecting&&(f(!0),null==a||a()),m(e.isIntersecting),null==i||i(e.isIntersecting)}));const e=g.current;return e&&Sh.observer.observe(e),()=>{e&&Sh.observer.unobserve(e),delete Sh.callbacks[u],0===Object.keys(Sh.callbacks).length&&Sh.observer.disconnect()}},(0,o.useEffect)(b,[]);const v=`${p?d:""} ${l}`;return s().createElement("div",((e,t)=>{for(var n in t||(t={}))bh.call(t,n)&&yh(e,n,t[n]);if(gh)for(var n of gh(t))vh.call(t,n)&&yh(e,n,t[n]);return e})({id:u,ref:g,className:v},c),p&&("function"==typeof r?r({isInView:h}):r))}));function xh(){return{hideEmpty:(0,cn.css)({"&:empty":{display:"none"}})}}Sh.displayName="LazyLoader",Sh.callbacks={},Sh.addCallback=(e,t)=>Sh.callbacks[e]=t,Sh.observer=new IntersectionObserver((e=>{for(const t of e)"function"==typeof Sh.callbacks[t.target.id]&&Sh.callbacks[t.target.id](t)}),{rootMargin:"100px"});var Eh=Object.defineProperty,Ah=Object.defineProperties,Ch=Object.getOwnPropertyDescriptors,Oh=Object.getOwnPropertySymbols,Rh=Object.prototype.hasOwnProperty,Dh=Object.prototype.propertyIsEnumerable,Ih=(e,t,n)=>t in e?Eh(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Ph=(e,t)=>{for(var n in t||(t={}))Rh.call(t,n)&&Ih(e,n,t[n]);if(Oh)for(var n of Oh(t))Dh.call(t,n)&&Ih(e,n,t[n]);return e},_h=(e,t)=>Ah(e,Ch(t)),Th=(e,t)=>{var n={};for(var r in e)Rh.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&Oh)for(var r of Oh(e))t.indexOf(r)<0&&Dh.call(e,r)&&(n[r]=e[r]);return n};const kh=s().forwardRef(((e,t)=>{var n;const r=e,{grid:a,layoutItem:o,index:i,totalCount:l,isLazy:c,style:u,onLoad:d,onChange:p,children:f}=r,h=Th(r,["grid","layoutItem","index","totalCount","isLazy","style","onLoad","onChange","children"]),m=a.getSceneLayoutChild(o.i),g=null==(n=m.getClassName)?void 0:n.call(m),b=s().createElement(m.Component,{model:m,key:m.state.key});return c?s().createElement(Sh,_h(Ph({},h),{key:m.state.key,"data-griditem-key":m.state.key,className:(0,cn.cx)(g,e.className),style:u,ref:t}),b,f):s().createElement("div",_h(Ph({},h),{ref:t,key:m.state.key,"data-griditem-key":m.state.key,className:(0,cn.cx)(g,e.className),style:u}),b,f)}));function Mh(e,t,n){e.current?t?e.current.classList.add("react-grid-layout--enable-move-animations"):e.current.classList.remove("react-grid-layout--enable-move-animations"):n||setTimeout((()=>Mh(e,t,!0)),50)}kh.displayName="GridItemWrapper";const Bh=s().forwardRef(((e,t)=>{var n=Th(e,["handleAxis"]);const r=(0,on.useStyles2)(Lh);return s().createElement("div",_h(Ph({ref:t},n),{className:`${r} scene-resize-handle`}),s().createElement("svg",{width:"16px",height:"16px",viewBox:"0 0 24 24",fill:"none",xmlns:"http://www.w3.org/2000/svg"},s().createElement("path",{d:"M21 15L15 21M21 8L8 21",stroke:"currentColor",strokeWidth:"2",strokeLinecap:"round",strokeLinejoin:"round"})))}));function Lh(e){return(0,cn.css)({position:"absolute",bottom:0,right:0,zIndex:999,padding:e.spacing(1.5,0,0,1.5),color:e.colors.border.strong,cursor:"se-resize","&:hover":{color:e.colors.text.link},svg:{display:"block"},".react-resizable-hide &":{display:"none"}})}Bh.displayName="ResizeHandle";var Nh=Object.defineProperty,jh=Object.defineProperties,Fh=Object.getOwnPropertyDescriptors,Vh=Object.getOwnPropertySymbols,$h=Object.prototype.hasOwnProperty,zh=Object.prototype.propertyIsEnumerable,Uh=(e,t,n)=>t in e?Nh(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;var Wh=Object.defineProperty,Hh=Object.defineProperties,Gh=Object.getOwnPropertyDescriptors,qh=Object.getOwnPropertySymbols,Qh=Object.prototype.hasOwnProperty,Yh=Object.prototype.propertyIsEnumerable,Xh=(e,t,n)=>t in e?Wh(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Kh=(e,t)=>{for(var n in t||(t={}))Qh.call(t,n)&&Xh(e,n,t[n]);if(qh)for(var n of qh(t))Yh.call(t,n)&&Xh(e,n,t[n]);return e},Zh=(e,t)=>Hh(e,Gh(t));const Jh=class extends J{constructor(e){super(Zh(Kh({},e),{children:tm(e.children)})),this._skipOnLayoutChange=!1,this._oldLayout=[],this._loadOldLayout=!1,this.onLayoutChange=e=>{if(this._skipOnLayoutChange)this._skipOnLayoutChange=!1;else{this._loadOldLayout&&(e=[...this._oldLayout],this._loadOldLayout=!1);for(const r of e){const e=this.getSceneLayoutChild(r.i),a={x:r.x,y:r.y,width:r.w,height:r.h};n=a,((t=e.state).x!==n.x||t.y!==n.y||t.width!==n.width||t.height!==n.height)&&e.setState(Kh({},a))}var t,n;this.setState({children:tm(this.state.children)})}},this.onResizeStop=(e,t,n)=>{this.getSceneLayoutChild(n.i).setState({width:n.w,height:n.h})},this.onDragStart=e=>{this._oldLayout=[...e]},this.onDragStop=(e,t,n)=>{const r=this.getSceneLayoutChild(n.i);e=nm(e);for(let t=0;t<e.length;t++){const n=e[t],r=this.getSceneLayoutChild(n.i),a=r.state;(null==a?void 0:a.x)===n.x&&(null==a?void 0:a.y)===n.y||r.setState({x:n.x,y:n.y})}const a=e.findIndex((e=>e.i===n.i));let o=this.findGridItemSceneParent(e,a-1),i=this.state.children;r instanceof um&&o instanceof um&&(this.isRowDropValid(e,n,a)||(this._loadOldLayout=!0),o=this),o!==r.parent&&(i=this.moveChildTo(r,o)),this.setState({children:tm(i)}),this._skipOnLayoutChange=!0}}isDraggable(){var e;return null!=(e=this.state.isDraggable)&&e}getDragClass(){return`grid-drag-handle-${this.state.key}`}getDragClassCancel(){return"grid-drag-cancel"}toggleRow(e){var t,n;if(!e.state.isCollapsed)return e.setState({isCollapsed:!0}),void this.setState({});const r=e.state.children;if(0===r.length)return e.setState({isCollapsed:!1}),void this.setState({});const a=e.state.y,o=(null!=(t=r[0].state.y)?t:a)-(a+1);let i=a;for(const e of r){const t=Kh({},e.state);t.y=null!=(n=t.y)?n:a,t.y-=o,t.y!==e.state.y&&e.setState(t),i=Math.max(i,Number(t.y)+Number(t.height))}const s=i-a-1;for(const t of this.state.children)if(t.state.y>a&&this.pushChildDown(t,s),ph(t)&&t!==e)for(const e of t.state.children)e.state.y>a&&this.pushChildDown(e,s);e.setState({isCollapsed:!1}),this.setState({})}ignoreLayoutChange(e){this._skipOnLayoutChange=e}getSceneLayoutChild(e){for(const t of this.state.children){if(t.state.key===e)return t;if(t instanceof um)for(const n of t.state.children)if(n.state.key===e)return n}throw new Error("Scene layout child not found for GridItem")}pushChildDown(e,t){e.setState({y:e.state.y+t})}findGridItemSceneParent(e,t){for(let n=t;n>=0;n--){const t=e[n],r=this.getSceneLayoutChild(t.i);if(r instanceof um)return r.state.isCollapsed?this:r}return this}isRowDropValid(e,t,n){if(e[e.length-1].i===t.i)return!0;const r=this.getSceneLayoutChild(e[n+1].i);return r instanceof um||r.parent instanceof Jh}moveChildTo(e,t){const n=e.parent;let r=this.state.children;const a=e.clone({key:e.state.key});if(n instanceof um){const o=n.clone();if(o.setState({children:o.state.children.filter((t=>t.state.key!==e.state.key))}),r=r.map((e=>e===n?o:e)),t instanceof um){const e=t.clone();e.setState({children:[...e.state.children,a]}),r=r.map((n=>n===t?e:n))}else r=[...r,a]}else if(!(t instanceof Jh)){r=r.filter((t=>t.state.key!==e.state.key));const n=t.clone();n.setState({children:[...n.state.children,a]}),r=r.map((e=>e===t?n:e))}return r}toGridCell(e){var t,n;const r=e.state;let a=null!=(t=r.x)?t:0,o=null!=(n=r.y)?n:0;const i=Number.isInteger(Number(r.width))?Number(r.width):4,s=Number.isInteger(Number(r.height))?Number(r.height):4;let l=e.state.isDraggable,c=e.state.isResizable;return e instanceof um&&(l=!!e.state.isCollapsed,c=!1),{i:e.state.key,x:a,y:o,h:s,w:i,isResizable:c,isDraggable:l}}buildGridLayout(e,t){let n=[];for(const e of this.state.children)if(n.push(this.toGridCell(e)),e instanceof um&&!e.state.isCollapsed)for(const t of e.state.children)n.push(this.toGridCell(t));return n=nm(n),this.state.UNSAFE_fitPanels&&(n=function(e,t){const n=t-32,r=Math.max(...e.map((e=>e.h+e.y)))/Math.floor(n/38);return e.map((e=>{return t=((e,t)=>{for(var n in t||(t={}))$h.call(t,n)&&Uh(e,n,t[n]);if(Vh)for(var n of Vh(t))zh.call(t,n)&&Uh(e,n,t[n]);return e})({},e),n={y:Math.round(e.y/r)||0,h:Math.round(e.h/r)||1},jh(t,Fh(n));var t,n}))}(n,t)),e<768?(this._skipOnLayoutChange=!0,n.map((e=>Zh(Kh({},e),{w:24})))):(this._skipOnLayoutChange=!1,n)}};let em=Jh;function tm(e){return e.forEach((e=>{e instanceof um&&e.setState({children:tm(e.state.children)})})),[...e].sort(((e,t)=>e.state.y-t.state.y||e.state.x-t.state.x))}function nm(e){return[...e].sort(((e,t)=>e.y-t.y||e.x-t.x))}em.Component=function({model:e}){const{children:t,isLazy:n,isDraggable:r,isResizable:a}=e.useState(),[i,{width:l,height:c}]=Bc(),u=(0,o.useRef)(null);return(0,o.useEffect)((()=>{Mh(u,!!r)}),[r]),function(e){if(e.some((e=>void 0===e.state.height||void 0===e.state.width||void 0===e.state.x||void 0===e.state.y)))throw new Error("All children must have a size specified")}(t),s().createElement("div",{ref:i,style:{flex:"1 1 auto",position:"relative",zIndex:1,width:"100%"}},((t,o)=>{if(!t||!o)return null;const i=e.buildGridLayout(t,o);return s().createElement("div",{ref:u,style:{width:`${t}px`,height:"100%"},className:"react-grid-layout"},s().createElement(hh(),{width:t,isDraggable:r&&t>768,isResizable:null!=a&&a,containerPadding:[0,0],useCSSTransforms:!0,margin:[8,8],cols:24,rowHeight:30,draggableHandle:`.grid-drag-handle-${e.state.key}`,draggableCancel:".grid-drag-cancel",layout:i,onDragStart:e.onDragStart,onDragStop:e.onDragStop,onResizeStop:e.onResizeStop,onLayoutChange:e.onLayoutChange,isBounded:!1,resizeHandle:s().createElement(Bh,null)},i.map(((t,r)=>s().createElement(kh,{key:t.i,grid:e,layoutItem:t,index:r,isLazy:n,totalCount:i.length})))))})(l,c))};var rm=Object.defineProperty,am=Object.defineProperties,om=Object.getOwnPropertyDescriptors,im=Object.getOwnPropertySymbols,sm=Object.prototype.hasOwnProperty,lm=Object.prototype.propertyIsEnumerable,cm=(e,t,n)=>t in e?rm(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class um extends J{constructor(e){var t;super((t=((e,t)=>{for(var n in t||(t={}))sm.call(t,n)&&cm(e,n,t[n]);if(im)for(var n of im(t))lm.call(t,n)&&cm(e,n,t[n]);return e})({children:e.children||[],isCollapsible:e.isCollapsible||!0,title:e.title||""},e),am(t,om({x:0,height:1,width:24})))),this._variableDependency=new Bl(this,{statePaths:["title"],handleTimeMacros:!0}),this.onCollapseToggle=()=>{this.state.isCollapsible&&this.getGridLayout().toggleRow(this)}}getGridLayout(){const e=this.parent;if(!(e&&e instanceof em))throw new Error("SceneGridRow must be a child of SceneGridLayout");return e}getUrlState(){return{rowc:this.state.isCollapsed?"1":"0"}}updateFromUrl(e){null!=e.rowc&&e.rowc!==this.getUrlState().rowc&&this.onCollapseToggle()}}um.Component=function({model:e}){const t=(0,on.useStyles2)(dm),{isCollapsible:n,isCollapsed:r,title:a,actions:o,children:i}=e.useState(),l=e.getGridLayout(),c=l.getDragClass(),u=l.isDraggable(),d=i?i.length:0,p=1===d?"panel":"panels";return s().createElement("div",{className:(0,cn.cx)(t.row,r&&t.rowCollapsed)},s().createElement("div",{className:t.rowTitleAndActionsGroup},s().createElement("button",{onClick:e.onCollapseToggle,className:t.rowTitleButton,"aria-label":r?"Expand row":"Collapse row","data-testid":ln.components.DashboardRow.title(pc.interpolate(e,a,void 0,"text"))},n&&s().createElement(on.Icon,{name:r?"angle-right":"angle-down"}),s().createElement("span",{className:t.rowTitle,role:"heading"},pc.interpolate(e,a,void 0,"text"))),s().createElement("span",{className:(0,cn.cx)(t.panelCount,r&&t.panelCountCollapsed)},"(",d," ",p,")"),o&&s().createElement("div",{className:t.rowActions},s().createElement(o.Component,{model:o}))),u&&r&&s().createElement("div",{className:(0,cn.cx)(t.dragHandle,c)},s().createElement(on.Icon,{name:"draggabledots"})))};const dm=e=>({row:(0,cn.css)({width:"100%",height:"30px",display:"flex",justifyContent:"space-between",gap:e.spacing(1)}),rowTitleButton:(0,cn.css)({display:"flex",alignItems:"center",cursor:"pointer",background:"transparent",border:"none",minWidth:0,gap:e.spacing(1)}),rowCollapsed:(0,cn.css)({borderBottom:`1px solid ${e.colors.border.weak}`}),rowTitle:(0,cn.css)({fontSize:e.typography.h5.fontSize,fontWeight:e.typography.fontWeightMedium,whiteSpace:"nowrap",overflow:"hidden",textOverflow:"ellipsis",maxWidth:"100%",flexGrow:1,minWidth:0}),collapsedInfo:(0,cn.css)({fontSize:e.typography.bodySmall.fontSize,color:e.colors.text.secondary,display:"flex",alignItems:"center",flexGrow:1}),rowTitleAndActionsGroup:(0,cn.css)({display:"flex",minWidth:0,"&:hover, &:focus-within":{"& > div":{opacity:1}}}),rowActions:(0,cn.css)({display:"flex",whiteSpace:"nowrap",opacity:0,transition:"200ms opacity ease-in 200ms","&:hover, &:focus-within":{opacity:1}}),dragHandle:(0,cn.css)({display:"flex",padding:e.spacing(0,1),alignItems:"center",justifyContent:"flex-end",cursor:"move",color:e.colors.text.secondary,"&:hover":{color:e.colors.text.primary}}),panelCount:(0,cn.css)({whiteSpace:"nowrap",paddingLeft:e.spacing(2),color:e.colors.text.secondary,fontStyle:"italic",fontSize:e.typography.size.sm,fontWeight:"normal",display:"none",lineHeight:"30px"}),panelCountCollapsed:(0,cn.css)({display:"inline-block"})});class pm extends J{constructor(){super(...arguments),this.onToggle=()=>{this.setState({isCollapsed:!this.state.isCollapsed})},this.onRemove=()=>{const e=this.parent;"body"in e.state&&e.setState({body:void 0})}}}pm.Component=function({model:e}){const{title:t,isCollapsed:n,canCollapse:r,canRemove:a,body:o,controls:i}=e.useState(),l=(0,on.useStyles2)(dm),c=(0,on.useStyles2)(fm),u=(null!=i?i:[]).map((e=>s().createElement(e.Component,{key:e.state.key,model:e})));return a&&u.push(s().createElement(on.ToolbarButton,{icon:"times",variant:"default",onClick:e.onRemove,key:"remove-button","aria-label":"Remove scene"})),s().createElement("div",{className:c.wrapper},s().createElement("div",{className:(0,cn.cx)(c.row,n&&c.rowCollapsed)},s().createElement("button",{onClick:e.onToggle,className:l.rowTitleButton,"aria-label":n?"Expand scene":"Collapse scene"},r&&s().createElement(on.Icon,{name:n?"angle-right":"angle-down"}),s().createElement("span",{className:l.rowTitle,role:"heading"},pc.interpolate(e,t,void 0,"text"))),s().createElement("div",{className:c.actions},u)),!n&&s().createElement(o.Component,{model:o}))};const fm=e=>({wrapper:(0,cn.css)({display:"flex",flexDirection:"column",flexGrow:1,gap:e.spacing(1)}),row:(0,cn.css)({width:"100%",display:"flex",justifyContent:"space-between",gap:e.spacing(1)}),rowCollapsed:(0,cn.css)({borderBottom:`1px solid ${e.colors.border.weak}`,paddingBottom:e.spacing(1)}),actions:(0,cn.css)({display:"flex",alignItems:"center",gap:e.spacing(1),justifyContent:"flex-end",flexGrow:1})});class hm extends J{constructor(){super(...arguments),this._variableDependency=new Bl(this,{statePaths:["text"]})}}hm.Component=({model:e})=>{const{text:t,fontSize:n=20,align:r="left",key:a,spacing:o}=e.useState(),i=(0,on.useTheme2)(),l=(0,cn.css)({fontSize:n,display:"flex",flexGrow:1,alignItems:"center",padding:o?i.spacing(o,0):void 0,justifyContent:r});return s().createElement("div",{className:l,"data-testid":a},pc.interpolate(e,t))};class mm extends J{}mm.Component=({model:e})=>{const t=e.useState();return s().createElement(on.ToolbarButton,{onClick:t.onClick,icon:t.icon})};class gm extends J{}gm.Component=({model:e})=>{const t=e.useState();return s().createElement("div",{style:{display:"flex"}},t.label&&s().createElement(Wn,{label:t.label}),s().createElement(on.Input,{defaultValue:t.value,width:8,onBlur:t=>{e.state.onChange(parseInt(t.currentTarget.value,10))}}))};class bm extends J{constructor(){super(...arguments),this.onZoom=()=>{const e=pc.getTimeRange(this),t=function(e){const t=e.to.valueOf()-e.from.valueOf(),n=e.to.valueOf()-t/2,r=0===t?3e4:2*t,a=n+r/2,o=n-r/2;return{from:(0,c.toUtc)(o),to:(0,c.toUtc)(a),raw:{from:(0,c.toUtc)(o),to:(0,c.toUtc)(a)}}}(e.state.value);e.onTimeRangeChange(t)},this.onChangeFiscalYearStartMonth=e=>{pc.getTimeRange(this).setState({fiscalYearStartMonth:e})},this.toAbsolute=()=>{const e=pc.getTimeRange(this),t=e.state.value,n=(0,c.toUtc)(t.from),r=(0,c.toUtc)(t.to);e.onTimeRangeChange({from:n,to:r,raw:{from:n,to:r}})},this.onMoveBackward=()=>{const e=pc.getTimeRange(this),{state:{value:t}}=e;e.onTimeRangeChange(ym(vm.Backward,t,Date.now()))},this.onMoveForward=()=>{const e=pc.getTimeRange(this),{state:{value:t}}=e;e.onTimeRangeChange(ym(vm.Forward,t,Date.now()))}}}bm.Component=function({model:e}){const{hidePicker:t,isOnCanvas:n}=e.useState(),r=pc.getTimeRange(e),a=r.getTimeZone(),i=r.useState(),[l,u]=function(e,t,n){if(!Tc)return[t,_c,_c];if(!e)throw new Error("useLocalStorage key may not be falsy");var r=n?n.raw?function(e){return e}:n.deserializer:JSON.parse,a=(0,o.useRef)((function(e){try{var a=n?n.raw?String:n.serializer:JSON.stringify,o=localStorage.getItem(e);return null!==o?r(o):(t&&localStorage.setItem(e,a(t)),t)}catch(e){return t}})),i=(0,o.useState)((function(){return a.current(e)})),s=i[0],l=i[1];(0,o.useLayoutEffect)((function(){return l(a.current(e))}),[e]);var c=(0,o.useCallback)((function(t){try{var a,o="function"==typeof t?t(s):t;if(void 0===o)return;a=n?n.raw?"string"==typeof o?o:JSON.stringify(o):n.serializer?n.serializer(o):JSON.stringify(o):JSON.stringify(o),localStorage.setItem(e,a),l(r(a))}catch(e){}}),[e,l]),u=(0,o.useCallback)((function(){try{localStorage.removeItem(e),l(void 0)}catch(e){}}),[e,l]);return[s,c,u]}(wm,[],{raw:!1,serializer:xm,deserializer:Sm});return t?null:s().createElement(on.TimeRangePicker,{isOnCanvas:null==n||n,value:i.value,onChange:e=>{var t;t=e,((0,c.isDateTime)(t.raw.from)||(0,c.isDateTime)(t.raw.to))&&u([e,...null!=l?l:[]]),r.onTimeRangeChange(e)},timeZone:a,fiscalYearStartMonth:i.fiscalYearStartMonth,onMoveBackward:e.onMoveBackward,onMoveForward:e.onMoveForward,onZoom:e.onZoom,onChangeTimeZone:r.onTimeZoneChange,onChangeFiscalYearStartMonth:e.onChangeFiscalYearStartMonth,weekStart:i.weekStart,history:l})};var vm=(e=>(e[e.Backward=0]="Backward",e[e.Forward=1]="Forward",e))(vm||{});function ym(e,t,n){const r=t.to.valueOf(),a=t.from.valueOf(),o=(r-a)/2;let i,s;0===e?(i=a-o,s=r-o):(i=a+o,s=r+o,s>n&&r<n&&(s=n,i=a));const l=(0,c.toUtc)(i),u=(0,c.toUtc)(s);return{from:l,to:u,raw:{from:l,to:u}}}const wm="grafana.dashboard.timepicker.history";function Sm(e){return JSON.parse(e).map((e=>c.rangeUtil.convertRawToRange(e,"utc",void 0,"YYYY-MM-DD HH:mm:ss")))}function xm(e){return JSON.stringify((t=e.map((e=>({from:"string"==typeof e.raw.from?e.raw.from:e.raw.from.toISOString(),to:"string"==typeof e.raw.to?e.raw.to:e.raw.to.toISOString()}))),(0,fe.uniqBy)(t,(e=>e.from+e.to)).slice(0,4)));var t}var Em=Object.defineProperty,Am=Object.defineProperties,Cm=Object.getOwnPropertyDescriptors,Om=Object.getOwnPropertySymbols,Rm=Object.prototype.hasOwnProperty,Dm=Object.prototype.propertyIsEnumerable,Im=(e,t,n)=>t in e?Em(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const Pm=["5s","10s","30s","1m","5m","15m","30m","1h","2h","1d"];class _m extends J{constructor(e){var t,n,r,a,o;super((a=((e,t)=>{for(var n in t||(t={}))Rm.call(t,n)&&Im(e,n,t[n]);if(Om)for(var n of Om(t))Dm.call(t,n)&&Im(e,n,t[n]);return e})({refresh:""},e),o={autoValue:void 0,autoEnabled:null==(t=e.autoEnabled)||t,autoMinInterval:null!=(n=e.autoMinInterval)?n:u.config.minRefreshInterval,intervals:(null!=(r=e.intervals)?r:Pm).filter((t=>{var n;const r=null!=(n=e.minRefreshInterval)?n:u.config.minRefreshInterval;try{return!r||c.rangeUtil.intervalToMs(t)>=c.rangeUtil.intervalToMs(r)}catch(e){return!1}}))},Am(a,Cm(o)))),this._urlSync=new Ce(this,{keys:["refresh"]}),this._autoRefreshBlocked=!1,this.onRefresh=()=>{const e=pc.getQueryController(this);if(null==e?void 0:e.state.isRunning)return void e.cancelAll();const t=pc.getTimeRange(this);this._intervalTimer&&clearInterval(this._intervalTimer),t.onRefresh(),this.setupIntervalTimer()},this.onIntervalChanged=e=>{this.setState({refresh:e}),this.setupIntervalTimer()},this.setupAutoTimeRangeListener=()=>pc.getTimeRange(this).subscribeToState(((e,t)=>{e.from===t.from&&e.to===t.to||this.setupIntervalTimer()})),this.calculateAutoRefreshInterval=()=>{var e;const t=pc.getTimeRange(this),n=null!=(e=null==window?void 0:window.innerWidth)?e:2e3;return c.rangeUtil.calculateInterval(t.state.value,n,this.state.autoMinInterval)},this.setupIntervalTimer=()=>{var e;const t=pc.getTimeRange(this),{refresh:n,intervals:r}=this.state;if((this._intervalTimer||""===n)&&clearInterval(this._intervalTimer),""===n)return;if(n!==on.RefreshPicker.autoOption.value&&r&&!r.includes(n))return;let a;if(null==(e=this._autoTimeRangeListener)||e.unsubscribe(),n===on.RefreshPicker.autoOption.value){const e=this.calculateAutoRefreshInterval();a=e.intervalMs,this._autoTimeRangeListener=this.setupAutoTimeRangeListener(),e.interval!==this.state.autoValue&&this.setState({autoValue:e.interval})}else a=c.rangeUtil.intervalToMs(n);this._intervalTimer=setInterval((()=>{this.isTabVisible()?t.onRefresh():this._autoRefreshBlocked=!0}),a)},this.addActivationHandler((()=>{this.setupIntervalTimer();const e=()=>{this._autoRefreshBlocked&&"visible"===document.visibilityState&&(this._autoRefreshBlocked=!1,this.onRefresh())};return document.addEventListener("visibilitychange",e),()=>{var t;this._intervalTimer&&clearInterval(this._intervalTimer),document.removeEventListener("visibilitychange",e),null==(t=this._autoTimeRangeListener)||t.unsubscribe()}}))}getUrlState(){let e=this.state.refresh;return"string"==typeof e&&0!==e.length||(e=void 0),{refresh:e}}updateFromUrl(e){const{intervals:t}=this.state;let n=e.refresh;"string"==typeof n&&function(e){try{return c.rangeUtil.describeInterval(e).count>0}catch(e){return!1}}(n)&&((null==t?void 0:t.includes(n))?this.setState({refresh:n}):this.setState({refresh:t?t[0]:void 0}))}isTabVisible(){return void 0===document.visibilityState||"visible"===document.visibilityState}}_m.Component=function({model:e}){var t;const{refresh:n,intervals:r,autoEnabled:a,autoValue:o,isOnCanvas:i,primary:l,withText:c}=e.useState(),u=function(e){const t=pc.getQueryController(e);return!!t&&t.useState().isRunning}(e);let d,p,f=n===(null==(t=on.RefreshPicker.autoOption)?void 0:t.value)?o:c?"Refresh":void 0;return u&&(d="Cancel all queries",c&&(f="Cancel")),c&&(p="96px"),s().createElement(on.RefreshPicker,{showAutoInterval:a,value:n,intervals:r,tooltip:d,width:p,text:f,onRefresh:e.onRefresh,primary:l,onIntervalChanged:e.onIntervalChanged,isLoading:u,isOnCanvas:null==i||i})};const Tm=e=>`${e}-compare`;var km=Object.defineProperty,Mm=Object.defineProperties,Bm=Object.getOwnPropertyDescriptors,Lm=Object.getOwnPropertySymbols,Nm=Object.prototype.hasOwnProperty,jm=Object.prototype.propertyIsEnumerable,Fm=(e,t,n)=>t in e?km(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Vm=(e,t)=>{for(var n in t||(t={}))Nm.call(t,n)&&Fm(e,n,t[n]);if(Lm)for(var n of Lm(t))jm.call(t,n)&&Fm(e,n,t[n]);return e},$m=(e,t)=>Mm(e,Bm(t));const zm="__previousPeriod",Um="__noPeriod",Wm={label:"Previous period",value:zm},Hm={label:"No comparison",value:Um},Gm=[{label:"Day before",value:"24h"},{label:"Week before",value:"1w"},{label:"Month before",value:"1M"}];class qm extends J{constructor(e){super(Vm({compareOptions:Gm},e)),this._urlSync=new Ce(this,{keys:["compareWith"]}),this._onActivate=()=>{const e=pc.getTimeRange(this);this.setState({compareOptions:this.getCompareOptions(e.state.value)}),this._subs.add(e.subscribeToState((e=>{const t=this.getCompareOptions(e.value),n={compareOptions:t};Boolean(this.state.compareWith)&&!t.find((({value:e})=>e===this.state.compareWith))&&(n.compareWith=zm),this.setState(n)})))},this.getCompareOptions=e=>{const t=Math.ceil(e.to.diff(e.from)),n=Gm.findIndex((({value:e})=>c.rangeUtil.intervalToMs(e)>=t));return[Hm,Wm,...Gm.slice(n).map((({label:e,value:t})=>({label:e,value:t})))]},this.onCompareWithChanged=e=>{e===Um?this.onClearCompare():this.setState({compareWith:e})},this.onClearCompare=()=>{this.setState({compareWith:void 0})},this.addActivationHandler(this._onActivate)}getExtraQueries(e){const t=[],n=this.getCompareTimeRange(e.range);if(!n)return t;const r=e.targets.filter((e=>!1!==e.timeRangeCompare));return r.length&&t.push({req:$m(Vm({},e),{targets:r,range:n}),processor:Qm}),t}shouldRerun(e,t,n){return e.compareWith!==t.compareWith&&void 0!==n.find((e=>!1!==e.timeRangeCompare))}getCompareTimeRange(e){let t,n;if(this.state.compareWith){if(this.state.compareWith===zm){const r=e.to.diff(e.from);t=(0,c.dateTime)(e.from).subtract(r),n=(0,c.dateTime)(e.to).subtract(r)}else t=(0,c.dateTime)(e.from).subtract(c.rangeUtil.intervalToMs(this.state.compareWith)),n=(0,c.dateTime)(e.to).subtract(c.rangeUtil.intervalToMs(this.state.compareWith));return{from:t,to:n,raw:{from:t,to:n}}}}getUrlState(){return{compareWith:this.state.compareWith}}updateFromUrl(e){if(!e.compareWith)return;const t=Re(e.compareWith);t&&(this.getCompareOptions(pc.getTimeRange(this).state.value).find((({value:e})=>e===t))?this.setState({compareWith:t}):this.setState({compareWith:"__previousPeriod"}))}}qm.Component=function({model:e}){var t;const n=(0,on.useStyles2)(Ym),{compareWith:r,compareOptions:a}=e.useState(),[o,i]=s().useState(r),l=null!=(t=a.find((({value:e})=>e===o)))?t:Wm,c=a.find((({value:e})=>e===r)),u=Boolean(c),d=()=>{u?(i(r),e.onClearCompare()):u||e.onCompareWithChanged(l.value)};return s().createElement(on.ButtonGroup,null,s().createElement(on.ToolbarButton,{variant:"canvas",tooltip:"Enable time frame comparison",onClick:e=>{e.stopPropagation(),e.preventDefault(),d()}},s().createElement(on.Checkbox,{label:" ",value:u,onClick:d}),"Comparison"),u?s().createElement(on.ButtonSelect,{variant:"canvas",value:c,options:a,onChange:t=>{e.onCompareWithChanged(t.value)}}):s().createElement(on.ToolbarButton,{className:n.previewButton,disabled:!0,variant:"canvas",isOpen:!1},l.label))};const Qm=(e,t)=>{const n=t.timeRange.from.diff(e.timeRange.from);return t.series.forEach((e=>{e.refId=Tm(e.refId||""),e.meta=$m(Vm({},e.meta),{timeCompare:{diffMs:n,isTimeShiftQuery:!0}}),e.fields.forEach((e=>(e.type===c.FieldType.time&&(e.values=e.values.map((e=>n<0?e-n:e+n))),e.config=$m(Vm({},e.config),{color:{mode:"fixed",fixedColor:u.config.theme.palette.gray60}}),e)))})),(0,O.of)(t)};function Ym(e){return{previewButton:(0,cn.css)({"&:disabled":{border:`1px solid ${e.colors.secondary.border}`,color:e.colors.text.disabled,opacity:1}})}}class Xm extends J{constructor(e){super(e),this.addActivationHandler((()=>{const e=pc.getData(this);this._subs.add(e.subscribeToState((e=>{var t;(null==(t=e.data)?void 0:t.state)===c.LoadingState.Done&&this.performRepeat(e.data)}))),e.state.data&&this.performRepeat(e.state.data)}))}performRepeat(e){const t=[];for(let n=0;n<e.series.length;n++){const r=this.state.getLayoutChild(e,e.series[n],n);t.push(r)}this.state.body.setState({children:t})}}Xm.Component=({model:e})=>{const{body:t}=e.useState();return s().createElement(t.Component,{model:t})};class Km extends J{constructor(e){super(e),this._variableDependency=new Bl(this,{variableNames:[this.state.variableName],onVariableUpdateCompleted:()=>this.performRepeat()}),this.addActivationHandler((()=>this.performRepeat()))}performRepeat(){if(this._variableDependency.hasDependencyInLoadingState())return;const e=pc.lookupVariable(this.state.variableName,this);if(!(e instanceof ut))return void console.error("SceneByVariableRepeater: variable is not a MultiValueVariable");const t=function(e){const{value:t,text:n,options:r}=e.state;return e.hasAllValue()?r:Array.isArray(t)&&Array.isArray(n)?t.map(((e,t)=>({value:e,label:n[t]}))):[{value:t,label:n}]}(e),n=[];for(const e of t){const t=this.state.getLayoutChild(e);n.push(t)}this.state.body.setState({children:n})}}Km.Component=({model:e})=>{const{body:t}=e.useState();return s().createElement(t.Component,{model:t})};class Zm extends J{constructor(){super({}),this._renderBeforeActivation=!0}}Zm.Component=e=>s().createElement("div",{style:{flexGrow:1}});class Jm extends J{toggleDirection(){this.setState({direction:"row"===this.state.direction?"column":"row"})}isDraggable(){return!1}}Jm.Component=function({model:e,parentState:t}){const{children:n,isHidden:r}=e.useState(),a=function(e,t){return(0,o.useMemo)((()=>{var n,r,a,o,i,s,l,c,d,p;const{direction:f="row",wrap:h}=e,m=u.config.theme2,g={};return t?tg(g,e,t):(g.display="flex",g.flexGrow=1,g.minWidth=e.minWidth,g.minHeight=e.minHeight),g.flexDirection=f,g.gap="8px",g.flexWrap=h||"nowrap",g.alignContent="baseline",g.minWidth=g.minWidth||0,g.minHeight=g.minHeight||0,g[m.breakpoints.down("md")]={flexDirection:null!=(r=null==(n=e.md)?void 0:n.direction)?r:"column",maxWidth:null!=(o=null==(a=e.md)?void 0:a.maxWidth)?o:"unset",maxHeight:null!=(s=null==(i=e.md)?void 0:i.maxHeight)?s:"unset",height:null!=(c=null==(l=e.md)?void 0:l.height)?c:"unset",width:null!=(p=null==(d=e.md)?void 0:d.width)?p:"unset"},(0,cn.css)(g)}),[t,e])}(e.state,t);return r?null:s().createElement("div",{className:a},n.map((t=>{const n=t.Component;return s().createElement(n,{key:t.state.key,model:t,parentState:e.state})})))};class eg extends J{}function tg(e,t,n){var r,a,o;const i=null!=(r=n.direction)?r:"row",{xSizing:s="fill",ySizing:l="fill"}=t;return e.display="flex",e.position="relative",e.flexDirection=i,"column"===i?(t.height?e.height=t.height:e.flexGrow="fill"===l?1:0,t.width?e.width=t.width:e.alignSelf="fill"===s?"stretch":"flex-start"):(t.height?e.height=t.height:e.alignSelf="fill"===l?"stretch":"flex-start",t.width?e.width=t.width:e.flexGrow="fill"===s?1:0),e.minWidth=t.minWidth,e.maxWidth=t.maxWidth,e.maxHeight=t.maxHeight,e.minHeight=null!=(a=t.minHeight)?a:n.minHeight,e.height=null!=(o=t.height)?o:n.height,e}eg.Component=function({model:e,parentState:t}){if(!t)throw new Error("SceneFlexItem must be a child of SceneFlexLayout");const{body:n,isHidden:r}=e.useState(),a=function(e,t){return(0,o.useMemo)((()=>{var n,r,a,o,i,s,l,c,d,p;const f=u.config.theme2,h=tg({},e,t);return h[f.breakpoints.down("md")]={maxWidth:null!=(r=null==(n=e.md)?void 0:n.maxWidth)?r:"unset",maxHeight:null!=(o=null==(a=e.md)?void 0:a.maxHeight)?o:"unset",height:null!=(l=null==(i=e.md)?void 0:i.height)?l:null==(s=t.md)?void 0:s.height,width:null!=(p=null==(c=e.md)?void 0:c.width)?p:null==(d=t.md)?void 0:d.width},(0,cn.css)(h)}),[e,t])}(e.state,t);return!n||r?null:s().createElement("div",{className:a},s().createElement(n.Component,{model:n}))};var ng=Object.defineProperty,rg=Object.getOwnPropertySymbols,ag=Object.prototype.hasOwnProperty,og=Object.prototype.propertyIsEnumerable,ig=(e,t,n)=>t in e?ng(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class sg extends J{constructor(e){var t,n;super(((e,t)=>{for(var n in t||(t={}))ag.call(t,n)&&ig(e,n,t[n]);if(rg)for(var n of rg(t))og.call(t,n)&&ig(e,n,t[n]);return e})({rowGap:1,columnGap:1,templateColumns:"repeat(auto-fit, minmax(400px, 1fr))",autoRows:null!=(t=e.autoRows)?t:"320px",children:null!=(n=e.children)?n:[]},e))}isDraggable(){return!1}}sg.Component=function({model:e}){const{children:t,isHidden:n,isLazy:r}=e.useState(),a=(i=e.state,(0,o.useMemo)((()=>{var e,t,n,r,a,o,s,l,c,d,p;const f={},h=u.config.theme2;return f.display="grid",f.gridTemplateColumns=i.templateColumns,f.gridTemplateRows=i.templateRows||"unset",f.gridAutoRows=i.autoRows||"unset",f.rowGap=h.spacing(null!=(e=i.rowGap)?e:1),f.columnGap=h.spacing(null!=(t=i.columnGap)?t:1),f.justifyItems=i.justifyItems||"unset",f.alignItems=i.alignItems||"unset",f.justifyContent=i.justifyContent||"unset",f.flexGrow=1,i.md&&(f[h.breakpoints.down("md")]={gridTemplateRows:null==(n=i.md)?void 0:n.templateRows,gridTemplateColumns:null==(r=i.md)?void 0:r.templateColumns,rowGap:i.md.rowGap?h.spacing(null!=(o=null==(a=i.md)?void 0:a.rowGap)?o:1):void 0,columnGap:i.md.columnGap?h.spacing(null!=(l=null==(s=i.md)?void 0:s.rowGap)?l:1):void 0,justifyItems:null==(c=i.md)?void 0:c.justifyItems,alignItems:null==(d=i.md)?void 0:d.alignItems,justifyContent:null==(p=i.md)?void 0:p.justifyContent}),(0,cn.css)(f)}),[i]));var i;return n?null:s().createElement("div",{className:a},t.map((t=>{const n=t.Component;return r?s().createElement(Sh,{key:t.state.key,className:a},s().createElement(n,{key:t.state.key,model:t,parentState:e.state})):s().createElement(n,{key:t.state.key,model:t,parentState:e.state})})))};class lg extends J{}lg.Component=function({model:e,parentState:t}){if(!t)throw new Error("SceneCSSGridItem must be a child of SceneCSSGridLayout");const{body:n,isHidden:r}=e.useState(),a=(i=e.state,(0,o.useMemo)((()=>{const e={};return e.gridColumn=i.gridColumn||"unset",e.gridRow=i.gridRow||"unset",e.position="relative",(0,cn.css)(e)}),[i]));var i;return!n||r?null:s().createElement("div",{className:a},s().createElement(n.Component,{model:n}))};var cg=Object.defineProperty,ug=Object.getOwnPropertySymbols,dg=Object.prototype.hasOwnProperty,pg=Object.prototype.propertyIsEnumerable,fg=(e,t,n)=>t in e?cg(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,hg=(e,t)=>{for(var n in t||(t={}))dg.call(t,n)&&fg(e,n,t[n]);if(ug)for(var n of ug(t))pg.call(t,n)&&fg(e,n,t[n]);return e};const mg=new Set(["ArrowUp","ArrowDown"]),gg=new Set(["ArrowLeft","ArrowRight"]),bg={row:{dim:"width",axis:"clientX",min:"minWidth",max:"maxWidth"},column:{dim:"height",axis:"clientY",min:"minHeight",max:"maxHeight"}};function vg({direction:e="row",handleSize:t=32,initialSize:n="auto",primaryPaneStyles:r,secondaryPaneStyles:a,onDragFinished:i,children:l}){const c=s().Children.toArray(l),u=(0,o.useRef)(null),d=(0,o.useRef)(null),p=(0,o.useRef)(null),f=(0,o.useRef)(null),h=(0,o.useRef)(null),m=(0,o.useRef)("1fr"),g=(0,o.useRef)(void 0),b=(0,o.useRef)(void 0),v=bg[e].dim,y=bg[e].axis,w=bg[e].min,S=bg[e].max;!function(e,t,n=0,r){const a=(0,fe.throttle)(t,n);(0,o.useLayoutEffect)((()=>{if(!e)return;const t=new ResizeObserver(a);return t.observe(e,{box:"device-pixel-content-box"}),()=>t.disconnect()}),r)}(f.current,(e=>{for(const t of e){if(!t.target.isSameNode(f.current))return;const e=d.current.getBoundingClientRect()[v],n=wg(d.current);u.current.ariaValueNow=`${(0,fe.clamp)((e-n[w])/(n[S]-n[w])*100,0,100)}`}}),500,[S,w,e,v]);const x=(0,o.useRef)(null),E=(0,o.useCallback)((e=>{m.current=d.current.getBoundingClientRect()[v],h.current=f.current.getBoundingClientRect()[v],x.current=e[y],u.current.setPointerCapture(e.pointerId),g.current=wg(d.current),b.current=void 0}),[v,y]),A=(0,o.useCallback)((e=>{if(null!==x.current&&"1fr"!==m.current){const n=e[y]-x.current,r=g.current,a=(0,fe.clamp)(m.current+n,r[w],r[S]),o=a/(h.current-t);d.current.style.flexGrow=`${o}`,p.current.style.flexGrow=""+(1-o);const i=(0,fe.clamp)((a-r[w])/(r[S]-r[w])*100,0,100);u.current.ariaValueNow=`${i}`}}),[t,y,w,S]),C=(0,o.useCallback)((e=>{e.preventDefault(),e.stopPropagation(),u.current.releasePointerCapture(e.pointerId),x.current=null,null==i||i(parseFloat(d.current.style.flexGrow))}),[i]),O=(0,o.useRef)(new Set),R=(0,o.useRef)(null),D=(0,o.useCallback)((n=>{var r;if(0===O.current.size)return void(R.current=null);if("1fr"===m.current)return;const a=.3*(n-(null!=(r=R.current)?r:n));let o=0;"row"===e?(O.current.has("ArrowLeft")&&(o-=a),O.current.has("ArrowRight")&&(o+=a)):(O.current.has("ArrowUp")&&(o-=a),O.current.has("ArrowDown")&&(o+=a));const i=g.current,s=d.current.getBoundingClientRect()[v],l=(0,fe.clamp)(s+o,i[w],i[S]),c=l/(h.current-t);d.current.style.flexGrow=`${c}`,p.current.style.flexGrow=""+(1-c);const f=(l-i[w])/(i[S]-i[w])*100;u.current.ariaValueNow=`${(0,fe.clamp)(f,0,100)}`,R.current=n,window.requestAnimationFrame(D)}),[e,t,w,S,v]),I=(0,o.useCallback)((n=>{if("Enter"!==n.key){if("Home"===n.key){g.current=wg(d.current),h.current=f.current.getBoundingClientRect()[v];const e=g.current[w]/(h.current-t);return d.current.style.flexGrow=`${e}`,p.current.style.flexGrow=""+(1-e),void(u.current.ariaValueNow="0")}if("End"===n.key){g.current=wg(d.current),h.current=f.current.getBoundingClientRect()[v];const e=g.current[S]/(h.current-t);return d.current.style.flexGrow=`${e}`,p.current.style.flexGrow=""+(1-e),void(u.current.ariaValueNow="100")}if(("column"===e&&mg.has(n.key)||"row"===e&&gg.has(n.key))&&!O.current.has(n.key)&&(b.current=void 0,n.preventDefault(),n.stopPropagation(),m.current=d.current.getBoundingClientRect()[v],h.current=f.current.getBoundingClientRect()[v],g.current=wg(d.current),!O.current.has(n.key))){const e=0===O.current.size;O.current.add(n.key),e&&window.requestAnimationFrame(D)}}else void 0===b.current?(b.current=d.current.style.flexGrow,d.current.style.flexGrow="0",p.current.style.flexGrow="1"):(d.current.style.flexGrow=b.current,p.current.style.flexGrow=""+(1-parseFloat(b.current)),b.current=void 0)}),[e,D,t,S,v,w]),P=(0,o.useCallback)((t=>{"row"===e&&!gg.has(t.key)||"column"===e&&!mg.has(t.key)||(O.current.delete(t.key),null==i||i(parseFloat(d.current.style.flexGrow)))}),[e,i]),_=(0,o.useCallback)((()=>{d.current.style.flexGrow="0.5",p.current.style.flexGrow="0.5";const e=wg(d.current);g.current=e,m.current=d.current.getBoundingClientRect()[v],u.current.ariaValueNow=""+(m.current-e[w])/(e[S]-e[w])*100}),[S,v,w]),T=(0,o.useCallback)((()=>{O.current.size>0&&(O.current.clear(),x.current=null,null==i||i(parseFloat(d.current.style.flexGrow)))}),[i]),k=(0,on.useStyles2)(yg),M=wh(),B=2===c.length?"visible":"hidden";return s().createElement("div",{ref:f,className:k.container,style:{flexDirection:e}},s().createElement("div",{ref:d,className:k.panel,style:hg({flexGrow:"auto"===n?.5:(0,fe.clamp)(n,0,1),[w]:"min-content"},r),id:`start-panel-${M}`},c[0]),c[1]&&s().createElement(s().Fragment,null,s().createElement("div",{ref:u,style:{[v]:`${t}px`},className:(0,cn.cx)(k.handle,{[k.handleHorizontal]:"column"===e}),onPointerUp:C,onPointerDown:E,onPointerMove:A,onKeyDown:I,onKeyUp:P,onDoubleClick:_,onBlur:T,role:"separator","aria-valuemin":0,"aria-valuemax":100,"aria-valuenow":50,"aria-controls":`start-panel-${M}`,"aria-label":"Pane resize widget",tabIndex:0}),s().createElement("div",{ref:p,className:k.panel,style:hg({flexGrow:"auto"===n?.5:(0,fe.clamp)(1-n,0,1),[w]:"min-content",visibility:`${B}`},a),id:`end-panel-${M}`},c[1])))}function yg(e){return{handle:(0,cn.css)({cursor:"col-resize",position:"relative",flexShrink:0,userSelect:"none","&::before":{content:'""',position:"absolute",backgroundColor:e.colors.primary.main,left:"50%",transform:"translate(-50%)",top:0,height:"100%",width:"1px",opacity:0,transition:"opacity ease-in-out 0.2s"},"&::after":{content:'""',width:"4px",borderRadius:"4px",backgroundColor:e.colors.border.weak,transition:"background-color ease-in-out 0.2s",height:"50%",top:"calc(50% - (50%) / 2)",transform:"translateX(-50%)",position:"absolute",left:"50%"},"&:hover, &:focus-visible":{outline:"none","&::before":{opacity:1},"&::after":{backgroundColor:e.colors.primary.main}}}),handleHorizontal:(0,cn.css)({cursor:"row-resize","&::before":{left:"inherit",transform:"translateY(-50%)",top:"50%",height:"1px",width:"100%"},"&::after":{width:"50%",height:"4px",top:"50%",transform:"translateY(-50%)",left:"calc(50% - (50%) / 2)"}}),container:(0,cn.css)({display:"flex",width:"100%",flexGrow:1,overflow:"hidden"}),panel:(0,cn.css)({display:"flex",position:"relative",flexBasis:0})}}function wg(e){if(null===e)return;const t=document.body.style.overflow,n=e.style.width,r=e.style.height,a=e.style.flexGrow;document.body.style.overflow="hidden",e.style.flexGrow="0";const{width:o,height:i}=e.getBoundingClientRect();e.style.flexGrow="100";const{width:s,height:l}=e.getBoundingClientRect();return document.body.style.overflow=t,e.style.width=n,e.style.height=r,e.style.flexGrow=a,{minWidth:o,maxWidth:s,minHeight:i,maxHeight:l}}class Sg extends J{toggleDirection(){this.setState({direction:"row"===this.state.direction?"column":"row"})}isDraggable(){return!1}}Sg.Component=function({model:e}){const{primary:t,secondary:n,direction:r,isHidden:a,initialSize:o,primaryPaneStyles:i,secondaryPaneStyles:l}=e.useState();if(a)return null;const c=t.Component,u=null==n?void 0:n.Component;let d=n?o:1;return s().createElement(vg,{direction:r,initialSize:null!=d?d:.5,primaryPaneStyles:i,secondaryPaneStyles:l},s().createElement(c,{key:t.state.key,model:t,parentState:e.state}),u&&n&&s().createElement(u,{key:n.state.key,model:n,parentState:e.state}))};class xg extends J{enrichDataRequest(){return{app:this.state.name||"app"}}}xg.Component=({model:e})=>{const{pages:t}=e.useState();return s().createElement(Eg.Provider,{value:e},s().createElement(l.Switch,null,t.map((e=>s().createElement(l.Route,{key:e.state.url,exact:!1,path:e.state.url,render:t=>b(e,t)})))))};const Eg=(0,o.createContext)(null),Ag=new Map;function Cg(e){const t=Ag.get(e);if(t)return t;const n=e();return Ag.set(e,n),n}var Og=Object.defineProperty,Rg=Object.getOwnPropertySymbols,Dg=Object.prototype.hasOwnProperty,Ig=Object.prototype.propertyIsEnumerable,Pg=(e,t,n)=>t in e?Og(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class _g extends J{}function Tg({node:e}){const t=e.useState(),n=(0,on.useStyles2)(kg);return s().createElement("div",{className:n.container},Object.keys(t).map((r=>s().createElement("div",{className:n.row,key:r},s().createElement("div",{className:n.keyName},r),s().createElement("div",{className:n.value},function(e,t,n){if(null===t)return"null";switch(typeof t){case"number":return s().createElement(on.Input,{type:"number",defaultValue:t,onBlur:t=>n.setState({[e]:t.currentTarget.valueAsNumber})});case"string":return s().createElement(on.Input,{type:"text",defaultValue:t,onBlur:t=>n.setState({[e]:t.currentTarget.value})});case"object":return Ct(t)?t.constructor.name:(0,fe.isPlainObject)(t)||(0,fe.isArray)(t)?s().createElement(on.JSONFormatter,{json:t,open:0}):String(t);default:return typeof t}}(r,t[r],e))))))}function kg(e){return{container:(0,cn.css)({flexGrow:1,display:"flex",gap:e.spacing(.5),flexDirection:"column"}),row:(0,cn.css)({display:"flex",gap:e.spacing(2)}),keyName:(0,cn.css)({display:"flex",flexGrow:"0",width:120,alignItems:"center",height:e.spacing(e.components.height.md)}),value:(0,cn.css)({flexGrow:1,minHeight:e.spacing(e.components.height.md),display:"flex",alignItems:"center"})}}function Mg({node:e,selectedObject:t,onSelect:n}){const r=(0,on.useStyles2)(Bg),a=[],o=e===t;return e.forEachChild((e=>{a.push(s().createElement(Mg,{node:e,key:e.state.key,selectedObject:t,onSelect:n}))})),s().createElement("div",{className:r.container},s().createElement("div",{className:(0,cn.cx)(r.name,o&&r.selected),onClick:()=>n(e)},e.constructor.name),s().createElement("div",{className:r.children},a))}function Bg(e){return{container:(0,cn.css)({flexGrow:1,display:"flex",gap:e.spacing(.5),flexDirection:"column"}),name:(0,cn.css)({flexGrow:1,display:"flex",gap:e.spacing(1),fontSize:e.typography.bodySmall.fontSize,cursor:"pointer",padding:e.spacing(0,1),borderRadius:e.shape.borderRadius(2),position:"relative","&:hover":{background:e.colors.background.secondary}}),selected:(0,cn.css)({"&::before":{display:"block",content:"' '",position:"absolute",left:0,width:4,bottom:2,top:2,borderRadius:e.shape.radius.default,backgroundImage:e.colors.gradients.brandVertical}}),children:(0,cn.css)({flexGrow:1,display:"flex",flexDirection:"column",paddingLeft:e.spacing(1)})}}function Lg({scene:e}){const t=(0,on.useStyles2)(Ng),[n,r]=(0,o.useState)(!1),[a,i]=(0,o.useState)();return s().createElement(s().Fragment,null,s().createElement(on.ToolbarButton,{variant:"canvas",icon:"bug",onClick:()=>r(!0)}),n&&s().createElement(on.Drawer,{title:"Scene debugger",onClose:()=>r(!1),size:"lg"},s().createElement("div",{className:t.panes},s().createElement("div",{className:t.pane1},s().createElement("div",{className:t.paneHeading},"Scene graph"),s().createElement(on.CustomScrollbar,{autoHeightMin:"100%"},s().createElement("div",{className:t.treeWrapper},s().createElement(Mg,{node:e,selectedObject:a,onSelect:i})))),s().createElement("div",{className:t.pane2},s().createElement("div",{className:t.paneHeading},"Object details"),a&&s().createElement(Tg,{node:a})))))}function Ng(e){return{panes:(0,cn.css)({flexGrow:1,display:"flex",height:"100%",flexDirection:"row",marginTop:e.spacing(-2)}),pane1:(0,cn.css)({flexGrow:0,display:"flex",height:"100%",flexDirection:"column",borderRight:`1px solid ${e.colors.border.weak}`}),pane2:(0,cn.css)({flexGrow:1,display:"flex",minHeight:"100%",flexDirection:"column",paddingLeft:e.spacing(2)}),treeWrapper:(0,cn.css)({paddingRight:e.spacing(2),height:"100%",marginLeft:e.spacing(-1)}),paneHeading:(0,cn.css)({padding:e.spacing(1,0),fontWeight:e.typography.fontWeightMedium})}}function jg({page:e,routeProps:t}){const n=function(e){return e.parent instanceof $g?e.parent:e}(e),r=n.useState(),a=function(){const e=(0,l.useLocation)();return(0,u.locationSearchToObject)(e.search||"")}(),i=e.getScene(t.match),c=(0,o.useContext)(Eg),d=r.initializedScene===i,{layout:p}=e.state,f=ct();(0,o.useLayoutEffect)((()=>{d||n.initializeScene(i)}),[i,n,d]),(0,o.useEffect)((()=>()=>n.setState({initializedScene:void 0})),[n]);const h=ah(n,null==c?void 0:c.state.urlSyncOptions);if(!d&&!h)return null;const m={text:r.title,img:r.titleImg,icon:r.titleIcon,url:g(r.url,f.getSearchObject(),r.preserveUrlKeys),hideFromBreadcrumbs:r.hideFromBreadcrumbs,parentItem:Fg(r.getParentPage?r.getParentPage():n.parent,a,f.getSearchObject())};r.tabs&&(m.children=r.tabs.map((t=>({text:t.state.title,icon:t.state.titleIcon,tabSuffix:t.state.tabSuffix,active:e===t,url:g(t.state.url,f.getSearchObject(),t.state.preserveUrlKeys),parentItem:m}))));let b=[];return r.controls&&(b=r.controls.map((e=>s().createElement(e.Component,{model:e,key:e.state.key})))),a["scene-debugger"]&&b.push(s().createElement(Lg,{scene:n,key:"scene-debugger"})),s().createElement(u.PluginPage,{layout:p,pageNav:m,actions:b,renderTitle:r.renderTitle,subTitle:r.subTitle},s().createElement(i.Component,{model:i}))}function Fg(e,t,n){if(e instanceof $g)return{text:e.state.title,url:g(e.state.url,n,e.state.preserveUrlKeys),hideFromBreadcrumbs:e.state.hideFromBreadcrumbs,parentItem:Fg(e.state.getParentPage?e.state.getParentPage():e.parent,t,n)}}function Vg({drilldown:e,parent:t,routeProps:n}){return b(t.getDrilldownPage(e,n.match),n)}_g.Component=({model:e})=>{const{component:t,props:n,reactNode:r}=e.useState();return t?s().createElement(t,((e,t)=>{for(var n in t||(t={}))Dg.call(t,n)&&Pg(e,n,t[n]);if(Rg)for(var n of Rg(t))Ig.call(t,n)&&Pg(e,n,t[n]);return e})({},n)):r||null};class $g extends J{constructor(e){super(e),this._sceneCache=new Map,this._drilldownCache=new Map}initializeScene(e){this.setState({initializedScene:e})}getScene(e){let t=this._sceneCache.get(e.url);if(t)return t;if(!this.state.getScene)throw new Error("Missing getScene on SceneAppPage "+this.state.title);return t=this.state.getScene(e),this._sceneCache.set(e.url,t),t}getDrilldownPage(e,t){let n=this._drilldownCache.get(t.url);return n||(n=e.getPage(t,this),this._drilldownCache.set(t.url,n),n)}enrichDataRequest(e){if(this.state.getParentPage)return this.state.getParentPage().enrichDataRequest(e);if(!this.parent)return null;const t=this.getRoot();return Ot(t)?t.enrichDataRequest(e):null}}$g.Component=function({model:e,routeProps:t}){var n,r;const{tabs:a,drilldowns:o}=e.useState(),i=[];if(a&&a.length>0)for(let t=0;t<a.length;t++){const o=a[t];if(0===t&&i.push(s().createElement(l.Route,{exact:!0,key:e.state.url,path:null!=(n=e.state.routePath)?n:e.state.url,render:e=>b(o,e)})),i.push(s().createElement(l.Route,{exact:!0,key:o.state.url,path:null!=(r=o.state.routePath)?r:o.state.url,render:e=>b(o,e)})),o.state.drilldowns)for(const e of o.state.drilldowns)i.push(s().createElement(l.Route,{exact:!1,key:e.routePath,path:e.routePath,render:t=>s().createElement(Vg,{drilldown:e,parent:o,routeProps:t})}))}if(o)for(const t of o)i.push(s().createElement(l.Route,{key:t.routePath,exact:!1,path:t.routePath,render:n=>s().createElement(Vg,{drilldown:t,parent:e,routeProps:n})}));return!a&&(c=e,(u=t.match).isExact&&(u.url===c.state.url||c.parent instanceof $g&&c.parent.state.tabs[0]===c&&c.parent.state.url===u.url))?s().createElement(jg,{page:e,routeProps:t}):(i.push(function(e,t){return s().createElement(l.Route,{key:"fallback route",render:n=>{var r,a,o;const i=null!=(o=null==(a=(r=e.state).getFallbackPage)?void 0:a.call(r))?o:new $g({url:"",title:"Not found",subTitle:"The url did not match any page",getScene:()=>new ih({body:new Jm({direction:"column",children:[new eg({body:new _g({component:()=>s().createElement("div",{"data-testid":"default-fallback-content"},"If you found your way here using a link then there might be a bug in this application.")})})]})})});return s().createElement(jg,{page:i,routeProps:t})}})}(e,t)),s().createElement(l.Switch,null,i));var c,u};var zg=(e=>(e.Always="always",e.Auto="auto",e.Never="never",e))(zg||{}),Ug=(e=>(e.Hue="hue",e.None="none",e.Opacity="opacity",e.Scheme="scheme",e))(Ug||{}),Wg=(e=>(e.None="none",e.Normal="normal",e.Percent="percent",e))(Wg||{}),Hg=(e=>(e.Auto="auto",e.Horizontal="horizontal",e.Vertical="vertical",e))(Hg||{}),Gg=(e=>(e.Background="background",e.BackgroundSolid="background_solid",e.None="none",e.Value="value",e))(Gg||{}),qg=(e=>(e.Area="area",e.Line="line",e.None="none",e))(qg||{}),Qg=(e=>(e.Auto="auto",e.Center="center",e))(Qg||{}),Yg=(e=>(e.Auto="auto",e.Name="name",e.None="none",e.Value="value",e.ValueAndName="value_and_name",e))(Yg||{}),Xg=(e=>(e.Inverted="inverted",e.SameAsValue="same_as_value",e.Standard="standard",e))(Xg||{}),Kg=(e=>(e.Multi="multi",e.None="none",e.Single="single",e))(Kg||{}),Zg=(e=>(e.Basic="basic",e.Gradient="gradient",e.Lcd="lcd",e))(Zg||{}),Jg=(e=>(e.Color="color",e.Hidden="hidden",e.Text="text",e))(Jg||{}),eb=(e=>(e.Auto="auto",e.Hidden="hidden",e.Left="left",e.Top="top",e))(eb||{}),tb=(e=>(e.Auto="auto",e.Manual="manual",e))(tb||{}),nb=(e=>(e.Auto="auto",e.Lg="lg",e.Md="md",e.Sm="sm",e))(nb||{});const rb={barRadius:0,barWidth:.97,fullHighlight:!1,groupWidth:.7,orientation:Hg.Auto,showValue:zg.Auto,stacking:Wg.None,xTickLabelRotation:0,xTickLabelSpacing:0},ab={fillOpacity:80,gradientMode:Ug.None,lineWidth:1},ob={displayMode:Zg.Gradient,maxVizHeight:300,minVizHeight:16,minVizWidth:8,namePlacement:eb.Auto,showUnfilled:!0,sizing:tb.Auto,valueMode:Jg.Color},ib={selectedSeries:0},sb={minVizHeight:75,minVizWidth:75,showThresholdLabels:!1,showThresholdMarkers:!0,sizing:tb.Auto},lb={layers:[]},cb={calculate:!1,cellGap:1,cellValues:{},color:{scheme:"Oranges",fill:"dark-orange",reverse:!1,exponent:.5,steps:64},exemplars:{color:"rgba(255,0,255,0.7)"},filterValues:{le:1e-9},legend:{show:!0},selectionMode:"x",showValue:zg.Auto,tooltip:{mode:Kg.Single,yHistogram:!1,showColorScale:!1}},ub={bucketCount:30,bucketOffset:0},db={fillOpacity:80,gradientMode:Ug.None,lineWidth:1},pb={showImage:!0},fb={displayLabels:[]},hb={colorMode:Gg.Value,graphMode:qg.Area,justifyMode:Qg.Auto,percentChangeColorMode:Xg.Standard,showPercentChange:!1,textMode:Yg.Auto,wideLayout:!0},mb={alignValue:"left",mergeValues:!0,perPage:20,rowHeight:.9,showValue:zg.Auto},gb={fillOpacity:70,lineWidth:0},bb={colWidth:.9,rowHeight:.9,showValue:zg.Auto},vb={fillOpacity:70,lineWidth:1},yb={cellHeight:nb.Sm,footer:{show:!1,countRows:!1,reducer:[]},frameIndex:0,showHeader:!0,showTypeIcons:!1,sortBy:[]},wb={content:"# Title\n\nFor markdown syntax help: [commonmark.org/help](https://commonmark.org/help/)",mode:"markdown"},Sb={label:zg.Auto,show:"points"},xb={series:[]};class Eb{constructor(){this._overrides=[]}overrideColor(e){return this._overrides[this._overrides.length-1].properties.push({id:"color",value:e}),this}overrideDecimals(e){return this._overrides[this._overrides.length-1].properties.push({id:"decimals",value:e}),this}overrideDisplayName(e){return this._overrides[this._overrides.length-1].properties.push({id:"displayName",value:e}),this}overrideFilterable(e){return this._overrides[this._overrides.length-1].properties.push({id:"filterable",value:e}),this}overrideLinks(e){return this._overrides[this._overrides.length-1].properties.push({id:"links",value:e}),this}overrideMappings(e){return this._overrides[this._overrides.length-1].properties.push({id:"mappings",value:e}),this}overrideMax(e){return this._overrides[this._overrides.length-1].properties.push({id:"max",value:e}),this}overrideMin(e){return this._overrides[this._overrides.length-1].properties.push({id:"min",value:e}),this}overrideNoValue(e){return this._overrides[this._overrides.length-1].properties.push({id:"noValue",value:e}),this}overrideThresholds(e){return this._overrides[this._overrides.length-1].properties.push({id:"thresholds",value:e}),this}overrideUnit(e){return this._overrides[this._overrides.length-1].properties.push({id:"unit",value:e}),this}}class Ab extends Eb{match(e){return this._overrides.push({matcher:e,properties:[]}),this}matchFieldsWithName(e){return this._overrides.push({matcher:{id:c.FieldMatcherID.byName,options:e},properties:[]}),this}matchFieldsWithNameByRegex(e){return this._overrides.push({matcher:{id:c.FieldMatcherID.byRegexp,options:e},properties:[]}),this}matchFieldsByType(e){return this._overrides.push({matcher:{id:c.FieldMatcherID.byType,options:e},properties:[]}),this}matchFieldsByQuery(e){return this._overrides.push({matcher:{id:c.FieldMatcherID.byFrameRefID,options:e},properties:[]}),this}matchFieldsByValue(e){return this._overrides.push({matcher:{id:c.FieldMatcherID.byValue,options:e},properties:[]}),this}matchComparisonQuery(e){return this.matchFieldsByQuery(Tm(e))}overrideCustomFieldConfig(e,t){const n=`custom.${String(e)}`;return this._overrides[this._overrides.length-1].properties.push({id:n,value:t}),this}build(){return this._overrides}}var Cb=Object.defineProperty,Ob=Object.defineProperties,Rb=Object.getOwnPropertyDescriptors,Db=Object.getOwnPropertySymbols,Ib=Object.prototype.hasOwnProperty,Pb=Object.prototype.propertyIsEnumerable,_b=(e,t,n)=>t in e?Cb(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Tb=(e,t)=>{for(var n in t||(t={}))Ib.call(t,n)&&_b(e,n,t[n]);if(Db)for(var n of Db(t))Pb.call(t,n)&&_b(e,n,t[n]);return e},kb=(e,t)=>Ob(e,Rb(t));class Mb{constructor(e){this.defaultFieldConfig=e,this._fieldConfig={defaults:{},overrides:[]},this._overridesBuilder=new Ab,this.setDefaults()}setDefaults(){const e={defaults:{custom:this.defaultFieldConfig?(0,fe.cloneDeep)(this.defaultFieldConfig()):{}},overrides:[]};this._fieldConfig=e}setColor(e){return this.setFieldConfigDefaults("color",e)}setDecimals(e){return this.setFieldConfigDefaults("decimals",e)}setDisplayName(e){return this.setFieldConfigDefaults("displayName",e)}setFilterable(e){return this.setFieldConfigDefaults("filterable",e)}setLinks(e){return this.setFieldConfigDefaults("links",e)}setMappings(e){return this.setFieldConfigDefaults("mappings",e)}setMax(e){return this.setFieldConfigDefaults("max",e)}setMin(e){return this.setFieldConfigDefaults("min",e)}setNoValue(e){return this.setFieldConfigDefaults("noValue",e)}setThresholds(e){return this.setFieldConfigDefaults("thresholds",e)}setUnit(e){return this.setFieldConfigDefaults("unit",e)}setCustomFieldConfig(e,t){return this._fieldConfig.defaults=kb(Tb({},this._fieldConfig.defaults),{custom:(0,fe.merge)(this._fieldConfig.defaults.custom,{[e]:t})}),this}setOverrides(e){return e(this._overridesBuilder),this}setFieldConfigDefaults(e,t){return this._fieldConfig.defaults=kb(Tb({},this._fieldConfig.defaults),{[e]:t}),this}build(){return{defaults:this._fieldConfig.defaults,overrides:this._overridesBuilder.build()}}}class Bb{constructor(e){this.defaultOptions=e,this._options={},this.setDefaults()}setDefaults(){this._options=this.defaultOptions?(0,fe.cloneDeep)(this.defaultOptions()):{}}setOption(e,t){return this._options=(0,fe.merge)(this._options,{[e]:t}),this}build(){return this._options}}var Lb=Object.defineProperty,Nb=Object.defineProperties,jb=Object.getOwnPropertyDescriptors,Fb=Object.getOwnPropertySymbols,Vb=Object.prototype.hasOwnProperty,$b=Object.prototype.propertyIsEnumerable,zb=(e,t,n)=>t in e?Lb(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;class Ub{constructor(e,t,n,r){this._state={},this._state.title="",this._state.description="",this._state.displayMode="default",this._state.hoverHeader=!1,this._state.pluginId=e,this._state.pluginVersion=t,this._fieldConfigBuilder=new Mb(r),this._panelOptionsBuilder=new Bb(n)}setTitle(e){return this._state.title=e,this}setDescription(e){return this._state.description=e,this}setDisplayMode(e){return this._state.displayMode=e,this}setHoverHeader(e){return this._state.hoverHeader=e,this}setShowMenuAlways(e){return this._state.showMenuAlways=e,this}setMenu(e){return this._state.menu=e,this}setHeaderActions(e){return this._state.headerActions=e,this}setCollapsible(e){return this._state.collapsible=e,this}setCollapsed(e){return this._state.collapsed=e,this}setColor(e){return this._fieldConfigBuilder.setColor(e),this}setDecimals(e){return this._fieldConfigBuilder.setDecimals(e),this}setDisplayName(e){return this._fieldConfigBuilder.setDisplayName(e),this}setFilterable(e){return this._fieldConfigBuilder.setFilterable(e),this}setLinks(e){return this._fieldConfigBuilder.setLinks(e),this}setMappings(e){return this._fieldConfigBuilder.setMappings(e),this}setMax(e){return this._fieldConfigBuilder.setMax(e),this}setMin(e){return this._fieldConfigBuilder.setMin(e),this}setNoValue(e){return this._fieldConfigBuilder.setNoValue(e),this}setThresholds(e){return this._fieldConfigBuilder.setThresholds(e),this}setUnit(e){return this._fieldConfigBuilder.setUnit(e),this}setCustomFieldConfig(e,t){return this._fieldConfigBuilder.setCustomFieldConfig(e,t),this}setOverrides(e){return this._fieldConfigBuilder.setOverrides(e),this}setOption(e,t){return this._panelOptionsBuilder.setOption(e,t),this}setData(e){return this._state.$data=e,this}setTimeRange(e){return this._state.$timeRange=e,this}setVariables(e){return this._state.$variables=e,this}setBehaviors(e){return this._state.$behaviors=e,this}setSeriesLimit(e){return this._state.seriesLimit=e,this}applyMixin(e){return e(this),this}build(){const e=new Pu((t=((e,t)=>{for(var n in t||(t={}))Vb.call(t,n)&&zb(e,n,t[n]);if(Fb)for(var n of Fb(t))$b.call(t,n)&&zb(e,n,t[n]);return e})({},this._state),n={options:this._panelOptionsBuilder.build(),fieldConfig:this._fieldConfigBuilder.build()},Nb(t,jb(n))));var t,n;return e}}const Wb={barchart:()=>new Ub("barchart","10.0.0",(()=>rb),(()=>ab)),bargauge:()=>new Ub("bargauge","10.0.0",(()=>ob)),datagrid:()=>new Ub("datagrid","10.0.0",(()=>ib)),flamegraph:()=>new Ub("flamegraph","10.0.0"),gauge:()=>new Ub("gauge","10.0.0",(()=>sb)),geomap:()=>new Ub("geomap","10.0.0",(()=>lb)),heatmap:()=>new Ub("heatmap","10.0.0",(()=>cb)),histogram:()=>new Ub("histogram","10.0.0",(()=>ub),(()=>db)),logs:()=>new Ub("logs","10.0.0"),news:()=>new Ub("news","10.0.0",(()=>pb)),nodegraph:()=>new Ub("nodeGraph","10.0.0"),piechart:()=>new Ub("piechart","10.0.0",(()=>fb)),stat:()=>new Ub("stat","10.0.0",(()=>hb)),statetimeline:()=>new Ub("state-timeline","10.0.0",(()=>mb),(()=>gb)),statushistory:()=>new Ub("status-history","10.0.0",(()=>bb),(()=>vb)),table:()=>new Ub("table","10.0.0",(()=>yb)),text:()=>new Ub("text","10.0.0",(()=>wb)),timeseries:()=>new Ub("timeseries","10.0.0"),trend:()=>new Ub("trend","10.0.0"),traces:()=>new Ub("traces","10.0.0"),xychart:()=>new Ub("xychart","10.0.0",(()=>xb),(()=>Sb))};class Hb{constructor(e,t,n,r){this._pluginId=e,this._pluginVersion=t,this._fieldConfigBuilder=new Mb(r),this._panelOptionsBuilder=new Bb(n)}setColor(e){return this._fieldConfigBuilder.setColor(e),this}setDecimals(e){return this._fieldConfigBuilder.setDecimals(e),this}setDisplayName(e){return this._fieldConfigBuilder.setDisplayName(e),this}setFilterable(e){return this._fieldConfigBuilder.setFilterable(e),this}setLinks(e){return this._fieldConfigBuilder.setLinks(e),this}setMappings(e){return this._fieldConfigBuilder.setMappings(e),this}setMax(e){return this._fieldConfigBuilder.setMax(e),this}setMin(e){return this._fieldConfigBuilder.setMin(e),this}setNoValue(e){return this._fieldConfigBuilder.setNoValue(e),this}setThresholds(e){return this._fieldConfigBuilder.setThresholds(e),this}setUnit(e){return this._fieldConfigBuilder.setUnit(e),this}setCustomFieldConfig(e,t){return this._fieldConfigBuilder.setCustomFieldConfig(e,t),this}setOverrides(e){return this._fieldConfigBuilder.setOverrides(e),this}setOption(e,t){return this._panelOptionsBuilder.setOption(e,t),this}build(){return{pluginId:this._pluginId,pluginVersion:this._pluginVersion,options:this._panelOptionsBuilder.build(),fieldConfig:this._fieldConfigBuilder.build()}}}const Gb={barchart:()=>new Hb("barchart","10.0.0",(()=>rb),(()=>ab)),bargauge:()=>new Hb("bargauge","10.0.0",(()=>ob)),datagrid:()=>new Hb("datagrid","10.0.0",(()=>ib)),flamegraph:()=>new Hb("flamegraph","10.0.0"),gauge:()=>new Hb("gauge","10.0.0",(()=>sb)),geomap:()=>new Hb("geomap","10.0.0",(()=>lb)),heatmap:()=>new Hb("heatmap","10.0.0",(()=>cb)),histogram:()=>new Hb("histogram","10.0.0",(()=>ub),(()=>db)),logs:()=>new Hb("logs","10.0.0"),news:()=>new Hb("news","10.0.0",(()=>pb)),nodegraph:()=>new Hb("nodeGraph","10.0.0"),piechart:()=>new Hb("piechart","10.0.0",(()=>fb)),stat:()=>new Hb("stat","10.0.0",(()=>hb)),statetimeline:()=>new Hb("state-timeline","10.0.0",(()=>mb),(()=>gb)),statushistory:()=>new Hb("status-history","10.0.0",(()=>bb),(()=>vb)),table:()=>new Hb("table","10.0.0",(()=>yb)),text:()=>new Hb("text","10.0.0",(()=>wb)),timeseries:()=>new Hb("timeseries","10.0.0"),trend:()=>new Hb("trend","10.0.0"),traces:()=>new Hb("traces","10.0.0"),xychart:()=>new Hb("xychart","10.0.0",(()=>xb),(()=>Sb))},qb={barchart:()=>new Bb((()=>rb)),bargauge:()=>new Bb((()=>ob)),datagrid:()=>new Bb((()=>ib)),flamegraph:()=>new Bb,gauge:()=>new Bb((()=>sb)),geomap:()=>new Bb((()=>lb)),heatmap:()=>new Bb((()=>cb)),histogram:()=>new Bb((()=>ub)),logs:()=>new Bb,news:()=>new Bb((()=>pb)),nodegraph:()=>new Bb,piechart:()=>new Bb((()=>fb)),stat:()=>new Bb((()=>hb)),statetimeline:()=>new Bb((()=>mb)),statushistory:()=>new Bb((()=>bb)),table:()=>new Bb((()=>yb)),text:()=>new Bb((()=>wb)),timeseries:()=>new Bb,trend:()=>new Bb,traces:()=>new Bb,xychart:()=>new Bb((()=>xb))},Qb={barchart:()=>new Mb((()=>ab)),bargauge:()=>new Mb,datagrid:()=>new Mb,flamegraph:()=>new Mb,gauge:()=>new Mb,geomap:()=>new Mb,heatmap:()=>new Mb,histogram:()=>new Mb((()=>db)),logs:()=>new Mb,news:()=>new Mb,nodegraph:()=>new Mb,piechart:()=>new Mb,stat:()=>new Mb,statetimeline:()=>new Mb((()=>gb)),statushistory:()=>new Mb((()=>vb)),table:()=>new Mb,text:()=>new Mb,timeseries:()=>new Mb,trend:()=>new Mb,traces:()=>new Mb,xychart:()=>new Mb((()=>Sb))},Yb={getUrlWithAppState:g,registerRuntimePanelPlugin:function({pluginId:e,plugin:t}){if(C.has(e))throw new Error(`A runtime panel plugin with id ${e} has already been registered`);var n;t.meta=(n=((e,t)=>{for(var n in t||(t={}))x.call(t,n)&&A(e,n,t[n]);if(S)for(var n of S(t))E.call(t,n)&&A(e,n,t[n]);return e})({},t.meta),y(n,w({id:e,name:e,module:"runtime plugin",baseUrl:"runtime plugin",info:{author:{name:"Runtime plugin "+e},description:"",links:[],logos:{large:"",small:""},screenshots:[],updated:"",version:""}}))),C.set(e,t)},registerRuntimeDataSource:pe,registerVariableMacro:function(e,t){if(Et.get(e))throw new Error(`Macro already registered ${e}`);return Et.set(e,t),()=>{Et.delete(e)}},cloneSceneObjectState:le,syncStateFromSearchParams:function(e,t){gc(e,t,new fc)},getUrlState:mc,renderPrometheusLabelFilters:hl,isAdHocVariable:function(e){return"adhoc"===e.state.type},isConstantVariable:function(e){return"constant"===e.state.type},isCustomVariable:function(e){return"custom"===e.state.type},isDataSourceVariable:function(e){return"datasource"===e.state.type},isIntervalVariable:function(e){return"interval"===e.state.type},isQueryVariable:function(e){return"query"===e.state.type},isTextBoxVariable:function(e){return"textbox"===e.state.type},isGroupByVariable:function(e){return"groupby"===e.state.type}}},7767:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>k});var r=n(7405),a=n(1705),o=n(4300),i=n(7850),s=n(694),l=n(4452),c=n.n(l),u=n(9273),d=n(4358);var p=n(5959),f=n(8102),h=n(9644);function m(e,t,n){return(e-t)/(n-t)}function g(e,t,n,r){var a=m(t,n,r),o={};switch(e){case"rtl":o.right="".concat(100*a,"%"),o.transform="translateX(50%)";break;case"btt":o.bottom="".concat(100*a,"%"),o.transform="translateY(50%)";break;case"ttb":o.top="".concat(100*a,"%"),o.transform="translateY(-50%)";break;default:o.left="".concat(100*a,"%"),o.transform="translateX(-50%)"}return o}function b(e,t){return Array.isArray(e)?e[t]:e}var v={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=v.F1&&t<=v.F12)return!1;switch(t){case v.ALT:case v.CAPS_LOCK:case v.CONTEXT_MENU:case v.CTRL:case v.DOWN:case v.END:case v.ESC:case v.HOME:case v.INSERT:case v.LEFT:case v.MAC_FF_META:case v.META:case v.NUMLOCK:case v.NUM_CENTER:case v.PAGE_DOWN:case v.PAGE_UP:case v.PAUSE:case v.PRINT_SCREEN:case v.RIGHT:case v.SHIFT:case v.UP:case v.WIN_KEY:case v.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=v.ZERO&&e<=v.NINE)return!0;if(e>=v.NUM_ZERO&&e<=v.NUM_MULTIPLY)return!0;if(e>=v.A&&e<=v.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case v.SPACE:case v.QUESTION_MARK:case v.NUM_PLUS:case v.NUM_MINUS:case v.NUM_PERIOD:case v.NUM_DIVISION:case v.SEMICOLON:case v.DASH:case v.EQUALS:case v.COMMA:case v.PERIOD:case v.SLASH:case v.APOSTROPHE:case v.SINGLE_QUOTE:case v.OPEN_SQUARE_BRACKET:case v.BACKSLASH:case v.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const y=v,w=p.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var S=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete","onFocus","onMouseEnter"];const x=p.forwardRef((function(e,t){var n,o=e.prefixCls,i=e.value,s=e.valueIndex,l=e.onStartMove,u=e.style,d=e.render,m=e.dragging,v=e.onOffsetChange,x=e.onChangeComplete,E=e.onFocus,A=e.onMouseEnter,C=(0,h.A)(e,S),O=p.useContext(w),R=O.min,D=O.max,I=O.direction,P=O.disabled,_=O.keyboard,T=O.range,k=O.tabIndex,M=O.ariaLabelForHandle,B=O.ariaLabelledByForHandle,L=O.ariaValueTextFormatterForHandle,N=O.styles,j=O.classNames,F="".concat(o,"-handle"),V=function(e){P||l(e,s)},$=g(I,i,R,D),z={};null!==s&&(z={tabIndex:P?null:b(k,s),role:"slider","aria-valuemin":R,"aria-valuemax":D,"aria-valuenow":i,"aria-disabled":P,"aria-label":b(M,s),"aria-labelledby":b(B,s),"aria-valuetext":null===(n=b(L,s))||void 0===n?void 0:n(i),"aria-orientation":"ltr"===I||"rtl"===I?"horizontal":"vertical",onMouseDown:V,onTouchStart:V,onFocus:function(e){null==E||E(e,s)},onMouseEnter:function(e){A(e,s)},onKeyDown:function(e){if(!P&&_){var t=null;switch(e.which||e.keyCode){case y.LEFT:t="ltr"===I||"btt"===I?-1:1;break;case y.RIGHT:t="ltr"===I||"btt"===I?1:-1;break;case y.UP:t="ttb"!==I?1:-1;break;case y.DOWN:t="ttb"!==I?-1:1;break;case y.HOME:t="min";break;case y.END:t="max";break;case y.PAGE_UP:t=2;break;case y.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),v(t,s))}},onKeyUp:function(e){switch(e.which||e.keyCode){case y.LEFT:case y.RIGHT:case y.UP:case y.DOWN:case y.HOME:case y.END:case y.PAGE_UP:case y.PAGE_DOWN:null==x||x()}}});var U=p.createElement("div",(0,f.A)({ref:t,className:c()(F,(0,a.A)((0,a.A)({},"".concat(F,"-").concat(s+1),null!==s&&T),"".concat(F,"-dragging"),m),j.handle),style:(0,r.A)((0,r.A)((0,r.A)({},$),u),N.handle)},z,C));return d&&(U=d(U,{index:s,prefixCls:o,value:i,dragging:m})),U}));var E=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","activeHandleRender","draggingIndex","onFocus"];const A=p.forwardRef((function(e,t){var n=e.prefixCls,a=e.style,o=e.onStartMove,s=e.onOffsetChange,l=e.values,c=e.handleRender,u=e.activeHandleRender,d=e.draggingIndex,m=e.onFocus,g=(0,h.A)(e,E),v=p.useRef({});p.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=v.current[e])||void 0===t||t.focus()}}}));var y=p.useState(-1),w=(0,i.A)(y,2),S=w[0],A=w[1],C=(0,r.A)({prefixCls:n,onStartMove:o,onOffsetChange:s,render:c,onFocus:function(e,t){A(t),null==m||m(e)},onMouseEnter:function(e,t){A(t)}},g);return p.createElement(p.Fragment,null,l.map((function(e,t){return p.createElement(x,(0,f.A)({ref:function(e){e?v.current[t]=e:delete v.current[t]},dragging:d===t,style:b(a,t),key:t,value:e,valueIndex:t},C))})),u&&p.createElement(x,(0,f.A)({key:"a11y"},C,{value:l[S],valueIndex:null,dragging:-1!==d,render:u,style:{pointerEvents:"none"},tabIndex:null,"aria-hidden":!0})))})),C=function(e){var t=e.prefixCls,n=e.style,o=e.children,i=e.value,s=e.onClick,l=p.useContext(w),u=l.min,d=l.max,f=l.direction,h=l.includedStart,m=l.includedEnd,b=l.included,v="".concat(t,"-text"),y=g(f,i,u,d);return p.createElement("span",{className:c()(v,(0,a.A)({},"".concat(v,"-active"),b&&h<=i&&i<=m)),style:(0,r.A)((0,r.A)({},y),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){s(i)}},o)},O=function(e){var t=e.prefixCls,n=e.marks,r=e.onClick,a="".concat(t,"-mark");return n.length?p.createElement("div",{className:a},n.map((function(e){var t=e.value,n=e.style,o=e.label;return p.createElement(C,{key:t,prefixCls:a,style:n,value:t,onClick:r},o)}))):null},R=function(e){var t=e.prefixCls,n=e.value,o=e.style,i=e.activeStyle,s=p.useContext(w),l=s.min,u=s.max,d=s.direction,f=s.included,h=s.includedStart,m=s.includedEnd,b="".concat(t,"-dot"),v=f&&h<=n&&n<=m,y=(0,r.A)((0,r.A)({},g(d,n,l,u)),"function"==typeof o?o(n):o);return v&&(y=(0,r.A)((0,r.A)({},y),"function"==typeof i?i(n):i)),p.createElement("span",{className:c()(b,(0,a.A)({},"".concat(b,"-active"),v)),style:y})},D=function(e){var t=e.prefixCls,n=e.marks,r=e.dots,a=e.style,o=e.activeStyle,i=p.useContext(w),s=i.min,l=i.max,c=i.step,u=p.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==c)for(var t=s;t<=l;)e.add(t),t+=c;return Array.from(e)}),[s,l,c,r,n]);return p.createElement("div",{className:"".concat(t,"-step")},u.map((function(e){return p.createElement(R,{prefixCls:t,key:e,value:e,style:a,activeStyle:o})})))},I=function(e){var t=e.prefixCls,n=e.style,o=e.start,i=e.end,s=e.index,l=e.onStartMove,u=e.replaceCls,d=p.useContext(w),f=d.direction,h=d.min,g=d.max,b=d.disabled,v=d.range,y=d.classNames,S="".concat(t,"-track"),x=m(o,h,g),E=m(i,h,g),A=function(e){!b&&l&&l(e,-1)},C={};switch(f){case"rtl":C.right="".concat(100*x,"%"),C.width="".concat(100*E-100*x,"%");break;case"btt":C.bottom="".concat(100*x,"%"),C.height="".concat(100*E-100*x,"%");break;case"ttb":C.top="".concat(100*x,"%"),C.height="".concat(100*E-100*x,"%");break;default:C.left="".concat(100*x,"%"),C.width="".concat(100*E-100*x,"%")}var O=u||c()(S,(0,a.A)((0,a.A)({},"".concat(S,"-").concat(s+1),null!==s&&v),"".concat(t,"-track-draggable"),l),y.track);return p.createElement("div",{className:O,style:(0,r.A)((0,r.A)({},C),n),onMouseDown:A,onTouchStart:A})},P=function(e){var t=e.prefixCls,n=e.style,a=e.values,o=e.startPoint,i=e.onStartMove,s=p.useContext(w),l=s.included,u=s.range,d=s.min,f=s.styles,h=s.classNames,m=p.useMemo((function(){if(!u){if(0===a.length)return[];var e=null!=o?o:d,t=a[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<a.length-1;r+=1)n.push({start:a[r],end:a[r+1]});return n}),[a,u,o,d]);if(!l)return null;var g=h.tracks||f.tracks?p.createElement(I,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:c()(h.tracks,"".concat(t,"-tracks")),style:f.tracks}):null;return p.createElement(p.Fragment,null,g,m.map((function(e,a){var o=e.start,s=e.end;return p.createElement(I,{index:a,prefixCls:t,style:(0,r.A)((0,r.A)({},b(n,a)),f.track),start:o,end:s,key:a,onStartMove:i})})))};var _=n(291);function T(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}const k=p.forwardRef((function(e,t){var n=e.prefixCls,l=void 0===n?"rc-slider":n,f=e.className,h=e.style,m=e.classNames,g=e.styles,b=e.disabled,v=void 0!==b&&b,y=e.keyboard,S=void 0===y||y,x=e.autoFocus,E=e.onFocus,C=e.onBlur,R=e.min,I=void 0===R?0:R,k=e.max,M=void 0===k?100:k,B=e.step,L=void 0===B?1:B,N=e.value,j=e.defaultValue,F=e.range,V=e.count,$=e.onChange,z=e.onBeforeChange,U=e.onAfterChange,W=e.onChangeComplete,H=e.allowCross,G=void 0===H||H,q=e.pushable,Q=void 0!==q&&q,Y=e.draggableTrack,X=e.reverse,K=e.vertical,Z=e.included,J=void 0===Z||Z,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,ae=e.dotStyle,oe=e.activeDotStyle,ie=e.marks,se=e.dots,le=e.handleRender,ce=e.activeHandleRender,ue=e.tabIndex,de=void 0===ue?0:ue,pe=e.ariaLabelForHandle,fe=e.ariaLabelledByForHandle,he=e.ariaValueTextFormatterForHandle,me=p.useRef(null),ge=p.useRef(null),be=p.useMemo((function(){return K?X?"ttb":"btt":X?"rtl":"ltr"}),[X,K]),ve=p.useMemo((function(){return isFinite(I)?I:0}),[I]),ye=p.useMemo((function(){return isFinite(M)?M:100}),[M]),we=p.useMemo((function(){return null!==L&&L<=0?1:L}),[L]),Se=p.useMemo((function(){return"boolean"==typeof Q?!!Q&&we:Q>=0&&Q}),[Q,we]),xe=p.useMemo((function(){return Object.keys(ie||{}).map((function(e){var t=ie[e],n={value:Number(e)};return t&&"object"===(0,s.A)(t)&&!p.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ie]),Ee=function(e,t,n,r,a,i){var s=p.useCallback((function(n){return Math.max(e,Math.min(t,n))}),[e,t]),l=p.useCallback((function(r){if(null!==n){var a=e+Math.round((s(r)-e)/n)*n,o=function(e){return(String(e).split(".")[1]||"").length},i=Math.max(o(n),o(t),o(e)),l=Number(a.toFixed(i));return e<=l&&l<=t?l:null}return null}),[n,e,t,s]),c=p.useCallback((function(a){var o=s(a),i=r.map((function(e){return e.value}));null!==n&&i.push(l(a)),i.push(e,t);var c=i[0],u=t-e;return i.forEach((function(e){var t=Math.abs(o-e);t<=u&&(c=e,u=t)})),c}),[e,t,r,n,s,l]),u=function a(i,s,c){var u=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof s){var d,p=i[c],f=p+s,h=[];r.forEach((function(e){h.push(e.value)})),h.push(e,t),h.push(l(p));var m=s>0?1:-1;"unit"===u?h.push(l(p+m*n)):h.push(l(f)),h=h.filter((function(e){return null!==e})).filter((function(e){return s<0?e<=p:e>=p})),"unit"===u&&(h=h.filter((function(e){return e!==p})));var g="unit"===u?p:f;d=h[0];var b=Math.abs(d-g);if(h.forEach((function(e){var t=Math.abs(e-g);t<b&&(d=e,b=t)})),void 0===d)return s<0?e:t;if("dist"===u)return d;if(Math.abs(s)>1){var v=(0,o.A)(i);return v[c]=d,a(v,s-m,c,u)}return d}return"min"===s?e:"max"===s?t:void 0},d=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",a=e[n],o=u(e,t,n,r);return{value:o,changed:o!==a}},f=function(e){return null===i&&0===e||"number"==typeof i&&e<i};return[c,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e.map(c),s=o[n],l=u(o,t,n,r);if(o[n]=l,!1===a){var p=i||0;n>0&&o[n-1]!==s&&(o[n]=Math.max(o[n],o[n-1]+p)),n<o.length-1&&o[n+1]!==s&&(o[n]=Math.min(o[n],o[n+1]-p))}else if("number"==typeof i||null===i){for(var h=n+1;h<o.length;h+=1)for(var m=!0;f(o[h]-o[h-1])&&m;){var g=d(o,1,h);o[h]=g.value,m=g.changed}for(var b=n;b>0;b-=1)for(var v=!0;f(o[b]-o[b-1])&&v;){var y=d(o,-1,b-1);o[b-1]=y.value,v=y.changed}for(var w=o.length-1;w>0;w-=1)for(var S=!0;f(o[w]-o[w-1])&&S;){var x=d(o,-1,w-1);o[w-1]=x.value,S=x.changed}for(var E=0;E<o.length-1;E+=1)for(var A=!0;f(o[E+1]-o[E])&&A;){var C=d(o,1,E+1);o[E+1]=C.value,A=C.changed}}return{value:o[n],values:o}}]}(ve,ye,we,xe,G,Se),Ae=(0,i.A)(Ee,2),Ce=Ae[0],Oe=Ae[1],Re=(0,u.A)(j,{value:N}),De=(0,i.A)(Re,2),Ie=De[0],Pe=De[1],_e=p.useMemo((function(){var e=null==Ie?[]:Array.isArray(Ie)?Ie:[Ie],t=(0,i.A)(e,1)[0],n=null===Ie?[]:[void 0===t?ve:t];if(F){if(n=(0,o.A)(e),V||void 0===Ie){var r=V>=0?V+1:2;for(n=n.slice(0,r);n.length<r;){var a;n.push(null!==(a=n[n.length-1])&&void 0!==a?a:ve)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=Ce(e)})),n}),[Ie,F,ve,V,Ce]),Te=p.useRef(_e);Te.current=_e;var ke=function(e){return F?e:e[0]},Me=function(e){var t=(0,o.A)(e).sort((function(e,t){return e-t}));$&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,a){var o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,i=r.has(t);if((0,d.Ay)(!i,"Warning: There may be circular references"),i)return!1;if(t===a)return!0;if(n&&o>1)return!1;r.add(t);var l=o+1;if(Array.isArray(t)){if(!Array.isArray(a)||t.length!==a.length)return!1;for(var c=0;c<t.length;c++)if(!e(t[c],a[c],l))return!1;return!0}if(t&&a&&"object"===(0,s.A)(t)&&"object"===(0,s.A)(a)){var u=Object.keys(t);return u.length===Object.keys(a).length&&u.every((function(n){return e(t[n],a[n],l)}))}return!1}(e,t)}(t,Te.current,!0)&&$(ke(t)),Pe(t)},Be=function(){var e=ke(Te.current);null==U||U(e),(0,d.Ay)(!U,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==W||W(e)},Le=function(e,t,n,r,a,s,l,c,u){var d=p.useState(null),f=(0,i.A)(d,2),h=f[0],m=f[1],g=p.useState(-1),b=(0,i.A)(g,2),v=b[0],y=b[1],w=p.useState(n),S=(0,i.A)(w,2),x=S[0],E=S[1],A=p.useState(n),C=(0,i.A)(A,2),O=C[0],R=C[1],D=p.useRef(null),I=p.useRef(null);p.useLayoutEffect((function(){-1===v&&E(n)}),[n,v]),p.useEffect((function(){return function(){document.removeEventListener("mousemove",D.current),document.removeEventListener("mouseup",I.current),document.removeEventListener("touchmove",D.current),document.removeEventListener("touchend",I.current)}}),[]);var P=function(e,t){x.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&m(t),E(e),l(e))},k=(0,_._q)((function(e,t){if(-1===e){var n=O[0],i=O[O.length-1],l=r-n,c=a-i,d=t*(a-r);d=Math.max(d,l),d=Math.min(d,c);var p=s(n+d);d=p-n;var f=O.map((function(e){return e+d}));P(f)}else{var h=(a-r)*t,m=(0,o.A)(x);m[e]=O[e];var g=u(m,h,e,"dist");P(g.values,g.value)}})),M=p.useMemo((function(){var e=(0,o.A)(n).sort((function(e,t){return e-t})),t=(0,o.A)(x).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?x:n}),[n,x]);return[v,h,M,function(r,a,o){r.stopPropagation();var i=o||n,s=i[a];y(a),m(s),R(i);var l=T(r),u=l.pageX,d=l.pageY,p=function(n){n.preventDefault();var r,o=T(n),i=o.pageX,s=o.pageY,l=i-u,c=s-d,p=e.current.getBoundingClientRect(),f=p.width,h=p.height;switch(t){case"btt":r=-c/h;break;case"ttb":r=c/h;break;case"rtl":r=-l/f;break;default:r=l/f}k(a,r)},f=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",p),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",p),D.current=null,I.current=null,y(-1),c()};document.addEventListener("mouseup",f),document.addEventListener("mousemove",p),document.addEventListener("touchend",f),document.addEventListener("touchmove",p),D.current=p,I.current=f}]}(ge,be,_e,ve,ye,Ce,Me,Be,Oe),Ne=(0,i.A)(Le,4),je=Ne[0],Fe=Ne[1],Ve=Ne[2],$e=Ne[3],ze=function(e,t){if(!v){var n=0,r=ye-ve;_e.forEach((function(t,a){var o=Math.abs(e-t);o<=r&&(r=o,n=a)}));var a,i,s=(0,o.A)(_e);s[n]=e,F&&!_e.length&&void 0===V&&s.push(e),null==z||z(ke(s)),Me(s),t&&(null===(a=document.activeElement)||void 0===a||null===(i=a.blur)||void 0===i||i.call(a),me.current.focus(n),$e(t,n,s))}},Ue=p.useState(null),We=(0,i.A)(Ue,2),He=We[0],Ge=We[1];p.useEffect((function(){if(null!==He){var e=_e.indexOf(He);e>=0&&me.current.focus(e)}Ge(null)}),[He]);var qe=p.useMemo((function(){return(!Y||null!==we)&&Y}),[Y,we]),Qe=function(e,t){$e(e,t),null==z||z(ke(Te.current))},Ye=-1!==je;p.useEffect((function(){if(!Ye){var e=_e.lastIndexOf(Fe);me.current.focus(e)}}),[Ye]);var Xe=p.useMemo((function(){return(0,o.A)(Ve).sort((function(e,t){return e-t}))}),[Ve]),Ke=p.useMemo((function(){return F?[Xe[0],Xe[Xe.length-1]]:[ve,Xe[0]]}),[Xe,F,ve]),Ze=(0,i.A)(Ke,2),Je=Ze[0],et=Ze[1];p.useImperativeHandle(t,(function(){return{focus:function(){me.current.focus(0)},blur:function(){var e,t=document.activeElement;null!==(e=ge.current)&&void 0!==e&&e.contains(t)&&(null==t||t.blur())}}})),p.useEffect((function(){x&&me.current.focus(0)}),[]);var tt=p.useMemo((function(){return{min:ve,max:ye,direction:be,disabled:v,keyboard:S,step:we,included:J,includedStart:Je,includedEnd:et,range:F,tabIndex:de,ariaLabelForHandle:pe,ariaLabelledByForHandle:fe,ariaValueTextFormatterForHandle:he,styles:g||{},classNames:m||{}}}),[ve,ye,be,v,S,we,J,Je,et,F,de,pe,fe,he,g,m]);return p.createElement(w.Provider,{value:tt},p.createElement("div",{ref:ge,className:c()(l,f,(0,a.A)((0,a.A)((0,a.A)((0,a.A)({},"".concat(l,"-disabled"),v),"".concat(l,"-vertical"),K),"".concat(l,"-horizontal"),!K),"".concat(l,"-with-marks"),xe.length)),style:h,onMouseDown:function(e){e.preventDefault();var t,n=ge.current.getBoundingClientRect(),r=n.width,a=n.height,o=n.left,i=n.top,s=n.bottom,l=n.right,c=e.clientX,u=e.clientY;switch(be){case"btt":t=(s-u)/a;break;case"ttb":t=(u-i)/a;break;case"rtl":t=(l-c)/r;break;default:t=(c-o)/r}ze(Ce(ve+t*(ye-ve)),e)}},p.createElement("div",{className:c()("".concat(l,"-rail"),null==m?void 0:m.rail),style:(0,r.A)((0,r.A)({},re),null==g?void 0:g.rail)}),p.createElement(P,{prefixCls:l,style:te,values:Xe,startPoint:ee,onStartMove:qe?Qe:void 0}),p.createElement(D,{prefixCls:l,marks:xe,dots:se,style:ae,activeStyle:oe}),p.createElement(A,{ref:me,prefixCls:l,style:ne,values:Ve,draggingIndex:je,onStartMove:Qe,onOffsetChange:function(e,t){if(!v){var n=Oe(_e,e,t);null==z||z(ke(_e)),Me(n.values),Ge(n.value)}},onFocus:E,onBlur:C,handleRender:le,activeHandleRender:ce,onChangeComplete:Be}),p.createElement(O,{prefixCls:l,marks:xe,onClick:ze})))}))},9997:(e,t)=>{"use strict";t.createSelector=function(e,t){const n="string"==typeof e?()=>e:e;let r="aria-label";return t?r=t:n().startsWith("data-testid")&&(r="data-testid"),{selector:n,apply:(...e)=>({[r]:n(...e)})}},t.getJestSelectors=(e,t=[])=>n=>Object.entries(e).reduce(((e,[r,a])=>({...e,[r]:(e=!1,...o)=>{const i="object"==typeof a&&"selector"in a?a.selector:a,s="function"==typeof i?i(...o):i;return s.startsWith("data-testid")||t.includes(r)?e?n.queryByTestId(s):n.getByTestId(s):e?n.queryByLabelText(s):n.getByLabelText(s)}})),{})},8784:e=>{function t(e){var n,r,a="";if("string"==typeof e||"number"==typeof e)a+=e;else if("object"==typeof e)if(Array.isArray(e)){var o=e.length;for(n=0;n<o;n++)e[n]&&(r=t(e[n]))&&(a&&(a+=" "),a+=r)}else for(r in e)e[r]&&(a&&(a+=" "),a+=r);return a}function n(){for(var e,n,r=0,a="",o=arguments.length;r<o;r++)(e=arguments[r])&&(n=t(e))&&(a&&(a+=" "),a+=n);return a}e.exports=n,e.exports.clsx=n},6005:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(4942),a=n.n(r),o=n(278),i=n.n(o)()(a());i.push([e.id,".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n","",{version:3,sources:["webpack://./../node_modules/@volkovlabs/components/node_modules/rc-slider/assets/index.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;EACZ,cAAc;EACd,kBAAkB;EAClB,kBAAkB;EAClB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;;EAEE,kBAAkB;EAClB,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;EACE,UAAU;EACV,uBAAuB;EACvB,4BAA4B;EAC5B,sCAAsC;EACtC,yCAAyC;EACzC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,WAAW;EACX,YAAY;EACZ,gBAAgB;EAChB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;EACf,oBAAoB;EACpB,YAAY;EACZ,YAAY;EACZ,mBAAmB;AACrB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,aAAa;EACb,gBAAgB;AAClB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,qBAAqB;EACrB,iBAAiB;AACnB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,qBAAqB;EACrB,2BAA2B;EAC3B,wBAAwB;EACxB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,SAAS;EACT,OAAO;EACP,WAAW;EACX,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,qBAAqB;EACrB,WAAW;EACX,kBAAkB;EAClB,sBAAsB;EACtB,eAAe;AACjB;AACA;EACE,WAAW;AACb;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,uBAAuB;AACzB;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,UAAU;EACV,WAAW;EACX,sBAAsB;EACtB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;AACjB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,yBAAyB;AAC3B;AACA;EACE,sBAAsB;AACxB;AACA;;EAEE,sBAAsB;EACtB,kBAAkB;EAClB,gBAAgB;EAChB,mBAAmB;AACrB;AACA;;EAEE,8BAA8B;AAChC;AACA;EACE,WAAW;EACX,YAAY;EACZ,cAAc;AAChB;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,SAAS;EACT,SAAS;EACT,UAAU;AACZ;AACA;EACE,aAAa;EACb,gBAAgB;EAChB,wCAAwC;EACxC,uCAAuC;EACvC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,aAAa;EACb,iBAAiB;EACjB,mBAAmB;AACrB;AACA;EACE,MAAM;EACN,UAAU;EACV,YAAY;AACd;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,iBAAiB;AACnB;AACA;;EAEE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;EACE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;;EAEE,yCAAyC;EACzC,6BAA6B;AAC/B;AACA;EACE,0CAA0C;EAC1C,6BAA6B;AAC/B;AACA;;EAEE,sBAAsB;EACtB,yDAAyD;AAC3D;AACA;EACE,iEAAiE;AACnE;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;EACA;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;AACF;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;EACA;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;AACF;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,aAAa;EACb,mBAAmB;EACnB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,aAAa;AACf;AACA;EACE,oBAAoB;AACtB;AACA;EACE,eAAe;EACf,YAAY;EACZ,gBAAgB;EAChB,WAAW;EACX,eAAe;EACf,cAAc;EACd,kBAAkB;EAClB,qBAAqB;EACrB,yBAAyB;EACzB,kBAAkB;EAClB,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,SAAS;EACT,yBAAyB;EACzB,mBAAmB;AACrB;AACA;EACE,WAAW;EACX,SAAS;EACT,iBAAiB;EACjB,uBAAuB;EACvB,yBAAyB;AAC3B",sourcesContent:[".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n"],sourceRoot:""}]);const s=i},278:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,a,o){"string"==typeof e&&(e=[[null,e,void 0]]);var i={};if(r)for(var s=0;s<this.length;s++){var l=this[s][0];null!=l&&(i[l]=!0)}for(var c=0;c<e.length;c++){var u=[].concat(e[c]);r&&i[u[0]]||(void 0!==o&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=o),n&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=n):u[2]=n),a&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=a):u[4]="".concat(a)),t.push(u))}},t}},4942:e=>{"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),a="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),o="/*# ".concat(a," */");return[t].concat([o]).join("\n")}return[t].join("\n")}},568:function(e,t){!function(e){"use strict";function t(e){return function(t,n,r,a,o,i,s){return e(t,n,s)}}function n(e){return function(t,n,r,a){if(!t||!n||"object"!=typeof t||"object"!=typeof n)return e(t,n,r,a);var o=a.get(t),i=a.get(n);if(o&&i)return o===n&&i===t;a.set(t,n),a.set(n,t);var s=e(t,n,r,a);return a.delete(t),a.delete(n),s}}function r(e,t){var n={};for(var r in e)n[r]=e[r];for(var r in t)n[r]=t[r];return n}function a(e){return e.constructor===Object||null==e.constructor}function o(e){return"function"==typeof e.then}function i(e,t){return e===t||e!=e&&t!=t}var s=Object.prototype.toString;function l(e){var t=e.areArraysEqual,n=e.areDatesEqual,r=e.areMapsEqual,l=e.areObjectsEqual,c=e.areRegExpsEqual,u=e.areSetsEqual,d=(0,e.createIsNestedEqual)(p);function p(e,p,f){if(e===p)return!0;if(!e||!p||"object"!=typeof e||"object"!=typeof p)return e!=e&&p!=p;if(a(e)&&a(p))return l(e,p,d,f);var h=Array.isArray(e),m=Array.isArray(p);if(h||m)return h===m&&t(e,p,d,f);var g=s.call(e);return g===s.call(p)&&("[object Date]"===g?n(e,p,d,f):"[object RegExp]"===g?c(e,p,d,f):"[object Map]"===g?r(e,p,d,f):"[object Set]"===g?u(e,p,d,f):"[object Object]"===g||"[object Arguments]"===g?!o(e)&&!o(p)&&l(e,p,d,f):("[object Boolean]"===g||"[object Number]"===g||"[object String]"===g)&&i(e.valueOf(),p.valueOf()))}return p}function c(e,t,n,r){var a=e.length;if(t.length!==a)return!1;for(;a-- >0;)if(!n(e[a],t[a],a,a,e,t,r))return!1;return!0}var u=n(c);function d(e,t){return i(e.valueOf(),t.valueOf())}function p(e,t,n,r){var a=e.size===t.size;if(!a)return!1;if(!e.size)return!0;var o={},i=0;return e.forEach((function(s,l){if(a){var c=!1,u=0;t.forEach((function(a,d){c||o[u]||!(c=n(l,d,i,u,e,t,r)&&n(s,a,l,d,e,t,r))||(o[u]=!0),u++})),i++,a=c}})),a}var f=n(p),h=Object.prototype.hasOwnProperty;function m(e,t,n,r){var a,o=Object.keys(e),i=o.length;if(Object.keys(t).length!==i)return!1;for(;i-- >0;){if("_owner"===(a=o[i])){var s=!!e.$$typeof,l=!!t.$$typeof;if((s||l)&&s!==l)return!1}if(!h.call(t,a)||!n(e[a],t[a],a,a,e,t,r))return!1}return!0}var g=n(m);function b(e,t){return e.source===t.source&&e.flags===t.flags}function v(e,t,n,r){var a=e.size===t.size;if(!a)return!1;if(!e.size)return!0;var o={};return e.forEach((function(i,s){if(a){var l=!1,c=0;t.forEach((function(a,u){l||o[c]||!(l=n(i,a,s,u,e,t,r))||(o[c]=!0),c++})),a=l}})),a}var y=n(v),w=Object.freeze({areArraysEqual:c,areDatesEqual:d,areMapsEqual:p,areObjectsEqual:m,areRegExpsEqual:b,areSetsEqual:v,createIsNestedEqual:t}),S=Object.freeze({areArraysEqual:u,areDatesEqual:d,areMapsEqual:f,areObjectsEqual:g,areRegExpsEqual:b,areSetsEqual:y,createIsNestedEqual:t}),x=l(w);var E=l(r(w,{createIsNestedEqual:function(){return i}}));var A=l(S);var C=l(r(S,{createIsNestedEqual:function(){return i}}));e.circularDeepEqual=function(e,t){return A(e,t,new WeakMap)},e.circularShallowEqual=function(e,t){return C(e,t,new WeakMap)},e.createCustomCircularEqual=function(e){var t=l(r(S,e(S)));return function(e,n,r){return void 0===r&&(r=new WeakMap),t(e,n,r)}},e.createCustomEqual=function(e){return l(r(w,e(w)))},e.deepEqual=function(e,t){return x(e,t,void 0)},e.sameValueZeroEqual=i,e.shallowEqual=function(e,t){return E(e,t,void 0)},Object.defineProperty(e,"__esModule",{value:!0})}(t)},362:(e,t,n)=>{"use strict";var r=n(6441);function a(){}function o(){}o.resetWarningCache=a,e.exports=function(){function e(e,t,n,a,o,i){if(i!==r){var s=new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");throw s.name="Invariant Violation",s}}function t(){return e}e.isRequired=e;var n={array:e,bigint:e,bool:e,func:e,number:e,object:e,string:e,symbol:e,any:e,arrayOf:t,element:e,elementType:e,instanceOf:t,node:e,objectOf:t,oneOf:t,oneOfType:t,shape:t,exact:t,checkPropTypes:o,resetWarningCache:a};return n.PropTypes=n,n}},2688:(e,t,n)=>{e.exports=n(362)()},6441:e=>{"use strict";e.exports="SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED"},2454:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>s,default:()=>Ut});var r=n(4452),a=n.n(r),o=n(5959),i=n.n(o);function s(e){var t=e.children,n=e.prefixCls,r=e.id,i=e.overlayInnerStyle,s=e.className,l=e.style;return o.createElement("div",{className:a()("".concat(n,"-content"),s),style:l},o.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:i},"function"==typeof t?t():t))}var l=n(8102),c=n(7405),u=n(9644),d=n(7850),p=n(8398),f=n.n(p),h=n(9370),m=(n(4358),n(9115));const g=o.createContext(null);var b=n(4300),v=n(697),y=[],w="data-rc-order",S="data-rc-priority",x=new Map;function E(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):"rc-util-key"}function A(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function C(e){return Array.from((x.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function O(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,h.A)())return null;var n=t.csp,r=t.prepend,a=t.priority,o=void 0===a?0:a,i=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),s="prependQueue"===i,l=document.createElement("style");l.setAttribute(w,i),s&&o&&l.setAttribute(S,"".concat(o)),null!=n&&n.nonce&&(l.nonce=null==n?void 0:n.nonce),l.innerHTML=e;var c=A(t),u=c.firstChild;if(r){if(s){var d=(t.styles||C(c)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(w)))return!1;var t=Number(e.getAttribute(S)||0);return o>=t}));if(d.length)return c.insertBefore(l,d[d.length-1].nextSibling),l}c.insertBefore(l,u)}else c.appendChild(l);return l}function R(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=A(t);return(t.styles||C(n)).find((function(n){return n.getAttribute(E(t))===e}))}function D(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=R(e,t);n&&A(t).removeChild(n)}function I(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=A(n),a=C(r),o=(0,c.A)((0,c.A)({},n),{},{styles:a});!function(e,t){var n=x.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=O("",t),a=r.parentNode;x.set(e,a),e.removeChild(r)}}(r,o);var i,s,l,u=R(t,o);if(u)return null!==(i=o.csp)&&void 0!==i&&i.nonce&&u.nonce!==(null===(s=o.csp)||void 0===s?void 0:s.nonce)&&(u.nonce=null===(l=o.csp)||void 0===l?void 0:l.nonce),u.innerHTML!==e&&(u.innerHTML=e),u;var d=O(e,o);return d.setAttribute(E(o),t),d}var P="rc-util-locker-".concat(Date.now()),_=0;function T(e){var t=!!e,n=o.useState((function(){return _+=1,"".concat(P,"_").concat(_)})),r=(0,d.A)(n,1)[0];(0,v.A)((function(){if(t){var e=(a=document.body,"undefined"!=typeof document&&a&&a instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,a,o=n.style;if(o.position="absolute",o.left="0",o.top="0",o.width="100px",o.height="100px",o.overflow="scroll",e){var i=getComputedStyle(e);o.scrollbarColor=i.scrollbarColor,o.scrollbarWidth=i.scrollbarWidth;var s=getComputedStyle(e,"::-webkit-scrollbar"),l=parseInt(s.width,10),c=parseInt(s.height,10);try{var u=l?"width: ".concat(s.width,";"):"",d=c?"height: ".concat(s.height,";"):"";I("\n#".concat(t,"::-webkit-scrollbar {\n").concat(u,"\n").concat(d,"\n}"),t)}catch(e){console.error(e),r=l,a=c}}document.body.appendChild(n);var p=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,f=e&&a&&!isNaN(a)?a:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),D(t),{width:p,height:f}}(a):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;I("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else D(r);var a;return function(){D(r)}}),[t,r])}var k=!1,M=function(e){return!1!==e&&((0,h.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},B=o.forwardRef((function(e,t){var n=e.open,r=e.autoLock,a=e.getContainer,i=(e.debug,e.autoDestroy),s=void 0===i||i,l=e.children,c=o.useState(n),u=(0,d.A)(c,2),f=u[0],w=u[1],S=f||n;o.useEffect((function(){(s||n)&&w(n)}),[n,s]);var x=o.useState((function(){return M(a)})),E=(0,d.A)(x,2),A=E[0],C=E[1];o.useEffect((function(){var e=M(a);C(null!=e?e:null)}));var O=function(e){var t=o.useState((function(){return(0,h.A)()?document.createElement("div"):null})),n=(0,d.A)(t,1)[0],r=o.useRef(!1),a=o.useContext(g),i=o.useState(y),s=(0,d.A)(i,2),l=s[0],c=s[1],u=a||(r.current?void 0:function(e){c((function(t){return[e].concat((0,b.A)(t))}))});function p(){n.parentElement||document.body.appendChild(n),r.current=!0}function f(){var e;null===(e=n.parentElement)||void 0===e||e.removeChild(n),r.current=!1}return(0,v.A)((function(){return e?a?a(p):p():f(),f}),[e]),(0,v.A)((function(){l.length&&(l.forEach((function(e){return e()})),c(y))}),[l]),[n,u]}(S&&!A),R=(0,d.A)(O,2),D=R[0],I=R[1],P=null!=A?A:D;T(r&&n&&(0,h.A)()&&(P===D||P===document.body));var _=null;l&&(0,m.f3)(l)&&t&&(_=l.ref);var B=(0,m.xK)(_,t);if(!S||!(0,h.A)()||void 0===A)return null;var L=!1===P||k,N=l;return t&&(N=o.cloneElement(l,{ref:B})),o.createElement(g.Provider,{value:I},L?N:(0,p.createPortal)(N,P))}));const L=B;var N=n(9572);function j(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return i().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(j(e)):(0,N.A)(e)&&e.props?n=n.concat(j(e.props.children,t)):n.push(e))})),n}var F=n(694);function V(e){return e instanceof HTMLElement||e instanceof SVGElement}function $(e){var t,n=function(e){return e&&"object"===(0,F.A)(e)&&V(e.nativeElement)?e.nativeElement:V(e)?e:null}(e);return n||(e instanceof i().Component?null===(t=f().findDOMNode)||void 0===t?void 0:t.call(f(),e):null)}var z=o.createContext(null),U=n(883),W=new Map,H=new U.default((function(e){e.forEach((function(e){var t,n=e.target;null===(t=W.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function G(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var q=n(2162);function Q(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,q.A)(r.key),r)}}function Y(e,t,n){return t&&Q(e.prototype,t),n&&Q(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function X(e,t){return X=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},X(e,t)}function K(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&X(e,t)}function Z(e){return Z=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},Z(e)}function J(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(J=function(){return!!e})()}function ee(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function te(e){var t=J();return function(){var n,r=Z(e);if(t){var a=Z(this).constructor;n=Reflect.construct(r,arguments,a)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,F.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return ee(e)}(this,n)}}var ne=function(e){K(n,e);var t=te(n);function n(){return G(this,n),t.apply(this,arguments)}return Y(n,[{key:"render",value:function(){return this.props.children}}]),n}(o.Component);function re(e,t){var n=e.children,r=e.disabled,a=o.useRef(null),i=o.useRef(null),s=o.useContext(z),l="function"==typeof n,u=l?n(a):n,d=o.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),p=!l&&o.isValidElement(u)&&(0,m.f3)(u),f=p?(0,m.A9)(u):null,h=(0,m.xK)(f,a),g=function(){var e;return $(a.current)||(a.current&&"object"===(0,F.A)(a.current)?$(null===(e=a.current)||void 0===e?void 0:e.nativeElement):null)||$(i.current)};o.useImperativeHandle(t,(function(){return g()}));var b=o.useRef(e);b.current=e;var v=o.useCallback((function(e){var t=b.current,n=t.onResize,r=t.data,a=e.getBoundingClientRect(),o=a.width,i=a.height,l=e.offsetWidth,u=e.offsetHeight,p=Math.floor(o),f=Math.floor(i);if(d.current.width!==p||d.current.height!==f||d.current.offsetWidth!==l||d.current.offsetHeight!==u){var h={width:p,height:f,offsetWidth:l,offsetHeight:u};d.current=h;var m=l===Math.round(o)?o:l,g=u===Math.round(i)?i:u,v=(0,c.A)((0,c.A)({},h),{},{offsetWidth:m,offsetHeight:g});null==s||s(v,e,r),n&&Promise.resolve().then((function(){n(v,e)}))}}),[]);return o.useEffect((function(){var e,t,n=g();return n&&!r&&(e=n,t=v,W.has(e)||(W.set(e,new Set),H.observe(e)),W.get(e).add(t)),function(){return function(e,t){W.has(e)&&(W.get(e).delete(t),W.get(e).size||(H.unobserve(e),W.delete(e)))}(n,v)}}),[a.current,r]),o.createElement(ne,{ref:i},p?o.cloneElement(u,{ref:h}):u)}const ae=o.forwardRef(re);function oe(e,t){var n=e.children;return("function"==typeof n?[n]:j(n)).map((function(n,r){var a=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return o.createElement(ae,(0,l.A)({},e,{key:a,ref:0===r?t:void 0}),n)}))}var ie=o.forwardRef(oe);ie.Collection=function(e){var t=e.children,n=e.onBatchResize,r=o.useRef(0),a=o.useRef([]),i=o.useContext(z),s=o.useCallback((function(e,t,o){r.current+=1;var s=r.current;a.current.push({size:e,element:t,data:o}),Promise.resolve().then((function(){s===r.current&&(null==n||n(a.current),a.current=[])})),null==i||i(e,t,o)}),[n,i]);return o.createElement(z.Provider,{value:s},t)};const se=ie;function le(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function ce(e){return function(e){return le(e)instanceof ShadowRoot}(e)?le(e):null}var ue=n(8728),de=0,pe=(0,c.A)({},o).useId;const fe=pe?function(e){var t=pe();return e||t}:function(e){var t=o.useState("ssr-id"),n=(0,d.A)(t,2),r=n[0],a=n[1];return o.useEffect((function(){var e=de;de+=1,a("rc_unique_".concat(e))}),[]),e||r};var he=n(1705),me=o.createContext({}),ge=function(e){K(n,e);var t=te(n);function n(){return G(this,n),t.apply(this,arguments)}return Y(n,[{key:"render",value:function(){return this.props.children}}]),n}(o.Component);const be=ge;var ve=n(291),ye=n(1773),we="none",Se="appear",xe="enter",Ee="leave",Ae="none",Ce="prepare",Oe="start",Re="active",De="end",Ie="prepared";function Pe(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var _e,Te,ke,Me=(_e=(0,h.A)(),Te="undefined"!=typeof window?window:{},ke={animationend:Pe("Animation","AnimationEnd"),transitionend:Pe("Transition","TransitionEnd")},_e&&("AnimationEvent"in Te||delete ke.animationend.animation,"TransitionEvent"in Te||delete ke.transitionend.transition),ke),Be={};if((0,h.A)()){var Le=document.createElement("div");Be=Le.style}var Ne={};function je(e){if(Ne[e])return Ne[e];var t=Me[e];if(t)for(var n=Object.keys(t),r=n.length,a=0;a<r;a+=1){var o=n[a];if(Object.prototype.hasOwnProperty.call(t,o)&&o in Be)return Ne[e]=t[o],Ne[e]}return""}var Fe=je("animationend"),Ve=je("transitionend"),$e=!(!Fe||!Ve),ze=Fe||"animationend",Ue=Ve||"transitionend";function We(e,t){return e?"object"===(0,F.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const He=(0,h.A)()?o.useLayoutEffect:o.useEffect;var Ge=function(e){return+setTimeout(e,16)},qe=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(Ge=function(e){return window.requestAnimationFrame(e)},qe=function(e){return window.cancelAnimationFrame(e)});var Qe=0,Ye=new Map;function Xe(e){Ye.delete(e)}var Ke=function(e){var t=Qe+=1;return function n(r){if(0===r)Xe(t),e();else{var a=Ge((function(){n(r-1)}));Ye.set(t,a)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};Ke.cancel=function(e){var t=Ye.get(e);return Xe(e),qe(t)};const Ze=Ke;var Je=[Ce,Oe,Re,De],et=[Ce,Ie],tt=!1;function nt(e){return e===Re||e===De}function rt(e,t,n,r){var a,i,s,l,u=r.motionEnter,p=void 0===u||u,f=r.motionAppear,h=void 0===f||f,m=r.motionLeave,g=void 0===m||m,b=r.motionDeadline,v=r.motionLeaveImmediately,y=r.onAppearPrepare,w=r.onEnterPrepare,S=r.onLeavePrepare,x=r.onAppearStart,E=r.onEnterStart,A=r.onLeaveStart,C=r.onAppearActive,O=r.onEnterActive,R=r.onLeaveActive,D=r.onAppearEnd,I=r.onEnterEnd,P=r.onLeaveEnd,_=r.onVisibleChanged,T=(0,ye.A)(),k=(0,d.A)(T,2),M=k[0],B=k[1],L=(a=we,i=o.useReducer((function(e){return e+1}),0),s=(0,d.A)(i,2)[1],l=o.useRef(a),[(0,ue.A)((function(){return l.current})),(0,ue.A)((function(e){l.current="function"==typeof e?e(l.current):e,s()}))]),N=(0,d.A)(L,2),j=N[0],F=N[1],V=(0,ye.A)(null),$=(0,d.A)(V,2),z=$[0],U=$[1],W=j(),H=(0,o.useRef)(!1),G=(0,o.useRef)(null);function q(){return n()}var Q=(0,o.useRef)(!1);function Y(){F(we),U(null,!0)}var X=(0,ve._q)((function(e){var t=j();if(t!==we){var n=q();if(!e||e.deadline||e.target===n){var r,a=Q.current;t===Se&&a?r=null==D?void 0:D(n,e):t===xe&&a?r=null==I?void 0:I(n,e):t===Ee&&a&&(r=null==P?void 0:P(n,e)),a&&!1!==r&&Y()}}})),K=function(e){var t=(0,o.useRef)();function n(t){t&&(t.removeEventListener(Ue,e),t.removeEventListener(ze,e))}return o.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(Ue,e),r.addEventListener(ze,e),t.current=r)},n]}(X),Z=(0,d.A)(K,1)[0],J=function(e){switch(e){case Se:return(0,he.A)((0,he.A)((0,he.A)({},Ce,y),Oe,x),Re,C);case xe:return(0,he.A)((0,he.A)((0,he.A)({},Ce,w),Oe,E),Re,O);case Ee:return(0,he.A)((0,he.A)((0,he.A)({},Ce,S),Oe,A),Re,R);default:return{}}},ee=o.useMemo((function(){return J(W)}),[W]),te=function(e,t,n){var r=(0,ye.A)(Ae),a=(0,d.A)(r,2),i=a[0],s=a[1],l=function(){var e=o.useRef(null);function t(){Ze.cancel(e.current)}return o.useEffect((function(){return function(){t()}}),[]),[function n(r){var a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var o=Ze((function(){a<=1?r({isCanceled:function(){return o!==e.current}}):n(r,a-1)}));e.current=o},t]}(),c=(0,d.A)(l,2),u=c[0],p=c[1],f=t?et:Je;return He((function(){if(i!==Ae&&i!==De){var e=f.indexOf(i),t=f[e+1],r=n(i);r===tt?s(t,!0):t&&u((function(e){function n(){e.isCanceled()||s(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,i]),o.useEffect((function(){return function(){p()}}),[]),[function(){s(Ce,!0)},i]}(W,!e,(function(e){if(e===Ce){var t=ee[Ce];return t?t(q()):tt}var n;return ae in ee&&U((null===(n=ee[ae])||void 0===n?void 0:n.call(ee,q(),null))||null),ae===Re&&W!==we&&(Z(q()),b>0&&(clearTimeout(G.current),G.current=setTimeout((function(){X({deadline:!0})}),b))),ae===Ie&&Y(),!0})),ne=(0,d.A)(te,2),re=ne[0],ae=ne[1],oe=nt(ae);Q.current=oe;var ie=(0,o.useRef)(null);He((function(){if(!H.current||ie.current!==t){B(t);var n,r=H.current;H.current=!0,!r&&t&&h&&(n=Se),r&&t&&p&&(n=xe),(r&&!t&&g||!r&&v&&!t&&g)&&(n=Ee);var a=J(n);n&&(e||a[Ce])?(F(n),re()):F(we),ie.current=t}}),[t]),(0,o.useEffect)((function(){(W===Se&&!h||W===xe&&!p||W===Ee&&!g)&&F(we)}),[h,p,g]),(0,o.useEffect)((function(){return function(){H.current=!1,clearTimeout(G.current)}}),[]);var se=o.useRef(!1);(0,o.useEffect)((function(){M&&(se.current=!0),void 0!==M&&W===we&&((se.current||M)&&(null==_||_(M)),se.current=!0)}),[M,W]);var le=z;return ee[Ce]&&ae===Oe&&(le=(0,c.A)({transition:"none"},le)),[W,ae,le,null!=M?M:t]}const at=function(e){var t=e;"object"===(0,F.A)(e)&&(t=e.transitionSupport);var n=o.forwardRef((function(e,n){var r=e.visible,i=void 0===r||r,s=e.removeOnLeave,l=void 0===s||s,u=e.forceRender,p=e.children,f=e.motionName,h=e.leavedClassName,g=e.eventProps,b=function(e,n){return!(!e.motionName||!t||!1===n)}(e,o.useContext(me).motion),v=(0,o.useRef)(),y=(0,o.useRef)(),w=rt(b,i,(function(){try{return v.current instanceof HTMLElement?v.current:$(y.current)}catch(e){return null}}),e),S=(0,d.A)(w,4),x=S[0],E=S[1],A=S[2],C=S[3],O=o.useRef(C);C&&(O.current=!0);var R,D=o.useCallback((function(e){v.current=e,(0,m.Xf)(n,e)}),[n]),I=(0,c.A)((0,c.A)({},g),{},{visible:i});if(p)if(x===we)R=C?p((0,c.A)({},I),D):!l&&O.current&&h?p((0,c.A)((0,c.A)({},I),{},{className:h}),D):u||!l&&!h?p((0,c.A)((0,c.A)({},I),{},{style:{display:"none"}}),D):null;else{var P;E===Ce?P="prepare":nt(E)?P="active":E===Oe&&(P="start");var _=We(f,"".concat(x,"-").concat(P));R=p((0,c.A)((0,c.A)({},I),{},{className:a()(We(f,x),(0,he.A)((0,he.A)({},_,_&&P),f,"string"==typeof f)),style:A}),D)}else R=null;return o.isValidElement(R)&&(0,m.f3)(R)&&((0,m.A9)(R)||(R=o.cloneElement(R,{ref:D}))),o.createElement(be,{ref:y},R)}));return n.displayName="CSSMotion",n}($e);var ot="add",it="keep",st="remove",lt="removed";function ct(e){var t;return t=e&&"object"===(0,F.A)(e)&&"key"in e?e:{key:e},(0,c.A)((0,c.A)({},t),{},{key:String(t.key)})}function ut(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(ct)}var dt=["component","children","onVisibleChanged","onAllRemoved"],pt=["status"],ft=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:at,t=function(t){K(r,t);var n=te(r);function r(){var e;G(this,r);for(var t=arguments.length,a=new Array(t),o=0;o<t;o++)a[o]=arguments[o];return e=n.call.apply(n,[this].concat(a)),(0,he.A)(ee(e),"state",{keyEntities:[]}),(0,he.A)(ee(e),"removeKey",(function(t){e.setState((function(e){return{keyEntities:e.keyEntities.map((function(e){return e.key!==t?e:(0,c.A)((0,c.A)({},e),{},{status:lt})}))}}),(function(){0===e.state.keyEntities.filter((function(e){return e.status!==lt})).length&&e.props.onAllRemoved&&e.props.onAllRemoved()}))})),e}return Y(r,[{key:"render",value:function(){var t=this,n=this.state.keyEntities,r=this.props,a=r.component,i=r.children,s=r.onVisibleChanged,d=(r.onAllRemoved,(0,u.A)(r,dt)),p=a||o.Fragment,f={};return ft.forEach((function(e){f[e]=d[e],delete d[e]})),delete d.keys,o.createElement(p,d,n.map((function(n,r){var a=n.status,d=(0,u.A)(n,pt),p=a===ot||a===it;return o.createElement(e,(0,l.A)({},f,{key:d.key,visible:p,eventProps:d,onVisibleChanged:function(e){null==s||s(e,{key:d.key}),e||t.removeKey(d.key)}}),(function(e,t){return i((0,c.A)((0,c.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,a=ut(n),o=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,a=t.length,o=ut(e),i=ut(t);o.forEach((function(e){for(var t=!1,o=r;o<a;o+=1){var s=i[o];if(s.key===e.key){r<o&&(n=n.concat(i.slice(r,o).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:ot})}))),r=o),n.push((0,c.A)((0,c.A)({},s),{},{status:it})),r+=1,t=!0;break}}t||n.push((0,c.A)((0,c.A)({},e),{},{status:st}))})),r<a&&(n=n.concat(i.slice(r).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:ot})}))));var s={};return n.forEach((function(e){var t=e.key;s[t]=(s[t]||0)+1})),Object.keys(s).filter((function(e){return s[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==st}))).forEach((function(t){t.key===e&&(t.status=it)}))})),n}(r,a);return{keyEntities:o.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==lt||e.status!==st}))}}}]),r}(o.Component);(0,he.A)(t,"defaultProps",{component:"div"})}($e);const ht=at;function mt(e){var t=e.prefixCls,n=e.align,r=e.arrow,i=e.arrowPos,s=r||{},l=s.className,c=s.content,u=i.x,d=void 0===u?0:u,p=i.y,f=void 0===p?0:p,h=o.useRef();if(!n||!n.points)return null;var m={position:"absolute"};if(!1!==n.autoArrow){var g=n.points[0],b=n.points[1],v=g[0],y=g[1],w=b[0],S=b[1];v!==w&&["t","b"].includes(v)?"t"===v?m.top=0:m.bottom=0:m.top=f,y!==S&&["l","r"].includes(y)?"l"===y?m.left=0:m.right=0:m.left=d}return o.createElement("div",{ref:h,className:a()("".concat(t,"-arrow"),l),style:m},c)}function gt(e){var t=e.prefixCls,n=e.open,r=e.zIndex,i=e.mask,s=e.motion;return i?o.createElement(ht,(0,l.A)({},s,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return o.createElement("div",{style:{zIndex:r},className:a()("".concat(t,"-mask"),n)})})):null}const bt=o.memo((function(e){return e.children}),(function(e,t){return t.cache}));var vt=o.forwardRef((function(e,t){var n=e.popup,r=e.className,i=e.prefixCls,s=e.style,u=e.target,p=e.onVisibleChanged,f=e.open,h=e.keepDom,g=e.fresh,b=e.onClick,y=e.mask,w=e.arrow,S=e.arrowPos,x=e.align,E=e.motion,A=e.maskMotion,C=e.forceRender,O=e.getPopupContainer,R=e.autoDestroy,D=e.portal,I=e.zIndex,P=e.onMouseEnter,_=e.onMouseLeave,T=e.onPointerEnter,k=e.onPointerDownCapture,M=e.ready,B=e.offsetX,L=e.offsetY,N=e.offsetR,j=e.offsetB,F=e.onAlign,V=e.onPrepare,$=e.stretch,z=e.targetWidth,U=e.targetHeight,W="function"==typeof n?n():n,H=f||h,G=(null==O?void 0:O.length)>0,q=o.useState(!O||!G),Q=(0,d.A)(q,2),Y=Q[0],X=Q[1];if((0,v.A)((function(){!Y&&G&&u&&X(!0)}),[Y,G,u]),!Y)return null;var K="auto",Z={left:"-1000vw",top:"-1000vh",right:K,bottom:K};if(M||!f){var J,ee=x.points,te=x.dynamicInset||(null===(J=x._experimental)||void 0===J?void 0:J.dynamicInset),ne=te&&"r"===ee[0][1],re=te&&"b"===ee[0][0];ne?(Z.right=N,Z.left=K):(Z.left=B,Z.right=K),re?(Z.bottom=j,Z.top=K):(Z.top=L,Z.bottom=K)}var ae={};return $&&($.includes("height")&&U?ae.height=U:$.includes("minHeight")&&U&&(ae.minHeight=U),$.includes("width")&&z?ae.width=z:$.includes("minWidth")&&z&&(ae.minWidth=z)),f||(ae.pointerEvents="none"),o.createElement(D,{open:C||H,getContainer:O&&function(){return O(u)},autoDestroy:R},o.createElement(gt,{prefixCls:i,open:f,zIndex:I,mask:y,motion:A}),o.createElement(se,{onResize:F,disabled:!f},(function(e){return o.createElement(ht,(0,l.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:C,leavedClassName:"".concat(i,"-hidden")},E,{onAppearPrepare:V,onEnterPrepare:V,visible:f,onVisibleChanged:function(e){var t;null==E||null===(t=E.onVisibleChanged)||void 0===t||t.call(E,e),p(e)}}),(function(n,l){var u=n.className,d=n.style,p=a()(i,u,r);return o.createElement("div",{ref:(0,m.K4)(e,t,l),className:p,style:(0,c.A)((0,c.A)((0,c.A)((0,c.A)({"--arrow-x":"".concat(S.x||0,"px"),"--arrow-y":"".concat(S.y||0,"px")},Z),ae),d),{},{boxSizing:"border-box",zIndex:I},s),onMouseEnter:P,onMouseLeave:_,onPointerEnter:T,onClick:b,onPointerDownCapture:k},w&&o.createElement(mt,{prefixCls:i,arrow:w,arrowPos:S,align:x}),o.createElement(bt,{cache:!f&&!g},W))}))})))}));const yt=vt,wt=o.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,a=(0,m.f3)(n),i=o.useCallback((function(e){(0,m.Xf)(t,r?r(e):e)}),[r]),s=(0,m.xK)(i,(0,m.A9)(n));return a?o.cloneElement(n,{ref:s}):n})),St=o.createContext(null);function xt(e){return e?Array.isArray(e)?e:[e]:[]}function Et(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function At(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function Ct(e){return e.ownerDocument.defaultView}function Ot(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var a=Ct(n).getComputedStyle(n);[a.overflowX,a.overflowY,a.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Rt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function Dt(e){return Rt(parseFloat(e),0)}function It(e,t){var n=(0,c.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=Ct(e).getComputedStyle(e),r=t.overflow,a=t.overflowClipMargin,o=t.borderTopWidth,i=t.borderBottomWidth,s=t.borderLeftWidth,l=t.borderRightWidth,c=e.getBoundingClientRect(),u=e.offsetHeight,d=e.clientHeight,p=e.offsetWidth,f=e.clientWidth,h=Dt(o),m=Dt(i),g=Dt(s),b=Dt(l),v=Rt(Math.round(c.width/p*1e3)/1e3),y=Rt(Math.round(c.height/u*1e3)/1e3),w=(p-f-g-b)*v,S=(u-d-h-m)*y,x=h*y,E=m*y,A=g*v,C=b*v,O=0,R=0;if("clip"===r){var D=Dt(a);O=D*v,R=D*y}var I=c.x+A-O,P=c.y+x-R,_=I+c.width+2*O-A-C-w,T=P+c.height+2*R-x-E-S;n.left=Math.max(n.left,I),n.top=Math.max(n.top,P),n.right=Math.min(n.right,_),n.bottom=Math.min(n.bottom,T)}})),n}function Pt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function _t(e,t){var n=t||[],r=(0,d.A)(n,2),a=r[0],o=r[1];return[Pt(e.width,a),Pt(e.height,o)]}function Tt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function kt(e,t){var n,r=t[0],a=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===a?e.x:"r"===a?e.x+e.width:e.x+e.width/2,y:n}}function Mt(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var Bt=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const Lt=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:L,t=o.forwardRef((function(t,n){var r=t.prefixCls,i=void 0===r?"rc-trigger-popup":r,s=t.children,l=t.action,p=void 0===l?"hover":l,f=t.showAction,h=t.hideAction,m=t.popupVisible,g=t.defaultPopupVisible,y=t.onPopupVisibleChange,w=t.afterPopupVisibleChange,S=t.mouseEnterDelay,x=t.mouseLeaveDelay,E=void 0===x?.1:x,A=t.focusDelay,C=t.blurDelay,O=t.mask,R=t.maskClosable,D=void 0===R||R,I=t.getPopupContainer,P=t.forceRender,_=t.autoDestroy,T=t.destroyPopupOnHide,k=t.popup,M=t.popupClassName,B=t.popupStyle,L=t.popupPlacement,N=t.builtinPlacements,j=void 0===N?{}:N,F=t.popupAlign,$=t.zIndex,z=t.stretch,U=t.getPopupClassNameFromAlign,W=t.fresh,H=t.alignPoint,G=t.onPopupClick,q=t.onPopupAlign,Q=t.arrow,Y=t.popupMotion,X=t.maskMotion,K=t.popupTransitionName,Z=t.popupAnimation,J=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,u.A)(t,Bt),ae=_||T||!1,oe=o.useState(!1),ie=(0,d.A)(oe,2),le=ie[0],de=ie[1];(0,v.A)((function(){de(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var pe=o.useRef({}),he=o.useContext(St),me=o.useMemo((function(){return{registerSubPopup:function(e,t){pe.current[e]=t,null==he||he.registerSubPopup(e,t)}}}),[he]),ge=fe(),be=o.useState(null),ve=(0,d.A)(be,2),ye=ve[0],we=ve[1],Se=o.useRef(null),xe=(0,ue.A)((function(e){Se.current=e,V(e)&&ye!==e&&we(e),null==he||he.registerSubPopup(ge,e)})),Ee=o.useState(null),Ae=(0,d.A)(Ee,2),Ce=Ae[0],Oe=Ae[1],Re=o.useRef(null),De=(0,ue.A)((function(e){V(e)&&Ce!==e&&(Oe(e),Re.current=e)})),Ie=o.Children.only(s),Pe=(null==Ie?void 0:Ie.props)||{},_e={},Te=(0,ue.A)((function(e){var t,n,r=Ce;return(null==r?void 0:r.contains(e))||(null===(t=ce(r))||void 0===t?void 0:t.host)===e||e===r||(null==ye?void 0:ye.contains(e))||(null===(n=ce(ye))||void 0===n?void 0:n.host)===e||e===ye||Object.values(pe.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),ke=At(i,Y,Z,K),Me=At(i,X,ee,J),Be=o.useState(g||!1),Le=(0,d.A)(Be,2),Ne=Le[0],je=Le[1],Fe=null!=m?m:Ne,Ve=(0,ue.A)((function(e){void 0===m&&je(e)}));(0,v.A)((function(){je(m||!1)}),[m]);var $e=o.useRef(Fe);$e.current=Fe;var ze=o.useRef([]);ze.current=[];var Ue=(0,ue.A)((function(e){var t;Ve(e),(null!==(t=ze.current[ze.current.length-1])&&void 0!==t?t:Fe)!==e&&(ze.current.push(e),null==y||y(e))})),We=o.useRef(),He=function(){clearTimeout(We.current)},Ge=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;He(),0===t?Ue(e):We.current=setTimeout((function(){Ue(e)}),1e3*t)};o.useEffect((function(){return He}),[]);var qe=o.useState(!1),Qe=(0,d.A)(qe,2),Ye=Qe[0],Xe=Qe[1];(0,v.A)((function(e){e&&!Fe||Xe(!0)}),[Fe]);var Ke=o.useState(null),Ze=(0,d.A)(Ke,2),Je=Ze[0],et=Ze[1],tt=o.useState(null),nt=(0,d.A)(tt,2),rt=nt[0],at=nt[1],ot=function(e){at([e.clientX,e.clientY])},it=function(e,t,n,r,a,i,s){var l=o.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:a[r]||{}}),u=(0,d.A)(l,2),p=u[0],f=u[1],h=o.useRef(0),m=o.useMemo((function(){return t?Ot(t):[]}),[t]),g=o.useRef({});e||(g.current={});var b=(0,ue.A)((function(){if(t&&n&&e){var o,l,u,p,h,b=t,v=b.ownerDocument,y=Ct(b).getComputedStyle(b),w=y.width,S=y.height,x=y.position,E=b.style.left,A=b.style.top,C=b.style.right,O=b.style.bottom,R=b.style.overflow,D=(0,c.A)((0,c.A)({},a[r]),i),I=v.createElement("div");if(null===(o=b.parentElement)||void 0===o||o.appendChild(I),I.style.left="".concat(b.offsetLeft,"px"),I.style.top="".concat(b.offsetTop,"px"),I.style.position=x,I.style.height="".concat(b.offsetHeight,"px"),I.style.width="".concat(b.offsetWidth,"px"),b.style.left="0",b.style.top="0",b.style.right="auto",b.style.bottom="auto",b.style.overflow="hidden",Array.isArray(n))h={x:n[0],y:n[1],width:0,height:0};else{var P,_,T=n.getBoundingClientRect();T.x=null!==(P=T.x)&&void 0!==P?P:T.left,T.y=null!==(_=T.y)&&void 0!==_?_:T.top,h={x:T.x,y:T.y,width:T.width,height:T.height}}var k=b.getBoundingClientRect();k.x=null!==(l=k.x)&&void 0!==l?l:k.left,k.y=null!==(u=k.y)&&void 0!==u?u:k.top;var M=v.documentElement,B=M.clientWidth,L=M.clientHeight,N=M.scrollWidth,j=M.scrollHeight,F=M.scrollTop,$=M.scrollLeft,z=k.height,U=k.width,W=h.height,H=h.width,G={left:0,top:0,right:B,bottom:L},q={left:-$,top:-F,right:N-$,bottom:j-F},Q=D.htmlRegion,Y="visible",X="visibleFirst";"scroll"!==Q&&Q!==X&&(Q=Y);var K=Q===X,Z=It(q,m),J=It(G,m),ee=Q===Y?J:Z,te=K?J:ee;b.style.left="auto",b.style.top="auto",b.style.right="0",b.style.bottom="0";var ne=b.getBoundingClientRect();b.style.left=E,b.style.top=A,b.style.right=C,b.style.bottom=O,b.style.overflow=R,null===(p=b.parentElement)||void 0===p||p.removeChild(I);var re=Rt(Math.round(U/parseFloat(w)*1e3)/1e3),ae=Rt(Math.round(z/parseFloat(S)*1e3)/1e3);if(0===re||0===ae||V(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var a=e.getBoundingClientRect(),o=a.width,i=a.height;if(o||i)return!0}}return!1}(n))return;var oe=D.offset,ie=D.targetOffset,se=_t(k,oe),le=(0,d.A)(se,2),ce=le[0],ue=le[1],de=_t(h,ie),pe=(0,d.A)(de,2),fe=pe[0],he=pe[1];h.x-=fe,h.y-=he;var me=D.points||[],ge=(0,d.A)(me,2),be=ge[0],ve=Tt(ge[1]),ye=Tt(be),we=kt(h,ve),Se=kt(k,ye),xe=(0,c.A)({},D),Ee=we.x-Se.x+ce,Ae=we.y-Se.y+ue;function bt(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:ee,r=k.x+e,a=k.y+t,o=r+U,i=a+z,s=Math.max(r,n.left),l=Math.max(a,n.top),c=Math.min(o,n.right),u=Math.min(i,n.bottom);return Math.max(0,(c-s)*(u-l))}var Ce,Oe,Re,De,Ie=bt(Ee,Ae),Pe=bt(Ee,Ae,J),_e=kt(h,["t","l"]),Te=kt(k,["t","l"]),ke=kt(h,["b","r"]),Me=kt(k,["b","r"]),Be=D.overflow||{},Le=Be.adjustX,Ne=Be.adjustY,je=Be.shiftX,Fe=Be.shiftY,Ve=function(e){return"boolean"==typeof e?e:e>=0};function vt(){Ce=k.y+Ae,Oe=Ce+z,Re=k.x+Ee,De=Re+U}vt();var $e=Ve(Ne),ze=ye[0]===ve[0];if($e&&"t"===ye[0]&&(Oe>te.bottom||g.current.bt)){var Ue=Ae;ze?Ue-=z-W:Ue=_e.y-Me.y-ue;var We=bt(Ee,Ue),He=bt(Ee,Ue,J);We>Ie||We===Ie&&(!K||He>=Pe)?(g.current.bt=!0,Ae=Ue,ue=-ue,xe.points=[Mt(ye,0),Mt(ve,0)]):g.current.bt=!1}if($e&&"b"===ye[0]&&(Ce<te.top||g.current.tb)){var Ge=Ae;ze?Ge+=z-W:Ge=ke.y-Te.y-ue;var qe=bt(Ee,Ge),Qe=bt(Ee,Ge,J);qe>Ie||qe===Ie&&(!K||Qe>=Pe)?(g.current.tb=!0,Ae=Ge,ue=-ue,xe.points=[Mt(ye,0),Mt(ve,0)]):g.current.tb=!1}var Ye=Ve(Le),Xe=ye[1]===ve[1];if(Ye&&"l"===ye[1]&&(De>te.right||g.current.rl)){var Ke=Ee;Xe?Ke-=U-H:Ke=_e.x-Me.x-ce;var Ze=bt(Ke,Ae),Je=bt(Ke,Ae,J);Ze>Ie||Ze===Ie&&(!K||Je>=Pe)?(g.current.rl=!0,Ee=Ke,ce=-ce,xe.points=[Mt(ye,1),Mt(ve,1)]):g.current.rl=!1}if(Ye&&"r"===ye[1]&&(Re<te.left||g.current.lr)){var et=Ee;Xe?et+=U-H:et=ke.x-Te.x-ce;var tt=bt(et,Ae),nt=bt(et,Ae,J);tt>Ie||tt===Ie&&(!K||nt>=Pe)?(g.current.lr=!0,Ee=et,ce=-ce,xe.points=[Mt(ye,1),Mt(ve,1)]):g.current.lr=!1}vt();var rt=!0===je?0:je;"number"==typeof rt&&(Re<J.left&&(Ee-=Re-J.left-ce,h.x+H<J.left+rt&&(Ee+=h.x-J.left+H-rt)),De>J.right&&(Ee-=De-J.right-ce,h.x>J.right-rt&&(Ee+=h.x-J.right+rt)));var at=!0===Fe?0:Fe;"number"==typeof at&&(Ce<J.top&&(Ae-=Ce-J.top-ue,h.y+W<J.top+at&&(Ae+=h.y-J.top+W-at)),Oe>J.bottom&&(Ae-=Oe-J.bottom-ue,h.y>J.bottom-at&&(Ae+=h.y-J.bottom+at)));var ot=k.x+Ee,it=ot+U,st=k.y+Ae,lt=st+z,ct=h.x,ut=ct+H,dt=h.y,pt=dt+W,ft=(Math.max(ot,ct)+Math.min(it,ut))/2-ot,ht=(Math.max(st,dt)+Math.min(lt,pt))/2-st;null==s||s(t,xe);var mt=ne.right-k.x-(Ee+k.width),gt=ne.bottom-k.y-(Ae+k.height);1===re&&(Ee=Math.round(Ee),mt=Math.round(mt)),1===ae&&(Ae=Math.round(Ae),gt=Math.round(gt)),f({ready:!0,offsetX:Ee/re,offsetY:Ae/ae,offsetR:mt/re,offsetB:gt/ae,arrowX:ft/re,arrowY:ht/ae,scaleX:re,scaleY:ae,align:xe})}})),y=function(){f((function(e){return(0,c.A)((0,c.A)({},e),{},{ready:!1})}))};return(0,v.A)(y,[r]),(0,v.A)((function(){e||y()}),[e]),[p.ready,p.offsetX,p.offsetY,p.offsetR,p.offsetB,p.arrowX,p.arrowY,p.scaleX,p.scaleY,p.align,function(){h.current+=1;var e=h.current;Promise.resolve().then((function(){h.current===e&&b()}))}]}(Fe,ye,H&&null!==rt?rt:Ce,L,j,F,q),st=(0,d.A)(it,11),lt=st[0],ct=st[1],ut=st[2],dt=st[3],pt=st[4],ft=st[5],ht=st[6],mt=st[7],gt=st[8],bt=st[9],vt=st[10],Dt=function(e,t,n,r){return o.useMemo((function(){var a=xt(null!=n?n:t),o=xt(null!=r?r:t),i=new Set(a),s=new Set(o);return e&&(i.has("hover")&&(i.delete("hover"),i.add("click")),s.has("hover")&&(s.delete("hover"),s.add("click"))),[i,s]}),[e,t,n,r])}(le,p,f,h),Pt=(0,d.A)(Dt,2),Lt=Pt[0],Nt=Pt[1],jt=Lt.has("click"),Ft=Nt.has("click")||Nt.has("contextMenu"),Vt=(0,ue.A)((function(){Ye||vt()}));!function(e,t,n,r){(0,v.A)((function(){if(e&&t&&n){var a=n,o=Ot(t),i=Ot(a),s=Ct(a),l=new Set([s].concat((0,b.A)(o),(0,b.A)(i)));function c(){r(),$e.current&&H&&Ft&&Ge(!1)}return l.forEach((function(e){e.addEventListener("scroll",c,{passive:!0})})),s.addEventListener("resize",c,{passive:!0}),r(),function(){l.forEach((function(e){e.removeEventListener("scroll",c),s.removeEventListener("resize",c)}))}}}),[e,t,n])}(Fe,Ce,ye,Vt),(0,v.A)((function(){Vt()}),[rt,L]),(0,v.A)((function(){!Fe||null!=j&&j[L]||Vt()}),[JSON.stringify(F)]);var $t=o.useMemo((function(){var e=function(e,t,n,r){for(var a=n.points,o=Object.keys(e),i=0;i<o.length;i+=1){var s,l=o[i];if(Et(null===(s=e[l])||void 0===s?void 0:s.points,a,r))return"".concat(t,"-placement-").concat(l)}return""}(j,i,bt,H);return a()(e,null==U?void 0:U(bt))}),[bt,U,j,i,H]);o.useImperativeHandle(n,(function(){return{nativeElement:Re.current,popupElement:Se.current,forceAlign:Vt}}));var zt=o.useState(0),Ut=(0,d.A)(zt,2),Wt=Ut[0],Ht=Ut[1],Gt=o.useState(0),qt=(0,d.A)(Gt,2),Qt=qt[0],Yt=qt[1],Xt=function(){if(z&&Ce){var e=Ce.getBoundingClientRect();Ht(e.width),Yt(e.height)}};function Kt(e,t,n,r){_e[e]=function(a){var o;null==r||r(a),Ge(t,n);for(var i=arguments.length,s=new Array(i>1?i-1:0),l=1;l<i;l++)s[l-1]=arguments[l];null===(o=Pe[e])||void 0===o||o.call.apply(o,[Pe,a].concat(s))}}(0,v.A)((function(){Je&&(vt(),Je(),et(null))}),[Je]),(jt||Ft)&&(_e.onClick=function(e){var t;$e.current&&Ft?Ge(!1):!$e.current&&jt&&(ot(e),Ge(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),a=1;a<n;a++)r[a-1]=arguments[a];null===(t=Pe.onClick)||void 0===t||t.call.apply(t,[Pe,e].concat(r))});var Zt,Jt,en=function(e,t,n,r,a,i,s,l){var c=o.useRef(e);c.current=e;var u=o.useRef(!1);return o.useEffect((function(){if(t&&r&&(!a||i)){var e=function(){u.current=!1},o=function(e){var t;!c.current||s((null===(t=e.composedPath)||void 0===t||null===(t=t.call(e))||void 0===t?void 0:t[0])||e.target)||u.current||l(!1)},d=Ct(r);d.addEventListener("pointerdown",e,!0),d.addEventListener("mousedown",o,!0),d.addEventListener("contextmenu",o,!0);var p=ce(n);return p&&(p.addEventListener("mousedown",o,!0),p.addEventListener("contextmenu",o,!0)),function(){d.removeEventListener("pointerdown",e,!0),d.removeEventListener("mousedown",o,!0),d.removeEventListener("contextmenu",o,!0),p&&(p.removeEventListener("mousedown",o,!0),p.removeEventListener("contextmenu",o,!0))}}}),[t,n,r,a,i]),function(){u.current=!0}}(Fe,Ft,Ce,ye,O,D,Te,Ge),tn=Lt.has("hover"),nn=Nt.has("hover");tn&&(Kt("onMouseEnter",!0,S,(function(e){ot(e)})),Kt("onPointerEnter",!0,S,(function(e){ot(e)})),Zt=function(e){(Fe||Ye)&&null!=ye&&ye.contains(e.target)&&Ge(!0,S)},H&&(_e.onMouseMove=function(e){var t;null===(t=Pe.onMouseMove)||void 0===t||t.call(Pe,e)})),nn&&(Kt("onMouseLeave",!1,E),Kt("onPointerLeave",!1,E),Jt=function(){Ge(!1,E)}),Lt.has("focus")&&Kt("onFocus",!0,A),Nt.has("focus")&&Kt("onBlur",!1,C),Lt.has("contextMenu")&&(_e.onContextMenu=function(e){var t;$e.current&&Nt.has("contextMenu")?Ge(!1):(ot(e),Ge(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),a=1;a<n;a++)r[a-1]=arguments[a];null===(t=Pe.onContextMenu)||void 0===t||t.call.apply(t,[Pe,e].concat(r))}),te&&(_e.className=a()(Pe.className,te));var rn=(0,c.A)((0,c.A)({},Pe),_e),an={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(an[e]=function(){for(var t,n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];null===(t=rn[e])||void 0===t||t.call.apply(t,[rn].concat(r)),re[e].apply(re,r)})}));var on=o.cloneElement(Ie,(0,c.A)((0,c.A)({},rn),an)),sn={x:ft,y:ht},ln=Q?(0,c.A)({},!0!==Q?Q:{}):null;return o.createElement(o.Fragment,null,o.createElement(se,{disabled:!Fe,ref:De,onResize:function(){Xt(),Vt()}},o.createElement(wt,{getTriggerDOMNode:ne},on)),o.createElement(St.Provider,{value:me},o.createElement(yt,{portal:e,ref:xe,prefixCls:i,popup:k,className:a()(M,$t),style:B,target:Ce,onMouseEnter:Zt,onMouseLeave:Jt,onPointerEnter:Zt,zIndex:$,open:Fe,keepDom:Ye,fresh:W,onClick:G,onPointerDownCapture:en,mask:O,motion:ke,maskMotion:Me,onVisibleChanged:function(e){Xe(!1),vt(),null==w||w(e)},onPrepare:function(){return new Promise((function(e){Xt(),et((function(){return e}))}))},forceRender:P,autoDestroy:ae,getPopupContainer:I,align:bt,arrow:ln,arrowPos:sn,ready:lt,offsetX:ct,offsetY:ut,offsetR:dt,offsetB:pt,onAlign:Vt,stretch:z,targetWidth:Wt/mt,targetHeight:Qt/gt})))}));return t}(L);var Nt={shiftX:64,adjustY:1},jt={adjustX:1,shiftY:!0},Ft=[0,0],Vt={left:{points:["cr","cl"],overflow:jt,offset:[-4,0],targetOffset:Ft},right:{points:["cl","cr"],overflow:jt,offset:[4,0],targetOffset:Ft},top:{points:["bc","tc"],overflow:Nt,offset:[0,-4],targetOffset:Ft},bottom:{points:["tc","bc"],overflow:Nt,offset:[0,4],targetOffset:Ft},topLeft:{points:["bl","tl"],overflow:Nt,offset:[0,-4],targetOffset:Ft},leftTop:{points:["tr","tl"],overflow:jt,offset:[-4,0],targetOffset:Ft},topRight:{points:["br","tr"],overflow:Nt,offset:[0,-4],targetOffset:Ft},rightTop:{points:["tl","tr"],overflow:jt,offset:[4,0],targetOffset:Ft},bottomRight:{points:["tr","br"],overflow:Nt,offset:[0,4],targetOffset:Ft},rightBottom:{points:["bl","br"],overflow:jt,offset:[4,0],targetOffset:Ft},bottomLeft:{points:["tl","bl"],overflow:Nt,offset:[0,4],targetOffset:Ft},leftBottom:{points:["br","bl"],overflow:jt,offset:[-4,0],targetOffset:Ft}},$t=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],zt=function(e,t){var n=e.overlayClassName,r=e.trigger,a=void 0===r?["hover"]:r,i=e.mouseEnterDelay,d=void 0===i?0:i,p=e.mouseLeaveDelay,f=void 0===p?.1:p,h=e.overlayStyle,m=e.prefixCls,g=void 0===m?"rc-tooltip":m,b=e.children,v=e.onVisibleChange,y=e.afterVisibleChange,w=e.transitionName,S=e.animation,x=e.motion,E=e.placement,A=void 0===E?"right":E,C=e.align,O=void 0===C?{}:C,R=e.destroyTooltipOnHide,D=void 0!==R&&R,I=e.defaultVisible,P=e.getTooltipContainer,_=e.overlayInnerStyle,T=(e.arrowContent,e.overlay),k=e.id,M=e.showArrow,B=void 0===M||M,L=(0,u.A)(e,$t),N=(0,o.useRef)(null);(0,o.useImperativeHandle)(t,(function(){return N.current}));var j=(0,c.A)({},L);return"visible"in e&&(j.popupVisible=e.visible),o.createElement(Lt,(0,l.A)({popupClassName:n,prefixCls:g,popup:function(){return o.createElement(s,{key:"content",prefixCls:g,id:k,overlayInnerStyle:_},T)},action:a,builtinPlacements:Vt,popupPlacement:A,ref:N,popupAlign:O,getPopupContainer:P,onPopupVisibleChange:v,afterPopupVisibleChange:y,popupTransitionName:w,popupAnimation:S,popupMotion:x,defaultPopupVisible:I,autoDestroy:D,mouseLeaveDelay:f,popupStyle:h,mouseEnterDelay:d,arrow:B},j),b)};const Ut=(0,o.forwardRef)(zt)},9370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},9572:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(694),a=Symbol.for("react.element"),o=Symbol.for("react.transitional.element"),i=Symbol.for("react.fragment");function s(e){return e&&"object"===(0,r.A)(e)&&(e.$$typeof===a||e.$$typeof===o)&&e.type===i}},8728:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(5959);function a(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>s,o:()=>i});var r=n(5959),a=(0,n(9370).A)()?r.useLayoutEffect:r.useEffect,o=function(e,t){var n=r.useRef(!0);a((function(){return e(n.current)}),t),a((function(){return n.current=!1,function(){n.current=!0}}),[])},i=function(e,t){o((function(t){if(!t)return e()}),t)};const s=o},9273:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(7850),a=n(8728),o=n(697),i=n(1773);function s(e){return void 0!==e}function l(e,t){var n=t||{},l=n.defaultValue,c=n.value,u=n.onChange,d=n.postState,p=(0,i.A)((function(){return s(c)?c:s(l)?"function"==typeof l?l():l:"function"==typeof e?e():e})),f=(0,r.A)(p,2),h=f[0],m=f[1],g=void 0!==c?c:h,b=d?d(g):g,v=(0,a.A)(u),y=(0,i.A)([g]),w=(0,r.A)(y,2),S=w[0],x=w[1];return(0,o.o)((function(){var e=S[0];h!==e&&v(h,e)}),[S]),(0,o.o)((function(){s(c)||m(c)}),[c]),[b,(0,a.A)((function(e,t){m(e,t),x([g],t)}))]}},1773:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7850),a=n(5959);function o(e){var t=a.useRef(!1),n=a.useState(e),o=(0,r.A)(n,2),i=o[0],s=o[1];return a.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[i,function(e,n){n&&t.current||s(e)}]}},291:(e,t,n)=>{"use strict";n.d(t,{_q:()=>r.A});var r=n(8728);n(9273),n(9115),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys,n(4358)},9115:(e,t,n)=>{"use strict";n.d(t,{K4:()=>l,Xf:()=>s,A9:()=>p,f3:()=>u,xK:()=>c});var r=n(694),a=n(5959),o=n(4271),i=n(9572),s=function(e,t){"function"==typeof e?e(t):"object"===(0,r.A)(e)&&e&&"current"in e&&(e.current=t)},l=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){s(t,e)}))}},c=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return l.apply(void 0,t)},o=t,i=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(s=a.useRef({})).current&&!i(s.current.condition,o)||(s.current.value=r(),s.current.condition=o),s.current.value;var r,o,i,s},u=function(e){var t,n;if(!e)return!1;if(d(e)&&e.props.propertyIsEnumerable("ref"))return!0;var r=(0,o.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===o.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===o.ForwardRef)};function d(e){return(0,a.isValidElement)(e)&&!(0,i.A)(e)}var p=function(e){if(e&&d(e)){var t=e;return t.props.propertyIsEnumerable("ref")?t.props.ref:t.ref}return null}},4358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>c});var r={},a=[];function o(e,t){}function i(e,t){}function s(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function l(e,t){s(o,e,t)}l.preMessage=function(e){a.push(e)},l.resetWarned=function(){r={}},l.noteOnce=function(e,t){s(i,e,t)};const c=l},9111:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),Object.defineProperty(t,"DraggableCore",{enumerable:!0,get:function(){return u.default}}),t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=f(t);if(n&&n.has(e))return n.get(e);var r={},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=p(n(2688)),o=p(n(8398)),i=p(n(8262)),s=n(2837),l=n(402),c=n(6732),u=p(n(1060)),d=p(n(7988));function p(e){return e&&e.__esModule?e:{default:e}}function f(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(f=function(e){return e?n:t})(e)}function h(){return h=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},h.apply(this,arguments)}function m(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}class g extends r.Component{static getDerivedStateFromProps(e,t){let{position:n}=e,{prevPropsPosition:r}=t;return!n||r&&n.x===r.x&&n.y===r.y?null:((0,d.default)("Draggable: getDerivedStateFromProps %j",{position:n,prevPropsPosition:r}),{x:n.x,y:n.y,prevPropsPosition:{...n}})}constructor(e){super(e),m(this,"onDragStart",((e,t)=>{if((0,d.default)("Draggable: onDragStart: %j",t),!1===this.props.onStart(e,(0,l.createDraggableData)(this,t)))return!1;this.setState({dragging:!0,dragged:!0})})),m(this,"onDrag",((e,t)=>{if(!this.state.dragging)return!1;(0,d.default)("Draggable: onDrag: %j",t);const n=(0,l.createDraggableData)(this,t),r={x:n.x,y:n.y,slackX:0,slackY:0};if(this.props.bounds){const{x:e,y:t}=r;r.x+=this.state.slackX,r.y+=this.state.slackY;const[a,o]=(0,l.getBoundPosition)(this,r.x,r.y);r.x=a,r.y=o,r.slackX=this.state.slackX+(e-r.x),r.slackY=this.state.slackY+(t-r.y),n.x=r.x,n.y=r.y,n.deltaX=r.x-this.state.x,n.deltaY=r.y-this.state.y}if(!1===this.props.onDrag(e,n))return!1;this.setState(r)})),m(this,"onDragStop",((e,t)=>{if(!this.state.dragging)return!1;if(!1===this.props.onStop(e,(0,l.createDraggableData)(this,t)))return!1;(0,d.default)("Draggable: onDragStop: %j",t);const n={dragging:!1,slackX:0,slackY:0};if(Boolean(this.props.position)){const{x:e,y:t}=this.props.position;n.x=e,n.y=t}this.setState(n)})),this.state={dragging:!1,dragged:!1,x:e.position?e.position.x:e.defaultPosition.x,y:e.position?e.position.y:e.defaultPosition.y,prevPropsPosition:{...e.position},slackX:0,slackY:0,isElementSVG:!1},!e.position||e.onDrag||e.onStop||console.warn("A `position` was applied to this <Draggable>, without drag handlers. This will make this component effectively undraggable. Please attach `onDrag` or `onStop` handlers so you can adjust the `position` of this element.")}componentDidMount(){void 0!==window.SVGElement&&this.findDOMNode()instanceof window.SVGElement&&this.setState({isElementSVG:!0})}componentWillUnmount(){this.setState({dragging:!1})}findDOMNode(){var e,t;return null!==(e=null===(t=this.props)||void 0===t||null===(t=t.nodeRef)||void 0===t?void 0:t.current)&&void 0!==e?e:o.default.findDOMNode(this)}render(){const{axis:e,bounds:t,children:n,defaultPosition:a,defaultClassName:o,defaultClassNameDragging:c,defaultClassNameDragged:d,position:p,positionOffset:f,scale:m,...g}=this.props;let b={},v=null;const y=!Boolean(p)||this.state.dragging,w=p||a,S={x:(0,l.canDragX)(this)&&y?this.state.x:w.x,y:(0,l.canDragY)(this)&&y?this.state.y:w.y};this.state.isElementSVG?v=(0,s.createSVGTransform)(S,f):b=(0,s.createCSSTransform)(S,f);const x=(0,i.default)(n.props.className||"",o,{[c]:this.state.dragging,[d]:this.state.dragged});return r.createElement(u.default,h({},g,{onStart:this.onDragStart,onDrag:this.onDrag,onStop:this.onDragStop}),r.cloneElement(r.Children.only(n),{className:x,style:{...n.props.style,...b},transform:v}))}}t.default=g,m(g,"displayName","Draggable"),m(g,"propTypes",{...u.default.propTypes,axis:a.default.oneOf(["both","x","y","none"]),bounds:a.default.oneOfType([a.default.shape({left:a.default.number,right:a.default.number,top:a.default.number,bottom:a.default.number}),a.default.string,a.default.oneOf([!1])]),defaultClassName:a.default.string,defaultClassNameDragging:a.default.string,defaultClassNameDragged:a.default.string,defaultPosition:a.default.shape({x:a.default.number,y:a.default.number}),positionOffset:a.default.shape({x:a.default.oneOfType([a.default.number,a.default.string]),y:a.default.oneOfType([a.default.number,a.default.string])}),position:a.default.shape({x:a.default.number,y:a.default.number}),className:c.dontSetMe,style:c.dontSetMe,transform:c.dontSetMe}),m(g,"defaultProps",{...u.default.defaultProps,axis:"both",bounds:!1,defaultClassName:"react-draggable",defaultClassNameDragging:"react-draggable-dragging",defaultClassNameDragged:"react-draggable-dragged",defaultPosition:{x:0,y:0},scale:1})},1060:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=d(t);if(n&&n.has(e))return n.get(e);var r={},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=u(n(2688)),o=u(n(8398)),i=n(2837),s=n(402),l=n(6732),c=u(n(7988));function u(e){return e&&e.__esModule?e:{default:e}}function d(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(d=function(e){return e?n:t})(e)}function p(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const f={start:"touchstart",move:"touchmove",stop:"touchend"},h={start:"mousedown",move:"mousemove",stop:"mouseup"};let m=h;class g extends r.Component{constructor(){super(...arguments),p(this,"dragging",!1),p(this,"lastX",NaN),p(this,"lastY",NaN),p(this,"touchIdentifier",null),p(this,"mounted",!1),p(this,"handleDragStart",(e=>{if(this.props.onMouseDown(e),!this.props.allowAnyClick&&"number"==typeof e.button&&0!==e.button)return!1;const t=this.findDOMNode();if(!t||!t.ownerDocument||!t.ownerDocument.body)throw new Error("<DraggableCore> not mounted on DragStart!");const{ownerDocument:n}=t;if(this.props.disabled||!(e.target instanceof n.defaultView.Node)||this.props.handle&&!(0,i.matchesSelectorAndParentsTo)(e.target,this.props.handle,t)||this.props.cancel&&(0,i.matchesSelectorAndParentsTo)(e.target,this.props.cancel,t))return;"touchstart"===e.type&&e.preventDefault();const r=(0,i.getTouchIdentifier)(e);this.touchIdentifier=r;const a=(0,s.getControlPosition)(e,r,this);if(null==a)return;const{x:o,y:l}=a,u=(0,s.createCoreData)(this,o,l);(0,c.default)("DraggableCore: handleDragStart: %j",u),(0,c.default)("calling",this.props.onStart),!1!==this.props.onStart(e,u)&&!1!==this.mounted&&(this.props.enableUserSelectHack&&(0,i.addUserSelectStyles)(n),this.dragging=!0,this.lastX=o,this.lastY=l,(0,i.addEvent)(n,m.move,this.handleDrag),(0,i.addEvent)(n,m.stop,this.handleDragStop))})),p(this,"handleDrag",(e=>{const t=(0,s.getControlPosition)(e,this.touchIdentifier,this);if(null==t)return;let{x:n,y:r}=t;if(Array.isArray(this.props.grid)){let e=n-this.lastX,t=r-this.lastY;if([e,t]=(0,s.snapToGrid)(this.props.grid,e,t),!e&&!t)return;n=this.lastX+e,r=this.lastY+t}const a=(0,s.createCoreData)(this,n,r);if((0,c.default)("DraggableCore: handleDrag: %j",a),!1!==this.props.onDrag(e,a)&&!1!==this.mounted)this.lastX=n,this.lastY=r;else try{this.handleDragStop(new MouseEvent("mouseup"))}catch(e){const t=document.createEvent("MouseEvents");t.initMouseEvent("mouseup",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null),this.handleDragStop(t)}})),p(this,"handleDragStop",(e=>{if(!this.dragging)return;const t=(0,s.getControlPosition)(e,this.touchIdentifier,this);if(null==t)return;let{x:n,y:r}=t;if(Array.isArray(this.props.grid)){let e=n-this.lastX||0,t=r-this.lastY||0;[e,t]=(0,s.snapToGrid)(this.props.grid,e,t),n=this.lastX+e,r=this.lastY+t}const a=(0,s.createCoreData)(this,n,r);if(!1===this.props.onStop(e,a)||!1===this.mounted)return!1;const o=this.findDOMNode();o&&this.props.enableUserSelectHack&&(0,i.removeUserSelectStyles)(o.ownerDocument),(0,c.default)("DraggableCore: handleDragStop: %j",a),this.dragging=!1,this.lastX=NaN,this.lastY=NaN,o&&((0,c.default)("DraggableCore: Removing handlers"),(0,i.removeEvent)(o.ownerDocument,m.move,this.handleDrag),(0,i.removeEvent)(o.ownerDocument,m.stop,this.handleDragStop))})),p(this,"onMouseDown",(e=>(m=h,this.handleDragStart(e)))),p(this,"onMouseUp",(e=>(m=h,this.handleDragStop(e)))),p(this,"onTouchStart",(e=>(m=f,this.handleDragStart(e)))),p(this,"onTouchEnd",(e=>(m=f,this.handleDragStop(e))))}componentDidMount(){this.mounted=!0;const e=this.findDOMNode();e&&(0,i.addEvent)(e,f.start,this.onTouchStart,{passive:!1})}componentWillUnmount(){this.mounted=!1;const e=this.findDOMNode();if(e){const{ownerDocument:t}=e;(0,i.removeEvent)(t,h.move,this.handleDrag),(0,i.removeEvent)(t,f.move,this.handleDrag),(0,i.removeEvent)(t,h.stop,this.handleDragStop),(0,i.removeEvent)(t,f.stop,this.handleDragStop),(0,i.removeEvent)(e,f.start,this.onTouchStart,{passive:!1}),this.props.enableUserSelectHack&&(0,i.removeUserSelectStyles)(t)}}findDOMNode(){var e,t;return null!==(e=this.props)&&void 0!==e&&e.nodeRef?null===(t=this.props)||void 0===t||null===(t=t.nodeRef)||void 0===t?void 0:t.current:o.default.findDOMNode(this)}render(){return r.cloneElement(r.Children.only(this.props.children),{onMouseDown:this.onMouseDown,onMouseUp:this.onMouseUp,onTouchEnd:this.onTouchEnd})}}t.default=g,p(g,"displayName","DraggableCore"),p(g,"propTypes",{allowAnyClick:a.default.bool,children:a.default.node.isRequired,disabled:a.default.bool,enableUserSelectHack:a.default.bool,offsetParent:function(e,t){if(e[t]&&1!==e[t].nodeType)throw new Error("Draggable's offsetParent must be a DOM Node.")},grid:a.default.arrayOf(a.default.number),handle:a.default.string,cancel:a.default.string,nodeRef:a.default.object,onStart:a.default.func,onDrag:a.default.func,onStop:a.default.func,onMouseDown:a.default.func,scale:a.default.number,className:l.dontSetMe,style:l.dontSetMe,transform:l.dontSetMe}),p(g,"defaultProps",{allowAnyClick:!1,disabled:!1,enableUserSelectHack:!0,onStart:function(){},onDrag:function(){},onStop:function(){},onMouseDown:function(){},scale:1})},8230:(e,t,n)=>{"use strict";const{default:r,DraggableCore:a}=n(9111);e.exports=r,e.exports.default=r,e.exports.DraggableCore=a},2837:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.addClassName=c,t.addEvent=function(e,t,n,r){if(!e)return;const a={capture:!0,...r};e.addEventListener?e.addEventListener(t,n,a):e.attachEvent?e.attachEvent("on"+t,n):e["on"+t]=n},t.addUserSelectStyles=function(e){if(!e)return;let t=e.getElementById("react-draggable-style-el");t||(t=e.createElement("style"),t.type="text/css",t.id="react-draggable-style-el",t.innerHTML=".react-draggable-transparent-selection *::-moz-selection {all: inherit;}\n",t.innerHTML+=".react-draggable-transparent-selection *::selection {all: inherit;}\n",e.getElementsByTagName("head")[0].appendChild(t)),e.body&&c(e.body,"react-draggable-transparent-selection")},t.createCSSTransform=function(e,t){const n=l(e,t,"px");return{[(0,a.browserPrefixToKey)("transform",a.default)]:n}},t.createSVGTransform=function(e,t){return l(e,t,"")},t.getTouch=function(e,t){return e.targetTouches&&(0,r.findInArray)(e.targetTouches,(e=>t===e.identifier))||e.changedTouches&&(0,r.findInArray)(e.changedTouches,(e=>t===e.identifier))},t.getTouchIdentifier=function(e){return e.targetTouches&&e.targetTouches[0]?e.targetTouches[0].identifier:e.changedTouches&&e.changedTouches[0]?e.changedTouches[0].identifier:void 0},t.getTranslation=l,t.innerHeight=function(e){let t=e.clientHeight;const n=e.ownerDocument.defaultView.getComputedStyle(e);return t-=(0,r.int)(n.paddingTop),t-=(0,r.int)(n.paddingBottom),t},t.innerWidth=function(e){let t=e.clientWidth;const n=e.ownerDocument.defaultView.getComputedStyle(e);return t-=(0,r.int)(n.paddingLeft),t-=(0,r.int)(n.paddingRight),t},t.matchesSelector=s,t.matchesSelectorAndParentsTo=function(e,t,n){let r=e;do{if(s(r,t))return!0;if(r===n)return!1;r=r.parentNode}while(r);return!1},t.offsetXYFromParent=function(e,t,n){const r=t===t.ownerDocument.body?{left:0,top:0}:t.getBoundingClientRect();return{x:(e.clientX+t.scrollLeft-r.left)/n,y:(e.clientY+t.scrollTop-r.top)/n}},t.outerHeight=function(e){let t=e.clientHeight;const n=e.ownerDocument.defaultView.getComputedStyle(e);return t+=(0,r.int)(n.borderTopWidth),t+=(0,r.int)(n.borderBottomWidth),t},t.outerWidth=function(e){let t=e.clientWidth;const n=e.ownerDocument.defaultView.getComputedStyle(e);return t+=(0,r.int)(n.borderLeftWidth),t+=(0,r.int)(n.borderRightWidth),t},t.removeClassName=u,t.removeEvent=function(e,t,n,r){if(!e)return;const a={capture:!0,...r};e.removeEventListener?e.removeEventListener(t,n,a):e.detachEvent?e.detachEvent("on"+t,n):e["on"+t]=null},t.removeUserSelectStyles=function(e){if(e)try{if(e.body&&u(e.body,"react-draggable-transparent-selection"),e.selection)e.selection.empty();else{const t=(e.defaultView||window).getSelection();t&&"Caret"!==t.type&&t.removeAllRanges()}}catch(e){}};var r=n(6732),a=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=o(t);if(n&&n.has(e))return n.get(e);var r={},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var i in e)if("default"!==i&&Object.prototype.hasOwnProperty.call(e,i)){var s=a?Object.getOwnPropertyDescriptor(e,i):null;s&&(s.get||s.set)?Object.defineProperty(r,i,s):r[i]=e[i]}return r.default=e,n&&n.set(e,r),r}(n(7350));function o(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(o=function(e){return e?n:t})(e)}let i="";function s(e,t){return i||(i=(0,r.findInArray)(["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"],(function(t){return(0,r.isFunction)(e[t])}))),!!(0,r.isFunction)(e[i])&&e[i](t)}function l(e,t,n){let{x:r,y:a}=e,o="translate(".concat(r).concat(n,",").concat(a).concat(n,")");if(t){const e="".concat("string"==typeof t.x?t.x:t.x+n),r="".concat("string"==typeof t.y?t.y:t.y+n);o="translate(".concat(e,", ").concat(r,")")+o}return o}function c(e,t){e.classList?e.classList.add(t):e.className.match(new RegExp("(?:^|\\s)".concat(t,"(?!\\S)")))||(e.className+=" ".concat(t))}function u(e,t){e.classList?e.classList.remove(t):e.className=e.className.replace(new RegExp("(?:^|\\s)".concat(t,"(?!\\S)"),"g"),"")}},7350:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.browserPrefixToKey=a,t.browserPrefixToStyle=function(e,t){return t?"-".concat(t.toLowerCase(),"-").concat(e):e},t.default=void 0,t.getPrefix=r;const n=["Moz","Webkit","O","ms"];function r(){var e;let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"transform";if("undefined"==typeof window)return"";const r=null===(e=window.document)||void 0===e||null===(e=e.documentElement)||void 0===e?void 0:e.style;if(!r)return"";if(t in r)return"";for(let e=0;e<n.length;e++)if(a(t,n[e])in r)return n[e];return""}function a(e,t){return t?"".concat(t).concat(function(e){let t="",n=!0;for(let r=0;r<e.length;r++)n?(t+=e[r].toUpperCase(),n=!1):"-"===e[r]?n=!0:t+=e[r];return t}(e)):e}t.default=r()},7988:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(){}},402:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.canDragX=function(e){return"both"===e.props.axis||"x"===e.props.axis},t.canDragY=function(e){return"both"===e.props.axis||"y"===e.props.axis},t.createCoreData=function(e,t,n){const a=!(0,r.isNum)(e.lastX),i=o(e);return a?{node:i,deltaX:0,deltaY:0,lastX:t,lastY:n,x:t,y:n}:{node:i,deltaX:t-e.lastX,deltaY:n-e.lastY,lastX:e.lastX,lastY:e.lastY,x:t,y:n}},t.createDraggableData=function(e,t){const n=e.props.scale;return{node:t.node,x:e.state.x+t.deltaX/n,y:e.state.y+t.deltaY/n,deltaX:t.deltaX/n,deltaY:t.deltaY/n,lastX:e.state.x,lastY:e.state.y}},t.getBoundPosition=function(e,t,n){if(!e.props.bounds)return[t,n];let{bounds:i}=e.props;i="string"==typeof i?i:function(e){return{left:e.left,top:e.top,right:e.right,bottom:e.bottom}}(i);const s=o(e);if("string"==typeof i){const{ownerDocument:e}=s,t=e.defaultView;let n;if(n="parent"===i?s.parentNode:e.querySelector(i),!(n instanceof t.HTMLElement))throw new Error('Bounds selector "'+i+'" could not find an element.');const o=n,l=t.getComputedStyle(s),c=t.getComputedStyle(o);i={left:-s.offsetLeft+(0,r.int)(c.paddingLeft)+(0,r.int)(l.marginLeft),top:-s.offsetTop+(0,r.int)(c.paddingTop)+(0,r.int)(l.marginTop),right:(0,a.innerWidth)(o)-(0,a.outerWidth)(s)-s.offsetLeft+(0,r.int)(c.paddingRight)-(0,r.int)(l.marginRight),bottom:(0,a.innerHeight)(o)-(0,a.outerHeight)(s)-s.offsetTop+(0,r.int)(c.paddingBottom)-(0,r.int)(l.marginBottom)}}return(0,r.isNum)(i.right)&&(t=Math.min(t,i.right)),(0,r.isNum)(i.bottom)&&(n=Math.min(n,i.bottom)),(0,r.isNum)(i.left)&&(t=Math.max(t,i.left)),(0,r.isNum)(i.top)&&(n=Math.max(n,i.top)),[t,n]},t.getControlPosition=function(e,t,n){const r="number"==typeof t?(0,a.getTouch)(e,t):null;if("number"==typeof t&&!r)return null;const i=o(n),s=n.props.offsetParent||i.offsetParent||i.ownerDocument.body;return(0,a.offsetXYFromParent)(r||e,s,n.props.scale)},t.snapToGrid=function(e,t,n){return[Math.round(t/e[0])*e[0],Math.round(n/e[1])*e[1]]};var r=n(6732),a=n(2837);function o(e){const t=e.findDOMNode();if(!t)throw new Error("<DraggableCore>: Unmounted during event!");return t}},6732:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.dontSetMe=function(e,t,n){if(e[t])return new Error("Invalid prop ".concat(t," passed to ").concat(n," - do not set this, set it on the child."))},t.findInArray=function(e,t){for(let n=0,r=e.length;n<r;n++)if(t.apply(t,[e[n],n,e]))return e[n]},t.int=function(e){return parseInt(e,10)},t.isFunction=function(e){return"function"==typeof e||"[object Function]"===Object.prototype.toString.call(e)},t.isNum=function(e){return"number"==typeof e&&!isNaN(e)}},8262:(e,t,n)=>{"use strict";function r(e){var t,n,a="";if("string"==typeof e||"number"==typeof e)a+=e;else if("object"==typeof e)if(Array.isArray(e))for(t=0;t<e.length;t++)e[t]&&(n=r(e[t]))&&(a&&(a+=" "),a+=n);else for(t in e)e[t]&&(a&&(a+=" "),a+=t);return a}function a(){for(var e,t,n=0,a="";n<arguments.length;)(e=arguments[n++])&&(t=r(e))&&(a&&(a+=" "),a+=t);return a}n.r(t),n.d(t,{clsx:()=>a,default:()=>o});const o=a},8100:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=d(n(5959)),a=d(n(2688)),o=n(8230),i=n(936),s=n(414),l=n(906),c=n(7222),u=d(n(8784));function d(e){return e&&e.__esModule?e:{default:e}}function p(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}class f extends r.default.Component{constructor(){super(...arguments),p(this,"state",{resizing:null,dragging:null,className:""}),p(this,"elementRef",r.default.createRef()),p(this,"onDragStart",((e,t)=>{let{node:n}=t;const{onDragStart:r,transformScale:a}=this.props;if(!r)return;const o={top:0,left:0},{offsetParent:i}=n;if(!i)return;const s=i.getBoundingClientRect(),c=n.getBoundingClientRect(),u=c.left/a,d=s.left/a,p=c.top/a,f=s.top/a;o.left=u-d+i.scrollLeft,o.top=p-f+i.scrollTop,this.setState({dragging:o});const{x:h,y:m}=(0,l.calcXY)(this.getPositionParams(),o.top,o.left,this.props.w,this.props.h);return r.call(this,this.props.i,h,m,{e,node:n,newPosition:o})})),p(this,"onDrag",((e,t)=>{let{node:n,deltaX:r,deltaY:a}=t;const{onDrag:o}=this.props;if(!o)return;if(!this.state.dragging)throw new Error("onDrag called before onDragStart.");let i=this.state.dragging.top+a,s=this.state.dragging.left+r;const{isBounded:c,i:u,w:d,h:p,containerWidth:f}=this.props,h=this.getPositionParams();if(c){const{offsetParent:e}=n;if(e){const{margin:t,rowHeight:n,containerPadding:r}=this.props,a=e.clientHeight-(0,l.calcGridItemWHPx)(p,n,t[1]);i=(0,l.clamp)(i-r[1],0,a);const o=(0,l.calcGridColWidth)(h),c=f-(0,l.calcGridItemWHPx)(d,o,t[0]);s=(0,l.clamp)(s-r[0],0,c)}}const m={top:i,left:s};this.setState({dragging:m});const{x:g,y:b}=(0,l.calcXY)(h,i,s,d,p);return o.call(this,u,g,b,{e,node:n,newPosition:m})})),p(this,"onDragStop",((e,t)=>{let{node:n}=t;const{onDragStop:r}=this.props;if(!r)return;if(!this.state.dragging)throw new Error("onDragEnd called before onDragStart.");const{w:a,h:o,i}=this.props,{left:s,top:c}=this.state.dragging,u={top:c,left:s};this.setState({dragging:null});const{x:d,y:p}=(0,l.calcXY)(this.getPositionParams(),c,s,a,o);return r.call(this,i,d,p,{e,node:n,newPosition:u})})),p(this,"onResizeStop",((e,t,n)=>this.onResizeHandler(e,t,n,"onResizeStop"))),p(this,"onResizeStart",((e,t,n)=>this.onResizeHandler(e,t,n,"onResizeStart"))),p(this,"onResize",((e,t,n)=>this.onResizeHandler(e,t,n,"onResize")))}shouldComponentUpdate(e,t){if(this.props.children!==e.children)return!0;if(this.props.droppingPosition!==e.droppingPosition)return!0;const n=(0,l.calcGridItemPosition)(this.getPositionParams(this.props),this.props.x,this.props.y,this.props.w,this.props.h,this.state),r=(0,l.calcGridItemPosition)(this.getPositionParams(e),e.x,e.y,e.w,e.h,t);return!(0,s.fastPositionEqual)(n,r)||this.props.useCSSTransforms!==e.useCSSTransforms}componentDidMount(){this.moveDroppingItem({})}componentDidUpdate(e){this.moveDroppingItem(e)}moveDroppingItem(e){const{droppingPosition:t}=this.props;if(!t)return;const n=this.elementRef.current;if(!n)return;const r=e.droppingPosition||{left:0,top:0},{dragging:a}=this.state,o=a&&t.left!==r.left||t.top!==r.top;if(a){if(o){const e=t.left-a.left,r=t.top-a.top;this.onDrag(t.e,{node:n,deltaX:e,deltaY:r})}}else this.onDragStart(t.e,{node:n,deltaX:t.left,deltaY:t.top})}getPositionParams(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:this.props;return{cols:e.cols,containerPadding:e.containerPadding,containerWidth:e.containerWidth,margin:e.margin,maxRows:e.maxRows,rowHeight:e.rowHeight}}createStyle(e){const{usePercentages:t,containerWidth:n,useCSSTransforms:r}=this.props;let a;return r?a=(0,s.setTransform)(e):(a=(0,s.setTopLeft)(e),t&&(a.left=(0,s.perc)(e.left/n),a.width=(0,s.perc)(e.width/n))),a}mixinDraggable(e,t){return r.default.createElement(o.DraggableCore,{disabled:!t,onStart:this.onDragStart,onDrag:this.onDrag,onStop:this.onDragStop,handle:this.props.handle,cancel:".react-resizable-handle"+(this.props.cancel?","+this.props.cancel:""),scale:this.props.transformScale,nodeRef:this.elementRef},e)}curryResizeHandler(e,t){return(n,r)=>t(n,r,e)}mixinResizable(e,t,n){const{cols:a,minW:o,minH:s,maxW:c,maxH:u,transformScale:d,resizeHandles:p,resizeHandle:f}=this.props,h=this.getPositionParams(),m=(0,l.calcGridItemPosition)(h,0,0,a,0).width,g=(0,l.calcGridItemPosition)(h,0,0,o,s),b=(0,l.calcGridItemPosition)(h,0,0,c,u),v=[g.width,g.height],y=[Math.min(b.width,m),Math.min(b.height,1/0)];return r.default.createElement(i.Resizable,{draggableOpts:{disabled:!n},className:n?void 0:"react-resizable-hide",width:t.width,height:t.height,minConstraints:v,maxConstraints:y,onResizeStop:this.curryResizeHandler(t,this.onResizeStop),onResizeStart:this.curryResizeHandler(t,this.onResizeStart),onResize:this.curryResizeHandler(t,this.onResize),transformScale:d,resizeHandles:p,handle:f},e)}onResizeHandler(e,t,n,r){let{node:a,size:o,handle:i}=t;const c=this.props[r];if(!c)return;const{x:u,y:d,i:p,maxH:f,minH:h,containerWidth:m}=this.props,{minW:g,maxW:b}=this.props;let v=o;a&&(v=(0,s.resizeItemInDirection)(i,n,o,m),this.setState({resizing:"onResizeStop"===r?null:v}));let{w:y,h:w}=(0,l.calcWH)(this.getPositionParams(),v.width,v.height,u,d,i);y=(0,l.clamp)(y,Math.max(g,1),b),w=(0,l.clamp)(w,h,f),c.call(this,p,y,w,{e,node:a,size:v,handle:i})}render(){const{x:e,y:t,w:n,h:a,isDraggable:o,isResizable:i,droppingPosition:s,useCSSTransforms:c}=this.props,d=(0,l.calcGridItemPosition)(this.getPositionParams(),e,t,n,a,this.state),p=r.default.Children.only(this.props.children);let f=r.default.cloneElement(p,{ref:this.elementRef,className:(0,u.default)("react-grid-item",p.props.className,this.props.className,{static:this.props.static,resizing:Boolean(this.state.resizing),"react-draggable":o,"react-draggable-dragging":Boolean(this.state.dragging),dropping:Boolean(s),cssTransforms:c}),style:{...this.props.style,...p.props.style,...this.createStyle(d)}});return f=this.mixinResizable(f,d,i),f=this.mixinDraggable(f,o),f}}t.default=f,p(f,"propTypes",{children:a.default.element,cols:a.default.number.isRequired,containerWidth:a.default.number.isRequired,rowHeight:a.default.number.isRequired,margin:a.default.array.isRequired,maxRows:a.default.number.isRequired,containerPadding:a.default.array.isRequired,x:a.default.number.isRequired,y:a.default.number.isRequired,w:a.default.number.isRequired,h:a.default.number.isRequired,minW:function(e,t){const n=e[t];return"number"!=typeof n?new Error("minWidth not Number"):n>e.w||n>e.maxW?new Error("minWidth larger than item width/maxWidth"):void 0},maxW:function(e,t){const n=e[t];return"number"!=typeof n?new Error("maxWidth not Number"):n<e.w||n<e.minW?new Error("maxWidth smaller than item width/minWidth"):void 0},minH:function(e,t){const n=e[t];return"number"!=typeof n?new Error("minHeight not Number"):n>e.h||n>e.maxH?new Error("minHeight larger than item height/maxHeight"):void 0},maxH:function(e,t){const n=e[t];return"number"!=typeof n?new Error("maxHeight not Number"):n<e.h||n<e.minH?new Error("maxHeight smaller than item height/minHeight"):void 0},i:a.default.string.isRequired,resizeHandles:c.resizeHandleAxesType,resizeHandle:c.resizeHandleType,onDragStop:a.default.func,onDragStart:a.default.func,onDrag:a.default.func,onResizeStop:a.default.func,onResizeStart:a.default.func,onResize:a.default.func,isDraggable:a.default.bool.isRequired,isResizable:a.default.bool.isRequired,isBounded:a.default.bool.isRequired,static:a.default.bool,useCSSTransforms:a.default.bool.isRequired,transformScale:a.default.number,className:a.default.string,handle:a.default.string,cancel:a.default.string,droppingPosition:a.default.shape({e:a.default.object.isRequired,left:a.default.number.isRequired,top:a.default.number.isRequired})}),p(f,"defaultProps",{className:"",cancel:"",handle:"",minH:1,minW:1,maxH:1/0,maxW:1/0,transformScale:1})},9482:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=d(t);if(n&&n.has(e))return n.get(e);var r={__proto__:null},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=n(568),o=u(n(8784)),i=n(414),s=n(906),l=u(n(8100)),c=u(n(7222));function u(e){return e&&e.__esModule?e:{default:e}}function d(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(d=function(e){return e?n:t})(e)}function p(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const f="react-grid-layout";let h=!1;try{h=/firefox/i.test(navigator.userAgent)}catch(e){}class m extends r.Component{constructor(){super(...arguments),p(this,"state",{activeDrag:null,layout:(0,i.synchronizeLayoutWithChildren)(this.props.layout,this.props.children,this.props.cols,(0,i.compactType)(this.props),this.props.allowOverlap),mounted:!1,oldDragItem:null,oldLayout:null,oldResizeItem:null,resizing:!1,droppingDOMNode:null,children:[]}),p(this,"dragEnterCounter",0),p(this,"onDragStart",((e,t,n,r)=>{let{e:a,node:o}=r;const{layout:s}=this.state,l=(0,i.getLayoutItem)(s,e);if(!l)return;const c={w:l.w,h:l.h,x:l.x,y:l.y,placeholder:!0,i:e};return this.setState({oldDragItem:(0,i.cloneLayoutItem)(l),oldLayout:s,activeDrag:c}),this.props.onDragStart(s,l,l,null,a,o)})),p(this,"onDrag",((e,t,n,r)=>{let{e:a,node:o}=r;const{oldDragItem:s}=this.state;let{layout:l}=this.state;const{cols:c,allowOverlap:u,preventCollision:d}=this.props,p=(0,i.getLayoutItem)(l,e);if(!p)return;const f={w:p.w,h:p.h,x:p.x,y:p.y,placeholder:!0,i:e};l=(0,i.moveElement)(l,p,t,n,!0,d,(0,i.compactType)(this.props),c,u),this.props.onDrag(l,s,p,f,a,o),this.setState({layout:u?l:(0,i.compact)(l,(0,i.compactType)(this.props),c),activeDrag:f})})),p(this,"onDragStop",((e,t,n,r)=>{let{e:a,node:o}=r;if(!this.state.activeDrag)return;const{oldDragItem:s}=this.state;let{layout:l}=this.state;const{cols:c,preventCollision:u,allowOverlap:d}=this.props,p=(0,i.getLayoutItem)(l,e);if(!p)return;l=(0,i.moveElement)(l,p,t,n,!0,u,(0,i.compactType)(this.props),c,d);const f=d?l:(0,i.compact)(l,(0,i.compactType)(this.props),c);this.props.onDragStop(f,s,p,null,a,o);const{oldLayout:h}=this.state;this.setState({activeDrag:null,layout:f,oldDragItem:null,oldLayout:null}),this.onLayoutMaybeChanged(f,h)})),p(this,"onResizeStart",((e,t,n,r)=>{let{e:a,node:o}=r;const{layout:s}=this.state,l=(0,i.getLayoutItem)(s,e);l&&(this.setState({oldResizeItem:(0,i.cloneLayoutItem)(l),oldLayout:this.state.layout,resizing:!0}),this.props.onResizeStart(s,l,l,null,a,o))})),p(this,"onResize",((e,t,n,r)=>{let{e:a,node:o,size:s,handle:l}=r;const{oldResizeItem:c}=this.state,{layout:u}=this.state,{cols:d,preventCollision:p,allowOverlap:f}=this.props;let h,m,g,b=!1;const[v,y]=(0,i.withLayoutItem)(u,e,(e=>{let r;return m=e.x,g=e.y,-1!==["sw","w","nw","n","ne"].indexOf(l)&&(-1!==["sw","nw","w"].indexOf(l)&&(m=e.x+(e.w-t),t=e.x!==m&&m<0?e.w:t,m=m<0?0:m),-1!==["ne","n","nw"].indexOf(l)&&(g=e.y+(e.h-n),n=e.y!==g&&g<0?e.h:n,g=g<0?0:g),b=!0),p&&!f&&(r=(0,i.getAllCollisions)(u,{...e,w:t,h:n,x:m,y:g}).filter((t=>t.i!==e.i)).length>0,r&&(g=e.y,n=e.h,m=e.x,t=e.w,b=!1)),e.w=t,e.h=n,e}));if(!y)return;if(h=v,b){const e=!0;h=(0,i.moveElement)(v,y,m,g,e,this.props.preventCollision,(0,i.compactType)(this.props),d,f)}const w={w:y.w,h:y.h,x:y.x,y:y.y,static:!0,i:e};this.props.onResize(h,c,y,w,a,o),this.setState({layout:f?h:(0,i.compact)(h,(0,i.compactType)(this.props),d),activeDrag:w})})),p(this,"onResizeStop",((e,t,n,r)=>{let{e:a,node:o}=r;const{layout:s,oldResizeItem:l}=this.state,{cols:c,allowOverlap:u}=this.props,d=(0,i.getLayoutItem)(s,e),p=u?s:(0,i.compact)(s,(0,i.compactType)(this.props),c);this.props.onResizeStop(p,l,d,null,a,o);const{oldLayout:f}=this.state;this.setState({activeDrag:null,layout:p,oldResizeItem:null,oldLayout:null,resizing:!1}),this.onLayoutMaybeChanged(p,f)})),p(this,"onDragOver",(e=>{if(e.preventDefault(),e.stopPropagation(),h&&!e.nativeEvent.target?.classList.contains(f))return!1;const{droppingItem:t,onDropDragOver:n,margin:a,cols:o,rowHeight:i,maxRows:l,width:c,containerPadding:u,transformScale:d}=this.props,p=n?.(e);if(!1===p)return this.state.droppingDOMNode&&this.removeDroppingPlaceholder(),!1;const m={...t,...p},{layout:g}=this.state,b=e.currentTarget.getBoundingClientRect(),v=e.clientX-b.left,y=e.clientY-b.top,w={left:v/d,top:y/d,e};if(this.state.droppingDOMNode){if(this.state.droppingPosition){const{left:e,top:t}=this.state.droppingPosition;(e!=v||t!=y)&&this.setState({droppingPosition:w})}}else{const e={cols:o,margin:a,maxRows:l,rowHeight:i,containerWidth:c,containerPadding:u||a},t=(0,s.calcXY)(e,y,v,m.w,m.h);this.setState({droppingDOMNode:r.createElement("div",{key:m.i}),droppingPosition:w,layout:[...g,{...m,x:t.x,y:t.y,static:!1,isDraggable:!0}]})}})),p(this,"removeDroppingPlaceholder",(()=>{const{droppingItem:e,cols:t}=this.props,{layout:n}=this.state,r=(0,i.compact)(n.filter((t=>t.i!==e.i)),(0,i.compactType)(this.props),t,this.props.allowOverlap);this.setState({layout:r,droppingDOMNode:null,activeDrag:null,droppingPosition:void 0})})),p(this,"onDragLeave",(e=>{e.preventDefault(),e.stopPropagation(),this.dragEnterCounter--,0===this.dragEnterCounter&&this.removeDroppingPlaceholder()})),p(this,"onDragEnter",(e=>{e.preventDefault(),e.stopPropagation(),this.dragEnterCounter++})),p(this,"onDrop",(e=>{e.preventDefault(),e.stopPropagation();const{droppingItem:t}=this.props,{layout:n}=this.state,r=n.find((e=>e.i===t.i));this.dragEnterCounter=0,this.removeDroppingPlaceholder(),this.props.onDrop(n,r,e)}))}componentDidMount(){this.setState({mounted:!0}),this.onLayoutMaybeChanged(this.state.layout,this.props.layout)}static getDerivedStateFromProps(e,t){let n;return t.activeDrag?null:((0,a.deepEqual)(e.layout,t.propsLayout)&&e.compactType===t.compactType?(0,i.childrenEqual)(e.children,t.children)||(n=t.layout):n=e.layout,n?{layout:(0,i.synchronizeLayoutWithChildren)(n,e.children,e.cols,(0,i.compactType)(e),e.allowOverlap),compactType:e.compactType,children:e.children,propsLayout:e.layout}:null)}shouldComponentUpdate(e,t){return this.props.children!==e.children||!(0,i.fastRGLPropsEqual)(this.props,e,a.deepEqual)||this.state.activeDrag!==t.activeDrag||this.state.mounted!==t.mounted||this.state.droppingPosition!==t.droppingPosition}componentDidUpdate(e,t){if(!this.state.activeDrag){const e=this.state.layout,n=t.layout;this.onLayoutMaybeChanged(e,n)}}containerHeight(){if(!this.props.autoSize)return;const e=(0,i.bottom)(this.state.layout),t=this.props.containerPadding?this.props.containerPadding[1]:this.props.margin[1];return e*this.props.rowHeight+(e-1)*this.props.margin[1]+2*t+"px"}onLayoutMaybeChanged(e,t){t||(t=this.state.layout),(0,a.deepEqual)(t,e)||this.props.onLayoutChange(e)}placeholder(){const{activeDrag:e}=this.state;if(!e)return null;const{width:t,cols:n,margin:a,containerPadding:o,rowHeight:i,maxRows:s,useCSSTransforms:c,transformScale:u}=this.props;return r.createElement(l.default,{w:e.w,h:e.h,x:e.x,y:e.y,i:e.i,className:"react-grid-placeholder "+(this.state.resizing?"placeholder-resizing":""),containerWidth:t,cols:n,margin:a,containerPadding:o||a,maxRows:s,rowHeight:i,isDraggable:!1,isResizable:!1,isBounded:!1,useCSSTransforms:c,transformScale:u},r.createElement("div",null))}processGridItem(e,t){if(!e||!e.key)return;const n=(0,i.getLayoutItem)(this.state.layout,String(e.key));if(!n)return null;const{width:a,cols:o,margin:s,containerPadding:c,rowHeight:u,maxRows:d,isDraggable:p,isResizable:f,isBounded:h,useCSSTransforms:m,transformScale:g,draggableCancel:b,draggableHandle:v,resizeHandles:y,resizeHandle:w}=this.props,{mounted:S,droppingPosition:x}=this.state,E="boolean"==typeof n.isDraggable?n.isDraggable:!n.static&&p,A="boolean"==typeof n.isResizable?n.isResizable:!n.static&&f,C=n.resizeHandles||y,O=E&&h&&!1!==n.isBounded;return r.createElement(l.default,{containerWidth:a,cols:o,margin:s,containerPadding:c||s,maxRows:d,rowHeight:u,cancel:b,handle:v,onDragStop:this.onDragStop,onDragStart:this.onDragStart,onDrag:this.onDrag,onResizeStart:this.onResizeStart,onResize:this.onResize,onResizeStop:this.onResizeStop,isDraggable:E,isResizable:A,isBounded:O,useCSSTransforms:m&&S,usePercentages:!S,transformScale:g,w:n.w,h:n.h,x:n.x,y:n.y,i:n.i,minH:n.minH,minW:n.minW,maxH:n.maxH,maxW:n.maxW,static:n.static,droppingPosition:t?x:void 0,resizeHandles:C,resizeHandle:w},e)}render(){const{className:e,style:t,isDroppable:n,innerRef:a}=this.props,s=(0,o.default)(f,e),l={height:this.containerHeight(),...t};return r.createElement("div",{ref:a,className:s,style:l,onDrop:n?this.onDrop:i.noop,onDragLeave:n?this.onDragLeave:i.noop,onDragEnter:n?this.onDragEnter:i.noop,onDragOver:n?this.onDragOver:i.noop},r.Children.map(this.props.children,(e=>this.processGridItem(e))),n&&this.state.droppingDOMNode&&this.processGridItem(this.state.droppingDOMNode,!0),this.placeholder())}}t.default=m,p(m,"displayName","ReactGridLayout"),p(m,"propTypes",c.default),p(m,"defaultProps",{autoSize:!0,cols:12,className:"",style:{},draggableHandle:"",draggableCancel:"",containerPadding:null,rowHeight:150,maxRows:1/0,layout:[],margin:[10,10],isBounded:!1,isDraggable:!0,isResizable:!0,allowOverlap:!1,isDroppable:!1,useCSSTransforms:!0,transformScale:1,verticalCompact:!0,compactType:"vertical",preventCollision:!1,droppingItem:{i:"__dropping-elem__",h:1,w:1},resizeHandles:["se"],onLayoutChange:i.noop,onDragStart:i.noop,onDrag:i.noop,onDragStop:i.noop,onResizeStart:i.noop,onResize:i.noop,onResizeStop:i.noop,onDrop:i.noop,onDropDragOver:i.noop})},7222:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resizeHandleType=t.resizeHandleAxesType=t.default=void 0;var r=o(n(2688)),a=o(n(5959));function o(e){return e&&e.__esModule?e:{default:e}}const i=t.resizeHandleAxesType=r.default.arrayOf(r.default.oneOf(["s","w","e","n","sw","nw","se","ne"])),s=t.resizeHandleType=r.default.oneOfType([r.default.node,r.default.func]);t.default={className:r.default.string,style:r.default.object,width:r.default.number,autoSize:r.default.bool,cols:r.default.number,draggableCancel:r.default.string,draggableHandle:r.default.string,verticalCompact:function(e){e.verticalCompact},compactType:r.default.oneOf(["vertical","horizontal"]),layout:function(e){var t=e.layout;void 0!==t&&n(414).validateLayout(t,"layout")},margin:r.default.arrayOf(r.default.number),containerPadding:r.default.arrayOf(r.default.number),rowHeight:r.default.number,maxRows:r.default.number,isBounded:r.default.bool,isDraggable:r.default.bool,isResizable:r.default.bool,allowOverlap:r.default.bool,preventCollision:r.default.bool,useCSSTransforms:r.default.bool,transformScale:r.default.number,isDroppable:r.default.bool,resizeHandles:i,resizeHandle:s,onLayoutChange:r.default.func,onDragStart:r.default.func,onDrag:r.default.func,onDragStop:r.default.func,onResizeStart:r.default.func,onResize:r.default.func,onResizeStop:r.default.func,onDrop:r.default.func,droppingItem:r.default.shape({i:r.default.string.isRequired,w:r.default.number.isRequired,h:r.default.number.isRequired}),children:function(e,t){const n=e[t],r={};a.default.Children.forEach(n,(function(e){if(null!=e?.key){if(r[e.key])throw new Error('Duplicate child key "'+e.key+'" found! This will cause problems in ReactGridLayout.');r[e.key]=!0}}))},innerRef:r.default.any}},4636:(e,t,n)=>{"use strict";t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=u(t);if(n&&n.has(e))return n.get(e);var r={__proto__:null},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=c(n(2688)),o=n(568),i=n(414),s=n(544),l=c(n(9482));function c(e){return e&&e.__esModule?e:{default:e}}function u(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(u=function(e){return e?n:t})(e)}function d(){return d=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},d.apply(this,arguments)}function p(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const f=e=>Object.prototype.toString.call(e);function h(e,t){return null==e?null:Array.isArray(e)?e:e[t]}class m extends r.Component{constructor(){super(...arguments),p(this,"state",this.generateInitialState()),p(this,"onLayoutChange",(e=>{this.props.onLayoutChange(e,{...this.props.layouts,[this.state.breakpoint]:e})}))}generateInitialState(){const{width:e,breakpoints:t,layouts:n,cols:r}=this.props,a=(0,s.getBreakpointFromWidth)(t,e),o=(0,s.getColsFromBreakpoint)(a,r),i=!1===this.props.verticalCompact?null:this.props.compactType;return{layout:(0,s.findOrGenerateResponsiveLayout)(n,t,a,a,o,i),breakpoint:a,cols:o}}static getDerivedStateFromProps(e,t){if(!(0,o.deepEqual)(e.layouts,t.layouts)){const{breakpoint:n,cols:r}=t;return{layout:(0,s.findOrGenerateResponsiveLayout)(e.layouts,e.breakpoints,n,n,r,e.compactType),layouts:e.layouts}}return null}componentDidUpdate(e){this.props.width==e.width&&this.props.breakpoint===e.breakpoint&&(0,o.deepEqual)(this.props.breakpoints,e.breakpoints)&&(0,o.deepEqual)(this.props.cols,e.cols)||this.onWidthChange(e)}onWidthChange(e){const{breakpoints:t,cols:n,layouts:r,compactType:a}=this.props,o=this.props.breakpoint||(0,s.getBreakpointFromWidth)(this.props.breakpoints,this.props.width),l=this.state.breakpoint,c=(0,s.getColsFromBreakpoint)(o,n),u={...r};if(l!==o||e.breakpoints!==t||e.cols!==n){l in u||(u[l]=(0,i.cloneLayout)(this.state.layout));let e=(0,s.findOrGenerateResponsiveLayout)(u,t,o,l,c,a);e=(0,i.synchronizeLayoutWithChildren)(e,this.props.children,c,a,this.props.allowOverlap),u[o]=e,this.props.onBreakpointChange(o,c),this.props.onLayoutChange(e,u),this.setState({breakpoint:o,layout:e,cols:c})}const d=h(this.props.margin,o),p=h(this.props.containerPadding,o);this.props.onWidthChange(this.props.width,d,c,p)}render(){const{breakpoint:e,breakpoints:t,cols:n,layouts:a,margin:o,containerPadding:i,onBreakpointChange:s,onLayoutChange:c,onWidthChange:u,...p}=this.props;return r.createElement(l.default,d({},p,{margin:h(o,this.state.breakpoint),containerPadding:h(i,this.state.breakpoint),onLayoutChange:this.onLayoutChange,layout:this.state.layout,cols:this.state.cols}))}}t.default=m,p(m,"propTypes",{breakpoint:a.default.string,breakpoints:a.default.object,allowOverlap:a.default.bool,cols:a.default.object,margin:a.default.oneOfType([a.default.array,a.default.object]),containerPadding:a.default.oneOfType([a.default.array,a.default.object]),layouts(e,t){if("[object Object]"!==f(e[t]))throw new Error("Layout property must be an object. Received: "+f(e[t]));Object.keys(e[t]).forEach((t=>{if(!(t in e.breakpoints))throw new Error("Each key in layouts must align with a key in breakpoints.");(0,i.validateLayout)(e.layouts[t],"layouts."+t)}))},width:a.default.number.isRequired,onBreakpointChange:a.default.func,onLayoutChange:a.default.func,onWidthChange:a.default.func}),p(m,"defaultProps",{breakpoints:{lg:1200,md:996,sm:768,xs:480,xxs:0},cols:{lg:12,md:10,sm:6,xs:4,xxs:2},containerPadding:{lg:null,md:null,sm:null,xs:null,xxs:null},layouts:{},margin:[10,10],allowOverlap:!1,onBreakpointChange:i.noop,onLayoutChange:i.noop,onWidthChange:i.noop})},906:(e,t)=>{"use strict";function n(e){const{margin:t,containerPadding:n,containerWidth:r,cols:a}=e;return(r-t[0]*(a-1)-2*n[0])/a}function r(e,t,n){return Number.isFinite(e)?Math.round(t*e+Math.max(0,e-1)*n):e}function a(e,t,n){return Math.max(Math.min(e,n),t)}Object.defineProperty(t,"__esModule",{value:!0}),t.calcGridColWidth=n,t.calcGridItemPosition=function(e,t,a,o,i,s){const{margin:l,containerPadding:c,rowHeight:u}=e,d=n(e),p={};return s&&s.resizing?(p.width=Math.round(s.resizing.width),p.height=Math.round(s.resizing.height)):(p.width=r(o,d,l[0]),p.height=r(i,u,l[1])),s&&s.dragging?(p.top=Math.round(s.dragging.top),p.left=Math.round(s.dragging.left)):s&&s.resizing&&"number"==typeof s.resizing.top&&"number"==typeof s.resizing.left?(p.top=Math.round(s.resizing.top),p.left=Math.round(s.resizing.left)):(p.top=Math.round((u+l[1])*a+c[1]),p.left=Math.round((d+l[0])*t+c[0])),p},t.calcGridItemWHPx=r,t.calcWH=function(e,t,r,o,i,s){const{margin:l,maxRows:c,cols:u,rowHeight:d}=e,p=n(e);let f=Math.round((t+l[0])/(p+l[0])),h=Math.round((r+l[1])/(d+l[1])),m=a(f,0,u-o),g=a(h,0,c-i);return-1!==["sw","w","nw"].indexOf(s)&&(m=a(f,0,u)),-1!==["nw","n","ne"].indexOf(s)&&(g=a(h,0,c)),{w:m,h:g}},t.calcXY=function(e,t,r,o,i){const{margin:s,containerPadding:l,cols:c,rowHeight:u,maxRows:d}=e,p=n(e);let f=Math.round((r-l[0])/(p+s[0])),h=Math.round((t-l[1])/(u+s[1]));return f=a(f,0,c-o),h=a(h,0,d-i),{x:f,y:h}},t.clamp=a},6805:(e,t,n)=>{"use strict";t.default=function(e){var t;return t=class extends r.Component{constructor(){super(...arguments),u(this,"state",{width:1280}),u(this,"elementRef",r.createRef()),u(this,"mounted",!1),u(this,"resizeObserver",void 0)}componentDidMount(){this.mounted=!0,this.resizeObserver=new o.default((e=>{if(this.elementRef.current instanceof HTMLElement){const t=e[0].contentRect.width;this.setState({width:t})}}));const e=this.elementRef.current;e instanceof HTMLElement&&this.resizeObserver.observe(e)}componentWillUnmount(){this.mounted=!1;const e=this.elementRef.current;e instanceof HTMLElement&&this.resizeObserver.unobserve(e),this.resizeObserver.disconnect()}render(){const{measureBeforeMount:t,...n}=this.props;return t&&!this.mounted?r.createElement("div",{className:(0,i.default)(this.props.className,d),style:this.props.style,ref:this.elementRef}):r.createElement(e,c({innerRef:this.elementRef},n,this.state))}},u(t,"defaultProps",{measureBeforeMount:!1}),u(t,"propTypes",{measureBeforeMount:a.default.bool}),t};var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=l(t);if(n&&n.has(e))return n.get(e);var r={__proto__:null},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=s(n(2688)),o=s(n(883)),i=s(n(8784));function s(e){return e&&e.__esModule?e:{default:e}}function l(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(l=function(e){return e?n:t})(e)}function c(){return c=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c.apply(this,arguments)}function u(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const d="react-grid-layout"},7434:e=>{e.exports=function(e,t,n){return e===t||e.className===t.className&&n(e.style,t.style)&&e.width===t.width&&e.autoSize===t.autoSize&&e.cols===t.cols&&e.draggableCancel===t.draggableCancel&&e.draggableHandle===t.draggableHandle&&n(e.verticalCompact,t.verticalCompact)&&n(e.compactType,t.compactType)&&n(e.layout,t.layout)&&n(e.margin,t.margin)&&n(e.containerPadding,t.containerPadding)&&e.rowHeight===t.rowHeight&&e.maxRows===t.maxRows&&e.isBounded===t.isBounded&&e.isDraggable===t.isDraggable&&e.isResizable===t.isResizable&&e.allowOverlap===t.allowOverlap&&e.preventCollision===t.preventCollision&&e.useCSSTransforms===t.useCSSTransforms&&e.transformScale===t.transformScale&&e.isDroppable===t.isDroppable&&n(e.resizeHandles,t.resizeHandles)&&n(e.resizeHandle,t.resizeHandle)&&e.onLayoutChange===t.onLayoutChange&&e.onDragStart===t.onDragStart&&e.onDrag===t.onDrag&&e.onDragStop===t.onDragStop&&e.onResizeStart===t.onResizeStart&&e.onResize===t.onResize&&e.onResizeStop===t.onResizeStop&&e.onDrop===t.onDrop&&n(e.droppingItem,t.droppingItem)&&n(e.innerRef,t.innerRef)}},544:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.findOrGenerateResponsiveLayout=function(e,t,n,o,i,s){if(e[n])return(0,r.cloneLayout)(e[n]);let l=e[o];const c=a(t),u=c.slice(c.indexOf(n));for(let t=0,n=u.length;t<n;t++){const n=u[t];if(e[n]){l=e[n];break}}return l=(0,r.cloneLayout)(l||[]),(0,r.compact)((0,r.correctBounds)(l,{cols:i}),s,i)},t.getBreakpointFromWidth=function(e,t){const n=a(e);let r=n[0];for(let a=1,o=n.length;a<o;a++){const o=n[a];t>e[o]&&(r=o)}return r},t.getColsFromBreakpoint=function(e,t){if(!t[e])throw new Error("ResponsiveReactGridLayout: `cols` entry for breakpoint "+e+" is missing!");return t[e]},t.sortBreakpoints=a;var r=n(414);function a(e){return Object.keys(e).sort((function(t,n){return e[t]-e[n]}))}},414:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.bottom=l,t.childrenEqual=function(e,t){return(0,a.deepEqual)(o.default.Children.map(e,(e=>e?.key)),o.default.Children.map(t,(e=>e?.key)))&&(0,a.deepEqual)(o.default.Children.map(e,(e=>e?.props["data-grid"])),o.default.Children.map(t,(e=>e?.props["data-grid"])))},t.cloneLayout=c,t.cloneLayoutItem=d,t.collides=p,t.compact=f,t.compactItem=g,t.compactType=function(e){const{verticalCompact:t,compactType:n}=e||{};return!1===t?null:n},t.correctBounds=b,t.fastPositionEqual=function(e,t){return e.left===t.left&&e.top===t.top&&e.width===t.width&&e.height===t.height},t.fastRGLPropsEqual=void 0,t.getAllCollisions=w,t.getFirstCollision=y,t.getLayoutItem=v,t.getStatics=S,t.modifyLayout=u,t.moveElement=x,t.moveElementAwayFromCollision=E,t.noop=void 0,t.perc=function(e){return 100*e+"%"},t.resizeItemInDirection=function(e,t,n,r){const a=T[e];return a?a(t,{...t,...n},r):n},t.setTopLeft=function(e){let{top:t,left:n,width:r,height:a}=e;return{top:`${t}px`,left:`${n}px`,width:`${r}px`,height:`${a}px`,position:"absolute"}},t.setTransform=function(e){let{top:t,left:n,width:r,height:a}=e;const o=`translate(${n}px,${t}px)`;return{transform:o,WebkitTransform:o,MozTransform:o,msTransform:o,OTransform:o,width:`${r}px`,height:`${a}px`,position:"absolute"}},t.sortLayoutItems=k,t.sortLayoutItemsByColRow=B,t.sortLayoutItemsByRowCol=M,t.synchronizeLayoutWithChildren=function(e,t,n,r,a){e=e||[];const s=[];o.default.Children.forEach(t,(t=>{if(null==t?.key)return;const n=v(e,String(t.key)),r=t.props["data-grid"];n&&null==r?s.push(d(n)):r?(i||L([r],"ReactGridLayout.children"),s.push(d({...r,i:t.key}))):s.push(d({w:1,h:1,x:0,y:l(s),i:String(t.key)}))}));const c=b(s,{cols:n});return a?c:f(c,r,n)},t.validateLayout=L,t.withLayoutItem=function(e,t,n){let r=v(e,t);return r?(r=n(d(r)),[e=u(e,r),r]):[e,null]};var r,a=n(568),o=(r=n(5959))&&r.__esModule?r:{default:r};const i=!0,s=!1;function l(e){let t,n=0;for(let r=0,a=e.length;r<a;r++)t=e[r].y+e[r].h,t>n&&(n=t);return n}function c(e){const t=Array(e.length);for(let n=0,r=e.length;n<r;n++)t[n]=d(e[n]);return t}function u(e,t){const n=Array(e.length);for(let r=0,a=e.length;r<a;r++)t.i===e[r].i?n[r]=t:n[r]=e[r];return n}function d(e){return{w:e.w,h:e.h,x:e.x,y:e.y,i:e.i,minW:e.minW,maxW:e.maxW,minH:e.minH,maxH:e.maxH,moved:Boolean(e.moved),static:Boolean(e.static),isDraggable:e.isDraggable,isResizable:e.isResizable,resizeHandles:e.resizeHandles,isBounded:e.isBounded}}function p(e,t){return!(e.i===t.i||e.x+e.w<=t.x||e.x>=t.x+t.w||e.y+e.h<=t.y||e.y>=t.y+t.h)}function f(e,t,n,r){const a=S(e),o=k(e,t),i=Array(e.length);for(let s=0,l=o.length;s<l;s++){let l=d(o[s]);l.static||(l=g(a,l,t,n,o,r),a.push(l)),i[e.indexOf(o[s])]=l,l.moved=!1}return i}t.fastRGLPropsEqual=n(7434);const h={x:"w",y:"h"};function m(e,t,n,r){const a=h[r];t[r]+=1;for(let o=e.map((e=>e.i)).indexOf(t.i)+1;o<e.length;o++){const i=e[o];if(!i.static){if(i.y>t.y+t.h)break;p(t,i)&&m(e,i,n+t[a],r)}}t[r]=n}function g(e,t,n,r,a,o){const i="horizontal"===n;if("vertical"===n)for(t.y=Math.min(l(e),t.y);t.y>0&&!y(e,t);)t.y--;else if(i)for(;t.x>0&&!y(e,t);)t.x--;let s;for(;(s=y(e,t))&&(null!==n||!o);)if(i?m(a,t,s.x+s.w,"x"):m(a,t,s.y+s.h,"y"),i&&t.x+t.w>r)for(t.x=r-t.w,t.y++;t.x>0&&!y(e,t);)t.x--;return t.y=Math.max(t.y,0),t.x=Math.max(t.x,0),t}function b(e,t){const n=S(e);for(let r=0,a=e.length;r<a;r++){const a=e[r];if(a.x+a.w>t.cols&&(a.x=t.cols-a.w),a.x<0&&(a.x=0,a.w=t.cols),a.static)for(;y(n,a);)a.y++;else n.push(a)}return e}function v(e,t){for(let n=0,r=e.length;n<r;n++)if(e[n].i===t)return e[n]}function y(e,t){for(let n=0,r=e.length;n<r;n++)if(p(e[n],t))return e[n]}function w(e,t){return e.filter((e=>p(e,t)))}function S(e){return e.filter((e=>e.static))}function x(e,t,n,r,a,o,i,s,l){if(t.static&&!0!==t.isDraggable)return e;if(t.y===r&&t.x===n)return e;N(`Moving element ${t.i} to [${String(n)},${String(r)}] from [${t.x},${t.y}]`);const u=t.x,d=t.y;"number"==typeof n&&(t.x=n),"number"==typeof r&&(t.y=r),t.moved=!0;let p=k(e,i);("vertical"===i&&"number"==typeof r?d>=r:"horizontal"===i&&"number"==typeof n&&u>=n)&&(p=p.reverse());const f=w(p,t),h=f.length>0;if(h&&l)return c(e);if(h&&o)return N(`Collision prevented on ${t.i}, reverting.`),t.x=u,t.y=d,t.moved=!1,e;for(let n=0,r=f.length;n<r;n++){const r=f[n];N(`Resolving collision between ${t.i} at [${t.x},${t.y}] and ${r.i} at [${r.x},${r.y}]`),r.moved||(e=r.static?E(e,r,t,a,i,s):E(e,t,r,a,i,s))}return e}function E(e,t,n,r,a,o){const i="horizontal"===a,s="vertical"===a,l=t.static;if(r){r=!1;const c={x:i?Math.max(t.x-n.w,0):n.x,y:s?Math.max(t.y-n.h,0):n.y,w:n.w,h:n.h,i:"-1"},u=y(e,c),d=u&&u.y+u.h>t.y,p=u&&t.x+t.w>u.x;if(!u)return N(`Doing reverse collision on ${n.i} up to [${c.x},${c.y}].`),x(e,n,i?c.x:void 0,s?c.y:void 0,r,l,a,o);if(d&&s)return x(e,n,void 0,t.y+1,r,l,a,o);if(d&&null==a)return t.y=n.y,n.y=n.y+n.h,e;if(p&&i)return x(e,t,n.x,void 0,r,l,a,o)}const c=i?n.x+1:void 0,u=s?n.y+1:void 0;return null==c&&null==u?e:x(e,n,i?n.x+1:void 0,s?n.y+1:void 0,r,l,a,o)}const A=(e,t,n,r)=>e+n>r?t:n,C=(e,t,n)=>e<0?t:n,O=e=>Math.max(0,e),R=e=>Math.max(0,e),D=(e,t,n)=>{let{left:r,height:a,width:o}=t;const i=e.top-(a-e.height);return{left:r,width:o,height:C(i,e.height,a),top:R(i)}},I=(e,t,n)=>{let{top:r,left:a,height:o,width:i}=t;return{top:r,height:o,width:A(e.left,e.width,i,n),left:O(a)}},P=(e,t,n)=>{let{top:r,height:a,width:o}=t;const i=e.left-(o-e.width);return{height:a,width:i<0?e.width:A(e.left,e.width,o,n),top:R(r),left:O(i)}},_=(e,t,n)=>{let{top:r,left:a,height:o,width:i}=t;return{width:i,left:a,height:C(r,e.height,o),top:R(r)}},T={n:D,ne:function(){return D(arguments.length<=0?void 0:arguments[0],I(...arguments))},e:I,se:function(){return _(arguments.length<=0?void 0:arguments[0],I(...arguments))},s:_,sw:function(){return _(arguments.length<=0?void 0:arguments[0],P(...arguments))},w:P,nw:function(){return D(arguments.length<=0?void 0:arguments[0],P(...arguments))}};function k(e,t){return"horizontal"===t?B(e):"vertical"===t?M(e):e}function M(e){return e.slice(0).sort((function(e,t){return e.y>t.y||e.y===t.y&&e.x>t.x?1:e.y===t.y&&e.x===t.x?0:-1}))}function B(e){return e.slice(0).sort((function(e,t){return e.x>t.x||e.x===t.x&&e.y>t.y?1:-1}))}function L(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"Layout";const n=["x","y","w","h"];if(!Array.isArray(e))throw new Error(t+" must be an array!");for(let r=0,a=e.length;r<a;r++){const a=e[r];for(let e=0;e<n.length;e++){const o=n[e],i=a[o];if("number"!=typeof i||Number.isNaN(i))throw new Error(`ReactGridLayout: ${t}[${r}].${o} must be a number! Received: ${i} (${typeof i})`)}if(void 0!==a.i&&"string"!=typeof a.i)throw new Error(`ReactGridLayout: ${t}[${r}].i must be a string! Received: ${a.i} (${typeof a.i})`)}}function N(){s&&console.log(...arguments)}t.noop=()=>{}},2548:(e,t,n)=>{e.exports=n(9482).default,e.exports.utils=n(414),e.exports.calculateUtils=n(906),e.exports.Responsive=n(4636).default,e.exports.Responsive.utils=n(544),e.exports.WidthProvider=n(6805).default},8299:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),a=Symbol.for("react.fragment"),o=Symbol.for("react.strict_mode"),i=Symbol.for("react.profiler"),s=Symbol.for("react.provider"),l=Symbol.for("react.context"),c=Symbol.for("react.server_context"),u=Symbol.for("react.forward_ref"),d=Symbol.for("react.suspense"),p=Symbol.for("react.suspense_list"),f=Symbol.for("react.memo"),h=Symbol.for("react.lazy");Symbol.for("react.offscreen");Symbol.for("react.module.reference"),t.ForwardRef=u,t.isMemo=function(e){return function(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case a:case i:case o:case d:case p:return e;default:switch(e=e&&e.$$typeof){case c:case l:case u:case h:case f:case s:return e;default:return t}}case r:return t}}}(e)===f}},4271:(e,t,n)=>{"use strict";e.exports=n(8299)},1794:(e,t,n)=>{"use strict";t.__esModule=!0,t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=l(t);if(n&&n.has(e))return n.get(e);var r={},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=n(8230),o=n(9954),i=n(6333),s=["children","className","draggableOpts","width","height","handle","handleSize","lockAspectRatio","axis","minConstraints","maxConstraints","onResize","onResizeStop","onResizeStart","resizeHandles","transformScale"];function l(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(l=function(e){return e?n:t})(e)}function c(){return c=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c.apply(this,arguments)}function u(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function d(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?u(Object(n),!0).forEach((function(t){p(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):u(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function p(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function f(e,t){return f=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},f(e,t)}var h=function(e){var t,n;function i(){for(var t,n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];return(t=e.call.apply(e,[this].concat(r))||this).handleRefs={},t.lastHandleRect=null,t.slack=null,t}n=e,(t=i).prototype=Object.create(n.prototype),t.prototype.constructor=t,f(t,n);var l=i.prototype;return l.componentWillUnmount=function(){this.resetData()},l.resetData=function(){this.lastHandleRect=this.slack=null},l.runConstraints=function(e,t){var n=this.props,r=n.minConstraints,a=n.maxConstraints,o=n.lockAspectRatio;if(!r&&!a&&!o)return[e,t];if(o){var i=this.props.width/this.props.height,s=e-this.props.width,l=t-this.props.height;Math.abs(s)>Math.abs(l*i)?t=e/i:e=t*i}var c=e,u=t,d=this.slack||[0,0],p=d[0],f=d[1];return e+=p,t+=f,r&&(e=Math.max(r[0],e),t=Math.max(r[1],t)),a&&(e=Math.min(a[0],e),t=Math.min(a[1],t)),this.slack=[p+(c-e),f+(u-t)],[e,t]},l.resizeHandler=function(e,t){var n=this;return function(r,a){var o=a.node,i=a.deltaX,s=a.deltaY;"onResizeStart"===e&&n.resetData();var l=("both"===n.props.axis||"x"===n.props.axis)&&"n"!==t&&"s"!==t,c=("both"===n.props.axis||"y"===n.props.axis)&&"e"!==t&&"w"!==t;if(l||c){var u=t[0],d=t[t.length-1],p=o.getBoundingClientRect();null!=n.lastHandleRect&&("w"===d&&(i+=p.left-n.lastHandleRect.left),"n"===u&&(s+=p.top-n.lastHandleRect.top)),n.lastHandleRect=p,"w"===d&&(i=-i),"n"===u&&(s=-s);var f=n.props.width+(l?i/n.props.transformScale:0),h=n.props.height+(c?s/n.props.transformScale:0),m=n.runConstraints(f,h);f=m[0],h=m[1];var g=f!==n.props.width||h!==n.props.height,b="function"==typeof n.props[e]?n.props[e]:null;b&&!("onResize"===e&&!g)&&(null==r.persist||r.persist(),b(r,{node:o,size:{width:f,height:h},handle:t})),"onResizeStop"===e&&n.resetData()}}},l.renderResizeHandle=function(e,t){var n=this.props.handle;if(!n)return r.createElement("span",{className:"react-resizable-handle react-resizable-handle-"+e,ref:t});if("function"==typeof n)return n(e,t);var a=d({ref:t},"string"==typeof n.type?{}:{handleAxis:e});return r.cloneElement(n,a)},l.render=function(){var e=this,t=this.props,n=t.children,i=t.className,l=t.draggableOpts,u=(t.width,t.height,t.handle,t.handleSize,t.lockAspectRatio,t.axis,t.minConstraints,t.maxConstraints,t.onResize,t.onResizeStop,t.onResizeStart,t.resizeHandles),p=(t.transformScale,function(e,t){if(null==e)return{};var n,r,a={},o=Object.keys(e);for(r=0;r<o.length;r++)n=o[r],t.indexOf(n)>=0||(a[n]=e[n]);return a}(t,s));return(0,o.cloneElement)(n,d(d({},p),{},{className:(i?i+" ":"")+"react-resizable",children:[].concat(n.props.children,u.map((function(t){var n,o=null!=(n=e.handleRefs[t])?n:e.handleRefs[t]=r.createRef();return r.createElement(a.DraggableCore,c({},l,{nodeRef:o,key:"resizableHandle-"+t,onStop:e.resizeHandler("onResizeStop",t),onStart:e.resizeHandler("onResizeStart",t),onDrag:e.resizeHandler("onResize",t)}),e.renderResizeHandle(t,o))})))}))},i}(r.Component);t.default=h,h.propTypes=i.resizableProps,h.defaultProps={axis:"both",handleSize:[20,20],lockAspectRatio:!1,minConstraints:[20,20],maxConstraints:[1/0,1/0],resizeHandles:["se"],transformScale:1}},6609:(e,t,n)=>{"use strict";t.default=void 0;var r=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=c(t);if(n&&n.has(e))return n.get(e);var r={},a=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var o in e)if("default"!==o&&Object.prototype.hasOwnProperty.call(e,o)){var i=a?Object.getOwnPropertyDescriptor(e,o):null;i&&(i.get||i.set)?Object.defineProperty(r,o,i):r[o]=e[o]}return r.default=e,n&&n.set(e,r),r}(n(5959)),a=l(n(2688)),o=l(n(1794)),i=n(6333),s=["handle","handleSize","onResize","onResizeStart","onResizeStop","draggableOpts","minConstraints","maxConstraints","lockAspectRatio","axis","width","height","resizeHandles","style","transformScale"];function l(e){return e&&e.__esModule?e:{default:e}}function c(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(c=function(e){return e?n:t})(e)}function u(){return u=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},u.apply(this,arguments)}function d(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function p(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?d(Object(n),!0).forEach((function(t){f(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):d(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function f(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function h(e,t){return h=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},h(e,t)}var m=function(e){var t,n;function a(){for(var t,n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];return(t=e.call.apply(e,[this].concat(r))||this).state={width:t.props.width,height:t.props.height,propsWidth:t.props.width,propsHeight:t.props.height},t.onResize=function(e,n){var r=n.size;t.props.onResize?(null==e.persist||e.persist(),t.setState(r,(function(){return t.props.onResize&&t.props.onResize(e,n)}))):t.setState(r)},t}return n=e,(t=a).prototype=Object.create(n.prototype),t.prototype.constructor=t,h(t,n),a.getDerivedStateFromProps=function(e,t){return t.propsWidth!==e.width||t.propsHeight!==e.height?{width:e.width,height:e.height,propsWidth:e.width,propsHeight:e.height}:null},a.prototype.render=function(){var e=this.props,t=e.handle,n=e.handleSize,a=(e.onResize,e.onResizeStart),i=e.onResizeStop,l=e.draggableOpts,c=e.minConstraints,d=e.maxConstraints,f=e.lockAspectRatio,h=e.axis,m=(e.width,e.height,e.resizeHandles),g=e.style,b=e.transformScale,v=function(e,t){if(null==e)return{};var n,r,a={},o=Object.keys(e);for(r=0;r<o.length;r++)n=o[r],t.indexOf(n)>=0||(a[n]=e[n]);return a}(e,s);return r.createElement(o.default,{axis:h,draggableOpts:l,handle:t,handleSize:n,height:this.state.height,lockAspectRatio:f,maxConstraints:d,minConstraints:c,onResizeStart:a,onResize:this.onResize,onResizeStop:i,resizeHandles:m,transformScale:b,width:this.state.width},r.createElement("div",u({},v,{style:p(p({},g),{},{width:this.state.width+"px",height:this.state.height+"px"})})))},a}(r.Component);t.default=m,m.propTypes=p(p({},i.resizableProps),{},{children:a.default.element})},6333:(e,t,n)=>{"use strict";t.__esModule=!0,t.resizableProps=void 0;var r,a=(r=n(2688))&&r.__esModule?r:{default:r};n(8230);var o={axis:a.default.oneOf(["both","x","y","none"]),className:a.default.string,children:a.default.element.isRequired,draggableOpts:a.default.shape({allowAnyClick:a.default.bool,cancel:a.default.string,children:a.default.node,disabled:a.default.bool,enableUserSelectHack:a.default.bool,offsetParent:a.default.node,grid:a.default.arrayOf(a.default.number),handle:a.default.string,nodeRef:a.default.object,onStart:a.default.func,onDrag:a.default.func,onStop:a.default.func,onMouseDown:a.default.func,scale:a.default.number}),height:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r,o=t[0];return"both"===o.axis||"y"===o.axis?(r=a.default.number).isRequired.apply(r,t):a.default.number.apply(a.default,t)},handle:a.default.oneOfType([a.default.node,a.default.func]),handleSize:a.default.arrayOf(a.default.number),lockAspectRatio:a.default.bool,maxConstraints:a.default.arrayOf(a.default.number),minConstraints:a.default.arrayOf(a.default.number),onResizeStop:a.default.func,onResizeStart:a.default.func,onResize:a.default.func,resizeHandles:a.default.arrayOf(a.default.oneOf(["s","w","e","n","sw","nw","se","ne"])),transformScale:a.default.number,width:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r,o=t[0];return"both"===o.axis||"x"===o.axis?(r=a.default.number).isRequired.apply(r,t):a.default.number.apply(a.default,t)}};t.resizableProps=o},9954:(e,t,n)=>{"use strict";t.__esModule=!0,t.cloneElement=function(e,t){return t.style&&e.props.style&&(t.style=i(i({},e.props.style),t.style)),t.className&&e.props.className&&(t.className=e.props.className+" "+t.className),a.default.cloneElement(e,t)};var r,a=(r=n(5959))&&r.__esModule?r:{default:r};function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function i(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){s(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function s(e,t,n){return(t=function(e){var t=function(e){if("object"!=typeof e||null===e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},936:(e,t,n)=>{"use strict";e.exports=function(){throw new Error("Don't instantiate Resizable directly! Use require('react-resizable').Resizable")},e.exports.Resizable=n(1794).default,e.exports.ResizableBox=n(6609).default},883:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>E});var r=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var a=r[n];e.call(t,a[1],a[0])}},t}()}(),a="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,o=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),i="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(o):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},s=["top","right","bottom","left","width","height","size","weight"],l="undefined"!=typeof MutationObserver,c=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e){var t=!1,n=!1,r=0;function a(){t&&(t=!1,e()),n&&s()}function o(){i(a)}function s(){var e=Date.now();if(t){if(e-r<2)return;n=!0}else t=!0,n=!1,setTimeout(o,20);r=e}return s}(this.refresh.bind(this))}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){a&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),l?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){a&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;s.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),u=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var a=r[n];Object.defineProperty(e,a,{value:t[a],enumerable:!1,writable:!1,configurable:!0})}return e},d=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||o},p=b(0,0,0,0);function f(e){return parseFloat(e)||0}function h(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+f(e["border-"+n+"-width"])}),0)}var m="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof d(e).SVGGraphicsElement}:function(e){return e instanceof d(e).SVGElement&&"function"==typeof e.getBBox};function g(e){return a?m(e)?function(e){var t=e.getBBox();return b(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return p;var r=d(e).getComputedStyle(e),a=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var a=r[n],o=e["padding-"+a];t[a]=f(o)}return t}(r),o=a.left+a.right,i=a.top+a.bottom,s=f(r.width),l=f(r.height);if("border-box"===r.boxSizing&&(Math.round(s+o)!==t&&(s-=h(r,"left","right")+o),Math.round(l+i)!==n&&(l-=h(r,"top","bottom")+i)),!function(e){return e===d(e).document.documentElement}(e)){var c=Math.round(s+o)-t,u=Math.round(l+i)-n;1!==Math.abs(c)&&(s-=c),1!==Math.abs(u)&&(l-=u)}return b(a.left,a.top,s,l)}(e):p}function b(e,t,n,r){return{x:e,y:t,width:n,height:r}}var v=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=b(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=g(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),y=function(e,t){var n,r,a,o,i,s,l,c=(r=(n=t).x,a=n.y,o=n.width,i=n.height,s="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,l=Object.create(s.prototype),u(l,{x:r,y:a,width:o,height:i,top:a,right:r+o,bottom:i+a,left:r}),l);u(this,{target:e,contentRect:c})},w=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new r,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof d(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new v(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof d(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new y(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),S="undefined"!=typeof WeakMap?new WeakMap:new r,x=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=c.getInstance(),r=new w(t,n,this);S.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){x.prototype[e]=function(){var t;return(t=S.get(this))[e].apply(t,arguments)}}));const E=void 0!==o.ResizeObserver?o.ResizeObserver:x},9524:(e,t,n)=>{const r=Symbol("SemVer ANY");class a{static get ANY(){return r}constructor(e,t){if(t=o(t),e instanceof a){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),c("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,c("comp",this)}parse(e){const t=this.options.loose?i[s.COMPARATORLOOSE]:i[s.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new u(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(c("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new u(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof a))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new d(e.value,t).test(this.value):""===e.operator?""===e.value||new d(this.value,t).test(e.semver):!((t=o(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(l(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(l(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=a;const o=n(7095),{safeRe:i,t:s}=n(6850),l=n(3811),c=n(9796),u=n(7944),d=n(8395)},8395:(e,t,n)=>{const r=/\s+/g;class a{constructor(e,t){if(t=i(t),e instanceof a)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new a(e.raw,t);if(e instanceof s)return this.raw=e.value,this.set=[[e]],this.formatted=void 0,this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().replace(r," "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!b(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&v(e[0])){this.set=[e];break}}this.formatted=void 0}get range(){if(void 0===this.formatted){this.formatted="";for(let e=0;e<this.set.length;e++){e>0&&(this.formatted+="||");const t=this.set[e];for(let e=0;e<t.length;e++)e>0&&(this.formatted+=" "),this.formatted+=t[e].toString().trim()}}return this.formatted}format(){return this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&m)|(this.options.loose&&g))+":"+e,n=o.get(t);if(n)return n;const r=this.options.loose,a=r?u[d.HYPHENRANGELOOSE]:u[d.HYPHENRANGE];e=e.replace(a,P(this.options.includePrerelease)),l("hyphen replace",e),e=e.replace(u[d.COMPARATORTRIM],p),l("comparator trim",e),e=e.replace(u[d.TILDETRIM],f),l("tilde trim",e),e=e.replace(u[d.CARETTRIM],h),l("caret trim",e);let i=e.split(" ").map((e=>w(e,this.options))).join(" ").split(/\s+/).map((e=>I(e,this.options)));r&&(i=i.filter((e=>(l("loose invalid filter",e,this.options),!!e.match(u[d.COMPARATORLOOSE]))))),l("range list",i);const c=new Map,v=i.map((e=>new s(e,this.options)));for(const e of v){if(b(e))return[e];c.set(e.value,e)}c.size>1&&c.has("")&&c.delete("");const y=[...c.values()];return o.set(t,y),y}intersects(e,t){if(!(e instanceof a))throw new TypeError("a Range is required");return this.set.some((n=>y(n,t)&&e.set.some((e=>y(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new c(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(_(this.set[t],e,this.options))return!0;return!1}}e.exports=a;const o=new(n(1158)),i=n(7095),s=n(9524),l=n(9796),c=n(7944),{safeRe:u,t:d,comparatorTrimReplace:p,tildeTrimReplace:f,caretTrimReplace:h}=n(6850),{FLAG_INCLUDE_PRERELEASE:m,FLAG_LOOSE:g}=n(9630),b=e=>"<0.0.0-0"===e.value,v=e=>""===e.value,y=(e,t)=>{let n=!0;const r=e.slice();let a=r.pop();for(;n&&r.length;)n=r.every((e=>a.intersects(e,t))),a=r.pop();return n},w=(e,t)=>(l("comp",e,t),e=A(e,t),l("caret",e),e=x(e,t),l("tildes",e),e=O(e,t),l("xrange",e),e=D(e,t),l("stars",e),e),S=e=>!e||"x"===e.toLowerCase()||"*"===e,x=(e,t)=>e.trim().split(/\s+/).map((e=>E(e,t))).join(" "),E=(e,t)=>{const n=t.loose?u[d.TILDELOOSE]:u[d.TILDE];return e.replace(n,((t,n,r,a,o)=>{let i;return l("tilde",e,t,n,r,a,o),S(n)?i="":S(r)?i=`>=${n}.0.0 <${+n+1}.0.0-0`:S(a)?i=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:o?(l("replaceTilde pr",o),i=`>=${n}.${r}.${a}-${o} <${n}.${+r+1}.0-0`):i=`>=${n}.${r}.${a} <${n}.${+r+1}.0-0`,l("tilde return",i),i}))},A=(e,t)=>e.trim().split(/\s+/).map((e=>C(e,t))).join(" "),C=(e,t)=>{l("caret",e,t);const n=t.loose?u[d.CARETLOOSE]:u[d.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,a,o,i)=>{let s;return l("caret",e,t,n,a,o,i),S(n)?s="":S(a)?s=`>=${n}.0.0${r} <${+n+1}.0.0-0`:S(o)?s="0"===n?`>=${n}.${a}.0${r} <${n}.${+a+1}.0-0`:`>=${n}.${a}.0${r} <${+n+1}.0.0-0`:i?(l("replaceCaret pr",i),s="0"===n?"0"===a?`>=${n}.${a}.${o}-${i} <${n}.${a}.${+o+1}-0`:`>=${n}.${a}.${o}-${i} <${n}.${+a+1}.0-0`:`>=${n}.${a}.${o}-${i} <${+n+1}.0.0-0`):(l("no pr"),s="0"===n?"0"===a?`>=${n}.${a}.${o}${r} <${n}.${a}.${+o+1}-0`:`>=${n}.${a}.${o}${r} <${n}.${+a+1}.0-0`:`>=${n}.${a}.${o} <${+n+1}.0.0-0`),l("caret return",s),s}))},O=(e,t)=>(l("replaceXRanges",e,t),e.split(/\s+/).map((e=>R(e,t))).join(" ")),R=(e,t)=>{e=e.trim();const n=t.loose?u[d.XRANGELOOSE]:u[d.XRANGE];return e.replace(n,((n,r,a,o,i,s)=>{l("xRange",e,n,r,a,o,i,s);const c=S(a),u=c||S(o),d=u||S(i),p=d;return"="===r&&p&&(r=""),s=t.includePrerelease?"-0":"",c?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&p?(u&&(o=0),i=0,">"===r?(r=">=",u?(a=+a+1,o=0,i=0):(o=+o+1,i=0)):"<="===r&&(r="<",u?a=+a+1:o=+o+1),"<"===r&&(s="-0"),n=`${r+a}.${o}.${i}${s}`):u?n=`>=${a}.0.0${s} <${+a+1}.0.0-0`:d&&(n=`>=${a}.${o}.0${s} <${a}.${+o+1}.0-0`),l("xRange return",n),n}))},D=(e,t)=>(l("replaceStars",e,t),e.trim().replace(u[d.STAR],"")),I=(e,t)=>(l("replaceGTE0",e,t),e.trim().replace(u[t.includePrerelease?d.GTE0PRE:d.GTE0],"")),P=e=>(t,n,r,a,o,i,s,l,c,u,d,p)=>`${n=S(r)?"":S(a)?`>=${r}.0.0${e?"-0":""}`:S(o)?`>=${r}.${a}.0${e?"-0":""}`:i?`>=${n}`:`>=${n}${e?"-0":""}`} ${l=S(c)?"":S(u)?`<${+c+1}.0.0-0`:S(d)?`<${c}.${+u+1}.0-0`:p?`<=${c}.${u}.${d}-${p}`:e?`<${c}.${u}.${+d+1}-0`:`<=${l}`}`.trim(),_=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(l(e[n].semver),e[n].semver!==s.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},7944:(e,t,n)=>{const r=n(9796),{MAX_LENGTH:a,MAX_SAFE_INTEGER:o}=n(9630),{safeRe:i,t:s}=n(6850),l=n(7095),{compareIdentifiers:c}=n(4031);class u{constructor(e,t){if(t=l(t),e instanceof u){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>a)throw new TypeError(`version is longer than ${a} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?i[s.LOOSE]:i[s.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>o||this.major<0)throw new TypeError("Invalid major version");if(this.minor>o||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>o||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<o)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof u)){if("string"==typeof e&&e===this.version)return 0;e=new u(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof u||(e=new u(e,this.options)),c(this.major,e.major)||c(this.minor,e.minor)||c(this.patch,e.patch)}comparePre(e){if(e instanceof u||(e=new u(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],a=e.prerelease[t];if(r("prerelease compare",t,n,a),void 0===n&&void 0===a)return 0;if(void 0===a)return 1;if(void 0===n)return-1;if(n!==a)return c(n,a)}while(++t)}compareBuild(e){e instanceof u||(e=new u(e,this.options));let t=0;do{const n=this.build[t],a=e.build[t];if(r("build compare",t,n,a),void 0===n&&void 0===a)return 0;if(void 0===a)return 1;if(void 0===n)return-1;if(n!==a)return c(n,a)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===c(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=u},7994:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},3811:(e,t,n)=>{const r=n(6909),a=n(7659),o=n(144),i=n(2077),s=n(599),l=n(7092);e.exports=(e,t,n,c)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,c);case"!=":return a(e,n,c);case">":return o(e,n,c);case">=":return i(e,n,c);case"<":return s(e,n,c);case"<=":return l(e,n,c);default:throw new TypeError(`Invalid operator: ${t}`)}}},5334:(e,t,n)=>{const r=n(7944),a=n(5860),{safeRe:o,t:i}=n(6850);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?o[i.COERCERTLFULL]:o[i.COERCERTL];let a;for(;(a=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&a.index+a[0].length===n.index+n[0].length||(n=a),r.lastIndex=a.index+a[1].length+a[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?o[i.COERCEFULL]:o[i.COERCE]);if(null===n)return null;const s=n[2],l=n[3]||"0",c=n[4]||"0",u=t.includePrerelease&&n[5]?`-${n[5]}`:"",d=t.includePrerelease&&n[6]?`+${n[6]}`:"";return a(`${s}.${l}.${c}${u}${d}`,t)}},2801:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>{const a=new r(e,n),o=new r(t,n);return a.compare(o)||a.compareBuild(o)}},7023:(e,t,n)=>{const r=n(5380);e.exports=(e,t)=>r(e,t,!0)},5380:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},660:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,null,!0),a=r(t,null,!0),o=n.compare(a);if(0===o)return null;const i=o>0,s=i?n:a,l=i?a:n,c=!!s.prerelease.length;if(l.prerelease.length&&!c)return l.patch||l.minor?s.patch?"patch":s.minor?"minor":"major":"major";const u=c?"pre":"";return n.major!==a.major?u+"major":n.minor!==a.minor?u+"minor":n.patch!==a.patch?u+"patch":"prerelease"}},6909:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0===r(e,t,n)},144:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>0},2077:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>=0},5955:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n,a,o)=>{"string"==typeof n&&(o=a,a=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,a,o).version}catch(e){return null}}},599:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<0},7092:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<=0},2966:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).major},5986:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).minor},7659:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0!==r(e,t,n)},5860:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},1617:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).patch},9613:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},2862:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(t,e,n)},6033:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},1722:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},603:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},7645:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},8449:(e,t,n)=>{const r=n(6850),a=n(9630),o=n(7944),i=n(4031),s=n(5860),l=n(7645),c=n(7994),u=n(5955),d=n(660),p=n(2966),f=n(5986),h=n(1617),m=n(9613),g=n(5380),b=n(2862),v=n(7023),y=n(2801),w=n(603),S=n(6033),x=n(144),E=n(599),A=n(6909),C=n(7659),O=n(2077),R=n(7092),D=n(3811),I=n(5334),P=n(9524),_=n(8395),T=n(1722),k=n(651),M=n(7840),B=n(7930),L=n(3489),N=n(7494),j=n(5463),F=n(7871),V=n(4266),$=n(1112),z=n(1465),U=n(9252);e.exports={parse:s,valid:l,clean:c,inc:u,diff:d,major:p,minor:f,patch:h,prerelease:m,compare:g,rcompare:b,compareLoose:v,compareBuild:y,sort:w,rsort:S,gt:x,lt:E,eq:A,neq:C,gte:O,lte:R,cmp:D,coerce:I,Comparator:P,Range:_,satisfies:T,toComparators:k,maxSatisfying:M,minSatisfying:B,minVersion:L,validRange:N,outside:j,gtr:F,ltr:V,intersects:$,simplifyRange:z,subset:U,SemVer:o,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:a.SEMVER_SPEC_VERSION,RELEASE_TYPES:a.RELEASE_TYPES,compareIdentifiers:i.compareIdentifiers,rcompareIdentifiers:i.rcompareIdentifiers}},9630:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},9796:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},4031:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),a=t.test(n);return r&&a&&(e=+e,n=+n),e===n?0:r&&!a?-1:a&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},1158:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},7095:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},6850:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:a,MAX_LENGTH:o}=n(9630),i=n(9796),s=(t=e.exports={}).re=[],l=t.safeRe=[],c=t.src=[],u=t.t={};let d=0;const p="[a-zA-Z0-9-]",f=[["\\s",1],["\\d",o],[p,a]],h=(e,t,n)=>{const r=(e=>{for(const[t,n]of f)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),a=d++;i(e,a,t),u[e]=a,c[a]=t,s[a]=new RegExp(t,n?"g":void 0),l[a]=new RegExp(r,n?"g":void 0)};h("NUMERICIDENTIFIER","0|[1-9]\\d*"),h("NUMERICIDENTIFIERLOOSE","\\d+"),h("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${p}*`),h("MAINVERSION",`(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})`),h("MAINVERSIONLOOSE",`(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})`),h("PRERELEASEIDENTIFIER",`(?:${c[u.NUMERICIDENTIFIER]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASEIDENTIFIERLOOSE",`(?:${c[u.NUMERICIDENTIFIERLOOSE]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASE",`(?:-(${c[u.PRERELEASEIDENTIFIER]}(?:\\.${c[u.PRERELEASEIDENTIFIER]})*))`),h("PRERELEASELOOSE",`(?:-?(${c[u.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${c[u.PRERELEASEIDENTIFIERLOOSE]})*))`),h("BUILDIDENTIFIER",`${p}+`),h("BUILD",`(?:\\+(${c[u.BUILDIDENTIFIER]}(?:\\.${c[u.BUILDIDENTIFIER]})*))`),h("FULLPLAIN",`v?${c[u.MAINVERSION]}${c[u.PRERELEASE]}?${c[u.BUILD]}?`),h("FULL",`^${c[u.FULLPLAIN]}$`),h("LOOSEPLAIN",`[v=\\s]*${c[u.MAINVERSIONLOOSE]}${c[u.PRERELEASELOOSE]}?${c[u.BUILD]}?`),h("LOOSE",`^${c[u.LOOSEPLAIN]}$`),h("GTLT","((?:<|>)?=?)"),h("XRANGEIDENTIFIERLOOSE",`${c[u.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),h("XRANGEIDENTIFIER",`${c[u.NUMERICIDENTIFIER]}|x|X|\\*`),h("XRANGEPLAIN",`[v=\\s]*(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:${c[u.PRERELEASE]})?${c[u.BUILD]}?)?)?`),h("XRANGEPLAINLOOSE",`[v=\\s]*(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:${c[u.PRERELEASELOOSE]})?${c[u.BUILD]}?)?)?`),h("XRANGE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAIN]}$`),h("XRANGELOOSE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAINLOOSE]}$`),h("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),h("COERCE",`${c[u.COERCEPLAIN]}(?:$|[^\\d])`),h("COERCEFULL",c[u.COERCEPLAIN]+`(?:${c[u.PRERELEASE]})?`+`(?:${c[u.BUILD]})?(?:$|[^\\d])`),h("COERCERTL",c[u.COERCE],!0),h("COERCERTLFULL",c[u.COERCEFULL],!0),h("LONETILDE","(?:~>?)"),h("TILDETRIM",`(\\s*)${c[u.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",h("TILDE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAIN]}$`),h("TILDELOOSE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAINLOOSE]}$`),h("LONECARET","(?:\\^)"),h("CARETTRIM",`(\\s*)${c[u.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",h("CARET",`^${c[u.LONECARET]}${c[u.XRANGEPLAIN]}$`),h("CARETLOOSE",`^${c[u.LONECARET]}${c[u.XRANGEPLAINLOOSE]}$`),h("COMPARATORLOOSE",`^${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]})$|^$`),h("COMPARATOR",`^${c[u.GTLT]}\\s*(${c[u.FULLPLAIN]})$|^$`),h("COMPARATORTRIM",`(\\s*)${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]}|${c[u.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",h("HYPHENRANGE",`^\\s*(${c[u.XRANGEPLAIN]})\\s+-\\s+(${c[u.XRANGEPLAIN]})\\s*$`),h("HYPHENRANGELOOSE",`^\\s*(${c[u.XRANGEPLAINLOOSE]})\\s+-\\s+(${c[u.XRANGEPLAINLOOSE]})\\s*$`),h("STAR","(<|>)?=?\\s*\\*"),h("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),h("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7871:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,">",n)},1112:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},4266:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,"<",n)},7840:(e,t,n)=>{const r=n(7944),a=n(8395);e.exports=(e,t,n)=>{let o=null,i=null,s=null;try{s=new a(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&-1!==i.compare(e)||(o=e,i=new r(o,n)))})),o}},7930:(e,t,n)=>{const r=n(7944),a=n(8395);e.exports=(e,t,n)=>{let o=null,i=null,s=null;try{s=new a(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&1!==i.compare(e)||(o=e,i=new r(o,n)))})),o}},3489:(e,t,n)=>{const r=n(7944),a=n(8395),o=n(144);e.exports=(e,t)=>{e=new a(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const a=e.set[t];let i=null;a.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":i&&!o(t,i)||(i=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!i||n&&!o(n,i)||(n=i)}return n&&e.test(n)?n:null}},5463:(e,t,n)=>{const r=n(7944),a=n(9524),{ANY:o}=a,i=n(8395),s=n(1722),l=n(144),c=n(599),u=n(7092),d=n(2077);e.exports=(e,t,n,p)=>{let f,h,m,g,b;switch(e=new r(e,p),t=new i(t,p),n){case">":f=l,h=u,m=c,g=">",b=">=";break;case"<":f=c,h=d,m=l,g="<",b="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,p))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let i=null,s=null;if(r.forEach((e=>{e.semver===o&&(e=new a(">=0.0.0")),i=i||e,s=s||e,f(e.semver,i.semver,p)?i=e:m(e.semver,s.semver,p)&&(s=e)})),i.operator===g||i.operator===b)return!1;if((!s.operator||s.operator===g)&&h(e,s.semver))return!1;if(s.operator===b&&m(e,s.semver))return!1}return!0}},1465:(e,t,n)=>{const r=n(1722),a=n(5380);e.exports=(e,t,n)=>{const o=[];let i=null,s=null;const l=e.sort(((e,t)=>a(e,t,n)));for(const e of l)r(e,t,n)?(s=e,i||(i=e)):(s&&o.push([i,s]),s=null,i=null);i&&o.push([i,null]);const c=[];for(const[e,t]of o)e===t?c.push(e):t||e!==l[0]?t?e===l[0]?c.push(`<=${t}`):c.push(`${e} - ${t}`):c.push(`>=${e}`):c.push("*");const u=c.join(" || "),d="string"==typeof t.raw?t.raw:String(t);return u.length<d.length?u:t}},9252:(e,t,n)=>{const r=n(8395),a=n(9524),{ANY:o}=a,i=n(1722),s=n(5380),l=[new a(">=0.0.0-0")],c=[new a(">=0.0.0")],u=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===o){if(1===t.length&&t[0].semver===o)return!0;e=n.includePrerelease?l:c}if(1===t.length&&t[0].semver===o){if(n.includePrerelease)return!0;t=c}const r=new Set;let a,u,f,h,m,g,b;for(const t of e)">"===t.operator||">="===t.operator?a=d(a,t,n):"<"===t.operator||"<="===t.operator?u=p(u,t,n):r.add(t.semver);if(r.size>1)return null;if(a&&u){if(f=s(a.semver,u.semver,n),f>0)return null;if(0===f&&(">="!==a.operator||"<="!==u.operator))return null}for(const e of r){if(a&&!i(e,String(a),n))return null;if(u&&!i(e,String(u),n))return null;for(const r of t)if(!i(e,String(r),n))return!1;return!0}let v=!(!u||n.includePrerelease||!u.semver.prerelease.length)&&u.semver,y=!(!a||n.includePrerelease||!a.semver.prerelease.length)&&a.semver;v&&1===v.prerelease.length&&"<"===u.operator&&0===v.prerelease[0]&&(v=!1);for(const e of t){if(b=b||">"===e.operator||">="===e.operator,g=g||"<"===e.operator||"<="===e.operator,a)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(h=d(a,e,n),h===e&&h!==a)return!1}else if(">="===a.operator&&!i(a.semver,String(e),n))return!1;if(u)if(v&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===v.major&&e.semver.minor===v.minor&&e.semver.patch===v.patch&&(v=!1),"<"===e.operator||"<="===e.operator){if(m=p(u,e,n),m===e&&m!==u)return!1}else if("<="===u.operator&&!i(u.semver,String(e),n))return!1;if(!e.operator&&(u||a)&&0!==f)return!1}return!(a&&g&&!u&&0!==f||u&&b&&!a&&0!==f||y||v)},d=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},p=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let a=!1;e:for(const r of e.set){for(const e of t.set){const t=u(r,e,n);if(a=a||null!==t,t)continue e}if(a)return!1}return!0}},651:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},7494:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},4354:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>b});var r=n(5292),a=n.n(r),o=n(9893),i=n.n(o),s=n(9383),l=n.n(s),c=n(6884),u=n.n(c),d=n(9088),p=n.n(d),f=n(7997),h=n.n(f),m=n(6005),g={};g.styleTagTransform=h(),g.setAttributes=u(),g.insert=l().bind(null,"head"),g.domAPI=i(),g.insertStyleElement=p(),a()(m.A,g);const b=m.A&&m.A.locals?m.A.locals:void 0},5292:e=>{"use strict";var t=[];function n(e){for(var n=-1,r=0;r<t.length;r++)if(t[r].identifier===e){n=r;break}return n}function r(e,r){for(var o={},i=[],s=0;s<e.length;s++){var l=e[s],c=r.base?l[0]+r.base:l[0],u=o[c]||0,d="".concat(c," ").concat(u);o[c]=u+1;var p=n(d),f={css:l[1],media:l[2],sourceMap:l[3],supports:l[4],layer:l[5]};if(-1!==p)t[p].references++,t[p].updater(f);else{var h=a(f,r);r.byIndex=s,t.splice(s,0,{identifier:d,updater:h,references:1})}i.push(d)}return i}function a(e,t){var n=t.domAPI(t);return n.update(e),function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;n.update(e=t)}else n.remove()}}e.exports=function(e,a){var o=r(e=e||[],a=a||{});return function(e){e=e||[];for(var i=0;i<o.length;i++){var s=n(o[i]);t[s].references--}for(var l=r(e,a),c=0;c<o.length;c++){var u=n(o[c]);0===t[u].references&&(t[u].updater(),t.splice(u,1))}o=l}}},9383:e=>{"use strict";var t={};e.exports=function(e,n){var r=function(e){if(void 0===t[e]){var n=document.querySelector(e);if(window.HTMLIFrameElement&&n instanceof window.HTMLIFrameElement)try{n=n.contentDocument.head}catch(e){n=null}t[e]=n}return t[e]}(e);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(n)}},9088:e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},6884:(e,t,n)=>{"use strict";e.exports=function(e){var t=n.nc;t&&e.setAttribute("nonce",t)}},9893:e=>{"use strict";e.exports=function(e){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var t=e.insertStyleElement(e);return{update:function(n){!function(e,t,n){var r="";n.supports&&(r+="@supports (".concat(n.supports,") {")),n.media&&(r+="@media ".concat(n.media," {"));var a=void 0!==n.layer;a&&(r+="@layer".concat(n.layer.length>0?" ".concat(n.layer):""," {")),r+=n.css,a&&(r+="}"),n.media&&(r+="}"),n.supports&&(r+="}");var o=n.sourceMap;o&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(o))))," */")),t.styleTagTransform(r,e,t.options)}(t,e,n)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},7997:e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},6089:e=>{"use strict";e.exports=r},9089:e=>{"use strict";e.exports=c},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=o},2007:e=>{"use strict";e.exports=t},3241:e=>{"use strict";e.exports=a},5959:e=>{"use strict";e.exports=n},8398:e=>{"use strict";e.exports=l},200:e=>{"use strict";e.exports=d},3806:e=>{"use strict";e.exports=i},7694:e=>{"use strict";e.exports=u},1269:e=>{"use strict";e.exports=s},4452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function a(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=i(e,o(n)))}return e}function o(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return a.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=i(t,n));return t}function i(e,t){return t?e?e+" "+t:e+t:e}e.exports?(a.default=a,e.exports=a):void 0===(n=function(){return a}.apply(t,[]))||(e.exports=n)}()},7451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1705:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(2162);function a(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},8102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},7405:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(1705);function a(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function o(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?a(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):a(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},9644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,a=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(r=0;r<o.length;r++)n=o[r],t.includes(n)||{}.propertyIsEnumerable.call(e,n)&&(a[n]=e[n])}return a}n.d(t,{A:()=>r})},7850:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(6438);function a(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,a,o,i,s=[],l=!0,c=!1;try{if(o=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(r=o.call(n)).done)&&(s.push(r.value),s.length!==t);l=!0);}catch(e){c=!0,a=e}finally{try{if(!l&&null!=n.return&&(i=n.return(),Object(i)!==i))return}finally{if(c)throw a}}return s}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},4300:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7451),a=n(6438);function o(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,a.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},2162:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(694);function a(e){var t=function(e){if("object"!=(0,r.A)(e)||!e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=(0,r.A)(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},6438:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(7451);function a(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},m={};function g(e){var t=m[e];if(void 0!==t)return t.exports;var n=m[e]={id:e,exports:{}};return h[e].call(n.exports,n,n.exports,g),n.exports}g.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return g.d(t,{a:t}),t},f=Object.getPrototypeOf?e=>Object.getPrototypeOf(e):e=>e.__proto__,g.t=function(e,t){if(1&t&&(e=this(e)),8&t)return e;if("object"==typeof e&&e){if(4&t&&e.__esModule)return e;if(16&t&&"function"==typeof e.then)return e}var n=Object.create(null);g.r(n);var r={};p=p||[null,f({}),f([]),f(f)];for(var a=2&t&&e;"object"==typeof a&&!~p.indexOf(a);a=f(a))Object.getOwnPropertyNames(a).forEach((t=>r[t]=()=>e[t]));return r.default=()=>e,g.d(n,r),n},g.d=(e,t)=>{for(var n in t)g.o(t,n)&&!g.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},g.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),g.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),g.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},g.nc=void 0;var b={};return(()=>{"use strict";g.r(b),g.d(b,{plugin:()=>Fo});var e=g(7781),t=g(2007),n=g(5959),r=g.n(n);const a="data-testid fields-editor",o="data-testid fields-editor button-add",i="data-testid fields-editor button-remove",s="data-testid fields-editor field-name",l="data-testid fields-editor field-type",c="data-testid fields-editor item",u=e=>`data-testid fields-editor item-header-${e}`,d=e=>`data-testid fields-editor item-content-${e}`,p="data-testid fields-editor button-collapse-all",f="data-testid fields-editor button-expand-all",h="data-testid query-editor root",m="data-testid query-editor custom-values-editor",v="data-testid query-editor field-name",y="query-editor field-preferred-visualization-type",w="query-editor field-values-editor",S="data-testid query-editor values-editor",x="data-testid query-editor field-openai-message",E=e=>`data-testid value-input field-date-time-${e}`,A=e=>`data-testid value-input field-number-${e}`,C=e=>`data-testid value-input field-string-${e}`,O=e=>`data-testid value-input field-textarea-${e}`,R=e=>`data-testid value-input icon-disable-${e}`,D="data-testid boolean-input field-switch",I="data-testid boolean-input icon-disable",P="data-testid values-editor",_="data-testid values-editor button-add",T="data-testid values-editor button-add-start",k="data-testid values-editor button-add-end",M="data-testid values-editor button-copy",B="data-testid values-editor button-remove",L="data-testid values-editor row",N=e=>`data-testid values-editor item-header-${e}`,j=e=>`data-testid values-editor item-content-${e}`,F="data-testid values-editor button-collapse-all",V="data-testid values-editor button-expand-all",$="data-testid custom-values-editor",z="data-testid config-editor code-editor-enabled-container",U=e=>`data-testid config-editor code-editor-enabled-option-${e}`,W="data-testid config-editor";var H=function(e){return e.SUCCESS="success",e.ERROR="error",e}({});const G=[{value:!1,label:"Disabled",ariaLabel:U("false")},{value:!0,label:"Enabled",ariaLabel:U("true")}];var q=function(e){return e.MANUAL="manual",e.CUSTOM="custom",e}({}),Q=g(7774);const Y=new Q.Fn({detail:"All properties and methods.",items:{frame:new Q.OA("DataFrameDTO"),llmResult:new Q.OA("Chat Completions Response"),utils:{detail:"Utils and helpers functions.",items:{toDataFrame:new Q.OA("Return as a Data Frame",t.CodeEditorSuggestionItemKind.Method)}}}}),X=(t,n)=>{if(null===t)return{ok:!0,value:t};switch(n){case e.FieldType.number:const n=Number(t);return""===t||isNaN(n)?{ok:!1,error:"Invalid number",value:null}:{ok:!0,value:n};case e.FieldType.time:const r=Number(t);return""===t||isNaN(r)?{ok:!1,error:"Invalid timestamp",value:null}:{ok:!0,value:r};case e.FieldType.boolean:return["1","0","true","yes","false","no",!0,!1].includes(t)?{ok:!0,value:t}:{ok:!1,error:"Invalid boolean",value:null};default:return{ok:!0,value:t.toString()}}},K=(e,t,n)=>{const r=Array.from(e),[a]=r.splice(t,1);return r.splice(n,0,a),r},Z={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let J;const ee=new Uint8Array(16);function te(){if(!J){if("undefined"==typeof crypto||!crypto.getRandomValues)throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");J=crypto.getRandomValues.bind(crypto)}return J(ee)}const ne=[];for(let e=0;e<256;++e)ne.push((e+256).toString(16).slice(1));const re=function(e,t,n){if(Z.randomUUID&&!t&&!e)return Z.randomUUID();const r=(e=e||{}).random||(e.rng||te)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){n=n||0;for(let e=0;e<16;++e)t[n+e]=r[e];return t}return function(e,t=0){return(ne[e[t+0]]+ne[e[t+1]]+ne[e[t+2]]+ne[e[t+3]]+"-"+ne[e[t+4]]+ne[e[t+5]]+"-"+ne[e[t+6]]+ne[e[t+7]]+"-"+ne[e[t+8]]+ne[e[t+9]]+"-"+ne[e[t+10]]+ne[e[t+11]]+ne[e[t+12]]+ne[e[t+13]]+ne[e[t+14]]+ne[e[t+15]]).toLowerCase()}(r)};function ae(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function oe(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ae(e,t,n[t])}))}return e}function ie(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const se=t=>{let n=(0,e.createDataFrame)(t);const r=n.fields.map(((e,n)=>t.rows.map((t=>X(t.value[n],e.type).value))));return n=ie(oe({},n),{fields:n.fields.map(((e,t)=>ie(oe({},e),{values:r[t]})))}),(0,e.toDataFrameDTO)(n)},le=(e,t)=>!!e&&("boolean"==typeof t?t:"string"==typeof t&&(e=>{switch(e){case"true":case"yes":case"1":return!0;default:return!1}})(t));var ce=g(8531);const ue=(t,n)=>{for(let r=0;r<t.fields.length;r++){const a=t.fields[r];a.type===e.FieldType.string&&(a.values=a.values.map((e=>(0,ce.getTemplateSrv)().replace(e,n,"csv")))),t.fields[r]=a}return t},de="const result = {\n    ...frame,\n    fields: frame.fields.map((field) => ({\n      ...field,\n      values: []\n    }))\n  }\n  \n  return Promise.resolve(result);",pe=[{label:"Manual",value:q.MANUAL},{label:"JavaScript",value:q.CUSTOM}];var fe=function(e){return e.JAVASCRIPT="javascript",e}({});const he=[{label:"frame",kind:t.CodeEditorSuggestionItemKind.Property,detail:"DataFrameDTO"},...Y.suggestions],me=[e.FieldType.boolean,e.FieldType.geo,e.FieldType.number,e.FieldType.other,e.FieldType.string,e.FieldType.time,e.FieldType.trace];function ge(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}var be=g(8398),ve=g.n(be),ye=g(7694),we=g(200);function Se(e,t){var r=(0,n.useState)((function(){return{inputs:t,result:e()}}))[0],a=(0,n.useRef)(!0),o=(0,n.useRef)(r),i=a.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs))?o.current:{inputs:t,result:e()};return(0,n.useEffect)((function(){a.current=!1,o.current=i}),[i]),i.result}var xe=Se,Ee=function(e,t){return Se((function(){return e}),t)},Ae=function(e){var t=e.top,n=e.right,r=e.bottom,a=e.left;return{top:t,right:n,bottom:r,left:a,width:n-a,height:r-t,x:a,y:t,center:{x:(n+a)/2,y:(r+t)/2}}},Ce=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},Oe=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},Re={top:0,right:0,bottom:0,left:0},De=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?Re:n,a=e.border,o=void 0===a?Re:a,i=e.padding,s=void 0===i?Re:i,l=Ae(Ce(t,r)),c=Ae(Oe(t,o)),u=Ae(Oe(c,s));return{marginBox:l,borderBox:Ae(t),paddingBox:c,contentBox:u,margin:r,border:o,padding:s}},Ie=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(){throw new Error("Invariant failed")}(),n},Pe=function(e,t){var n,r,a=e.borderBox,o=e.border,i=e.margin,s=e.padding,l=(r=t,{top:(n=a).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return De({borderBox:l,border:o,margin:i,padding:s})},_e=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),Pe(e,t)},Te=function(e,t){var n={top:Ie(t.marginTop),right:Ie(t.marginRight),bottom:Ie(t.marginBottom),left:Ie(t.marginLeft)},r={top:Ie(t.paddingTop),right:Ie(t.paddingRight),bottom:Ie(t.paddingBottom),left:Ie(t.paddingLeft)},a={top:Ie(t.borderTopWidth),right:Ie(t.borderRightWidth),bottom:Ie(t.borderBottomWidth),left:Ie(t.borderLeftWidth)};return De({borderBox:e,margin:n,padding:r,border:a})},ke=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return Te(t,n)},Me=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function Be(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(a=t[n])||Me(r)&&Me(a)))return!1;var r,a;return!0}function Le(e,t){void 0===t&&(t=Be);var n=null;function r(){for(var r=[],a=0;a<arguments.length;a++)r[a]=arguments[a];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var o=e.apply(this,r);return n={lastResult:o,lastArgs:r,lastThis:this},o}return r.clear=function(){n=null},r}const Ne=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,a=new Array(r),o=0;o<r;o++)a[o]=arguments[o];t=a,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var je=g(8102);function Fe(e,t){}function Ve(){}function $e(e,t,n){const r=t.map((t=>{const r=(a=n,o=t.options,{...a,...o});var a,o;return e.addEventListener(t.eventName,t.fn,r),function(){e.removeEventListener(t.eventName,t.fn,r)}}));return function(){r.forEach((e=>{e()}))}}Fe.bind(null,"warn"),Fe.bind(null,"error");class ze extends Error{}function Ue(e,t){throw new ze("Invariant failed")}ze.prototype.toString=function(){return this.message};class We extends r().Component{constructor(...e){super(...e),this.callbacks=null,this.unbind=Ve,this.onWindowError=e=>{const t=this.getCallbacks();t.isDragging()&&t.tryAbort(),e.error instanceof ze&&e.preventDefault()},this.getCallbacks=()=>{if(!this.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return this.callbacks},this.setCallbacks=e=>{this.callbacks=e}}componentDidMount(){this.unbind=$e(window,[{eventName:"error",fn:this.onWindowError}])}componentDidCatch(e){if(!(e instanceof ze))throw e;this.setState({})}componentWillUnmount(){this.unbind()}render(){return this.props.children(this.setCallbacks)}}const He=e=>e+1,Ge=(e,t)=>{const n=e.droppableId===t.droppableId,r=He(e.index),a=He(t.index);return n?`\n      You have moved the item from position ${r}\n      to position ${a}\n    `:`\n    You have moved the item from position ${r}\n    in list ${e.droppableId}\n    to list ${t.droppableId}\n    in position ${a}\n  `},qe=(e,t,n)=>t.droppableId===n.droppableId?`\n      The item ${e}\n      has been combined with ${n.draggableId}`:`\n      The item ${e}\n      in list ${t.droppableId}\n      has been combined with ${n.draggableId}\n      in list ${n.droppableId}\n    `,Qe=e=>`\n  The item has returned to its starting position\n  of ${He(e.index)}\n`,Ye="\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n",Xe=e=>`\n  You have lifted an item in position ${He(e.source.index)}\n`,Ke=e=>{const t=e.destination;if(t)return Ge(e.source,t);const n=e.combine;return n?qe(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},Ze=e=>{if("CANCEL"===e.reason)return`\n      Movement cancelled.\n      ${Qe(e.source)}\n    `;const t=e.destination,n=e.combine;return t?`\n      You have dropped the item.\n      ${Ge(e.source,t)}\n    `:n?`\n      You have dropped the item.\n      ${qe(e.draggableId,e.source,n)}\n    `:`\n    The item has been dropped while not over a drop area.\n    ${Qe(e.source)}\n  `},Je={x:0,y:0},et=(e,t)=>({x:e.x+t.x,y:e.y+t.y}),tt=(e,t)=>({x:e.x-t.x,y:e.y-t.y}),nt=(e,t)=>e.x===t.x&&e.y===t.y,rt=e=>({x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}),at=(e,t,n=0)=>"x"===e?{x:t,y:n}:{x:n,y:t},ot=(e,t)=>Math.sqrt((t.x-e.x)**2+(t.y-e.y)**2),it=(e,t)=>Math.min(...t.map((t=>ot(e,t)))),st=e=>t=>({x:e(t.x),y:e(t.y)}),lt=(e,t)=>({top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}),ct=e=>[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}],ut=(e,t)=>t&&t.shouldClipSubject?((e,t)=>{const n=Ae({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n})(t.pageMarginBox,e):Ae(e);var dt=({page:e,withPlaceholder:t,axis:n,frame:r})=>{const a=((e,t)=>t?lt(e,t.scroll.diff.displacement):e)(e.marginBox,r),o=((e,t,n)=>n&&n.increasedBy?{...e,[t.end]:e[t.end]+n.increasedBy[t.line]}:e)(a,n,t);return{page:e,withPlaceholder:t,active:ut(o,r)}},pt=(e,t)=>{e.frame||Ue();const n=e.frame,r=tt(t,n.scroll.initial),a=rt(r),o={...n,scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:a},max:n.scroll.max}},i=dt({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:o});return{...e,frame:o,subject:i}};const ft=Le((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),ht=Le((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),mt=Le((e=>Object.values(e))),gt=Le((e=>Object.values(e)));var bt=Le(((e,t)=>gt(t).filter((t=>e===t.descriptor.droppableId)).sort(((e,t)=>e.descriptor.index-t.descriptor.index))));function vt(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function yt(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var wt=Le(((e,t)=>t.filter((t=>t.descriptor.id!==e.descriptor.id)))),St=(e,t)=>e.descriptor.droppableId===t.descriptor.id;const xt={point:Je,value:0},Et={invisible:{},visible:{},all:[]},At={displaced:Et,displacedBy:xt,at:null};var Ct=(e,t)=>n=>e<=n&&n<=t,Ot=e=>{const t=Ct(e.top,e.bottom),n=Ct(e.left,e.right);return r=>{if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;const a=t(r.top)||t(r.bottom),o=n(r.left)||n(r.right);if(a&&o)return!0;const i=r.top<e.top&&r.bottom>e.bottom,s=r.left<e.left&&r.right>e.right;return!(!i||!s)||(i&&o||s&&a)}},Rt=e=>{const t=Ct(e.top,e.bottom),n=Ct(e.left,e.right);return e=>t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)};const Dt={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},It={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},Pt=({target:e,destination:t,viewport:n,withDroppableDisplacement:r,isVisibleThroughFrameFn:a})=>{const o=r?((e,t)=>{const n=t.frame?t.frame.scroll.diff.displacement:Je;return lt(e,n)})(e,t):e;return((e,t,n)=>!!t.subject.active&&n(t.subject.active)(e))(o,t,a)&&((e,t,n)=>n(t)(e))(o,n,a)},_t=e=>Pt({...e,isVisibleThroughFrameFn:Rt});function Tt({afterDragging:e,destination:t,displacedBy:n,viewport:r,forceShouldAnimate:a,last:o}){return e.reduce((function(e,i){const s=function(e,t){const n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return Ae(Ce(n,r))}(i,n),l=i.descriptor.id;var c;if(e.all.push(l),c={target:s,destination:t,viewport:r,withDroppableDisplacement:!0},!Pt({...c,isVisibleThroughFrameFn:Ot}))return e.invisible[i.descriptor.id]=!0,e;const u=((e,t,n)=>{if("boolean"==typeof n)return n;if(!t)return!0;const{invisible:r,visible:a}=t;if(r[e])return!1;const o=a[e];return!o||o.shouldAnimate})(l,o,a),d={draggableId:l,shouldAnimate:u};return e.visible[l]=d,e}),{all:[],visible:{},invisible:{}})}function kt({insideDestination:e,inHomeList:t,displacedBy:n,destination:r}){const a=function(e,t){if(!e.length)return 0;const n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(e,{inHomeList:t});return{displaced:Et,displacedBy:n,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:a}}}}function Mt({draggable:e,insideDestination:t,destination:n,viewport:r,displacedBy:a,last:o,index:i,forceShouldAnimate:s}){const l=St(e,n);if(null==i)return kt({insideDestination:t,inHomeList:l,displacedBy:a,destination:n});const c=t.find((e=>e.descriptor.index===i));if(!c)return kt({insideDestination:t,inHomeList:l,displacedBy:a,destination:n});const u=wt(e,t),d=t.indexOf(c);return{displaced:Tt({afterDragging:u.slice(d),destination:n,displacedBy:a,last:o,viewport:r.frame,forceShouldAnimate:s}),displacedBy:a,at:{type:"REORDER",destination:{droppableId:n.descriptor.id,index:i}}}}function Bt(e,t){return Boolean(t.effected[e])}const Lt=(e,t)=>t.margin[e.start]+t.borderBox[e.size]/2,Nt=(e,t,n)=>t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2,jt=({axis:e,moveRelativeTo:t,isMoving:n})=>at(e.line,t.marginBox[e.end]+Lt(e,n),Nt(e,t.marginBox,n)),Ft=({axis:e,moveRelativeTo:t,isMoving:n})=>at(e.line,t.marginBox[e.start]-((e,t)=>t.margin[e.end]+t.borderBox[e.size]/2)(e,n),Nt(e,t.marginBox,n));var Vt=(e,t)=>{const n=e.frame;return n?et(t,n.scroll.diff.displacement):t},$t=e=>{const t=(({impact:e,draggable:t,droppable:n,draggables:r,afterCritical:a})=>{const o=t.page.borderBox.center,i=e.at;return n&&i?"REORDER"===i.type?(({impact:e,draggable:t,draggables:n,droppable:r,afterCritical:a})=>{const o=bt(r.descriptor.id,n),i=t.page,s=r.axis;if(!o.length)return(({axis:e,moveInto:t,isMoving:n})=>at(e.line,t.contentBox[e.start]+Lt(e,n),Nt(e,t.contentBox,n)))({axis:s,moveInto:r.page,isMoving:i});const{displaced:l,displacedBy:c}=e,u=l.all[0];if(u){const e=n[u];if(Bt(u,a))return Ft({axis:s,moveRelativeTo:e.page,isMoving:i});const t=Pe(e.page,c.point);return Ft({axis:s,moveRelativeTo:t,isMoving:i})}const d=o[o.length-1];if(d.descriptor.id===t.descriptor.id)return i.borderBox.center;if(Bt(d.descriptor.id,a)){const e=Pe(d.page,rt(a.displacedBy.point));return jt({axis:s,moveRelativeTo:e,isMoving:i})}return jt({axis:s,moveRelativeTo:d.page,isMoving:i})})({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:a}):(({afterCritical:e,impact:t,draggables:n})=>{const r=yt(t);r||Ue();const a=r.draggableId,o=n[a].page.borderBox.center,i=(({displaced:e,afterCritical:t,combineWith:n,displacedBy:r})=>{const a=Boolean(e.visible[n]||e.invisible[n]);return Bt(n,t)?a?Je:rt(r.point):a?r.point:Je})({displaced:t.displaced,afterCritical:e,combineWith:a,displacedBy:t.displacedBy});return et(o,i)})({impact:e,draggables:r,afterCritical:a}):o})(e),n=e.droppable;return n?Vt(n,t):t},zt=(e,t)=>{const n=tt(t,e.scroll.initial),r=rt(n);return{frame:Ae({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function Ut(e,t){return e.map((e=>t[e]))}var Wt=({pageBorderBoxCenter:e,draggable:t,viewport:n})=>{const r=((e,t)=>et(e.scroll.diff.displacement,t))(n,e),a=tt(r,t.page.borderBox.center);return et(t.client.borderBox.center,a)},Ht=({draggable:e,destination:t,newPageBorderBoxCenter:n,viewport:r,withDroppableDisplacement:a,onlyOnMainAxis:o=!1})=>{const i=tt(n,e.page.borderBox.center),s={target:lt(e.page.borderBox,i),destination:t,withDroppableDisplacement:a,viewport:r};return o?(e=>{return Pt({...e,isVisibleThroughFrameFn:(t=e.destination.axis,e=>{const n=Ct(e.top,e.bottom),r=Ct(e.left,e.right);return e=>t===Dt?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)})});var t})(s):_t(s)},Gt=({isMovingForward:e,draggable:t,destination:n,draggables:r,previousImpact:a,viewport:o,previousPageBorderBoxCenter:i,previousClientSelection:s,afterCritical:l})=>{if(!n.isEnabled)return null;const c=bt(n.descriptor.id,r),u=St(t,n),d=(({isMovingForward:e,draggable:t,destination:n,insideDestination:r,previousImpact:a})=>{if(!n.isCombineEnabled)return null;if(!vt(a))return null;function o(e){const t={type:"COMBINE",combine:{draggableId:e,droppableId:n.descriptor.id}};return{...a,at:t}}const i=a.displaced.all,s=i.length?i[0]:null;if(e)return s?o(s):null;const l=wt(t,r);if(!s)return l.length?o(l[l.length-1].descriptor.id):null;const c=l.findIndex((e=>e.descriptor.id===s));-1===c&&Ue();const u=c-1;return u<0?null:o(l[u].descriptor.id)})({isMovingForward:e,draggable:t,destination:n,insideDestination:c,previousImpact:a})||(({isMovingForward:e,isInHomeList:t,draggable:n,draggables:r,destination:a,insideDestination:o,previousImpact:i,viewport:s,afterCritical:l})=>{const c=i.at;if(c||Ue(),"REORDER"===c.type){const r=(({isMovingForward:e,isInHomeList:t,insideDestination:n,location:r})=>{if(!n.length)return null;const a=r.index,o=e?a+1:a-1,i=n[0].descriptor.index,s=n[n.length-1].descriptor.index;return o<i||o>(t?s:s+1)?null:o})({isMovingForward:e,isInHomeList:t,location:c.destination,insideDestination:o});return null==r?null:Mt({draggable:n,insideDestination:o,destination:a,viewport:s,last:i.displaced,displacedBy:i.displacedBy,index:r})}const u=(({isMovingForward:e,destination:t,draggables:n,combine:r,afterCritical:a})=>{if(!t.isCombineEnabled)return null;const o=r.draggableId,i=n[o].descriptor.index;return Bt(o,a)?e?i:i-1:e?i+1:i})({isMovingForward:e,destination:a,displaced:i.displaced,draggables:r,combine:c.combine,afterCritical:l});return null==u?null:Mt({draggable:n,insideDestination:o,destination:a,viewport:s,last:i.displaced,displacedBy:i.displacedBy,index:u})})({isMovingForward:e,isInHomeList:u,draggable:t,draggables:r,destination:n,insideDestination:c,previousImpact:a,viewport:o,afterCritical:l});if(!d)return null;const p=$t({impact:d,draggable:t,droppable:n,draggables:r,afterCritical:l});if(Ht({draggable:t,destination:n,newPageBorderBoxCenter:p,viewport:o.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:Wt({pageBorderBoxCenter:p,draggable:t,viewport:o}),impact:d,scrollJumpRequest:null};const f=tt(p,i),h=(({impact:e,viewport:t,destination:n,draggables:r,maxScrollChange:a})=>{const o=zt(t,et(t.scroll.current,a)),i=n.frame?pt(n,et(n.frame.scroll.current,a)):n,s=e.displaced,l=Tt({afterDragging:Ut(s.all,r),destination:n,displacedBy:e.displacedBy,viewport:o.frame,last:s,forceShouldAnimate:!1}),c=Tt({afterDragging:Ut(s.all,r),destination:i,displacedBy:e.displacedBy,viewport:t.frame,last:s,forceShouldAnimate:!1}),u={},d={},p=[s,l,c];return s.all.forEach((e=>{const t=function(e,t){for(let n=0;n<t.length;n++){const r=t[n].visible[e];if(r)return r}return null}(e,p);t?d[e]=t:u[e]=!0})),{...e,displaced:{all:s.all,invisible:u,visible:d}}})({impact:d,viewport:o,destination:n,draggables:r,maxScrollChange:f});return{clientSelection:s,impact:h,scrollJumpRequest:f}};const qt=e=>{const t=e.subject.active;return t||Ue(),t},Qt=(e,t)=>{const n=e.page.borderBox.center;return Bt(e.descriptor.id,t)?tt(n,t.displacedBy.point):n},Yt=(e,t)=>{const n=e.page.borderBox;return Bt(e.descriptor.id,t)?lt(n,rt(t.displacedBy.point)):n};var Xt=Le((function(e,t){const n=t[e.line];return{value:n,point:at(e.line,n)}}));const Kt=(e,t)=>({...e,scroll:{...e.scroll,max:t}}),Zt=(e,t,n)=>{const r=e.frame;St(t,e)&&Ue(),e.subject.withPlaceholder&&Ue();const a=Xt(e.axis,t.displaceBy).point,o=((e,t,n)=>{const r=e.axis;if("virtual"===e.descriptor.mode)return at(r.line,t[r.line]);const a=e.subject.page.contentBox[r.size],o=bt(e.descriptor.id,n).reduce(((e,t)=>e+t.client.marginBox[r.size]),0)+t[r.line]-a;return o<=0?null:at(r.line,o)})(e,a,n),i={placeholderSize:a,increasedBy:o,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){const t=dt({page:e.subject.page,withPlaceholder:i,axis:e.axis,frame:e.frame});return{...e,subject:t}}const s=o?et(r.scroll.max,o):r.scroll.max,l=Kt(r,s),c=dt({page:e.subject.page,withPlaceholder:i,axis:e.axis,frame:l});return{...e,subject:c,frame:l}};var Jt=e=>{const t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},en=({state:e,type:t})=>{const n=((e,t)=>{const n=Jt(e);return n?t[n]:null})(e.impact,e.dimensions.droppables),r=Boolean(n),a=e.dimensions.droppables[e.critical.droppable.id],o=n||a,i=o.axis.direction,s="vertical"===i&&("MOVE_UP"===t||"MOVE_DOWN"===t)||"horizontal"===i&&("MOVE_LEFT"===t||"MOVE_RIGHT"===t);if(s&&!r)return null;const l="MOVE_DOWN"===t||"MOVE_RIGHT"===t,c=e.dimensions.draggables[e.critical.draggable.id],u=e.current.page.borderBoxCenter,{draggables:d,droppables:p}=e.dimensions;return s?Gt({isMovingForward:l,previousPageBorderBoxCenter:u,draggable:c,destination:o,draggables:d,viewport:e.viewport,previousClientSelection:e.current.client.selection,previousImpact:e.impact,afterCritical:e.afterCritical}):(({isMovingForward:e,previousPageBorderBoxCenter:t,draggable:n,isOver:r,draggables:a,droppables:o,viewport:i,afterCritical:s})=>{const l=(({isMovingForward:e,pageBorderBoxCenter:t,source:n,droppables:r,viewport:a})=>{const o=n.subject.active;if(!o)return null;const i=n.axis,s=Ct(o[i.start],o[i.end]),l=mt(r).filter((e=>e!==n)).filter((e=>e.isEnabled)).filter((e=>Boolean(e.subject.active))).filter((e=>Ot(a.frame)(qt(e)))).filter((t=>{const n=qt(t);return e?o[i.crossAxisEnd]<n[i.crossAxisEnd]:n[i.crossAxisStart]<o[i.crossAxisStart]})).filter((e=>{const t=qt(e),n=Ct(t[i.start],t[i.end]);return s(t[i.start])||s(t[i.end])||n(o[i.start])||n(o[i.end])})).sort(((t,n)=>{const r=qt(t)[i.crossAxisStart],a=qt(n)[i.crossAxisStart];return e?r-a:a-r})).filter(((e,t,n)=>qt(e)[i.crossAxisStart]===qt(n[0])[i.crossAxisStart]));if(!l.length)return null;if(1===l.length)return l[0];const c=l.filter((e=>Ct(qt(e)[i.start],qt(e)[i.end])(t[i.line])));return 1===c.length?c[0]:c.length>1?c.sort(((e,t)=>qt(e)[i.start]-qt(t)[i.start]))[0]:l.sort(((e,n)=>{const r=it(t,ct(qt(e))),a=it(t,ct(qt(n)));return r!==a?r-a:qt(e)[i.start]-qt(n)[i.start]}))[0]})({isMovingForward:e,pageBorderBoxCenter:t,source:r,droppables:o,viewport:i});if(!l)return null;const c=bt(l.descriptor.id,a),u=(({pageBorderBoxCenter:e,viewport:t,destination:n,insideDestination:r,afterCritical:a})=>r.filter((e=>_t({target:Yt(e,a),destination:n,viewport:t.frame,withDroppableDisplacement:!0}))).sort(((t,r)=>{const o=ot(e,Vt(n,Qt(t,a))),i=ot(e,Vt(n,Qt(r,a)));return o<i?-1:i<o?1:t.descriptor.index-r.descriptor.index}))[0]||null)({pageBorderBoxCenter:t,viewport:i,destination:l,insideDestination:c,afterCritical:s}),d=(({previousPageBorderBoxCenter:e,moveRelativeTo:t,insideDestination:n,draggable:r,draggables:a,destination:o,viewport:i,afterCritical:s})=>{if(!t){if(n.length)return null;const e={displaced:Et,displacedBy:xt,at:{type:"REORDER",destination:{droppableId:o.descriptor.id,index:0}}},t=$t({impact:e,draggable:r,droppable:o,draggables:a,afterCritical:s}),l=St(r,o)?o:Zt(o,r,a);return Ht({draggable:r,destination:l,newPageBorderBoxCenter:t,viewport:i.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?e:null}const l=Boolean(e[o.axis.line]<=t.page.borderBox.center[o.axis.line]),c=(()=>{const e=t.descriptor.index;return t.descriptor.id===r.descriptor.id||l?e:e+1})(),u=Xt(o.axis,r.displaceBy);return Mt({draggable:r,insideDestination:n,destination:o,viewport:i,displacedBy:u,last:Et,index:c})})({previousPageBorderBoxCenter:t,destination:l,draggable:n,draggables:a,moveRelativeTo:u,insideDestination:c,viewport:i,afterCritical:s});if(!d)return null;const p=$t({impact:d,draggable:n,droppable:l,draggables:a,afterCritical:s});return{clientSelection:Wt({pageBorderBoxCenter:p,draggable:n,viewport:i}),impact:d,scrollJumpRequest:null}})({isMovingForward:l,previousPageBorderBoxCenter:u,draggable:c,isOver:o,draggables:d,droppables:p,viewport:e.viewport,afterCritical:e.afterCritical})};function tn(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function nn(e){const t=Ct(e.top,e.bottom),n=Ct(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}const rn=(e,t)=>Ae(lt(e,t));function an({displaced:e,id:t}){return Boolean(e.visible[t]||e.invisible[t])}var on=({pageOffset:e,draggable:t,draggables:n,droppables:r,previousImpact:a,viewport:o,afterCritical:i})=>{const s=rn(t.page.borderBox,e),l=function({pageBorderBox:e,draggable:t,droppables:n}){const r=mt(n).filter((t=>{if(!t.isEnabled)return!1;const n=t.subject.active;if(!n)return!1;if(a=n,!((r=e).left<a.right&&r.right>a.left&&r.top<a.bottom&&r.bottom>a.top))return!1;var r,a;if(nn(n)(e.center))return!0;const o=t.axis,i=n.center[o.crossAxisLine],s=e[o.crossAxisStart],l=e[o.crossAxisEnd],c=Ct(n[o.crossAxisStart],n[o.crossAxisEnd]),u=c(s),d=c(l);return!u&&!d||(u?s<i:l>i)}));return r.length?1===r.length?r[0].descriptor.id:function({pageBorderBox:e,draggable:t,candidates:n}){const r=t.page.borderBox.center,a=n.map((t=>{const n=t.axis,a=at(t.axis.line,e.center[n.line],t.page.borderBox.center[n.crossAxisLine]);return{id:t.descriptor.id,distance:ot(r,a)}})).sort(((e,t)=>t.distance-e.distance));return a[0]?a[0].id:null}({pageBorderBox:e,draggable:t,candidates:r}):null}({pageBorderBox:s,draggable:t,droppables:r});if(!l)return At;const c=r[l],u=bt(c.descriptor.id,n),d=((e,t)=>{const n=e.frame;return n?rn(t,n.scroll.diff.value):t})(c,s);return(({draggable:e,pageBorderBoxWithDroppableScroll:t,previousImpact:n,destination:r,insideDestination:a,afterCritical:o})=>{if(!r.isCombineEnabled)return null;const i=r.axis,s=Xt(r.axis,e.displaceBy),l=s.value,c=t[i.start],u=t[i.end],d=wt(e,a).find((e=>{const t=e.descriptor.id,r=e.page.borderBox,a=r[i.size]/4,s=Bt(t,o),d=an({displaced:n.displaced,id:t});return s?d?u>r[i.start]+a&&u<r[i.end]-a:c>r[i.start]-l+a&&c<r[i.end]-l-a:d?u>r[i.start]+l+a&&u<r[i.end]+l-a:c>r[i.start]+a&&c<r[i.end]-a}));return d?{displacedBy:s,displaced:n.displaced,at:{type:"COMBINE",combine:{draggableId:d.descriptor.id,droppableId:r.descriptor.id}}}:null})({pageBorderBoxWithDroppableScroll:d,draggable:t,previousImpact:a,destination:c,insideDestination:u,afterCritical:i})||(({pageBorderBoxWithDroppableScroll:e,draggable:t,destination:n,insideDestination:r,last:a,viewport:o,afterCritical:i})=>{const s=n.axis,l=Xt(n.axis,t.displaceBy),c=l.value,u=e[s.start],d=e[s.end],p=function({draggable:e,closest:t,inHomeList:n}){return t?n&&t.descriptor.index>e.descriptor.index?t.descriptor.index-1:t.descriptor.index:null}({draggable:t,closest:wt(t,r).find((e=>{const t=e.descriptor.id,n=e.page.borderBox.center[s.line],r=Bt(t,i),o=an({displaced:a,id:t});return r?o?d<=n:u<n-c:o?d<=n+c:u<n}))||null,inHomeList:St(t,n)});return Mt({draggable:t,insideDestination:r,destination:n,viewport:o,last:a,displacedBy:l,index:p})})({pageBorderBoxWithDroppableScroll:d,draggable:t,destination:c,insideDestination:u,last:a.displaced,viewport:o,afterCritical:i})},sn=(e,t)=>({...e,[t.descriptor.id]:t});var ln=({state:e,clientSelection:t,dimensions:n,viewport:r,impact:a,scrollJumpRequest:o})=>{const i=r||e.viewport,s=n||e.dimensions,l=t||e.current.client.selection,c=tt(l,e.initial.client.selection),u={offset:c,selection:l,borderBoxCenter:et(e.initial.client.borderBoxCenter,c)},d={selection:et(u.selection,i.scroll.current),borderBoxCenter:et(u.borderBoxCenter,i.scroll.current),offset:et(u.offset,i.scroll.diff.value)},p={client:u,page:d};if("COLLECTING"===e.phase)return{...e,dimensions:s,viewport:i,current:p};const f=s.draggables[e.critical.draggable.id],h=a||on({pageOffset:d.offset,draggable:f,draggables:s.draggables,droppables:s.droppables,previousImpact:e.impact,viewport:i,afterCritical:e.afterCritical}),m=(({draggable:e,draggables:t,droppables:n,previousImpact:r,impact:a})=>{const o=(({previousImpact:e,impact:t,droppables:n})=>{const r=Jt(e),a=Jt(t);if(!r)return n;if(r===a)return n;const o=n[r];if(!o.subject.withPlaceholder)return n;const i=(e=>{const t=e.subject.withPlaceholder;t||Ue();const n=e.frame;if(!n){const t=dt({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return{...e,subject:t}}const r=t.oldFrameMaxScroll;r||Ue();const a=Kt(n,r),o=dt({page:e.subject.page,axis:e.axis,frame:a,withPlaceholder:null});return{...e,subject:o,frame:a}})(o);return sn(n,i)})({previousImpact:r,impact:a,droppables:n}),i=Jt(a);if(!i)return o;const s=n[i];if(St(e,s))return o;if(s.subject.withPlaceholder)return o;const l=Zt(s,e,t);return sn(o,l)})({draggable:f,impact:h,previousImpact:e.impact,draggables:s.draggables,droppables:s.droppables});return{...e,current:p,dimensions:{draggables:s.draggables,droppables:m},impact:h,viewport:i,scrollJumpRequest:o||null,forceShouldAnimate:!o&&null}},cn=({impact:e,viewport:t,draggables:n,destination:r,forceShouldAnimate:a})=>{const o=e.displaced,i=function(e,t){return e.map((e=>t[e]))}(o.all,n),s=Tt({afterDragging:i,destination:r,displacedBy:e.displacedBy,viewport:t.frame,forceShouldAnimate:a,last:o});return{...e,displaced:s}},un=({impact:e,draggable:t,droppable:n,draggables:r,viewport:a,afterCritical:o})=>{const i=$t({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:o});return Wt({pageBorderBoxCenter:i,draggable:t,viewport:a})},dn=({state:e,dimensions:t,viewport:n})=>{"SNAP"!==e.movementMode&&Ue();const r=e.impact,a=n||e.viewport,o=t||e.dimensions,{draggables:i,droppables:s}=o,l=i[e.critical.draggable.id],c=Jt(r);c||Ue();const u=s[c],d=cn({impact:r,viewport:a,destination:u,draggables:i}),p=un({impact:d,draggable:l,droppable:u,draggables:i,viewport:a,afterCritical:e.afterCritical});return ln({impact:d,clientSelection:p,state:e,dimensions:o,viewport:a})},pn=({draggable:e,home:t,draggables:n,viewport:r})=>{const a=Xt(t.axis,e.displaceBy),o=bt(t.descriptor.id,n),i=o.indexOf(e);-1===i&&Ue();const s=o.slice(i+1),l=s.reduce(((e,t)=>(e[t.descriptor.id]=!0,e)),{}),c={inVirtualList:"virtual"===t.descriptor.mode,displacedBy:a,effected:l};var u;return{impact:{displaced:Tt({afterDragging:s,destination:t,displacedBy:a,last:null,viewport:r.frame,forceShouldAnimate:!1}),displacedBy:a,at:{type:"REORDER",destination:(u=e.descriptor,{index:u.index,droppableId:u.droppableId})}},afterCritical:c}};const fn=e=>"SNAP"===e.movementMode,hn=(e,t,n)=>{const r=((e,t)=>({draggables:e.draggables,droppables:sn(e.droppables,t)}))(e.dimensions,t);return!fn(e)||n?ln({state:e,dimensions:r}):dn({state:e,dimensions:r})};function mn(e){return e.isDragging&&"SNAP"===e.movementMode?{...e,scrollJumpRequest:null}:e}const gn={phase:"IDLE",completed:null,shouldFlush:!1};var bn=(e=gn,t)=>{if("FLUSH"===t.type)return{...gn,shouldFlush:!0};if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&Ue();const{critical:n,clientSelection:r,viewport:a,dimensions:o,movementMode:i}=t.payload,s=o.draggables[n.draggable.id],l=o.droppables[n.droppable.id],c={selection:r,borderBoxCenter:s.client.borderBox.center,offset:Je},u={client:c,page:{selection:et(c.selection,a.scroll.initial),borderBoxCenter:et(c.selection,a.scroll.initial),offset:et(c.selection,a.scroll.diff.value)}},d=mt(o.droppables).every((e=>!e.isFixedOnPage)),{impact:p,afterCritical:f}=pn({draggable:s,home:l,draggables:o.draggables,viewport:a});return{phase:"DRAGGING",isDragging:!0,critical:n,movementMode:i,dimensions:o,initial:u,current:u,isWindowScrollAllowed:d,impact:p,afterCritical:f,onLiftImpact:p,viewport:a,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&Ue(),{...e,phase:"COLLECTING"});if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&Ue(),(({state:e,published:t})=>{const n=t.modified.map((t=>{const n=e.dimensions.droppables[t.droppableId];return pt(n,t.scroll)})),r={...e.dimensions.droppables,...ft(n)},a=ht((({additions:e,updatedDroppables:t,viewport:n})=>{const r=n.scroll.diff.value;return e.map((e=>{const a=e.descriptor.droppableId,o=(e=>{const t=e.frame;return t||Ue(),t})(t[a]).scroll.diff.value,i=(({draggable:e,offset:t,initialWindowScroll:n})=>{const r=Pe(e.client,t),a=_e(r,n);return{...e,placeholder:{...e.placeholder,client:r},client:r,page:a}})({draggable:e,offset:et(r,o),initialWindowScroll:n.scroll.initial});return i}))})({additions:t.additions,updatedDroppables:r,viewport:e.viewport})),o={...e.dimensions.draggables,...a};t.removals.forEach((e=>{delete o[e]}));const i={droppables:r,draggables:o},s=Jt(e.impact),l=s?i.droppables[s]:null,c=i.draggables[e.critical.draggable.id],u=i.droppables[e.critical.droppable.id],{impact:d,afterCritical:p}=pn({draggable:c,home:u,draggables:o,viewport:e.viewport}),f=l&&l.isCombineEnabled?e.impact:d,h=on({pageOffset:e.current.page.offset,draggable:i.draggables[e.critical.draggable.id],draggables:i.draggables,droppables:i.droppables,previousImpact:f,viewport:e.viewport,afterCritical:p}),m={...e,phase:"DRAGGING",impact:h,onLiftImpact:d,dimensions:i,afterCritical:p,forceShouldAnimate:!1};return"COLLECTING"===e.phase?m:{...m,phase:"DROP_PENDING",reason:e.reason,isWaiting:!1}})({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;tn(e)||Ue();const{client:n}=t.payload;return nt(n,e.current.client.selection)?e:ln({state:e,clientSelection:n,impact:fn(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return mn(e);if("COLLECTING"===e.phase)return mn(e);tn(e)||Ue();const{id:n,newScroll:r}=t.payload,a=e.dimensions.droppables[n];if(!a)return e;const o=pt(a,r);return hn(e,o,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;tn(e)||Ue();const{id:n,isEnabled:r}=t.payload,a=e.dimensions.droppables[n];a||Ue(),a.isEnabled===r&&Ue();const o={...a,isEnabled:r};return hn(e,o,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;tn(e)||Ue();const{id:n,isCombineEnabled:r}=t.payload,a=e.dimensions.droppables[n];a||Ue(),a.isCombineEnabled===r&&Ue();const o={...a,isCombineEnabled:r};return hn(e,o,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;tn(e)||Ue(),e.isWindowScrollAllowed||Ue();const n=t.payload.newScroll;if(nt(e.viewport.scroll.current,n))return mn(e);const r=zt(e.viewport,n);return fn(e)?dn({state:e,viewport:r}):ln({state:e,viewport:r})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!tn(e))return e;const n=t.payload.maxScroll;if(nt(n,e.viewport.scroll.max))return e;const r={...e.viewport,scroll:{...e.viewport.scroll,max:n}};return{...e,viewport:r}}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&Ue();const n=en({state:e,type:t.type});return n?ln({state:e,impact:n.impact,clientSelection:n.clientSelection,scrollJumpRequest:n.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){const n=t.payload.reason;return"COLLECTING"!==e.phase&&Ue(),{...e,phase:"DROP_PENDING",isWaiting:!0,reason:n}}if("DROP_ANIMATE"===t.type){const{completed:n,dropDuration:r,newHomeClientOffset:a}=t.payload;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&Ue(),{phase:"DROP_ANIMATING",completed:n,dropDuration:r,newHomeClientOffset:a,dimensions:e.dimensions}}if("DROP_COMPLETE"===t.type){const{completed:e}=t.payload;return{phase:"IDLE",completed:e,shouldFlush:!1}}return e};function vn(e,t){return e instanceof Object&&"type"in e&&e.type===t}const yn=e=>({type:"PUBLISH_WHILE_DRAGGING",payload:e}),wn=()=>({type:"COLLECTION_STARTING",payload:null}),Sn=e=>({type:"UPDATE_DROPPABLE_SCROLL",payload:e}),xn=e=>({type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}),En=e=>({type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}),An=e=>({type:"MOVE",payload:e}),Cn=()=>({type:"MOVE_UP",payload:null}),On=()=>({type:"MOVE_DOWN",payload:null}),Rn=()=>({type:"MOVE_RIGHT",payload:null}),Dn=()=>({type:"MOVE_LEFT",payload:null}),In=e=>({type:"DROP_COMPLETE",payload:e}),Pn=e=>({type:"DROP",payload:e}),_n="cubic-bezier(.2,1,.1,1)",Tn=0,kn=.7,Mn=.75,Bn={outOfTheWay:.2,minDropTime:.33,maxDropTime:.55},Ln=`${Bn.outOfTheWay}s cubic-bezier(0.2, 0, 0, 1)`,Nn={fluid:`opacity ${Ln}`,snap:`transform ${Ln}, opacity ${Ln}`,drop:e=>{const t=`${e}s ${_n}`;return`transform ${t}, opacity ${t}`},outOfTheWay:`transform ${Ln}`,placeholder:`height ${Ln}, width ${Ln}, margin ${Ln}`},jn=e=>nt(e,Je)?void 0:`translate(${e.x}px, ${e.y}px)`,Fn=jn,{minDropTime:Vn,maxDropTime:$n}=Bn,zn=$n-Vn,Un=({getState:e,dispatch:t})=>n=>r=>{if(!vn(r,"DROP"))return void n(r);const a=e(),o=r.payload.reason;if("COLLECTING"===a.phase)return void t((i={reason:o},{type:"DROP_PENDING",payload:i}));var i;if("IDLE"===a.phase)return;"DROP_PENDING"===a.phase&&a.isWaiting&&Ue(),"DRAGGING"!==a.phase&&"DROP_PENDING"!==a.phase&&Ue();const s=a.critical,l=a.dimensions,c=l.draggables[a.critical.draggable.id],{impact:u,didDropInsideDroppable:d}=(({draggables:e,reason:t,lastImpact:n,home:r,viewport:a,onLiftImpact:o})=>n.at&&"DROP"===t?"REORDER"===n.at.type?{impact:n,didDropInsideDroppable:!0}:{impact:{...n,displaced:Et},didDropInsideDroppable:!0}:{impact:cn({draggables:e,impact:o,destination:r,viewport:a,forceShouldAnimate:!0}),didDropInsideDroppable:!1})({reason:o,lastImpact:a.impact,afterCritical:a.afterCritical,onLiftImpact:a.onLiftImpact,home:a.dimensions.droppables[a.critical.droppable.id],viewport:a.viewport,draggables:a.dimensions.draggables}),p=d?vt(u):null,f=d?yt(u):null,h={index:s.draggable.index,droppableId:s.droppable.id},m={draggableId:c.descriptor.id,type:c.descriptor.type,source:h,reason:o,mode:a.movementMode,destination:p,combine:f},g=(({impact:e,draggable:t,dimensions:n,viewport:r,afterCritical:a})=>{const{draggables:o,droppables:i}=n,s=Jt(e),l=s?i[s]:null,c=i[t.descriptor.droppableId],u=un({impact:e,draggable:t,draggables:o,afterCritical:a,droppable:l||c,viewport:r});return tt(u,t.client.borderBox.center)})({impact:u,draggable:c,dimensions:l,viewport:a.viewport,afterCritical:a.afterCritical}),b={critical:a.critical,afterCritical:a.afterCritical,result:m,impact:u};if(nt(a.current.client.offset,g)&&!Boolean(m.combine))return void t(In({completed:b}));const v=(({current:e,destination:t,reason:n})=>{const r=ot(e,t);if(r<=0)return Vn;if(r>=1500)return $n;const a=Vn+zn*(r/1500);return Number(("CANCEL"===n?.6*a:a).toFixed(2))})({current:a.current.client.offset,destination:g,reason:o});t((e=>({type:"DROP_ANIMATE",payload:e}))({newHomeClientOffset:g,dropDuration:v,completed:b}))};var Wn=()=>({x:window.pageXOffset,y:window.pageYOffset});const Hn=e=>{const t=function({onWindowScroll:e}){const t=Ne((function(){e(Wn())})),n=(r=t,{eventName:"scroll",options:{passive:!0,capture:!1},fn:e=>{e.target!==window&&e.target!==window.document||r()}});var r;let a=Ve;function o(){return a!==Ve}return{start:function(){o()&&Ue(),a=$e(window,[n])},stop:function(){o()||Ue(),t.cancel(),a(),a=Ve},isActive:o}}({onWindowScroll:t=>{e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return e=>n=>{!t.isActive()&&vn(n,"INITIAL_PUBLISH")&&t.start(),t.isActive()&&(e=>vn(e,"DROP_COMPLETE")||vn(e,"DROP_ANIMATE")||vn(e,"FLUSH"))(n)&&t.stop(),e(n)}};const Gn=(e,t)=>{t()},qn=(e,t)=>({draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t});function Qn(e,t,n,r){if(!e)return void n(r(t));const a=(e=>{let t=!1,n=!1;const r=setTimeout((()=>{n=!0})),a=a=>{t||n||(t=!0,e(a),clearTimeout(r))};return a.wasCalled=()=>t,a})(n);e(t,{announce:a}),a.wasCalled()||n(r(t))}var Yn=(e,t)=>{const n=((e,t)=>{const n=(()=>{const e=[];return{add:t=>{const n=setTimeout((()=>(t=>{const n=e.findIndex((e=>e.timerId===t));-1===n&&Ue();const[r]=e.splice(n,1);r.callback()})(n))),r={timerId:n,callback:t};e.push(r)},flush:()=>{if(!e.length)return;const t=[...e];e.length=0,t.forEach((e=>{clearTimeout(e.timerId),e.callback()}))}}})();let r=null;const a=n=>{r||Ue(),r=null,Gn(0,(()=>Qn(e().onDragEnd,n,t,Ze)))};return{beforeCapture:(t,n)=>{r&&Ue(),Gn(0,(()=>{const r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:(t,n)=>{r&&Ue(),Gn(0,(()=>{const r=e().onBeforeDragStart;r&&r(qn(t,n))}))},start:(a,o)=>{r&&Ue();const i=qn(a,o);r={mode:o,lastCritical:a,lastLocation:i.source,lastCombine:null},n.add((()=>{Gn(0,(()=>Qn(e().onDragStart,i,t,Xe)))}))},update:(a,o)=>{const i=vt(o),s=yt(o);r||Ue();const l=!((e,t)=>{if(e===t)return!0;const n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r})(a,r.lastCritical);l&&(r.lastCritical=a);const c=(d=i,!(null==(u=r.lastLocation)&&null==d||null!=u&&null!=d&&u.droppableId===d.droppableId&&u.index===d.index));var u,d;c&&(r.lastLocation=i);const p=!((e,t)=>null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId)(r.lastCombine,s);if(p&&(r.lastCombine=s),!l&&!c&&!p)return;const f={...qn(a,r.mode),combine:s,destination:i};n.add((()=>{Gn(0,(()=>Qn(e().onDragUpdate,f,t,Ke)))}))},flush:()=>{r||Ue(),n.flush()},drop:a,abort:()=>{if(!r)return;const e={...qn(r.lastCritical,r.mode),combine:null,destination:null,reason:"CANCEL"};a(e)}}})(e,t);return e=>t=>r=>{if(vn(r,"BEFORE_INITIAL_CAPTURE"))return void n.beforeCapture(r.payload.draggableId,r.payload.movementMode);if(vn(r,"INITIAL_PUBLISH")){const e=r.payload.critical;return n.beforeStart(e,r.payload.movementMode),t(r),void n.start(e,r.payload.movementMode)}if(vn(r,"DROP_COMPLETE")){const e=r.payload.completed.result;return n.flush(),t(r),void n.drop(e)}if(t(r),vn(r,"FLUSH"))return void n.abort();const a=e.getState();"DRAGGING"===a.phase&&n.update(a.critical,a.impact)}};const Xn=e=>t=>n=>{if(!vn(n,"DROP_ANIMATION_FINISHED"))return void t(n);const r=e.getState();"DROP_ANIMATING"!==r.phase&&Ue(),e.dispatch(In({completed:r.completed}))},Kn=e=>{let t=null,n=null;return r=>a=>{if((vn(a,"FLUSH")||vn(a,"DROP_COMPLETE")||vn(a,"DROP_ANIMATION_FINISHED"))&&(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(a),!vn(a,"DROP_ANIMATE"))return;const o={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((()=>{n=null,t=$e(window,[o])}))}};const Zn=e=>t=>n=>{if(t(n),!vn(n,"PUBLISH_WHILE_DRAGGING"))return;const r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(Pn({reason:r.reason})))},Jn=ye.compose;var er=({dimensionMarshal:e,focusMarshal:t,styleMarshal:n,getResponders:r,announce:a,autoScroller:o})=>{return(0,ye.createStore)(bn,Jn((0,ye.applyMiddleware)((i=n,()=>e=>t=>{vn(t,"INITIAL_PUBLISH")&&i.dragging(),vn(t,"DROP_ANIMATE")&&i.dropping(t.payload.completed.result.reason),(vn(t,"FLUSH")||vn(t,"DROP_COMPLETE"))&&i.resting(),e(t)}),(e=>()=>t=>n=>{(vn(n,"DROP_COMPLETE")||vn(n,"FLUSH")||vn(n,"DROP_ANIMATE"))&&e.stopPublishing(),t(n)})(e),(e=>({getState:t,dispatch:n})=>r=>a=>{if(!vn(a,"LIFT"))return void r(a);const{id:o,clientSelection:i,movementMode:s}=a.payload,l=t();"DROP_ANIMATING"===l.phase&&n(In({completed:l.completed})),"IDLE"!==t().phase&&Ue(),n({type:"FLUSH",payload:null}),n({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:o,movementMode:s}});const c={draggableId:o,scrollOptions:{shouldPublishImmediately:"SNAP"===s}},{critical:u,dimensions:d,viewport:p}=e.startPublishing(c);n({type:"INITIAL_PUBLISH",payload:{critical:u,dimensions:d,clientSelection:i,movementMode:s,viewport:p}})})(e),Un,Xn,Kn,Zn,(e=>t=>n=>r=>{if((e=>vn(e,"DROP_COMPLETE")||vn(e,"DROP_ANIMATE")||vn(e,"FLUSH"))(r))return e.stop(),void n(r);if(vn(r,"INITIAL_PUBLISH")){n(r);const a=t.getState();return"DRAGGING"!==a.phase&&Ue(),void e.start(a)}n(r),e.scroll(t.getState())})(o),Hn,(e=>{let t=!1;return()=>n=>r=>{if(vn(r,"INITIAL_PUBLISH"))return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if(vn(r,"FLUSH"))return t=!1,void e.tryRestoreFocusRecorded();if(vn(r,"DROP_COMPLETE")){t=!1;const n=r.payload.completed.result;n.combine&&e.tryShiftRecord(n.draggableId,n.combine.draggableId),e.tryRestoreFocusRecorded()}}}})(t),Yn(r,a))));var i},tr=({scrollHeight:e,scrollWidth:t,height:n,width:r})=>{const a=tt({x:t,y:e},{x:r,y:n});return{x:Math.max(0,a.x),y:Math.max(0,a.y)}},nr=()=>{const e=document.documentElement;return e||Ue(),e},rr=()=>{const e=nr();return tr({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function ar(e,t,n){return n.descriptor.id!==t.id&&(n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode)}var or=(e,t)=>{let n=null;const r=function({registry:e,callbacks:t}){let n={additions:{},removals:{},modified:{}},r=null;const a=()=>{r||(t.collectionStarting(),r=requestAnimationFrame((()=>{r=null;const{additions:a,removals:o,modified:i}=n,s=Object.keys(a).map((t=>e.draggable.getById(t).getDimension(Je))).sort(((e,t)=>e.descriptor.index-t.descriptor.index)),l=Object.keys(i).map((t=>({droppableId:t,scroll:e.droppable.getById(t).callbacks.getScrollWhileDragging()}))),c={additions:s,removals:Object.keys(o),modified:l};n={additions:{},removals:{},modified:{}},t.publish(c)})))};return{add:e=>{const t=e.descriptor.id;n.additions[t]=e,n.modified[e.descriptor.droppableId]=!0,n.removals[t]&&delete n.removals[t],a()},remove:e=>{const t=e.descriptor;n.removals[t.id]=!0,n.modified[t.droppableId]=!0,n.additions[t.id]&&delete n.additions[t.id],a()},stop:()=>{r&&(cancelAnimationFrame(r),r=null,n={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),a=t=>{n||Ue();const a=n.critical.draggable;"ADDITION"===t.type&&ar(e,a,t.value)&&r.add(t.value),"REMOVAL"===t.type&&ar(e,a,t.value)&&r.remove(t.value)};return{updateDroppableIsEnabled:(r,a)=>{e.droppable.exists(r)||Ue(),n&&t.updateDroppableIsEnabled({id:r,isEnabled:a})},updateDroppableIsCombineEnabled:(r,a)=>{n&&(e.droppable.exists(r)||Ue(),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:a}))},scrollDroppable:(t,r)=>{n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:(r,a)=>{n&&(e.droppable.exists(r)||Ue(),t.updateDroppableScroll({id:r,newScroll:a}))},startPublishing:t=>{n&&Ue();const r=e.draggable.getById(t.draggableId),o=e.droppable.getById(r.descriptor.droppableId),i={draggable:r.descriptor,droppable:o.descriptor},s=e.subscribe(a);return n={critical:i,unsubscribe:s},(({critical:e,scrollOptions:t,registry:n})=>{const r=(()=>{const e=Wn(),t=rr(),n=e.y,r=e.x,a=nr(),o=a.clientWidth,i=a.clientHeight;return{frame:Ae({top:n,left:r,right:r+o,bottom:n+i}),scroll:{initial:e,current:e,max:t,diff:{value:Je,displacement:Je}}}})(),a=r.scroll.current,o=e.droppable,i=n.droppable.getAllByType(o.type).map((e=>e.callbacks.getDimensionAndWatchScroll(a,t))),s=n.draggable.getAllByType(e.draggable.type).map((e=>e.getDimension(a)));return{dimensions:{draggables:ht(s),droppables:ft(i)},critical:e,viewport:r}})({critical:i,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:()=>{if(!n)return;r.stop();const t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((e=>e.callbacks.dragStopped())),n.unsubscribe(),n=null}}},ir=(e,t)=>"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason,sr=e=>{window.scrollBy(e.x,e.y)};const lr=Le((e=>mt(e).filter((e=>!!e.isEnabled&&!!e.frame))));const cr={startFromPercentage:.25,maxScrollAtPercentage:.05,maxPixelScroll:28,ease:e=>e**2,durationDampening:{stopDampeningAt:1200,accelerateAt:360},disabled:!1};var ur=({startOfRange:e,endOfRange:t,current:n})=>{const r=t-e;return 0===r?0:(n-e)/r},dr=({distanceToEdge:e,thresholds:t,dragStartTime:n,shouldUseTimeDampening:r,getAutoScrollerOptions:a})=>{const o=((e,t,n=()=>cr)=>{const r=n();if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return r.maxPixelScroll;if(e===t.startScrollingFrom)return 1;const a=1-ur({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),o=r.maxPixelScroll*r.ease(a);return Math.ceil(o)})(e,t,a);return 0===o?0:r?Math.max(((e,t,n)=>{const r=n(),a=r.durationDampening.accelerateAt,o=r.durationDampening.stopDampeningAt,i=t,s=o,l=Date.now()-i;if(l>=o)return e;if(l<a)return 1;const c=ur({startOfRange:a,endOfRange:s,current:l}),u=e*r.ease(c);return Math.ceil(u)})(o,n,a),1):o},pr=({container:e,distanceToEdges:t,dragStartTime:n,axis:r,shouldUseTimeDampening:a,getAutoScrollerOptions:o})=>{const i=((e,t,n=()=>cr)=>{const r=n();return{startScrollingFrom:e[t.size]*r.startFromPercentage,maxScrollValueAt:e[t.size]*r.maxScrollAtPercentage}})(e,r,o);return t[r.end]<t[r.start]?dr({distanceToEdge:t[r.end],thresholds:i,dragStartTime:n,shouldUseTimeDampening:a,getAutoScrollerOptions:o}):-1*dr({distanceToEdge:t[r.start],thresholds:i,dragStartTime:n,shouldUseTimeDampening:a,getAutoScrollerOptions:o})};const fr=st((e=>0===e?0:e));var hr=({dragStartTime:e,container:t,subject:n,center:r,shouldUseTimeDampening:a,getAutoScrollerOptions:o})=>{const i={top:r.y-t.top,right:t.right-r.x,bottom:t.bottom-r.y,left:r.x-t.left},s=pr({container:t,distanceToEdges:i,dragStartTime:e,axis:Dt,shouldUseTimeDampening:a,getAutoScrollerOptions:o}),l=pr({container:t,distanceToEdges:i,dragStartTime:e,axis:It,shouldUseTimeDampening:a,getAutoScrollerOptions:o}),c=fr({x:l,y:s});if(nt(c,Je))return null;const u=(({container:e,subject:t,proposedScroll:n})=>{const r=t.height>e.height,a=t.width>e.width;return a||r?a&&r?null:{x:a?0:n.x,y:r?0:n.y}:n})({container:t,subject:n,proposedScroll:c});return u?nt(u,Je)?null:u:null};const mr=st((e=>0===e?0:e>0?1:-1)),gr=(()=>{const e=(e,t)=>e<0?e:e>t?e-t:0;return({current:t,max:n,change:r})=>{const a=et(t,r),o={x:e(a.x,n.x),y:e(a.y,n.y)};return nt(o,Je)?null:o}})(),br=({max:e,current:t,change:n})=>{const r={x:Math.max(t.x,e.x),y:Math.max(t.y,e.y)},a=mr(n),o=gr({max:r,current:t,change:a});return!o||0!==a.x&&0===o.x||0!==a.y&&0===o.y},vr=(e,t)=>br({current:e.scroll.current,max:e.scroll.max,change:t}),yr=(e,t)=>{const n=e.frame;return!!n&&br({current:n.scroll.current,max:n.scroll.max,change:t})};var wr=({state:e,dragStartTime:t,shouldUseTimeDampening:n,scrollWindow:r,scrollDroppable:a,getAutoScrollerOptions:o})=>{const i=e.current.page.borderBoxCenter,s=e.dimensions.draggables[e.critical.draggable.id].page.marginBox;if(e.isWindowScrollAllowed){const a=(({viewport:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:a,getAutoScrollerOptions:o})=>{const i=hr({dragStartTime:r,container:e.frame,subject:t,center:n,shouldUseTimeDampening:a,getAutoScrollerOptions:o});return i&&vr(e,i)?i:null})({dragStartTime:t,viewport:e.viewport,subject:s,center:i,shouldUseTimeDampening:n,getAutoScrollerOptions:o});if(a)return void r(a)}const l=(({center:e,destination:t,droppables:n})=>{if(t){const e=n[t];return e.frame?e:null}const r=((e,t)=>lr(t).find((t=>(t.frame||Ue(),nn(t.frame.pageMarginBox)(e))))||null)(e,n);return r})({center:i,destination:Jt(e.impact),droppables:e.dimensions.droppables});if(!l)return;const c=(({droppable:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:a,getAutoScrollerOptions:o})=>{const i=e.frame;if(!i)return null;const s=hr({dragStartTime:r,container:i.pageMarginBox,subject:t,center:n,shouldUseTimeDampening:a,getAutoScrollerOptions:o});return s&&yr(e,s)?s:null})({dragStartTime:t,droppable:l,subject:s,center:i,shouldUseTimeDampening:n,getAutoScrollerOptions:o});c&&a(l.descriptor.id,c)},Sr=({move:e,scrollDroppable:t,scrollWindow:n})=>r=>{const a=r.scrollJumpRequest;if(!a)return;const o=Jt(r.impact);o||Ue();const i=((e,n)=>{if(!yr(e,n))return n;const r=((e,t)=>{const n=e.frame;return n&&yr(e,t)?gr({current:n.scroll.current,max:n.scroll.max,change:t}):null})(e,n);if(!r)return t(e.descriptor.id,n),null;const a=tt(n,r);return t(e.descriptor.id,a),tt(n,a)})(r.dimensions.droppables[o],a);if(!i)return;const s=r.viewport,l=((e,t,r)=>{if(!e)return r;if(!vr(t,r))return r;const a=((e,t)=>{if(!vr(e,t))return null;const n=e.scroll.max,r=e.scroll.current;return gr({current:r,max:n,change:t})})(t,r);if(!a)return n(r),null;const o=tt(r,a);return n(o),tt(r,o)})(r.isWindowScrollAllowed,s,i);l&&((t,n)=>{const r=et(t.current.client.selection,n);e({client:r})})(r,l)};const xr="data-rfd",Er=(()=>{const e=`${xr}-drag-handle`;return{base:e,draggableId:`${e}-draggable-id`,contextId:`${e}-context-id`}})(),Ar=(()=>{const e=`${xr}-draggable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),Cr=(()=>{const e=`${xr}-droppable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),Or={contextId:`${xr}-scroll-container-context-id`},Rr=(e,t)=>e.map((e=>{const n=e.styles[t];return n?`${e.selector} { ${n} }`:""})).join(" "),Dr="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?n.useLayoutEffect:n.useEffect,Ir=()=>{const e=document.querySelector("head");return e||Ue(),e},Pr=e=>{const t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t};function _r(e,t){return Array.from(e.querySelectorAll(t))}var Tr=e=>e&&e.ownerDocument&&e.ownerDocument.defaultView?e.ownerDocument.defaultView:window;function kr(e){return e instanceof Tr(e).HTMLElement}function Mr(){const e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((t=>t(e)))}function r(t){return e.draggables[t]||null}function a(t){return e.droppables[t]||null}return{draggable:{register:t=>{e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:(t,n)=>{const r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:t=>{const a=t.descriptor.id,o=r(a);o&&t.uniqueId===o.uniqueId&&(delete e.draggables[a],e.droppables[t.descriptor.droppableId]&&n({type:"REMOVAL",value:t}))},getById:function(e){const t=r(e);return t||Ue(),t},findById:r,exists:e=>Boolean(r(e)),getAllByType:t=>Object.values(e.draggables).filter((e=>e.descriptor.type===t))},droppable:{register:t=>{e.droppables[t.descriptor.id]=t},unregister:t=>{const n=a(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){const t=a(e);return t||Ue(),t},findById:a,exists:e=>Boolean(a(e)),getAllByType:t=>Object.values(e.droppables).filter((e=>e.descriptor.type===t))},subscribe:function(e){return t.push(e),function(){const n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var Br=r().createContext(null),Lr=()=>{const e=document.body;return e||Ue(),e};const Nr={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"},jr={separator:"::"};function Fr(e,t=jr){const n=r().useId();return xe((()=>`${e}${t.separator}${n}`),[t.separator,e,n])}var Vr=r().createContext(null);function $r(e){const t=(0,n.useRef)(e);return(0,n.useEffect)((()=>{t.current=e})),t}function zr(e){return"IDLE"!==e.phase&&"DROP_ANIMATING"!==e.phase&&e.isDragging}const Ur=9,Wr=13,Hr=33,Gr=34,qr=35,Qr=36,Yr={[Wr]:!0,[Ur]:!0};var Xr=e=>{Yr[e.keyCode]&&e.preventDefault()};const Kr=(()=>{const e="visibilitychange";return"undefined"==typeof document?e:[e,`ms${e}`,`webkit${e}`,`moz${e}`,`o${e}`].find((e=>`on${e}`in document))||e})(),Zr={type:"IDLE"};function Jr(){}const ea={[Gr]:!0,[Hr]:!0,[Qr]:!0,[qr]:!0};const ta={type:"IDLE"},na=["input","button","textarea","select","option","optgroup","video","audio"];function ra(e,t){if(null==t)return!1;if(na.includes(t.tagName.toLowerCase()))return!0;const n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&ra(e,t.parentElement)}function aa(e,t){const n=t.target;return!!kr(n)&&ra(e,n)}var oa=e=>Ae(e.getBoundingClientRect()).center;const ia=(()=>{const e="matches";return"undefined"==typeof document?e:[e,"msMatchesSelector","webkitMatchesSelector"].find((e=>e in Element.prototype))||e})();function sa(e,t){return null==e?null:e[ia](t)?e:sa(e.parentElement,t)}function la(e,t){return e.closest?e.closest(t):sa(e,t)}function ca(e){e.preventDefault()}function ua({expected:e,phase:t,isLockActive:n,shouldWarn:r}){return!!n()&&e===t}function da({lockAPI:e,store:t,registry:n,draggableId:r}){if(e.isClaimed())return!1;const a=n.draggable.findById(r);return!!a&&!!a.options.isEnabled&&!!ir(t.getState(),r)}const pa=[function(e){const t=(0,n.useRef)(Zr),r=(0,n.useRef)(Ve),a=xe((()=>({eventName:"mousedown",fn:function(t){if(t.defaultPrevented)return;if(0!==t.button)return;if(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)return;const n=e.findClosestDraggableId(t);if(!n)return;const a=e.tryGetLock(n,s,{sourceEvent:t});if(!a)return;t.preventDefault();const o={x:t.clientX,y:t.clientY};r.current(),u(a,o)}})),[e]),o=xe((()=>({eventName:"webkitmouseforcewillbegin",fn:t=>{if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}})),[e]),i=Ee((function(){r.current=$e(window,[o,a],{passive:!1,capture:!0})}),[o,a]),s=Ee((()=>{"IDLE"!==t.current.type&&(t.current=Zr,r.current(),i())}),[i]),l=Ee((()=>{const e=t.current;s(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[s]),c=Ee((function(){const e=function({cancel:e,completed:t,getPhase:n,setPhase:r}){return[{eventName:"mousemove",fn:e=>{const{button:t,clientX:a,clientY:o}=e;if(0!==t)return;const i={x:a,y:o},s=n();if("DRAGGING"===s.type)return e.preventDefault(),void s.actions.move(i);if("PENDING"!==s.type&&Ue(),l=s.point,c=i,!(Math.abs(c.x-l.x)>=5||Math.abs(c.y-l.y)>=5))return;var l,c;e.preventDefault();const u=s.actions.fluidLift(i);r({type:"DRAGGING",actions:u})}},{eventName:"mouseup",fn:r=>{const a=n();"DRAGGING"===a.type?(r.preventDefault(),a.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"mousedown",fn:t=>{"DRAGGING"===n().type&&t.preventDefault(),e()}},{eventName:"keydown",fn:t=>{if("PENDING"!==n().type)return 27===t.keyCode?(t.preventDefault(),void e()):void Xr(t);e()}},{eventName:"resize",fn:e},{eventName:"scroll",options:{passive:!0,capture:!1},fn:()=>{"PENDING"===n().type&&e()}},{eventName:"webkitmouseforcedown",fn:t=>{const r=n();"IDLE"===r.type&&Ue(),r.actions.shouldRespectForcePress()?e():t.preventDefault()}},{eventName:Kr,fn:e}]}({cancel:l,completed:s,getPhase:()=>t.current,setPhase:e=>{t.current=e}});r.current=$e(window,e,{capture:!0,passive:!1})}),[l,s]),u=Ee((function(e,n){"IDLE"!==t.current.type&&Ue(),t.current={type:"PENDING",point:n,actions:e},c()}),[c]);Dr((function(){return i(),function(){r.current()}}),[i])},function(e){const t=(0,n.useRef)(Jr),r=xe((()=>({eventName:"keydown",fn:function(n){if(n.defaultPrevented)return;if(32!==n.keyCode)return;const r=e.findClosestDraggableId(n);if(!r)return;const o=e.tryGetLock(r,l,{sourceEvent:n});if(!o)return;n.preventDefault();let i=!0;const s=o.snapLift();function l(){i||Ue(),i=!1,t.current(),a()}t.current(),t.current=$e(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:r=>27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(ea[r.keyCode]?r.preventDefault():Xr(r))},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:Kr,fn:n}]}(s,l),{capture:!0,passive:!1})}})),[e]),a=Ee((function(){t.current=$e(window,[r],{passive:!1,capture:!0})}),[r]);Dr((function(){return a(),function(){t.current()}}),[a])},function(e){const t=(0,n.useRef)(ta),r=(0,n.useRef)(Ve),a=Ee((function(){return t.current}),[]),o=Ee((function(e){t.current=e}),[]),i=xe((()=>({eventName:"touchstart",fn:function(t){if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const a=e.tryGetLock(n,l,{sourceEvent:t});if(!a)return;const o=t.touches[0],{clientX:i,clientY:s}=o,c={x:i,y:s};r.current(),p(a,c)}})),[e]),s=Ee((function(){r.current=$e(window,[i],{capture:!0,passive:!1})}),[i]),l=Ee((()=>{const e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(ta),r.current(),s())}),[s,o]),c=Ee((()=>{const e=t.current;l(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[l]),u=Ee((function(){const e={capture:!0,passive:!1},t={cancel:c,completed:l,getPhase:a},n=$e(window,function({cancel:e,completed:t,getPhase:n}){return[{eventName:"touchmove",options:{capture:!1},fn:t=>{const r=n();if("DRAGGING"!==r.type)return void e();r.hasMoved=!0;const{clientX:a,clientY:o}=t.touches[0],i={x:a,y:o};t.preventDefault(),r.actions.move(i)}},{eventName:"touchend",fn:r=>{const a=n();"DRAGGING"===a.type?(r.preventDefault(),a.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"touchcancel",fn:t=>{"DRAGGING"===n().type?(t.preventDefault(),e()):e()}},{eventName:"touchforcechange",fn:t=>{const r=n();"IDLE"===r.type&&Ue();const a=t.touches[0];if(!a)return;if(!(a.force>=.15))return;const o=r.actions.shouldRespectForcePress();if("PENDING"!==r.type)return o?r.hasMoved?void t.preventDefault():void e():void t.preventDefault();o&&e()}},{eventName:Kr,fn:e}]}(t),e),o=$e(window,function({cancel:e,getPhase:t}){return[{eventName:"orientationchange",fn:e},{eventName:"resize",fn:e},{eventName:"contextmenu",fn:e=>{e.preventDefault()}},{eventName:"keydown",fn:n=>{"DRAGGING"===t().type?(27===n.keyCode&&n.preventDefault(),e()):e()}},{eventName:Kr,fn:e}]}(t),e);r.current=function(){n(),o()}}),[c,a,l]),d=Ee((function(){const e=a();"PENDING"!==e.type&&Ue();const t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[a,o]),p=Ee((function(e,t){"IDLE"!==a().type&&Ue();const n=setTimeout(d,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),u()}),[u,a,o,d]);Dr((function(){return s(),function(){r.current();const e=a();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(ta))}}),[a,s,o]),Dr((function(){return $e(window,[{eventName:"touchmove",fn:()=>{},options:{capture:!1,passive:!1}}])}),[])}];function fa({contextId:e,store:t,registry:r,customSensors:a,enableDefaultSensors:o}){const i=[...o?pa:[],...a||[]],s=(0,n.useState)((()=>function(){let e=null;function t(){e||Ue(),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&Ue();const n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()))[0],l=Ee((function(e,t){zr(e)&&!zr(t)&&s.tryAbandon()}),[s]);Dr((function(){let e=t.getState();return t.subscribe((()=>{const n=t.getState();l(e,n),e=n}))}),[s,t,l]),Dr((()=>s.tryAbandon),[s.tryAbandon]);const c=Ee((e=>da({lockAPI:s,registry:r,store:t,draggableId:e})),[s,r,t]),u=Ee(((n,a,o)=>function({lockAPI:e,contextId:t,store:n,registry:r,draggableId:a,forceSensorStop:o,sourceEvent:i}){if(!da({lockAPI:e,store:n,registry:r,draggableId:a}))return null;const s=r.draggable.getById(a),l=function(e,t){const n=`[${Ar.contextId}="${e}"]`,r=_r(document,n).find((e=>e.getAttribute(Ar.id)===t));return r&&kr(r)?r:null}(t,s.descriptor.id);if(!l)return null;if(i&&!s.options.canDragInteractiveElements&&aa(l,i))return null;const c=e.claim(o||Ve);let u="PRE_DRAG";function d(){return s.options.shouldRespectForcePress}function p(){return e.isActive(c)}const f=function(e,t){ua({expected:e,phase:u,isLockActive:p,shouldWarn:!0})&&n.dispatch(t())}.bind(null,"DRAGGING");function h(t){function r(){e.release(),u="COMPLETED"}function a(e,a={shouldBlockNextClick:!1}){if(t.cleanup(),a.shouldBlockNextClick){const e=$e(window,[{eventName:"click",fn:ca,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(e)}r(),n.dispatch(Pn({reason:e}))}return"PRE_DRAG"!==u&&(r(),Ue()),n.dispatch((e=>({type:"LIFT",payload:e}))(t.liftActionArgs)),u="DRAGGING",{isActive:()=>ua({expected:"DRAGGING",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,drop:e=>a("DROP",e),cancel:e=>a("CANCEL",e),...t.actions}}return{isActive:()=>ua({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,fluidLift:function(e){const t=Ne((e=>{f((()=>An({client:e})))}));return{...h({liftActionArgs:{id:a,clientSelection:e,movementMode:"FLUID"},cleanup:()=>t.cancel(),actions:{move:t}}),move:t}},snapLift:function(){const e={moveUp:()=>f(Cn),moveRight:()=>f(Rn),moveDown:()=>f(On),moveLeft:()=>f(Dn)};return h({liftActionArgs:{id:a,clientSelection:oa(l),movementMode:"SNAP"},cleanup:Ve,actions:e})},abort:function(){ua({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!0})&&e.release()}}}({lockAPI:s,registry:r,contextId:e,store:t,draggableId:n,forceSensorStop:a||null,sourceEvent:o&&o.sourceEvent?o.sourceEvent:null})),[e,s,r,t]),d=Ee((t=>function(e,t){const n=function(e,t){const n=t.target;if(!((r=n)instanceof Tr(r).Element))return null;var r;const a=function(e){return`[${Er.contextId}="${e}"]`}(e),o=la(n,a);return o&&kr(o)?o:null}(e,t);return n?n.getAttribute(Er.draggableId):null}(e,t)),[e]),p=Ee((e=>{const t=r.draggable.findById(e);return t?t.options:null}),[r.draggable]),f=Ee((function(){s.isClaimed()&&(s.tryAbandon(),"IDLE"!==t.getState().phase&&t.dispatch({type:"FLUSH",payload:null}))}),[s,t]),h=Ee((()=>s.isClaimed()),[s]),m=xe((()=>({canGetLock:c,tryGetLock:u,findClosestDraggableId:d,findOptionsForDraggable:p,tryReleaseLock:f,isLockClaimed:h})),[c,u,d,p,f,h]);for(let e=0;e<i.length;e++)i[e](m)}function ha(e){return e.current||Ue(),e.current}function ma(e){const{contextId:t,setCallbacks:a,sensors:o,nonce:i,dragHandleUsageInstructions:s}=e,l=(0,n.useRef)(null),c=$r(e),u=Ee((()=>(e=>({onBeforeCapture:t=>{(0,be.flushSync)((()=>{e.onBeforeCapture&&e.onBeforeCapture(t)}))},onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}))(c.current)),[c]),d=Ee((()=>(e=>({...cr,...e.autoScrollerOptions,durationDampening:{...cr.durationDampening,...e.autoScrollerOptions}}))(c.current)),[c]),p=function(e){const t=xe((()=>(e=>`rfd-announcement-${e}`)(e)),[e]),r=(0,n.useRef)(null);return(0,n.useEffect)((function(){const e=document.createElement("div");return r.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,je.A)(e.style,Nr),Lr().appendChild(e),function(){setTimeout((function(){const t=Lr();t.contains(e)&&t.removeChild(e),e===r.current&&(r.current=null)}))}}),[t]),Ee((e=>{const t=r.current;t&&(t.textContent=e)}),[])}(t),f=function({contextId:e,text:t}){const r=Fr("hidden-text",{separator:"-"}),a=xe((()=>function({contextId:e,uniqueId:t}){return`rfd-hidden-text-${e}-${t}`}({contextId:e,uniqueId:r})),[r,e]);return(0,n.useEffect)((function(){const e=document.createElement("div");return e.id=a,e.textContent=t,e.style.display="none",Lr().appendChild(e),function(){const t=Lr();t.contains(e)&&t.removeChild(e)}}),[a,t]),a}({contextId:t,text:s}),h=function(e,t){const r=xe((()=>(e=>{const t=(n=e,e=>`[${e}="${n}"]`);var n;const r=(()=>{const e="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ";return{selector:t(Er.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:e,dragging:"pointer-events: none;",dropAnimating:e}}})(),a=[(()=>{const e=`\n      transition: ${Nn.outOfTheWay};\n    `;return{selector:t(Ar.contextId),styles:{dragging:e,dropAnimating:e,userCancel:e}}})(),r,{selector:t(Cr.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:Rr(a,"always"),resting:Rr(a,"resting"),dragging:Rr(a,"dragging"),dropAnimating:Rr(a,"dropAnimating"),userCancel:Rr(a,"userCancel")}})(e)),[e]),a=(0,n.useRef)(null),o=(0,n.useRef)(null),i=Ee(Le((e=>{const t=o.current;t||Ue(),t.textContent=e})),[]),s=Ee((e=>{const t=a.current;t||Ue(),t.textContent=e}),[]);Dr((()=>{(a.current||o.current)&&Ue();const n=Pr(t),l=Pr(t);return a.current=n,o.current=l,n.setAttribute(`${xr}-always`,e),l.setAttribute(`${xr}-dynamic`,e),Ir().appendChild(n),Ir().appendChild(l),s(r.always),i(r.resting),()=>{const e=e=>{const t=e.current;t||Ue(),Ir().removeChild(t),e.current=null};e(a),e(o)}}),[t,s,i,r.always,r.resting,e]);const l=Ee((()=>i(r.dragging)),[i,r.dragging]),c=Ee((e=>{i("DROP"!==e?r.userCancel:r.dropAnimating)}),[i,r.dropAnimating,r.userCancel]),u=Ee((()=>{o.current&&i(r.resting)}),[i,r.resting]);return xe((()=>({dragging:l,dropping:c,resting:u})),[l,c,u])}(t,i),m=Ee((e=>{ha(l).dispatch(e)}),[]),g=xe((()=>(0,ye.bindActionCreators)({publishWhileDragging:yn,updateDroppableScroll:Sn,updateDroppableIsEnabled:xn,updateDroppableIsCombineEnabled:En,collectionStarting:wn},m)),[m]),b=function(){const e=xe(Mr,[]);return(0,n.useEffect)((()=>function(){e.clean()}),[e]),e}(),v=xe((()=>or(b,g)),[b,g]),y=xe((()=>(({scrollDroppable:e,scrollWindow:t,move:n,getAutoScrollerOptions:r})=>{const a=(({scrollWindow:e,scrollDroppable:t,getAutoScrollerOptions:n=()=>cr})=>{const r=Ne(e),a=Ne(t);let o=null;const i=e=>{o||Ue();const{shouldUseTimeDampening:t,dragStartTime:i}=o;wr({state:e,scrollWindow:r,scrollDroppable:a,dragStartTime:i,shouldUseTimeDampening:t,getAutoScrollerOptions:n})};return{start:e=>{o&&Ue();const t=Date.now();let r=!1;const a=()=>{r=!0};wr({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:a,scrollDroppable:a,getAutoScrollerOptions:n}),o={dragStartTime:t,shouldUseTimeDampening:r},r&&i(e)},stop:()=>{o&&(r.cancel(),a.cancel(),o=null)},scroll:i}})({scrollWindow:t,scrollDroppable:e,getAutoScrollerOptions:r}),o=Sr({move:n,scrollWindow:t,scrollDroppable:e});return{scroll:e=>{r().disabled||"DRAGGING"!==e.phase||("FLUID"!==e.movementMode?e.scrollJumpRequest&&o(e):a.scroll(e))},start:a.start,stop:a.stop}})({scrollWindow:sr,scrollDroppable:v.scrollDroppable,getAutoScrollerOptions:d,...(0,ye.bindActionCreators)({move:An},m)})),[v.scrollDroppable,m,d]),w=function(e){const t=(0,n.useRef)({}),r=(0,n.useRef)(null),a=(0,n.useRef)(null),o=(0,n.useRef)(!1),i=Ee((function(e,n){const r={id:e,focus:n};return t.current[e]=r,function(){const n=t.current;n[e]!==r&&delete n[e]}}),[]),s=Ee((function(t){const n=function(e,t){const n=`[${Er.contextId}="${e}"]`,r=_r(document,n);if(!r.length)return null;const a=r.find((e=>e.getAttribute(Er.draggableId)===t));return a&&kr(a)?a:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),l=Ee((function(e,t){r.current===e&&(r.current=t)}),[]),c=Ee((function(){a.current||o.current&&(a.current=requestAnimationFrame((()=>{a.current=null;const e=r.current;e&&s(e)})))}),[s]),u=Ee((function(e){r.current=null;const t=document.activeElement;t&&t.getAttribute(Er.draggableId)===e&&(r.current=e)}),[]);return Dr((()=>(o.current=!0,function(){o.current=!1;const e=a.current;e&&cancelAnimationFrame(e)})),[]),xe((()=>({register:i,tryRecordFocus:u,tryRestoreFocusRecorded:c,tryShiftRecord:l})),[i,u,c,l])}(t),S=xe((()=>er({announce:p,autoScroller:y,dimensionMarshal:v,focusMarshal:w,getResponders:u,styleMarshal:h})),[p,y,v,w,u,h]);l.current=S;const x=Ee((()=>{const e=ha(l);"IDLE"!==e.getState().phase&&e.dispatch({type:"FLUSH",payload:null})}),[]),E=Ee((()=>{const e=ha(l).getState();return"DROP_ANIMATING"===e.phase||"IDLE"!==e.phase&&e.isDragging}),[]);a(xe((()=>({isDragging:E,tryAbort:x})),[E,x]));const A=Ee((e=>ir(ha(l).getState(),e)),[]),C=Ee((()=>tn(ha(l).getState())),[]),O=xe((()=>({marshal:v,focus:w,contextId:t,canLift:A,isMovementAllowed:C,dragHandleUsageInstructionsId:f,registry:b})),[t,v,f,w,A,C,b]);return fa({contextId:t,store:S,registry:b,customSensors:o||null,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,n.useEffect)((()=>x),[x]),r().createElement(Vr.Provider,{value:O},r().createElement(we.Provider,{context:Br,store:S},e.children))}function ga(e){const t=r().useId(),n=e.dragHandleUsageInstructions||Ye;return r().createElement(We,null,(a=>r().createElement(ma,{nonce:e.nonce,contextId:t,setCallbacks:a,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd,autoScrollerOptions:e.autoScrollerOptions},e.children)))}const ba=(e,t)=>t?Nn.drop(t.duration):e?Nn.snap:Nn.fluid,va=(e,t)=>{if(e)return t?Tn:kn};function ya(e){return"DRAGGING"===e.type?function(e){const t=e.dimension.client,{offset:n,combineWith:r,dropping:a}=e,o=Boolean(r),i=(e=>null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode)(e),s=Boolean(a),l=s?((e,t)=>{const n=jn(e);if(n)return t?`${n} scale(${Mn})`:n})(n,o):Fn(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:ba(i,a),transform:l,opacity:va(o,s),zIndex:s?4500:5e3,pointerEvents:"none"}}(e):{transform:Fn((t=e).offset),transition:t.shouldAnimateDisplacement?void 0:"none"};var t}var wa=r().createContext(null);function Sa(e){const t=(0,n.useContext)(e);return t||Ue(),t}function xa(e){e.preventDefault()}var Ea=(e,t)=>e===t,Aa=e=>{const{combine:t,destination:n}=e;return n?n.droppableId:t?t.droppableId:null};function Ca(e=null){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}const Oa={mapped:{type:"SECONDARY",offset:Je,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Ca(null)}},Ra={dropAnimationFinished:()=>({type:"DROP_ANIMATION_FINISHED",payload:null})},Da=(0,we.connect)((()=>{const e=function(){const e=Le(((e,t)=>({x:e,y:t}))),t=Le(((e,t,n=null,r=null,a=null)=>({isDragging:!0,isClone:t,isDropAnimating:Boolean(a),dropAnimation:a,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}))),n=Le(((e,n,r,a,o=null,i=null,s=null)=>({mapped:{type:"DRAGGING",dropping:null,draggingOver:o,combineWith:i,mode:n,offset:e,dimension:r,forceShouldAnimate:s,snapshot:t(n,a,o,i,null)}})));return(r,a)=>{if(zr(r)){if(r.critical.draggable.id!==a.draggableId)return null;const t=r.current.client.offset,i=r.dimensions.draggables[a.draggableId],s=Jt(r.impact),l=(o=r.impact).at&&"COMBINE"===o.at.type?o.at.combine.draggableId:null,c=r.forceShouldAnimate;return n(e(t.x,t.y),r.movementMode,i,a.isClone,s,l,c)}var o;if("DROP_ANIMATING"===r.phase){const e=r.completed;if(e.result.draggableId!==a.draggableId)return null;const n=a.isClone,o=r.dimensions.draggables[a.draggableId],i=e.result,s=i.mode,l=Aa(i),c=(e=>e.combine?e.combine.draggableId:null)(i),u={duration:r.dropDuration,curve:_n,moveTo:r.newHomeClientOffset,opacity:c?Tn:null,scale:c?Mn:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:o,dropping:u,draggingOver:l,combineWith:c,mode:s,forceShouldAnimate:null,snapshot:t(s,n,l,c,u)}}}return null}}(),t=function(){const e=Le(((e,t)=>({x:e,y:t}))),t=Le(Ca),n=Le(((e,n=null,r)=>({mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}))),r=e=>e?n(Je,e,!0):null,a=(t,a,o,i)=>{const s=o.displaced.visible[t],l=Boolean(i.inVirtualList&&i.effected[t]),c=yt(o),u=c&&c.draggableId===t?a:null;if(!s){if(!l)return r(u);if(o.displaced.invisible[t])return null;const a=rt(i.displacedBy.point),s=e(a.x,a.y);return n(s,u,!0)}if(l)return r(u);const d=o.displacedBy.point,p=e(d.x,d.y);return n(p,u,s.shouldAnimate)};return(e,t)=>{if(zr(e))return e.critical.draggable.id===t.draggableId?null:a(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){const n=e.completed;return n.result.draggableId===t.draggableId?null:a(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return(n,r)=>e(n,r)||t(n,r)||Oa}),Ra,null,{context:Br,areStatePropsEqual:Ea})((e=>{const t=(0,n.useRef)(null),a=Ee(((e=null)=>{t.current=e}),[]),o=Ee((()=>t.current),[]),{contextId:i,dragHandleUsageInstructionsId:s,registry:l}=Sa(Vr),{type:c,droppableId:u}=Sa(wa),d=xe((()=>({id:e.draggableId,index:e.index,type:c,droppableId:u})),[e.draggableId,e.index,c,u]),{children:p,draggableId:f,isEnabled:h,shouldRespectForcePress:m,canDragInteractiveElements:g,isClone:b,mapped:v,dropAnimationFinished:y}=e;b||function(e){const t=Fr("draggable"),{descriptor:r,registry:a,getDraggableRef:o,canDragInteractiveElements:i,shouldRespectForcePress:s,isEnabled:l}=e,c=xe((()=>({canDragInteractiveElements:i,shouldRespectForcePress:s,isEnabled:l})),[i,l,s]),u=Ee((e=>{const t=o();return t||Ue(),function(e,t,n=Je){const r=window.getComputedStyle(t),a=t.getBoundingClientRect(),o=Te(a,r),i=_e(o,n);return{descriptor:e,placeholder:{client:o,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:o.marginBox.width,y:o.marginBox.height},client:o,page:i}}(r,t,e)}),[r,o]),d=xe((()=>({uniqueId:t,descriptor:r,options:c,getDimension:u})),[r,u,c,t]),p=(0,n.useRef)(d),f=(0,n.useRef)(!0);Dr((()=>(a.draggable.register(p.current),()=>a.draggable.unregister(p.current))),[a.draggable]),Dr((()=>{if(f.current)return void(f.current=!1);const e=p.current;p.current=d,a.draggable.update(d,e)}),[d,a.draggable])}(xe((()=>({descriptor:d,registry:l,getDraggableRef:o,canDragInteractiveElements:g,shouldRespectForcePress:m,isEnabled:h})),[d,l,o,g,m,h]));const w=xe((()=>h?{tabIndex:0,role:"button","aria-describedby":s,"data-rfd-drag-handle-draggable-id":f,"data-rfd-drag-handle-context-id":i,draggable:!1,onDragStart:xa}:null),[i,s,f,h]),S=Ee((e=>{"DRAGGING"===v.type&&v.dropping&&"transform"===e.propertyName&&(0,be.flushSync)(y)}),[y,v]),x=xe((()=>{const e=ya(v),t="DRAGGING"===v.type&&v.dropping?S:void 0;return{innerRef:a,draggableProps:{"data-rfd-draggable-context-id":i,"data-rfd-draggable-id":f,style:e,onTransitionEnd:t},dragHandleProps:w}}),[i,w,f,v,S,a]),E=xe((()=>({draggableId:d.id,type:d.type,source:{index:d.index,droppableId:d.droppableId}})),[d.droppableId,d.id,d.index,d.type]);return r().createElement(r().Fragment,null,p(x,v.snapshot,E))}));function Ia(e){return Sa(wa).isUsingCloneFor!==e.draggableId||e.isClone?r().createElement(Da,e):null}function Pa(e){const t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),a=Boolean(e.shouldRespectForcePress);return r().createElement(Ia,(0,je.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:a}))}const _a=e=>t=>e===t,Ta=_a("scroll"),ka=_a("auto"),Ma=(_a("visible"),(e,t)=>t(e.overflowX)||t(e.overflowY)),Ba=e=>null==e||e===document.body||e===document.documentElement?null:(e=>{const t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return Ma(n,Ta)||Ma(n,ka)})(e)?e:Ba(e.parentElement);var La=e=>({x:e.scrollLeft,y:e.scrollTop});const Na=e=>!!e&&("fixed"===window.getComputedStyle(e).position||Na(e.parentElement));const ja={passive:!1},Fa={passive:!0};var Va=e=>e.shouldPublishImmediately?ja:Fa;const $a=e=>e&&e.env.closestScrollable||null;function za(e){const t=(0,n.useRef)(null),r=Sa(Vr),a=Fr("droppable"),{registry:o,marshal:i}=r,s=$r(e),l=xe((()=>({id:e.droppableId,type:e.type,mode:e.mode})),[e.droppableId,e.mode,e.type]),c=(0,n.useRef)(l),u=xe((()=>Le(((e,n)=>{t.current||Ue();const r={x:e,y:n};i.updateDroppableScroll(l.id,r)}))),[l.id,i]),d=Ee((()=>{const e=t.current;return e&&e.env.closestScrollable?La(e.env.closestScrollable):Je}),[]),p=Ee((()=>{const e=d();u(e.x,e.y)}),[d,u]),f=xe((()=>Ne(p)),[p]),h=Ee((()=>{const e=t.current,n=$a(e);e&&n||Ue(),e.scrollOptions.shouldPublishImmediately?p():f()}),[f,p]),m=Ee(((e,n)=>{t.current&&Ue();const a=s.current,o=a.getDroppableRef();o||Ue();const i={closestScrollable:Ba(c=o),isFixedOnPage:Na(c)};var c;const u={ref:o,descriptor:l,env:i,scrollOptions:n};t.current=u;const d=(({ref:e,descriptor:t,env:n,windowScroll:r,direction:a,isDropDisabled:o,isCombineEnabled:i,shouldClipSubject:s})=>{const l=n.closestScrollable,c=((e,t)=>{const n=ke(e);if(!t)return n;if(e!==t)return n;const r=n.paddingBox.top-t.scrollTop,a=n.paddingBox.left-t.scrollLeft,o=r+t.scrollHeight,i=a+t.scrollWidth,s=Ce({top:r,right:i,bottom:o,left:a},n.border);return De({borderBox:s,margin:n.margin,border:n.border,padding:n.padding})})(e,l),u=_e(c,r),d=(()=>{if(!l)return null;const e=ke(l),t={scrollHeight:l.scrollHeight,scrollWidth:l.scrollWidth};return{client:e,page:_e(e,r),scroll:La(l),scrollSize:t,shouldClipSubject:s}})(),p=(({descriptor:e,isEnabled:t,isCombineEnabled:n,isFixedOnPage:r,direction:a,client:o,page:i,closest:s})=>{const l=(()=>{if(!s)return null;const{scrollSize:e,client:t}=s,n=tr({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:s.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:s.shouldClipSubject,scroll:{initial:s.scroll,current:s.scroll,max:n,diff:{value:Je,displacement:Je}}}})(),c="vertical"===a?Dt:It;return{descriptor:e,isCombineEnabled:n,isFixedOnPage:r,axis:c,isEnabled:t,client:o,page:i,frame:l,subject:dt({page:i,withPlaceholder:null,axis:c,frame:l})}})({descriptor:t,isEnabled:!o,isCombineEnabled:i,isFixedOnPage:n.isFixedOnPage,direction:a,client:c,page:u,closest:d});return p})({ref:o,descriptor:l,env:i,windowScroll:e,direction:a.direction,isDropDisabled:a.isDropDisabled,isCombineEnabled:a.isCombineEnabled,shouldClipSubject:!a.ignoreContainerClipping}),p=i.closestScrollable;return p&&(p.setAttribute(Or.contextId,r.contextId),p.addEventListener("scroll",h,Va(u.scrollOptions))),d}),[r.contextId,l,h,s]),g=Ee((()=>{const e=t.current,n=$a(e);return e&&n||Ue(),La(n)}),[]),b=Ee((()=>{const e=t.current;e||Ue();const n=$a(e);t.current=null,n&&(f.cancel(),n.removeAttribute(Or.contextId),n.removeEventListener("scroll",h,Va(e.scrollOptions)))}),[h,f]),v=Ee((e=>{const n=t.current;n||Ue();const r=$a(n);r||Ue(),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),y=xe((()=>({getDimensionAndWatchScroll:m,getScrollWhileDragging:g,dragStopped:b,scroll:v})),[b,m,g,v]),w=xe((()=>({uniqueId:a,descriptor:l,callbacks:y})),[y,l,a]);Dr((()=>(c.current=w.descriptor,o.droppable.register(w),()=>{t.current&&b(),o.droppable.unregister(w)})),[y,l,b,w,i,o.droppable]),Dr((()=>{t.current&&i.updateDroppableIsEnabled(c.current.id,!e.isDropDisabled)}),[e.isDropDisabled,i]),Dr((()=>{t.current&&i.updateDroppableIsCombineEnabled(c.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,i])}function Ua(){}const Wa={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}};var Ha=r().memo((e=>{const t=(0,n.useRef)(null),a=Ee((()=>{t.current&&(clearTimeout(t.current),t.current=null)}),[]),{animate:o,onTransitionEnd:i,onClose:s,contextId:l}=e,[c,u]=(0,n.useState)("open"===e.animate);(0,n.useEffect)((()=>c?"open"!==o?(a(),u(!1),Ua):t.current?Ua:(t.current=setTimeout((()=>{t.current=null,u(!1)})),a):Ua),[o,c,a]);const d=Ee((e=>{"height"===e.propertyName&&(i(),"close"===o&&s())}),[o,s,i]),p=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>{const r=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>e||"close"===n?Wa:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin})({isAnimatingOpenOnMount:e,placeholder:t,animate:n});return{display:t.display,boxSizing:"border-box",width:r.width,height:r.height,marginTop:r.margin.top,marginRight:r.margin.right,marginBottom:r.margin.bottom,marginLeft:r.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==n?Nn.placeholder:null}})({isAnimatingOpenOnMount:c,animate:e.animate,placeholder:e.placeholder});return r().createElement(e.placeholder.tagName,{style:p,"data-rfd-placeholder-context-id":l,onTransitionEnd:d,ref:e.innerRef})}));class Ga extends r().PureComponent{constructor(...e){super(...e),this.state={isVisible:Boolean(this.props.on),data:this.props.on,animate:this.props.shouldAnimate&&this.props.on?"open":"none"},this.onClose=()=>{"close"===this.state.animate&&this.setState({isVisible:!1})}}static getDerivedStateFromProps(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}}render(){if(!this.state.isVisible)return null;const e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)}}const qa={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||Ue(),document.body}},Qa=e=>{let t,n={...e};for(t in qa)void 0===e[t]&&(n={...n,[t]:qa[t]});return n},Ya=(e,t)=>e===t.droppable.type,Xa=(e,t)=>t.draggables[e.draggable.id];var Ka=(0,we.connect)((()=>{const e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t={...e,shouldAnimatePlaceholder:!1},n=Le((e=>({draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}))),r=Le(((r,a,o,i,s,l)=>{const c=s.descriptor.id;if(s.descriptor.droppableId===r){const e=l?{render:l,dragging:n(s.descriptor)}:null,t={isDraggingOver:o,draggingOverWith:o?c:null,draggingFromThisWith:c,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!1,snapshot:t,useClone:e}}if(!a)return t;if(!i)return e;const u={isDraggingOver:o,draggingOverWith:c,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!0,snapshot:u,useClone:null}}));return(n,a)=>{const o=Qa(a),i=o.droppableId,s=o.type,l=!o.isDropDisabled,c=o.renderClone;if(zr(n)){const e=n.critical;if(!Ya(s,e))return t;const a=Xa(e,n.dimensions),o=Jt(n.impact)===i;return r(i,l,o,o,a,c)}if("DROP_ANIMATING"===n.phase){const e=n.completed;if(!Ya(s,e.critical))return t;const a=Xa(e.critical,n.dimensions);return r(i,l,Aa(e.result)===i,Jt(e.impact)===i,a,c)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){const r=n.completed;if(!Ya(s,r.critical))return t;const a=Jt(r.impact)===i,o=Boolean(r.impact.at&&"COMBINE"===r.impact.at.type),l=r.critical.droppable.id===i;return a?o?e:t:l?e:t}return t}}),{updateViewportMaxScroll:e=>({type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e})},((e,t,n)=>({...Qa(n),...e,...t})),{context:Br,areStatePropsEqual:Ea})((e=>{const t=(0,n.useContext)(Vr);t||Ue();const{contextId:a,isMovementAllowed:o}=t,i=(0,n.useRef)(null),s=(0,n.useRef)(null),{children:l,droppableId:c,type:u,mode:d,direction:p,ignoreContainerClipping:f,isDropDisabled:h,isCombineEnabled:m,snapshot:g,useClone:b,updateViewportMaxScroll:v,getContainerForClone:y}=e,w=Ee((()=>i.current),[]),S=Ee(((e=null)=>{i.current=e}),[]),x=(Ee((()=>s.current),[]),Ee(((e=null)=>{s.current=e}),[])),E=Ee((()=>{o()&&v({maxScroll:rr()})}),[o,v]);za({droppableId:c,type:u,mode:d,direction:p,isDropDisabled:h,isCombineEnabled:m,ignoreContainerClipping:f,getDroppableRef:w});const A=xe((()=>r().createElement(Ga,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(({onClose:e,data:t,animate:n})=>r().createElement(Ha,{placeholder:t,onClose:e,innerRef:x,animate:n,contextId:a,onTransitionEnd:E})))),[a,E,e.placeholder,e.shouldAnimatePlaceholder,x]),C=xe((()=>({innerRef:S,placeholder:A,droppableProps:{"data-rfd-droppable-id":c,"data-rfd-droppable-context-id":a}})),[a,c,A,S]),O=b?b.dragging.draggableId:null,R=xe((()=>({droppableId:c,type:u,isUsingCloneFor:O})),[c,O,u]);return r().createElement(wa.Provider,{value:R},l(C,g),function(){if(!b)return null;const{dragging:e,render:t}=b,n=r().createElement(Ia,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},((n,r)=>t(n,r,e)));return ve().createPortal(n,y())}())})),Za=g(6089);const Ja=e=>({field:Za.css`
      margin: ${e.spacing(0,0,.5,0)};
    `,controls:Za.css`
      width: 100%;
      display: flex;
      align-items: center;
      flex-wrap: wrap;
    `,header:Za.css`
      margin-bottom: ${e.spacing(1)};
      gap: ${e.spacing(.5)};
      display: flex;
    `,buttons:Za.css`
      background: ${e.colors.background.secondary};
      display: flex;
      align-items: center;
      justify-content: flex-end;
      width: 100%;
      gap: ${e.spacing(.5)};
    `,dragIcon:Za.css`
      color: ${e.colors.text.disabled};
    `});function eo(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function to(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){eo(e,t,n[t])}))}return e}function no(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const ro=({model:h,onChange:m})=>{const g=(0,t.useStyles2)(Ja),[b,v]=(0,n.useState)(h.fields),[y,w]=(0,n.useState)({}),S=(0,n.useCallback)((e=>{w((t=>no(to({},t),{[e.id]:!t[e.id]})))}),[]),x=(0,n.useCallback)((e=>{const t=b.reduce(((t,n)=>no(to({},t),{[n.id]:e})),{});w(t)}),[b]),E=(0,n.useCallback)((()=>no(to({},h),{fields:[...h.fields],rows:[...h.rows]})),[h]),A=(0,n.useCallback)((t=>{const n=E();n.fields.splice(t+1,0,{name:"",type:e.FieldType.string,id:re()}),n.rows.forEach((e=>{e.value.splice(t+1,0,"")})),S(n.fields[n.fields.length-1]),m(n),v(n.fields)}),[E,m,S]),C=(0,n.useCallback)((e=>{const t=E();t.fields.splice(e,1),t.rows.forEach((t=>{t.value.splice(e,1)})),t.fields.length||(t.rows=[]),m(t),v(t.fields)}),[E,m]),O=(0,n.useCallback)(((e,t)=>{const n=E();n.fields=n.fields.map(((n,r)=>r===t?no(to({},n),{name:e}):n)),m(n),v(n.fields)}),[E,m]),R=(0,n.useCallback)(((e,t)=>{const n=E();n.fields=n.fields.map(((n,r)=>r===t?no(to({},n),{type:e}):n)),m(n),v(n.fields)}),[E,m]),D=(0,n.useCallback)((e=>{if(!e.destination)return;const t=K(b,e.source.index,e.destination.index),n=h.rows.map((t=>e.destination?no(to({},t),{value:K(t.value,e.source.index,e.destination.index)}):t)),r=no(to({},h),{fields:t,rows:n});m(r),v(t)}),[b,h,m]);return h.fields.length?r().createElement("div",{"data-testid":a},r().createElement("div",{className:g.header},r().createElement(t.ButtonGroup,null,r().createElement(t.Button,{icon:"angle-double-down",tooltip:"Expand all fields",tooltipPlacement:"top",variant:"secondary",onClick:()=>x(!0),"data-testid":f}),r().createElement(t.Button,{icon:"angle-double-up",tooltip:"Collapse all fields",tooltipPlacement:"top",variant:"secondary",onClick:()=>x(!1),"data-testid":p})),r().createElement(t.Button,{variant:"primary",title:"Add Field",icon:"plus","data-testid":o,onClick:()=>A(b.length?b.length-1:0)},"Add a Field")),r().createElement(ga,{onDragEnd:D},r().createElement(Ka,{droppableId:"dataset"},(e=>r().createElement("div",no(to({},e.droppableProps),{ref:e.innerRef}),b.map(((e,n)=>r().createElement(Pa,{disableInteractiveElementBlocking:!1,draggableId:`draggable-${n}`,key:n,index:n},((a,o)=>{return r().createElement("div",no(to({ref:a.innerRef},a.draggableProps),{style:(o.isDragging,p=a.draggableProps.style,to({},p)),className:g.field,"data-testid":c}),r().createElement(Q.SD,{headerTestId:u(e.id),contentTestId:d(e.id),fill:"solid",isOpen:y[e.id],onToggle:()=>S(e),title:r().createElement(r().Fragment,null,e.name," [",e.type,"]"),actions:r().createElement("div",{className:g.buttons},r().createElement(t.IconButton,{name:"trash-alt",tooltip:"Remove field",variant:"secondary","aria-label":"Remove field","data-testid":i,onClick:()=>C(n)}),r().createElement("div",no(to({},a.dragHandleProps),{className:g.dragIcon}),r().createElement(t.Icon,{title:"Drag and drop to reorder",name:"draggabledots"})))},r().createElement(t.InlineFieldRow,null,r().createElement("div",{className:g.controls},r().createElement(t.InlineField,{label:"Name",grow:!0},r().createElement(t.Input,{value:e.name,onChange:e=>{O(e.currentTarget.value,n)},"data-testid":s})),r().createElement(t.InlineField,{label:"Type"},r().createElement(t.Select,{width:12,value:e.type,onChange:e=>{R(e.value,n)},options:me.map((e=>({label:e[0].toUpperCase()+e.substring(1),value:e}))),"aria-label":l}))))));var p})))),e.placeholder))))):r().createElement(t.InlineFieldRow,null,r().createElement(t.InlineField,null,r().createElement(t.Button,{variant:"primary",title:"Add a Field",onClick:()=>A(0),icon:"plus","data-testid":o},"Add a Field")))};var ao=g(1269),oo=g(8449);const io="/api/plugins/grafana-llm-app";let so=new oo.SemVer("0.2.0"),lo=!1;const co=async()=>{const e=await(async()=>{try{if(!(await(0,ce.getBackendSrv)().get(`${io}/settings`,void 0,void 0,{showSuccessAlert:!1,showErrorAlert:!1})).enabled)return{configured:!1,ok:!1,error:"The Grafana LLM plugin is not enabled."}}catch(e){return(0,ce.logDebug)(String(e)),(0,ce.logDebug)("Failed to check if OpenAI is enabled. This is expected if the Grafana LLM plugin is not installed, and the above error can be ignored."),lo=!0,{configured:!1,ok:!1,error:"The Grafana LLM plugin is not installed."}}let e;try{e=await(0,ce.getBackendSrv)().get(`${io}/health`,void 0,void 0,{showSuccessAlert:!1,showErrorAlert:!1})}catch(e){return lo||((0,ce.logDebug)(String(e)),(0,ce.logDebug)("Failed to check if OpenAI is enabled. This is expected if the Grafana LLM plugin is not installed, and the above error can be ignored."),lo=!0),{configured:!1,ok:!1,error:"The Grafana LLM plugin is not installed."}}const{details:t}=e;return void 0!==t?.version&&function(e){try{so=new oo.SemVer(e)}catch(e){(0,ce.logWarning)("Failed to parse version of grafana-llm-app; assuming old version is present.")}}(t.version),void 0===t?.openAI?{configured:!1,ok:!1,error:"The Grafana LLM plugin is outdated; please update it."}:"boolean"==typeof t.openAI?{configured:t.openAI,ok:t.openAI}:t.openAI})();return e.configured&&e.ok};function uo(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function po(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){uo(e,t,n[t])}))}return e}function fo(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const ho=({model:e,onChange:a})=>{var o,i;const s=(0,ce.getTemplateSrv)(),l=(0,n.useCallback)((t=>{var n;const r=fo(po({},e),{meta:fo(po({},e.meta||{}),{custom:fo(po({},(null===(n=e.meta)||void 0===n?void 0:n.custom)||{}),{customCode:t})})});a(r)}),[e,a]),c=(0,n.useCallback)((()=>{const e=s.getVariables().map((e=>({label:`\${${e.name}}`,kind:t.CodeEditorSuggestionItemKind.Property,detail:e.description?e.description:e.label})));return[...he,...e]}),[s]);return r().createElement(r().Fragment,null,r().createElement(t.InlineField,{grow:!0,"data-testid":$},r().createElement(Q.v4,{value:(null==e||null===(i=e.meta)||void 0===i||null===(o=i.custom)||void 0===o?void 0:o.customCode)||de,language:fe.JAVASCRIPT,height:300,monacoOptions:{formatOnPaste:!0,formatOnType:!0},onBlur:l,onSave:l,showLineNumbers:!0,getSuggestions:c,onEditorDidMount:e=>{setTimeout((()=>{e.getAction("editor.action.formatDocument").run()}),100)},showMiniMap:!0})))},mo=e=>({icon:Za.css`
    display: flex;
    align-items: center;
  `,suffixElement:Za.css`
    &:hover {
      cursor: pointer;
      color: ${e.colors.text};
    }
  `}),go=({onChange:e,value:a,type:o,label:i})=>{const s=(0,t.useStyles2)(mo),[l,c]=(0,n.useState)(a),[u,d]=(0,n.useState)(null===a),p=(0,n.useCallback)((()=>{if(d(!u),!u)return c(a),void e(!1);e(null!=l?l:null)}),[u,l,e,a]);return r().createElement(t.InlineFieldRow,null,r().createElement(t.InlineField,{disabled:u,label:i,grow:!0},r().createElement(t.InlineSwitch,{onChange:t=>{e(t.currentTarget.checked)},disabled:u,value:le(X(a,o).ok,a),"data-testid":D})),r().createElement("div",{className:s.icon,"data-testid":I,onClick:p},r().createElement(t.Icon,{className:s.suffixElement,name:u?"eye-slash":"eye"})))},bo=e=>({suffixElement:Za.css`
    &:hover {
      cursor: pointer;
      color: ${e.colors.text};
    }
  `}),vo=({onChange:a,value:o,type:i,label:s})=>{const l=(0,t.useStyles2)(bo),[c,u]=(0,n.useState)(o),[d,p]=(0,n.useState)(X(o,i).ok),[f,h]=(0,n.useState)(null===o),m=(0,n.useCallback)((()=>{if(h(!f),!f)return u(o),a(null),void p(!0);a(null!=c?c:null),p(X(o,i).ok),u(null)}),[f,c,a,i,o]),g=r().createElement("div",{"data-testid":R(s),onClick:m},r().createElement(t.Icon,{className:l.suffixElement,name:f?"eye-slash":"eye"}));return i===e.FieldType.number?r().createElement(t.InlineField,{invalid:!d,disabled:f,label:s,grow:!0},r().createElement(t.Input,{onChange:e=>{p(X(e.currentTarget.value,i).ok),a(e.currentTarget.value)},type:"number",value:f?void 0:null!=o?o:"",suffix:g,"data-testid":A(s)})):i!==e.FieldType.time||f?i===e.FieldType.string&&(null==o?void 0:o.length)&&o.length>100?r().createElement(t.InlineField,{invalid:!d,disabled:f,label:s,grow:!0},r().createElement(t.TextArea,{value:o,onChange:e=>{p(X(e.currentTarget.value,i).ok),a(e.currentTarget.value)},"data-testid":O(s)})):r().createElement(t.InlineField,{invalid:!d,disabled:f,label:s,grow:!0},r().createElement(t.Input,{onChange:e=>{p(X(e.currentTarget.value,i).ok),a(e.currentTarget.value)},value:f?"null":null!=o?o:"",suffix:g,"data-testid":C(s)})):r().createElement(t.InlineField,{invalid:!d,label:s,grow:!0},r().createElement(t.DateTimePicker,{date:(0,e.dateTime)(Number(o)),onChange:e=>{if(e){const t=e.valueOf().toString();p(X(t,i).ok),a(t)}},"data-testid":E(s)}))},yo=({onChange:t,value:n,type:a,label:o})=>(a=>a===e.FieldType.boolean?r().createElement(go,{value:n,onChange:t,type:a,label:o}):r().createElement(vo,{value:n,onChange:t,type:a,label:o}))(a),wo=e=>({field:Za.css`
      margin: ${e.spacing(0,0,.5,0)};
    `,controls:Za.css`
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      width: 100%;
    `,header:Za.css`
      margin-bottom: ${e.spacing(1)};
      gap: ${e.spacing(.5)};
      display: flex;
    `,buttons:Za.css`
      padding: ${e.spacing(.5,.5)};
      background: ${e.colors.background.secondary};
      display: flex;
      align-items: center;
      justify-content: flex-end;
      width: 100%;
      gap: ${e.spacing(.5)};
    `,dragIcon:Za.css`
      color: ${e.colors.text.disabled};
    `,add:Za.css`
      margin-top: ${e.spacing(1)};
    `});function So(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function xo(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){So(e,t,n[t])}))}return e}function Eo(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ao=({model:a,onChange:o})=>{const i=(0,t.useStyles2)(wo),[s,l]=(0,n.useState)({}),c=(0,n.useCallback)((()=>Eo(xo({},a),{rows:[...a.rows]})),[a]),u=(0,n.useCallback)((e=>{l((t=>Eo(xo({},t),{[e.id]:!t[e.id]})))}),[]),d=(0,n.useCallback)((e=>{const t=a.rows.reduce(((t,n)=>Eo(xo({},t),{[n.id]:e})),{});l(t)}),[a.rows]),p=(0,n.useCallback)((t=>{const n={value:Array.from({length:a.fields.length}).map(((t,n)=>{switch(a.fields[n].type){case e.FieldType.number:return"0";case e.FieldType.time:return Date.now().valueOf().toString();case e.FieldType.boolean:return!1;default:return""}})),id:re()},r=c();r.rows.splice(t+1,0,n),u(n),o(r)}),[c,a.fields,o,u]),f=(0,n.useCallback)((e=>{const t=c();t.rows.splice(e,1),o(t)}),[c,o]),h=(0,n.useCallback)((e=>{const t=c(),n={value:JSON.parse(JSON.stringify(t.rows[e].value)),id:re()};t.rows.splice(e+1,0,n),u(n),o(t)}),[c,o,u]),m=(0,n.useCallback)(((e,t,n)=>{const r=c();r.rows[t].value[n]=e,o(r)}),[c,o]),g=(0,n.useCallback)((e=>{if(!e.destination)return;const t=K(a.rows,e.source.index,e.destination.index),n=Eo(xo({},a),{rows:t});o(n)}),[a,o]);return a.rows.length?r().createElement("div",{"data-testid":P},r().createElement("div",{className:i.header},r().createElement(t.ButtonGroup,null,r().createElement(t.Button,{icon:"angle-double-down",tooltip:"Expand all rows",tooltipPlacement:"top",variant:"secondary",onClick:()=>d(!0),"data-testid":V}),r().createElement(t.Button,{icon:"angle-double-up",tooltip:"Collapse all rows",tooltipPlacement:"top",variant:"secondary",onClick:()=>d(!1),"data-testid":F})),r().createElement(t.Button,{variant:"primary",title:"Add Field",icon:"plus","data-testid":T,onClick:()=>p(a.rows.length?-1:0)},"Add a Row")),r().createElement(ga,{onDragEnd:g},r().createElement(Ka,{droppableId:"dataset"},(e=>r().createElement("div",Eo(xo({},e.droppableProps),{ref:e.innerRef}),a.rows.map(((e,n)=>r().createElement(Pa,{disableInteractiveElementBlocking:!1,draggableId:`draggable-${n}`,key:n,index:n},((o,l)=>{return r().createElement("div",Eo(xo({ref:o.innerRef},o.draggableProps),{style:(l.isDragging,c=o.draggableProps.style,xo({},c)),className:i.field}),r().createElement(Q.SD,{headerTestId:N(e.id),contentTestId:j(e.id),fill:"solid",isOpen:s[e.id],onToggle:()=>u(e),title:r().createElement(r().Fragment,null,"#",n+1),actions:r().createElement("div",{className:i.buttons},r().createElement(t.IconButton,{name:"copy",tooltip:"Copy row",variant:"secondary","aria-label":"Copy row","data-testid":M,onClick:()=>h(n)}),r().createElement(t.IconButton,{name:"trash-alt",size:"md",tooltip:"Remove row",variant:"secondary","aria-label":"Remove row","data-testid":B,onClick:()=>f(n)}),r().createElement("div",Eo(xo({},o.dragHandleProps),{className:i.dragIcon}),r().createElement(t.Icon,{title:"Drag and drop to reorder",name:"draggabledots"})))},r().createElement(t.InlineFieldRow,{"data-testid":L},r().createElement("div",{className:i.controls},e.value.map(((e,t)=>r().createElement(yo,{key:t,value:e,type:a.fields[t].type,label:a.fields[t].name,onChange:e=>m(e,n,t)})))))));var c})))),e.placeholder)))),r().createElement(t.Button,{className:i.add,variant:"primary",title:"Add Field",icon:"plus","data-testid":k,onClick:()=>p(a.rows.length?a.rows.length-1:0)},"Add a Row")):r().createElement(t.InlineFieldRow,null,r().createElement(t.InlineField,null,r().createElement(t.Button,{variant:"primary",onClick:()=>p(0),icon:"plus","data-testid":_},"Add a Row")))},Co=e=>({content:Za.css`
      padding: ${e.spacing(0,.5,0,0)};
    `});function Oo(e,t,n,r,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,a)}function Ro(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Do(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ro(e,t,n[t])}))}return e}function Io(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Po=({datasource:a,onChange:o,onRunQuery:i,query:s,app:l})=>{var c,u,d,p,f,g,b;const E=(0,t.useStyles2)(Co);var A;const[C,O]=(0,n.useState)((t=>{var n,r;let a=[],o=[];var i,s;return 0!==t.fields.length&&(a=t.fields.map((t=>{var n;return{name:t.name,type:null!==(n=t.type)&&void 0!==n?n:e.FieldType.string,id:re()}})),o=Array.from({length:null!==(s=null===(i=t.fields[0].values)||void 0===i?void 0:i.length)&&void 0!==s?s:0}).map(((e,n)=>({value:t.fields.map((e=>{var t,r;return null!==(r=null===(t=e.values[n])||void 0===t?void 0:t.toString())&&void 0!==r?r:null})),id:re()})))),{name:t.name,meta:{preferredVisualisationType:null===(n=t.meta)||void 0===n?void 0:n.preferredVisualisationType,custom:null===(r=t.meta)||void 0===r?void 0:r.custom},fields:a,rows:o}})(null!==(A=s.frame)&&void 0!==A?A:{fields:[]})),[R,D]=(0,n.useState)(!1),I=(0,n.useCallback)((e=>{O(Io(Do({},C),{name:e})),o(Io(Do({},s),{frame:se(Io(Do({},C),{name:e}))})),i()}),[C,o,i,s]),P=(0,n.useCallback)((e=>{O(e),o(Io(Do({},s),{frame:se(e)})),i()}),[o,i,s]),_=(0,n.useCallback)((e=>{O(Io(Do({},C),{meta:Io(Do({},C.meta),{preferredVisualisationType:e.value})})),o(Io(Do({},s),{frame:se(Io(Do({},C),{meta:Io(Do({},C.meta),{preferredVisualisationType:e.value})}))})),i()}),[C,o,i,s]),T=(0,n.useCallback)((e=>{var t,n,r,a,l,c;O(Io(Do({},C),{meta:Io(Do({},C.meta),{custom:Io(Do({},(null===(t=C.meta)||void 0===t?void 0:t.custom)||{}),{valuesEditor:e.value,customCode:(null===(r=C.meta)||void 0===r||null===(n=r.custom)||void 0===n?void 0:n.customCode)||de})})})),o(Io(Do({},s),{frame:se(Io(Do({},C),{meta:Io(Do({},C.meta),{custom:Io(Do({},(null===(a=C.meta)||void 0===a?void 0:a.custom)||{}),{valuesEditor:e.value,customCode:(null===(c=C.meta)||void 0===c||null===(l=c.custom)||void 0===l?void 0:l.customCode)||de})})}))})),i()}),[C,o,i,s]),k=(0,n.useCallback)((e=>{var t;o(Io(Do({},s),{frame:se(C),llm:Io(Do({},s.llm),{openai:Io(Do({},null===(t=s.llm)||void 0===t?void 0:t.openai),{message:e})})}))}),[C,o,s]);return(0,n.useEffect)((()=>{!function(){var e,t=(e=function*(){const e=yield co();D(e)},function(){var t=this,n=arguments;return new Promise((function(r,a){var o=e.apply(t,n);function i(e){Oo(o,r,a,i,s,"next",e)}function s(e){Oo(o,r,a,i,s,"throw",e)}i(void 0)}))});return function(){return t.apply(this,arguments)}}()()}),[]),r().createElement("div",{"data-testid":h},r().createElement(t.InlineFieldRow,null,r().createElement(t.InlineField,{label:"Name",tooltip:"Name of the data frame",grow:!0},r().createElement(t.Input,{onChange:e=>I(e.currentTarget.value),value:C.name,"data-testid":v})),l===e.CoreApp.Explore&&r().createElement(t.InlineField,{label:"Preferred visualization type"},r().createElement(t.Select,{isClearable:!0,width:17,value:null===(c=C.meta)||void 0===c?void 0:c.preferredVisualisationType,onChange:_,options:e.preferredVisualizationTypes.map((e=>({label:e[0].toUpperCase()+e.substring(1),value:e}))).sort(((e,t)=>e.value.localeCompare(t.value))),"aria-label":y})),a.codeEditorEnabled&&r().createElement(t.InlineField,{htmlFor:"config-values-editor",label:"Values Editor"},r().createElement(t.Select,{inputId:"config-values-editor",width:17,value:(null===(d=C.meta)||void 0===d||null===(u=d.custom)||void 0===u?void 0:u.valuesEditor)||q.MANUAL,onChange:T,options:pe,"aria-label":w}))),r().createElement(t.CollapsableSection,{label:"Fields",isOpen:!0,contentClassName:E.content},r().createElement(ro,{model:C,onChange:P})),(null===(f=C.meta)||void 0===f||null===(p=f.custom)||void 0===p?void 0:p.valuesEditor)===q.CUSTOM&&a.codeEditorEnabled?r().createElement(r().Fragment,null,R&&r().createElement(t.CollapsableSection,{label:"OpenAI",isOpen:!0},r().createElement(t.InlineField,{label:"Message",grow:!0},r().createElement(t.TextArea,{value:(null===(b=s.llm)||void 0===b||null===(g=b.openai)||void 0===g?void 0:g.message)||"",onChange:e=>k(e.currentTarget.value),onBlur:()=>i(),"data-testid":x}))),r().createElement(t.CollapsableSection,{label:"JavaScript Values Editor",isOpen:!0,contentDataTestId:m,contentClassName:E.content},r().createElement(ho,{model:C,onChange:P}))):r().createElement(t.CollapsableSection,{label:"Values",isOpen:!0,contentDataTestId:S,contentClassName:E.content},r().createElement(Ao,{model:C,onChange:P})))};function _o(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}class To extends e.CustomVariableSupport{query(e){return(0,ao.from)(this.datasource.query(e))}constructor(e){super(),_o(this,"datasource",void 0),_o(this,"editor",void 0),this.datasource=e,this.editor=Po}}function ko(e,t,n,r,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,a)}function Mo(e){return function(){var t=this,n=arguments;return new Promise((function(r,a){var o=e.apply(t,n);function i(e){ko(o,r,a,i,s,"next",e)}function s(e){ko(o,r,a,i,s,"throw",e)}i(void 0)}))}}function Bo(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Lo(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Bo(e,t,n[t])}))}return e}function No(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}class jo extends e.DataSourceApi{runCode({code:t,frame:n,scopedVars:r,llmQuery:a}){var o=this;return Mo((function*(){var i;const s=new Function("frame","context",o.templateSrv.replace(t,r));let l;(yield co())&&(null==a||null===(i=a.openai)||void 0===i?void 0:i.message)&&(l=yield async function(e){return await(0,ce.getBackendSrv)().post("/api/plugins/grafana-llm-app/resources/openai/v1/chat/completions",e,{headers:{"Content-Type":"application/json"}})}({messages:[{role:"user",content:o.templateSrv.replace(a.openai.message,r)}]}));const c=yield s(n,Y.create({frame:n,llmResult:l,utils:{toDataFrame:e.toDataFrame}}));if(!c)throw new Error("Custom code should return data frame");return c}))()}query(t){var n=this;return Mo((function*(){var r;const a=t.targets.filter((e=>!e.hide)).filter((e=>e.frame)),o=yield Promise.all(a.map(function(){var r=Mo((function*(r){var a,o;if(n.codeEditorEnabled&&(null===(o=r.frame.meta)||void 0===o||null===(a=o.custom)||void 0===a?void 0:a.valuesEditor)===q.CUSTOM){var i,s;const a=yield n.runCode({code:null===(s=r.frame.meta)||void 0===s||null===(i=s.custom)||void 0===i?void 0:i.customCode,frame:r.frame,scopedVars:t.scopedVars,llmQuery:r.llm});return No(Lo({},(0,e.toDataFrame)(a)),{refId:r.refId})}return No(Lo({},(0,e.toDataFrame)(r.frame)),{refId:r.refId})}));return function(e){return r.apply(this,arguments)}}()));return t.app!==e.CoreApp.Dashboard||(null===(r=o[0])||void 0===r?void 0:r.fields.length)?{data:o.map((e=>ue(e,t.scopedVars)))}:{data:o.map((t=>No(Lo({},t),{fields:[{name:"Default",type:e.FieldType.string,config:{},values:[]}]}))).map((e=>ue(e,t.scopedVars)))}}))()}testDatasource(){return Mo((function*(){return{status:H.SUCCESS,message:"Success"}}))()}constructor(e){super(e),Bo(this,"codeEditorEnabled",void 0),Bo(this,"templateSrv",(0,ce.getTemplateSrv)()),Bo(this,"annotations",{}),this.codeEditorEnabled=e.jsonData.codeEditorEnabled||!1,this.variables=new To(this)}}const Fo=new e.DataSourcePlugin(jo).setConfigEditor((({options:e,onOptionsChange:a})=>{const o=(0,n.useCallback)((t=>{var n,r;a((n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ge(e,t,n[t])}))}return e}({},e),r=null!=(r={jsonData:{codeEditorEnabled:t}})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n))}),[a,e]);return r().createElement(t.FieldSet,{"data-testid":W},r().createElement(t.InlineFieldRow,null,r().createElement(t.InlineField,{label:"JavaScript Values Editor",labelWidth:20,"data-testid":z},r().createElement(t.RadioButtonGroup,{options:G,value:e.jsonData.codeEditorEnabled||!1,onChange:o}))))})).setQueryEditor(Po)})(),b})()));
//# sourceMappingURL=module.js.map